-- HIER IST DAS KOMPLETTE UPDATE VON 770 auf 776 drin
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

/****** Object:  Index [IX_Kontonr]    Script Date: 09.08.2016 10:02:29 ******/
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[tabKonto]') AND name = N'IX_Kontonr')
CREATE NONCLUSTERED INDEX [IX_Kontonr] ON [dbo].[tabKonto]
(
	[Kontonr] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  Index [IX_Benutzer]    Script Date: 09.08.2016 10:20:00 ******/
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[stabPersonen]') AND name = N'IX_Benutzer')
CREATE UNIQUE NONCLUSTERED INDEX [IX_Benutzer] ON [dbo].[stabPersonen]
(
	[SPBenutzer] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

Delete from tabkonto where Kontonr is null
GO


ALTER TABLE [dbo].[tabKreditnehmereinheit] DROP CONSTRAINT [DF_tabKreditnehmereinheit_tmpFilter]
GO
ALTER TABLE [dbo].[tabKreditnehmereinheit] DROP Column [tmpFilter]
GO

ALTER TABLE [dbo].[tabKreditnehmereinheit] DROP CONSTRAINT [DF_tabKreditnehmereinheit_tmpAuswahl]
GO
ALTER TABLE [dbo].[tabKreditnehmereinheit] DROP Column [tmpAuswahl]
GO
ALTER TABLE [dbo].[tabKreditnehmereinheit] DROP CONSTRAINT [DF_tabKreditnehmereinheit_tmpLoeschKZ]
GO
ALTER TABLE [dbo].[tabKreditnehmereinheit] DROP Column [tmpLoeschKZ]
GO
ALTER TABLE [dbo].[tabKreditnehmereinheit] DROP CONSTRAINT [DF_tabKreditnehmereinheit_EWBStichprobe]
GO
ALTER TABLE [dbo].[tabKreditnehmereinheit] DROP Column [EWBStichprobe]
GO
ALTER TABLE [dbo].[tabKreditnehmereinheit] DROP CONSTRAINT [DF_tabKreditnehmereinheit_EWBAuswahl]
GO
ALTER TABLE [dbo].[tabKreditnehmereinheit] DROP Column [EWBAuswahl]
GO
ALTER TABLE [dbo].[tabKreditnehmereinheit] DROP CONSTRAINT [DF_tabKreditnehmereinheit_Auswahl]
GO
ALTER TABLE [dbo].[tabKreditnehmereinheit] DROP Column [Auswahl]
GO




Create FUNCTION [dbo].[VorhandeneKontenimBestand] 
(
    @BDate datetime,
	@INR nvarchar(3)
)
RETURNS TABLE
AS
RETURN
(	
SELECT        KontoNr, Bdate, INR, KNID, kto_skontronr, kto_kreditkartennummer
FROM            dbo.tabKonto where @BDate = Bdate and INR = @Inr
)
GO

Create FUNCTION [dbo].[VorhandeneKNimBestand] 
(
    @BDate datetime,
	@INR nvarchar(3)
)
RETURNS TABLE
AS
RETURN
(	
SELECT        KN FROM            dbo.tabkreditnehmer where @BDate = Bdate and INR = @Inr
)
GO

Create FUNCTION [dbo].[VorhandeneKNEimBestand] 
(
    @BDate datetime,
	@INR nvarchar(3)
)
RETURNS TABLE
AS
RETURN
(	
SELECT        KNE FROM            dbo.tabkreditnehmereinheit where @BDate = Bdate and INR = @Inr
)
GO

ALTER PROCEDURE [dbo].[spKontenOhneVB_N] 
    @InstNR nvarchar(3),
    @BDate datetime
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKonto  
( INR, Bdate, KNID, KN, KontoNr, kto_skontronr, kto_kreditkartennummer, kto_gp_key, 
 kto_geschaeftsart_depot_a, kto_kontobezeichnung_depot_a, kto_mahnstand, kto_rueckstand_gesamt, 
 kto_gp_variante, kto_kontentyp, kto_gesamtkreditvolumen, kto_saldo, kto_inanspruchnahme, 
 kto_ueberziehung, kto_externer_kredit, kto_interner_kredit, kto_interner_kredit_bis, 
 kto_ueberziehung_genehmigt, kto_ueberziehung_genehmigt_bis, kto_ueberz_hoechste_quartal_1, 
 kto_ueberziehungstage, kto_kz_notleidend, kto_verzug_entgelt, kto_verzug_verzinslich, 
 kto_verzug_unverzinslich, kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_aval_art, 
 kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, 
 kto_monatliche_Habenumsaetze, kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_sperr_be, kto_ewb_e, 
 kto_ewb_e_datum, kto_ewb_e_jahr, kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, 
 kto_ewb_e_btrg_janf, kto_ewb_e_btrg_man, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, kto_ewb_e_btrg_blanko, 
 kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg, kto_ewb_v, kto_ewb_v_afls_btrg, 
 kto_ewb_v_btrg_janf, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, kto_ewb_v_btrg_neu, 
 kto_ewb_v_btrg_zugang, kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, kto_tilgung_61, 
 kto_relation_kredit_umsatz, kto_kz_k_s, kto_kreditart, kto_datum_eroeffnung, kto_bewilligungs_datum, 
 kto_befristung_datum, kto_ueberz_hoechste_quartal_2, kto_ueberz_hoechste_quartal_3, 
 kto_ueberz_hoechste_quartal_4, kto_ueberziehungsdatum_ab, kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, 
 kto_zinssatz, kto_ab_merkmal, kto_mindestr, kto_offene_zusage, kto_bewilligtes_darlehen, kto_vorauszahlung, 
 kto_avalkred_betrag, kto_anzahl_sicherheiten, kto_summe_sicherheiten, kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, 
 kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, kto_ewb_v_datum, kto_ewb_v_jahr, kto_ewb_v_waehrung, 
 kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_ewb_v_btrg_man, kto_ewb_v_btrg_blanko, kto_rk_betrag, kto_rk_offene_zusage, 
 kto_rk_kz, kto_rk_ts ) 
 SELECT I.INR, I.Bestandsdatum, 
 right('000' + cast(I.INR as nvarchar(3)),3) + CONVERT(varchar(6), bestandsdatum, 12) 
 + right('000000000000000' + cast(cast(KN as bigint) as nvarchar(15)),15) AS KNID, 
 cast(I.kn as bigint) as KN, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kto_gp_key, I.kto_geschaeftsart_depot_a, 
 I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
 isnull([kto_verzug_entgelt],0)+isnull([kto_verzug_verzinslich],0)+isnull([kto_verzug_unverzinslich],0) AS kto_Rueckstand, 
 I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
 I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
 I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
 I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
 I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
 I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
 I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
 I.kto_habenumsatz_vorjahr, I.kto_sperr_be, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e] ELSE 0 END AS Kto_ewb_e_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_datum] ELSE Null END AS kto_ewb_e_datum_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Jahr] ELSE Null END AS kto_ewb_e_jahr_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Waehrung] ELSE Null END AS kto_ewb_e_waehrung_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_ermg_verf] ELSE Null END AS kto_ewb_e_ermg_verf_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Daten_ursprung] ELSE Null END AS kto_ewb_e_daten_ursprung_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_janf] ELSE 0 END AS kto_ewb_e_btrg_janf_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_man] ELSE 0 END AS kto_ewb_e_btrg_man_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_man] ELSE 0 END AS kto_ewb_e_btrg_neu_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_zugang] ELSE 0 END AS kto_ewb_e_btrg_zugang_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_blanko] ELSE Null END AS kto_ewb_e_btrg_blanko_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_afls_btrg] ELSE 0 END AS kto_ewb_e_afls_btrg_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_ind_btrg] ELSE 0 END AS kto_ewb_e_absg_ind_btrg_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_dir_btrg] ELSE 0 END AS kto_ewb_e_absg_dir_btrg_Vorjahr, 
 I.kto_ewb_v, I.kto_ewb_v_afls_btrg, I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_v_btrg_neu, 
 I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, 
 CASE WHEN kto_externer_kredit <> 0 And (kto_gp_key = '0' Or kto_gp_key= '1') THEN (kto_monatliche_Habenumsaetze * 12 / kto_externer_kredit) ELSE 0 END AS A1, 
 I.kto_kz_k_s, I.kto_kreditart, I.kto_datum_eroeffnung, 
 Max(I.kto_bewilligungs_datum) AS Maxvonkto_bewilligungs_datum, 
 Max(I.kto_befristung_datum) AS Maxvonkto_befristung_datum, I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, I.kto_ueberziehung_o_ev, 
 I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, I.kto_bewilligtes_darlehen, 
 I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, I.kto_summe_sicherheiten, 
 I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, I.kto_haben_umsatz_vq_4, 
 I.kto_ewb_v_datum, I.kto_ewb_v_jahr, I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, 
 I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts 
 FROM ##Import AS I LEFT JOIN dbo.vorhandeneKontenimBestand(@BDate, @InstNR) AS K ON I.kontonr = K.KontoNr AND I.INR = K.INR AND I.Bestandsdatum = K.BDate 
 WHERE (((K.KontoNr) Is Null) AND ((I.kn_gbr_quote)=100) 
 AND ((I.kto_verfuegung1) Is Null Or (I.kto_verfuegung1)='00') 
 AND ((I.kto_verfuegung2) Is Null Or (I.kto_verfuegung2)='00') 
 AND ((I.kto_verfuegung3) Is Null Or (I.kto_verfuegung3)='00') 
 AND ((I.kto_verfuegung4) Is Null Or (I.kto_verfuegung4)='00') 
 AND ((I.kto_verfuegung5) Is Null Or (I.kto_verfuegung5)='00')) 
 GROUP BY I.INR, I.Bestandsdatum, 
 right('000' + cast(I.INR as nvarchar(3)),3) + CONVERT(varchar(6), bestandsdatum, 12) 
 + right('000000000000000' + cast(cast(KN as bigint) as nvarchar(15)),15), 
 I.kn, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kto_gp_key, I.kto_geschaeftsart_depot_a, 
 I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
 I.kto_verzug_entgelt, I.kto_verzug_verzinslich, I.kto_verzug_unverzinslich,  
 I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
 I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
 I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
 I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
 I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
 I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
 I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
 I.kto_habenumsatz_vorjahr, I.kto_sperr_be, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_datum] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Jahr] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Waehrung] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_ermg_verf] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Daten_ursprung] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_janf] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_man] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_man] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_zugang] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_blanko] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_afls_btrg] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_ind_btrg] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_dir_btrg] ELSE 0 END, 
 I.kto_ewb_v, I.kto_ewb_v_afls_btrg, I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_v_btrg_neu, 
 I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, 
 CASE WHEN [kto_externer_kredit]<>0 And ([kto_gp_key]='0' Or [kto_gp_key]='1') THEN [kto_monatliche_Habenumsaetze]*12/[kto_externer_kredit] END, 
 I.kto_kz_k_s, I.kto_kreditart, I.kto_datum_eroeffnung, 
 I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
 I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, I.kto_ueberziehung_o_ev, 
 I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, I.kto_bewilligtes_darlehen, 
 I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, I.kto_summe_sicherheiten, 
 I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, I.kto_haben_umsatz_vq_4, 
 I.kto_ewb_v_datum, I.kto_ewb_v_jahr, I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, 
 I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts  
 HAVING (((I.kontonr) Is Not Null) AND ((I.kto_skontronr) Is Null) AND ((I.kto_kreditkartennummer) Is Null))
 ORDER BY right('000' + cast(I.INR as nvarchar(3)),3) + CONVERT(varchar(6), bestandsdatum, 12) 
 + right('000000000000000' + cast(cast(KN as bigint) as nvarchar(15)),15), 
 I.kn, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer
END
GO

ALTER PROCEDURE [dbo].[spImporttabelleTempAnlegen] 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
IF OBJECT_ID('tempdb..##Import') IS NOT NULL DROP TABLE ##Import

CREATE TABLE ##Import (
	[ID] [int] NOT NULL,
	[inr] [nvarchar](3) NULL,
	[blz] [nvarchar](8) NULL,
	[bestandsdatum] [datetime] NULL,
	[kne] [float] NULL,
	[kne_identnr] [nvarchar](8) NULL,
	[kne_wv] [float] NULL,
	[kne_wv_verbnr] [float] NULL,
	[kne_berater] [nvarchar](7) NULL,
	[kne_beruf_branche] [nvarchar](30) NULL,
	[kne_gesamtkreditvolumen] [float] NULL,
	[kne_kreditvolumen_az01] [float] NULL,
	[kne_kreditvolumen_az2] [float] NULL,
	[kne_kreditvolumen_az5] [float] NULL,
	[kne_kreditvolumen_az6] [float] NULL,
	[kne_kreditvolumen_az7] [float] NULL,
	[kne_kreditvolumen_beteiligung] [float] NULL,
	[kne_kreditvolumen_derivate] [float] NULL,
	[kne_kreditvolumen_fw_kredite] [float] NULL,
	[kne_kreditvolumen_geldhandel] [float] NULL,
	[kne_kreditvolumen_so_az9] [float] NULL,
	[kne_kreditvolumen_wertpapiere] [float] NULL,
	[kne_kreditvolumen_wp_leihe] [float] NULL,
	[kne_kreditvolumen_akkreditive] [float] NULL,
	[kne_kreditvolumen_kommunal] [float] NULL,
	[kne_kreditvolumen_kreditkarten] [float] NULL,
	[kne_gesamtkreditvolumen_not] [float] NULL,
	[kne_meta_anteil_kreditvolumen] [float] NULL,
	[kne_meta_anteil_inanspruchnahme] [float] NULL,
	[kne_bewilligungsvolumen_neu] [float] NULL,
	[kn] [float] NULL,
	[kn_identnr] [nvarchar](8) NULL,
	[kn_name] [nvarchar](100) NULL,
	[kn_berater] [nvarchar](7) NULL,
	[kn_wv] [float] NULL,
	[kn_wv_verbnr] [float] NULL,
	[kn_beruf_branche] [nvarchar](30) NULL,
	[kn_wirtschaftszweig] [nvarchar](5) NULL,
	[kn_beruf] [nvarchar](3) NULL,
	[kn_strasse] [nvarchar](30) NULL,
	[kn_haus_nr] [nvarchar](10) NULL,
	[kn_post_erg] [nvarchar](30) NULL,
	[kn_postleit] [nvarchar](6) NULL,
	[kn_ort] [nvarchar](30) NULL,
	[kn_land] [nvarchar](30) NULL,
	[kn_ortskenn] [int] NULL,
	[kn_g_verb_s] [datetime] NULL,
	[kn_gbr_quote] [float] NULL,
	[kn_kundentyp] [nvarchar](3) NULL,
	[kn_o_rechts] [nvarchar](12) NULL,
	[kn_pers_art] [nvarchar](1) NULL,
	[kn_pers_unterart] [nvarchar](12) NULL,
	[kn_rechtl_s] [nvarchar](3) NULL,
	[kn_kz_organ] [nvarchar](2) NULL,
	[kn_kusydsgv] [nvarchar](8) NULL,
	[kn_org_bankgrp_ausl] [nvarchar](1) NULL,
	[kn_org_bankgrp_inl] [nvarchar](3) NULL,
	[kn_org_einlagen_ki_kz] [nvarchar](1) NULL,
	[kn_rating_methode] [nvarchar](2) NULL,
	[kn_rating_note] [nvarchar](8) NULL,
	[kn_rating_status] [nvarchar](2) NULL,
	[kn_rating_ueberschreibung] [nvarchar](1) NULL,
	[kn_rating_kennung_stp] [nvarchar](1) NULL,
	[kn_rating_datum] [datetime] NULL,
	[kn_kl_segment_1] [nvarchar](1) NULL,
	[kn_kl_segment_2] [nvarchar](1) NULL,
	[kn_kl_segment_3] [nvarchar](1) NULL,
	[kn_kl_segment_4] [nvarchar](1) NULL,
	[kn_kl_segment_5] [nvarchar](1) NULL,
	[kn_kl_segment_6] [nvarchar](1) NULL,
	[kn_kl_segment_7] [nvarchar](1) NULL,
	[kn_bonitaet] [nvarchar](3) NULL,
	[kn_risikoklasse] [nvarchar](3) NULL,
	[kn_saldo_umsatzlos] [float] NULL,
	[kn_kz_g_m_kred] [nvarchar](1) NULL,
	[kn_blankokreditvolumen_in] [float] NULL,
	[kn_blankokreditvolumen_wi] [float] NULL,
	[kn_personalkreditvolumen_in] [float] NULL,
	[kn_personalkreditvolumen_wi] [float] NULL,
	[kn_realkreditvolumen_in] [float] NULL,
	[kn_realkreditvolumen_wi] [float] NULL,
	[kn_kommunalkreditvolumen_in] [float] NULL,
	[kn_kommunalkreditvolumen_wi] [float] NULL,
	[kn_freier_anteil_in] [float] NULL,
	[kn_freier_anteil_wi] [float] NULL,
	[kn_wirt_anteil_in] [float] NULL,
	[kn_wirt_anteil_wi] [float] NULL,
	[kn_komp_anteil_in] [float] NULL,
	[kn_komp_anteil_wi] [float] NULL,
	[kn_gesamtkreditvolumen] [float] NULL,
	[kn_bewilligtes_darlehen_az6_neu] [float] NULL,
	[kn_ueberziehung_90] [float] NULL,
	[kn_gutschriftensumme_e_v] [float] NULL,
	[kn_meta_anteil_inanspruchnahme] [float] NULL,
	[kn_meta_anteil_kreditvolumen] [float] NULL,
	[kn_meta_anteil_ueberziehung] [float] NULL,
	[kn_kreditvolumen_derivate] [float] NULL,
	[kn_kreditvolumen_wertpapiere] [float] NULL,
	[kn_kreditvolumen_wp_leihe] [float] NULL,
	[kn_kreditvolumen_geldhandel] [float] NULL,
	[kn_kreditvolumen_fw_kredite] [float] NULL,
	[kn_kreditvolumen_akkreditive] [float] NULL,
	[kn_kreditvolumen_beteiligung] [float] NULL,
	[kn_kreditvolumen_so_az9] [float] NULL,
	[kn_kreditvolumen_kreditkarten] [float] NULL,
	[kn_kreditvolumen_az2] [float] NULL,
	[kn_passiv_az2_3_4_9] [float] NULL,
	[kn_passiv_depot] [float] NULL,
	[kn_bew_rahmen_le] [float] NULL,
	[kn_rueckgabenanzahl] [int] NULL,
	[kn_labile_sicherheiten] [float] NULL,
	[kn_sicherheiten_uebereignung] [float] NULL,
	[kn_zessionen] [float] NULL,
	[kn_buergschaften] [float] NULL,
	[kontonr] [nvarchar](255) NULL,
	[kto_kz_k_s] [nvarchar](1) NULL,
	[kto_geschaeftsart_depot_a] [nvarchar](3) NULL,
	[kto_skontronr] [nvarchar](50) NULL,
	[kto_kontobezeichnung_depot_a] [nvarchar](32) NULL,
	[kto_mahnstand] [nvarchar](1) NULL,
	[kto_gp_key] [nvarchar](1) NULL,
	[kto_gp_variante] [nvarchar](12) NULL,
	[kto_kontentyp] [nvarchar](12) NULL,
	[kto_kreditart] [nvarchar](3) NULL,
	[kto_datum_eroeffnung] [datetime] NULL,
	[kto_gesamtkreditvolumen] [float] NULL,
	[kto_saldo] [float] NULL,
	[kto_inanspruchnahme] [float] NULL,
	[kto_ueberziehung] [float] NULL,
	[kto_externer_kredit] [float] NULL,
	[kto_bewilligungs_datum] [datetime] NULL,
	[kto_befristung_datum] [datetime] NULL,
	[kto_interner_kredit] [float] NULL,
	[kto_interner_kredit_bis] [datetime] NULL,
	[kto_ueberziehung_genehmigt] [float] NULL,
	[kto_ueberziehung_genehmigt_bis] [datetime] NULL,
	[kto_ueberz_hoechste_quartal_1] [float] NULL,
	[kto_ueberz_hoechste_quartal_2] [float] NULL,
	[kto_ueberz_hoechste_quartal_3] [float] NULL,
	[kto_ueberz_hoechste_quartal_4] [float] NULL,
	[kto_ueberziehungstage] [float] NULL,
	[kto_ueberziehungsdatum_ab] [datetime] NULL,
	[kto_ueberziehung_m_ev] [float] NULL,
	[kto_ueberziehung_o_ev] [float] NULL,
	[kto_zinssatz] [float] NULL,
	[kto_ab_merkmal] [int] NULL,
	[kto_kz_notleidend] [nvarchar](1) NULL,
	[kto_mindestr] [nvarchar](1) NULL,
	[kto_kreditkartennummer] [nvarchar](255) NULL,
	[kto_offene_zusage] [float] NULL,
	[kto_bewilligtes_darlehen] [float] NULL,
	[kto_tilgung_3] [float] NULL,
	[kto_tilgung_4_12] [float] NULL,
	[kto_tilgung_13_60] [float] NULL,
	[kto_tilgung_61] [float] NULL,
	[kto_verzug_entgelt] [float] NULL,
	[kto_verzug_verzinslich] [float] NULL,
	[kto_verzug_unverzinslich] [float] NULL,
	[kto_vorauszahlung] [float] NULL,
	[kto_rueckgabenbetrag] [float] NULL,
	[kto_rueckgabenanzahl] [float] NULL,
	[kto_aval_art] [nvarchar](1) NULL,
	[kto_aval_einzelbe] [nvarchar](1) NULL,
	[kto_aval_rahmenkontonr] [float] NULL,
	[kto_avalkred_betrag] [float] NULL,
	[kto_meta_anteil_kreditvolumen] [float] NULL,
	[kto_meta_anteil_inanspruchnahme] [float] NULL,
	[kto_anzahl_sicherheiten] [int] NULL,
	[kto_summe_sicherheiten] [float] NULL,
	[kto_monatliche_Habenumsaetze] [float] NULL,
	[kto_habenumsatz_lfd_jahr] [float] NULL,
	[kto_habenumsatz_vorjahr] [float] NULL,
	[kto_haben_umsatz_vq_1] [float] NULL,
	[kto_haben_umsatz_vq_2] [float] NULL,
	[kto_haben_umsatz_vq_3] [float] NULL,
	[kto_haben_umsatz_vq_4] [float] NULL,
	[kto_verfuegung1] [nvarchar](2) NULL,
	[kto_verfuegung2] [nvarchar](2) NULL,
	[kto_verfuegung3] [nvarchar](2) NULL,
	[kto_verfuegung4] [nvarchar](2) NULL,
	[kto_verfuegung5] [nvarchar](2) NULL,
	[kto_sperr_be] [float] NULL,
	[kto_ewb_e] [float] NULL,
	[kto_ewb_e_datum] [datetime] NULL,
	[kto_ewb_e_jahr] [int] NULL,
	[kto_ewb_e_waehrung] [nvarchar](3) NULL,
	[kto_ewb_e_ermg_verf] [nvarchar](1) NULL,
	[kto_ewb_e_daten_ursprung] [nvarchar](1) NULL,
	[kto_ewb_e_btrg_janf] [float] NULL,
	[kto_ewb_e_btrg_man] [float] NULL,
	[kto_ewb_e_btrg_neu] [float] NULL,
	[kto_ewb_e_btrg_zugang] [float] NULL,
	[kto_ewb_e_btrg_blanko] [float] NULL,
	[kto_ewb_e_afls_btrg] [float] NULL,
	[kto_ewb_e_absg_ind_btrg] [float] NULL,
	[kto_ewb_e_absg_dir_btrg] [float] NULL,
	[kto_ewb_v] [float] NULL,
	[kto_ewb_v_datum] [datetime] NULL,
	[kto_ewb_v_jahr] [int] NULL,
	[kto_ewb_v_waehrung] [nvarchar](3) NULL,
	[kto_ewb_v_ermg_verf] [nvarchar](1) NULL,
	[kto_ewb_v_daten_ursprung] [nvarchar](1) NULL,
	[kto_ewb_v_btrg_janf] [float] NULL,
	[kto_ewb_v_btrg_man] [float] NULL,
	[kto_ewb_v_btrg_neu] [float] NULL,
	[kto_ewb_v_btrg_zugang] [float] NULL,
	[kto_ewb_v_btrg_blanko] [float] NULL,
	[kto_ewb_v_afls_btrg] [float] NULL,
	[kto_ewb_v_absg_ind_btrg] [float] NULL,
	[kto_ewb_v_absg_dir_btrg] [float] NULL,
	[kto_rk_betrag] [float] NULL,
	[kto_rk_offene_zusage] [float] NULL,
	[kto_rk_kz] [nvarchar](12) NULL,
	[kto_rk_ts] [nvarchar](26) NULL,
	[kn_verbund_art] [nvarchar](5) NULL,
	[kn_geko9513_gueltig_ab] [datetime] NULL, 
	[KNE_GEWICHTETE_BONITAET] [nvarchar] (8) NULL, 
	[KN_WARN_1210] [nvarchar] (1) NULL, 
	[KN_WARN_1310] [nvarchar] (1) NULL, 
	[KN_WARN_1425] [nvarchar] (1) NULL, 
	[KN_WARN_1435] [nvarchar] (1) NULL, 
	[KN_WARN_1455] [nvarchar] (1) NULL, 
	[KN_WARN_1510] [nvarchar] (1) NULL, 
	[KN_WARN_1530] [nvarchar] (1) NULL, 
	[KN_WARN_7000] [nvarchar] (1) NULL, 
	[KN_WARN_7001] [nvarchar] (1) NULL, 
	[KN_WARN_7002] [nvarchar] (1) NULL, 
	[KN_WARN_7003] [nvarchar] (1) NULL, 
	[KN_WARN_7004] [nvarchar] (1) NULL, 
	[KN_WARN_7008] [nvarchar] (1) NULL, 
	[KN_WARN_7017] [nvarchar] (1) NULL, 
    [KN_WARN_7021] [nvarchar] (1) NULL, 
	[KN_WARN_7029] [nvarchar] (1) NULL, 
	[KN_WARN_7031] [nvarchar] (1) NULL, 
	[KN_KUSYDSGV20] [nvarchar] (15) NULL, 

 CONSTRAINT [PK_##Import] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, 
ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END

/****** Object:  Index [IX_Kontonr]    Script Date: 05.08.2016 17:44:35 ******/
CREATE NONCLUSTERED INDEX [IX_Kontonr] ON [##Import]
(
	[KontoNr] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, 
ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

/****** Object:  Index [IX_KN]    Script Date: 05.08.2016 17:44:35 ******/
CREATE NONCLUSTERED INDEX [IX_KN] ON [##Import]
(
	[KN] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, 
ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

/****** Object:  Index [IX_Kreditkartennummer]    Script Date: 05.08.2016 17:44:35 ******/
CREATE NONCLUSTERED INDEX [IX_Kreditkartennummer] ON [##Import]
(
	[Kto_Kreditkartennummer] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, 
ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

/****** Object:  Index [IX_Skontronummer]    Script Date: 05.08.2016 17:44:35 ******/
CREATE NONCLUSTERED INDEX [IX_Skontronr] ON [##Import]
(
	[Kto_Skontronr] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, 
ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

/****** Object:  Index [IX_gbr_quote]    Script Date: 05.08.2016 17:44:35 ******/
CREATE NONCLUSTERED INDEX [IX_gbr_quote] ON [##Import]
(
	[kn_gbr_quote] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, 
ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

GO

ALTER PROCEDURE [dbo].[spKN_Anfuegen] 
@INR as nvarchar(3),
@BDate as datetime
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKreditnehmer
      (KNID, INR, Bdate, KN, kn_name, kn_berater, kn_ort, kn_wirtschaftszweig, 
      kn_ortskenn, kn_kz_organ, kn_kusydsgv, kn_rating_methode, kn_rating_note, 
      kn_rating_status, kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_verbund_art, kn_geko9513_gueltig_ab, 
      kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
      kn_personalkreditvolumen_wi, kn_PKV_SPG_in, kn_PKV_SPG_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, 
      kn_kommunalkreditvolumen_wi, kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, KN_wirt_anteil_in, KN_wirt_anteil_wi, 
      kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, 
      kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, kn_passiv_depot, kn_rueckgabenanzahl, kn_wv, kn_wv_verbnr, kn_beruf_branche, kn_beruf, kn_strasse, 
      kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, kn_rechtl_s, kn_org_bankgrp_ausl, 
      kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_rating_datum, kn_saldo_umsatzlos, kn_kz_g_m_kred, kn_ueberziehung_90, 
      kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, kn_kreditvolumen_fw_kredite, 
      kn_kreditvolumen_beteiligung, kn_kreditvolumen_akkreditive, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, KN_Kreditvolumen_az2, 
      kn_bew_rahmen_le, kn_labile_sicherheiten, kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften,
      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031      
      ) 
SELECT RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15)
       AS KNID, I.inr, I.bestandsdatum AS BDate, CAST(I.kn AS bigint) AS KN, Max(I.kn_name) as a50, max(I.kn_berater) as a51, max(I.kn_ort) as a52,
       max(I.kn_wirtschaftszweig) as a53,  max(I.kn_ortskenn) as a54, max(I.kn_kz_organ) as a55, max(I.kn_kusydsgv) as a56, 
       max(I.kn_rating_methode) as a57, max(I.kn_rating_note) as a58, 
       max(I.kn_rating_status) as a59, max(I.kn_rating_ueberschreibung) as a60, max(I.kn_bonitaet) as a61, 
       RIGHT('000' + CAST(max(I.kn_Risikoklasse) AS nvarchar(3)), 3) as a62, 
       max(I.kn_verbund_art) as a63, max(I.kn_geko9513_gueltig_ab) as a64, 
       min(I.kn_blankokreditvolumen_in)/min(I.KN_gbr_quote)*100 AS a1, 
       min(I.kn_blankokreditvolumen_wi)/min(I.KN_gbr_quote)*100 AS a2, 
       min(I.kn_personalkreditvolumen_in)/min(I.KN_gbr_quote)*100 as a3,
       min(I.kn_personalkreditvolumen_wi)/min(I.KN_gbr_quote)*100 as a4, 
       min(I.kn_blankokreditvolumen_in) + min(I.kn_personalkreditvolumen_in)/min(I.KN_gbr_quote)*100 AS a5, 
       min(I.kn_blankokreditvolumen_wi) + min(I.kn_personalkreditvolumen_wi)/min(I.KN_gbr_quote)*100 AS a6,
       min(I.kn_realkreditvolumen_in)/min(I.KN_gbr_quote)*100 as a7,
       min(I.kn_realkreditvolumen_wi)/min(I.KN_gbr_quote)*100 AS a8, 
       min(I.kn_kommunalkreditvolumen_in)/min(I.KN_gbr_quote)*100 AS a9,
       min(I.kn_kommunalkreditvolumen_wi)/min(I.KN_gbr_quote)*100 AS a10, 
       min(I.kn_freier_anteil_in)/min(I.KN_gbr_quote)*100 AS a11, 
       min(I.kn_freier_anteil_wi)/min(I.KN_gbr_quote)*100 AS a12, 
       min(I.kn_komp_anteil_in)/min(I.KN_gbr_quote)*100 AS a13, 
       min(I.kn_komp_anteil_wi)/min(I.KN_gbr_quote)*100 as a14, 
       min(I.kn_wirt_anteil_in)/min(I.KN_gbr_quote)*100 as a15, 
       min(I.kn_wirt_anteil_wi)/min(I.KN_gbr_quote)*100 as a16, 
       min(I.kn_gesamtkreditvolumen)/min(I.KN_gbr_quote)*100 as a17, 
       min(I.kn_bewilligtes_darlehen_az6_neu)/min(I.KN_gbr_quote)*100 as a18, 
       min(I.kn_gutschriftensumme_e_v)/min(I.KN_gbr_quote)*100 as a19, 
       min(I.kn_meta_anteil_inanspruchnahme)/min(I.KN_gbr_quote)*100 as a20,
       min(I.kn_meta_anteil_kreditvolumen)/min(I.KN_gbr_quote)*100 as a21,
       min(I.kn_meta_anteil_ueberziehung)/min(I.KN_gbr_quote)*100 as a22,
       min(I.kn_passiv_az2_3_4_9)/min(I.KN_gbr_quote)*100 as a23, 
       min(I.kn_passiv_depot)/min(I.KN_gbr_quote)*100 as a24,
       max(I.kn_rueckgabenanzahl) as a65, MAX(I.kn_wv) as a25a, MAX(I.kn_wv_verbnr) as a25, 
       max(I.kn_beruf_branche) as a66, max(I.kn_beruf) as a67, max(I.kn_strasse) as a68, max(I.kn_haus_nr) as a69, max(I.kn_post_erg) as a70,
       max(I.kn_postleit) as a71, max(I.kn_land) as a72, max(I.kn_g_verb_s) as a73, max(I.kn_kundentyp) as a74, max(I.kn_o_rechts) as a75, 
       max(I.kn_pers_art) as a76, max(I.kn_pers_unterart) as a77, max(I.kn_rechtl_s) as a78, max(I.kn_org_bankgrp_ausl) as a79, 
       max(I.kn_org_bankgrp_inl) as a80, max(I.kn_org_einlagen_ki_kz) as a81, max(I.kn_rating_kennung_stp) as a82, max(I.kn_rating_datum) as a83, 
       max(I.kn_saldo_umsatzlos) as a84, max(I.kn_kz_g_m_kred) as a85, 
       min(I.kn_ueberziehung_90)/min(I.KN_gbr_quote)*100 as a26, 
       min(I.kn_kreditvolumen_derivate)/min(I.KN_gbr_quote)*100 as a27, 
       min(I.kn_kreditvolumen_wertpapiere)/min(I.KN_gbr_quote)*100 as a28, 
       min(I.kn_kreditvolumen_wp_leihe)/min(I.KN_gbr_quote)*100 as a29, 
       min(I.kn_kreditvolumen_geldhandel)/min(I.KN_gbr_quote)*100 as a30, 
       min(I.kn_kreditvolumen_fw_kredite)/min(I.KN_gbr_quote)*100 as a31, 
       min(I.kn_kreditvolumen_beteiligung)/min(I.KN_gbr_quote)*100 as a32, 
       min(I.kn_kreditvolumen_akkreditive)/min(I.KN_gbr_quote)*100 as a33,
       min(I.kn_kreditvolumen_so_az9)/min(I.KN_gbr_quote)*100 as a34, 
       min(I.kn_kreditvolumen_kreditkarten)/min(I.KN_gbr_quote)*100 as a35,
       min(I.kn_kreditvolumen_az2)/min(I.KN_gbr_quote)*100 as a36, 
       min(I.kn_bew_rahmen_le)/min(I.KN_gbr_quote)*100 as a37, 
       min(I.kn_labile_sicherheiten)/min(I.KN_gbr_quote)*100 as a38, 
       min(I.kn_sicherheiten_uebereignung)/min(I.KN_gbr_quote)*100 as a39,
       min(I.kn_zessionen)/min(I.KN_gbr_quote)*100 as a40, 
       min(I.kn_buergschaften)/min(I.KN_gbr_quote)*100 as a41,
       max(I.KN_WARN_1210) as a65, 
       max(I.KN_WARN_1310) as a66, 
       max(I.KN_WARN_1425) as a67,
       max(i.KN_WARN_1435) as a68, 
       max(i.KN_WARN_1455) as a69, 
       max(i.KN_WARN_1510) as a70, 
       max(i.KN_WARN_1530) as a71, 
       max(i.KN_WARN_7000) as a72, 
       max(i.KN_WARN_7001) as a73,  
	   max(i.KN_WARN_7002) as a74, 
	   max(i.KN_WARN_7003) as a75, 
	   max(i.KN_WARN_7004) as a76, 
	   max(i.KN_WARN_7008) as a77, 
	   max(i.KN_WARN_7017) as a78, 
	   max(i.KN_WARN_7021) as a79, 
	   max(i.KN_WARN_7029) as a80, 
	   max(i.KN_WARN_7031) as a87 
FROM ##Import AS I 
LEFT JOIN    dbo.vorhandeneKNimBestand(@BDate, @INR) AS K on I.kn = K.KN
WHERE     (K.KN IS NULL)
GROUP BY I.inr, I.bestandsdatum, I.kn     
HAVING   (I.kn IS NOT NULL)
END
GO

ALTER PROCEDURE [dbo].[spStandardImportKonto] 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15)
       AS KNID, I.bestandsdatum, I.kn, I.inr, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, 
            I.kn_gbr_quote, I.kto_gp_key, I.kto_geschaeftsart_depot_a, I.kto_kontobezeichnung_depot_a, 
            I.kto_mahnstand, I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, 
            I.kto_inanspruchnahme, I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, 
            I.kto_interner_kredit_bis, I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, 
            I.kto_ueberz_hoechste_quartal_1, I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, 
            I.kto_verzug_verzinslich, I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, 
            I.kto_aval_art, I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
            I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
            I.kto_habenumsatz_vorjahr, I.kto_verfuegung1, I.kto_verfuegung2, I.kto_verfuegung3, I.kto_verfuegung4, 
            I.kto_verfuegung5, I.kto_sperr_be, I.kto_ewb_e, I.kto_ewb_e_btrg_janf, I.kto_ewb_e_afls_btrg, 
            I.kto_ewb_e_absg_ind_btrg, I.kto_ewb_e_absg_dir_btrg, I.kto_ewb_v, I.kto_ewb_v_afls_btrg, 
            I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_e_btrg_neu, 
            I.kto_ewb_e_btrg_zugang, I.kto_ewb_v_btrg_neu, I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, 
            I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, I.kto_kz_k_s, I.kto_kreditart, 
            I.kto_datum_eroeffnung, Max(I.kto_bewilligungs_datum) AS Maxvonkto_bewilligungs_datum, 
            Max(I.kto_befristung_datum) AS Maxvonkto_befristung_datum, I.kto_ueberz_hoechste_quartal_2, 
            I.kto_ueberz_hoechste_quartal_3, I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, 
            I.kto_ueberziehung_m_ev, I.kto_ueberziehung_o_ev, I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, 
            I.kto_offene_zusage, I.kto_bewilligtes_darlehen, I.kto_vorauszahlung, I.kto_avalkred_betrag, 
            I.kto_anzahl_sicherheiten, I.kto_summe_sicherheiten, I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, 
            I.kto_haben_umsatz_vq_3, I.kto_haben_umsatz_vq_4, I.kto_ewb_e_datum, I.kto_ewb_e_jahr, I.kto_ewb_e_waehrung, 
            I.kto_ewb_e_ermg_verf, I.kto_ewb_e_daten_ursprung, I.kto_ewb_e_btrg_man, I.kto_ewb_e_btrg_blanko, 
            I.kto_ewb_v_datum, I.kto_ewb_v_jahr, I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, 
            I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts 
FROM ##Import AS I
         GROUP BY RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15), 
		 I.bestandsdatum, I.kn, I.inr, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kn_gbr_quote, 
         I.kto_gp_key, I.kto_geschaeftsart_depot_a, I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
         I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
         I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
         I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
         I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
         I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
         I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
         I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
         I.kto_habenumsatz_vorjahr, I.kto_verfuegung1, I.kto_verfuegung2, I.kto_verfuegung3, I.kto_verfuegung4, 
         I.kto_verfuegung5, I.kto_sperr_be, I.kto_ewb_e, I.kto_ewb_e_btrg_janf, I.kto_ewb_e_afls_btrg, 
         I.kto_ewb_e_absg_ind_btrg, I.kto_ewb_e_absg_dir_btrg, I.kto_ewb_v, I.kto_ewb_v_afls_btrg, 
         I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_e_btrg_neu, 
         I.kto_ewb_e_btrg_zugang, I.kto_ewb_v_btrg_neu, I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, 
         I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, I.kto_kz_k_s, I.kto_kreditart, 
         I.kto_datum_eroeffnung, I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
         I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, 
         I.kto_ueberziehung_o_ev, I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, 
         I.kto_bewilligtes_darlehen, I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, 
         I.kto_summe_sicherheiten, I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, 
         I.kto_haben_umsatz_vq_4, I.kto_ewb_e_datum, I.kto_ewb_e_jahr, I.kto_ewb_e_waehrung, I.kto_ewb_e_ermg_verf, 
         I.kto_ewb_e_daten_ursprung, I.kto_ewb_e_btrg_man, I.kto_ewb_e_btrg_blanko, I.kto_ewb_v_datum, I.kto_ewb_v_jahr, 
         I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, 
         I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts  
HAVING (((I.kontonr) Is Not Null))
ORDER BY I.kn, I.kontonr, I.kto_skontronr, I.kn_gbr_quote
END
GO

ALTER PROCEDURE [dbo].[spKNE_Anfuegen] 
  @Woher nvarchar(400),
  @INR nvarchar(3),
  @BDate datetime 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKreditnehmereinheit 
           ( KNEID, Herkunft, INR, BLZ, Bdate, KNE, kne_identnr, kne_wv, kne_wv_verbnr, kne_berater, 
             kne_beruf_branche, kne_gesamtkreditvolumen, kne_kreditvolumen_az01, KNE_Kreditvolumen_az2, 
             kne_kreditvolumen_az5, kne_kreditvolumen_az6, kne_kreditvolumen_az7, kne_kreditvolumen_beteiligung, 
             kne_kreditvolumen_derivate, kne_kreditvolumen_fw_kredite, kne_kreditvolumen_geldhandel, 
             kne_kreditvolumen_so_az9, kne_kreditvolumen_wertpapiere, kne_kreditvolumen_wp_leihe, 
             kne_kreditvolumen_akkreditive, kne_kreditvolumen_kommunal, kne_kreditvolumen_kreditkarten, 
             kne_gesamtkreditvolumen_not, kne_meta_anteil_kreditvolumen, kne_meta_anteil_inanspruchnahme, 
             kne_bewilligungsvolumen_neu, I.kne_gewichtete_Bonitaet) 
             SELECT right('000' + cast(I.INR as nvarchar(3)),3) 
                  + CONVERT(varchar(6), bestandsdatum, 12) 
                  + right('000000000000000' + cast(cast(I.KNE as bigint) as nvarchar(15)),15) AS KNEID, 
             @Woher AS Herkunft, I.inr, I.blz, I.bestandsdatum, Cast(I.kne as bigint) as KNE, I.kne_identnr, 
             I.kne_wv, cast(I.kne_wv_verbnr as bigint) as kne_wv_verbnr, I.kne_berater, I.kne_beruf_branche, I.kne_gesamtkreditvolumen, I.kne_kreditvolumen_az01, 
             I.kne_kreditvolumen_az2, I.kne_kreditvolumen_az5, I.kne_kreditvolumen_az6, I.kne_kreditvolumen_az7, 
             I.kne_kreditvolumen_beteiligung, I.kne_kreditvolumen_derivate, I.kne_kreditvolumen_fw_kredite, 
             I.kne_kreditvolumen_geldhandel, I.kne_kreditvolumen_so_az9, I.kne_kreditvolumen_wertpapiere, 
             I.kne_kreditvolumen_wp_leihe, I.kne_kreditvolumen_akkreditive, I.kne_kreditvolumen_kommunal, 
             I.kne_kreditvolumen_kreditkarten, I.kne_gesamtkreditvolumen_not, I.kne_meta_anteil_kreditvolumen, 
             I.kne_meta_anteil_inanspruchnahme, I.kne_bewilligungsvolumen_neu, I.kne_gewichtete_Bonitaet  
             FROM ##Import AS I LEFT OUTER JOIN 
                   dbo.vorhandeneKNEimBestand(@BDate, @INR) AS K ON I.KNE = K.KNE 
             WHERE K.KNE is NULL 
             GROUP BY I.inr, I.blz, I.bestandsdatum, I.kne, I.kne_identnr, I.kne_wv, I.kne_wv_verbnr, I.kne_berater, 
             I.kne_beruf_branche, I.kne_gesamtkreditvolumen, I.kne_kreditvolumen_az01, I.kne_kreditvolumen_az2, 
             I.kne_kreditvolumen_az5, I.kne_kreditvolumen_az6, I.kne_kreditvolumen_az7, I.kne_kreditvolumen_beteiligung, 
             I.kne_kreditvolumen_derivate, I.kne_kreditvolumen_fw_kredite, I.kne_kreditvolumen_geldhandel, I.kne_kreditvolumen_so_az9, 
             I.kne_kreditvolumen_wertpapiere, I.kne_kreditvolumen_wp_leihe, I.kne_kreditvolumen_akkreditive, I.kne_kreditvolumen_kommunal, 
             I.kne_kreditvolumen_kreditkarten, I.kne_gesamtkreditvolumen_not, I.kne_meta_anteil_kreditvolumen, 
             I.kne_meta_anteil_inanspruchnahme, I.kne_bewilligungsvolumen_neu, I.kne_gewichtete_Bonitaet   
             HAVING I.kne Is Not Null
END
GO

create PROCEDURE [dbo].[spStandardImportKontoFuerAnzahl] 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT  I.kontonr
FROM ##Import AS I
         GROUP BY RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15), 
		 I.bestandsdatum, I.kn, I.inr, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kn_gbr_quote, 
         I.kto_gp_key, I.kto_geschaeftsart_depot_a, I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
         I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
         I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
         I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
         I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
         I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
         I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
         I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
         I.kto_habenumsatz_vorjahr, I.kto_verfuegung1, I.kto_verfuegung2, I.kto_verfuegung3, I.kto_verfuegung4, 
         I.kto_verfuegung5, I.kto_sperr_be, I.kto_ewb_e, I.kto_ewb_e_btrg_janf, I.kto_ewb_e_afls_btrg, 
         I.kto_ewb_e_absg_ind_btrg, I.kto_ewb_e_absg_dir_btrg, I.kto_ewb_v, I.kto_ewb_v_afls_btrg, 
         I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_e_btrg_neu, 
         I.kto_ewb_e_btrg_zugang, I.kto_ewb_v_btrg_neu, I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, 
         I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, I.kto_kz_k_s, I.kto_kreditart, 
         I.kto_datum_eroeffnung, I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
         I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, 
         I.kto_ueberziehung_o_ev, I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, 
         I.kto_bewilligtes_darlehen, I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, 
         I.kto_summe_sicherheiten, I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, 
         I.kto_haben_umsatz_vq_4, I.kto_ewb_e_datum, I.kto_ewb_e_jahr, I.kto_ewb_e_waehrung, I.kto_ewb_e_ermg_verf, 
         I.kto_ewb_e_daten_ursprung, I.kto_ewb_e_btrg_man, I.kto_ewb_e_btrg_blanko, I.kto_ewb_v_datum, I.kto_ewb_v_jahr, 
         I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, 
         I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts  
HAVING (((I.kontonr) Is Not Null))
END
GO

ALTER PROCEDURE [dbo].[spStandardImportKonto] 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT Max(I.ID) as ID, RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15)
       AS KNID, I.bestandsdatum, I.kn, I.inr, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, 
            I.kn_gbr_quote, I.kto_gp_key, I.kto_geschaeftsart_depot_a, I.kto_kontobezeichnung_depot_a, 
            I.kto_mahnstand, I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, 
            I.kto_inanspruchnahme, I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, 
            I.kto_interner_kredit_bis, I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, 
            I.kto_ueberz_hoechste_quartal_1, I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, 
            I.kto_verzug_verzinslich, I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, 
            I.kto_aval_art, I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
            I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
            I.kto_habenumsatz_vorjahr, I.kto_verfuegung1, I.kto_verfuegung2, I.kto_verfuegung3, I.kto_verfuegung4, 
            I.kto_verfuegung5, I.kto_sperr_be, I.kto_ewb_e, I.kto_ewb_e_btrg_janf, I.kto_ewb_e_afls_btrg, 
            I.kto_ewb_e_absg_ind_btrg, I.kto_ewb_e_absg_dir_btrg, I.kto_ewb_v, I.kto_ewb_v_afls_btrg, 
            I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_e_btrg_neu, 
            I.kto_ewb_e_btrg_zugang, I.kto_ewb_v_btrg_neu, I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, 
            I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, I.kto_kz_k_s, I.kto_kreditart, 
            I.kto_datum_eroeffnung, Max(I.kto_bewilligungs_datum) AS Maxvonkto_bewilligungs_datum, 
            Max(I.kto_befristung_datum) AS Maxvonkto_befristung_datum, I.kto_ueberz_hoechste_quartal_2, 
            I.kto_ueberz_hoechste_quartal_3, I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, 
            I.kto_ueberziehung_m_ev, I.kto_ueberziehung_o_ev, I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, 
            I.kto_offene_zusage, I.kto_bewilligtes_darlehen, I.kto_vorauszahlung, I.kto_avalkred_betrag, 
            I.kto_anzahl_sicherheiten, I.kto_summe_sicherheiten, I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, 
            I.kto_haben_umsatz_vq_3, I.kto_haben_umsatz_vq_4, I.kto_ewb_e_datum, I.kto_ewb_e_jahr, I.kto_ewb_e_waehrung, 
            I.kto_ewb_e_ermg_verf, I.kto_ewb_e_daten_ursprung, I.kto_ewb_e_btrg_man, I.kto_ewb_e_btrg_blanko, 
            I.kto_ewb_v_datum, I.kto_ewb_v_jahr, I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, 
            I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts 
FROM ##Import AS I
         GROUP BY RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15), 
		 I.bestandsdatum, I.kn, I.inr, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kn_gbr_quote, 
         I.kto_gp_key, I.kto_geschaeftsart_depot_a, I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
         I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
         I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
         I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
         I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
         I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
         I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
         I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
         I.kto_habenumsatz_vorjahr, I.kto_verfuegung1, I.kto_verfuegung2, I.kto_verfuegung3, I.kto_verfuegung4, 
         I.kto_verfuegung5, I.kto_sperr_be, I.kto_ewb_e, I.kto_ewb_e_btrg_janf, I.kto_ewb_e_afls_btrg, 
         I.kto_ewb_e_absg_ind_btrg, I.kto_ewb_e_absg_dir_btrg, I.kto_ewb_v, I.kto_ewb_v_afls_btrg, 
         I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_e_btrg_neu, 
         I.kto_ewb_e_btrg_zugang, I.kto_ewb_v_btrg_neu, I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, 
         I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, I.kto_kz_k_s, I.kto_kreditart, 
         I.kto_datum_eroeffnung, I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
         I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, 
         I.kto_ueberziehung_o_ev, I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, 
         I.kto_bewilligtes_darlehen, I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, 
         I.kto_summe_sicherheiten, I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, 
         I.kto_haben_umsatz_vq_4, I.kto_ewb_e_datum, I.kto_ewb_e_jahr, I.kto_ewb_e_waehrung, I.kto_ewb_e_ermg_verf, 
         I.kto_ewb_e_daten_ursprung, I.kto_ewb_e_btrg_man, I.kto_ewb_e_btrg_blanko, I.kto_ewb_v_datum, I.kto_ewb_v_jahr, 
         I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, 
         I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts  
HAVING (((I.kontonr) Is Not Null))
ORDER BY I.kn, I.kontonr, I.kto_skontronr, I.kn_gbr_quote
END
GO

ALTER PROCEDURE [dbo].[spKontenOhneVB_KK] 
    @InstNR nvarchar(3),
    @BDate datetime
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKonto  
( INR, Bdate, KNID, KN, KontoNr, kto_skontronr, kto_kreditkartennummer, kto_gp_key, 
 kto_geschaeftsart_depot_a, kto_kontobezeichnung_depot_a, kto_mahnstand, kto_rueckstand_gesamt, 
 kto_gp_variante, kto_kontentyp, kto_gesamtkreditvolumen, kto_saldo, kto_inanspruchnahme, 
 kto_ueberziehung, kto_externer_kredit, kto_interner_kredit, kto_interner_kredit_bis, 
 kto_ueberziehung_genehmigt, kto_ueberziehung_genehmigt_bis, kto_ueberz_hoechste_quartal_1, 
 kto_ueberziehungstage, kto_kz_notleidend, kto_verzug_entgelt, kto_verzug_verzinslich, 
 kto_verzug_unverzinslich, kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_aval_art, 
 kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, 
 kto_monatliche_Habenumsaetze, kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_sperr_be, kto_ewb_e, 
 kto_ewb_e_datum, kto_ewb_e_jahr, kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, 
 kto_ewb_e_btrg_janf, kto_ewb_e_btrg_man, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, kto_ewb_e_btrg_blanko, 
 kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg, kto_ewb_v, kto_ewb_v_afls_btrg, 
 kto_ewb_v_btrg_janf, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, kto_ewb_v_btrg_neu, 
 kto_ewb_v_btrg_zugang, kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, kto_tilgung_61, 
 kto_relation_kredit_umsatz, kto_kz_k_s, kto_kreditart, kto_datum_eroeffnung, kto_bewilligungs_datum, 
 kto_befristung_datum, kto_ueberz_hoechste_quartal_2, kto_ueberz_hoechste_quartal_3, 
 kto_ueberz_hoechste_quartal_4, kto_ueberziehungsdatum_ab, kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, 
 kto_zinssatz, kto_ab_merkmal, kto_mindestr, kto_offene_zusage, kto_bewilligtes_darlehen, kto_vorauszahlung, 
 kto_avalkred_betrag, kto_anzahl_sicherheiten, kto_summe_sicherheiten, kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, 
 kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, kto_ewb_v_datum, kto_ewb_v_jahr, kto_ewb_v_waehrung, 
 kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_ewb_v_btrg_man, kto_ewb_v_btrg_blanko, 
 kto_rk_betrag, kto_rk_offene_zusage, kto_rk_kz, kto_rk_ts ) 
 SELECT I.INR, I.Bestandsdatum, 
 right('000' + cast(I.INR as nvarchar(3)),3) + CONVERT(varchar(6), bestandsdatum, 12) 
 + right('000000000000000' + cast(cast(KN as bigint) as nvarchar(15)),15) AS KNID, 
 CAST(I.kn as bigint) as KN, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kto_gp_key, I.kto_geschaeftsart_depot_a, 
 I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
 isnull([kto_verzug_entgelt],0)+isnull([kto_verzug_verzinslich],0)+isnull([kto_verzug_unverzinslich],0) AS kto_Rueckstand, 
 I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
 I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
 I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
 I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
 I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
 I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
 I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
 I.kto_habenumsatz_vorjahr, I.kto_sperr_be, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e] ELSE 0 END AS Kto_ewb_e_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_datum] ELSE Null END AS kto_ewb_e_datum_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Jahr] ELSE Null END AS kto_ewb_e_jahr_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Waehrung] ELSE Null END AS kto_ewb_e_waehrung_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_ermg_verf] ELSE Null END AS kto_ewb_e_ermg_verf_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Daten_ursprung] ELSE Null END AS kto_ewb_e_daten_ursprung_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_janf] ELSE 0 END AS kto_ewb_e_btrg_janf_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_man] ELSE 0 END AS kto_ewb_e_btrg_man_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_neu] ELSE 0 END AS kto_ewb_e_btrg_neu_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_zugang] ELSE 0 END AS kto_ewb_e_btrg_zugang_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_blanko] ELSE Null END AS kto_ewb_e_btrg_blanko_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_afls_btrg] ELSE 0 END AS kto_ewb_e_afls_btrg_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_ind_btrg] ELSE 0 END AS kto_ewb_e_absg_ind_btrg_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_dir_btrg] ELSE 0 END AS kto_ewb_e_absg_dir_btrg_Vorjahr, 
 I.kto_ewb_v, I.kto_ewb_v_afls_btrg, I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_v_btrg_neu, 
 I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, 
 CASE WHEN kto_externer_kredit <> 0 And (kto_gp_key = '0' Or kto_gp_key= '1') THEN (kto_monatliche_Habenumsaetze * 12 / kto_externer_kredit) ELSE 0 END AS A1, 
 I.kto_kz_k_s, I.kto_kreditart, I.kto_datum_eroeffnung, 
 Max(I.kto_bewilligungs_datum) AS Maxvonkto_bewilligungs_datum, 
 Max(I.kto_befristung_datum) AS Maxvonkto_befristung_datum, I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, I.kto_ueberziehung_o_ev, 
 I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, I.kto_bewilligtes_darlehen, 
 I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, I.kto_summe_sicherheiten, 
 I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, I.kto_haben_umsatz_vq_4, 
 I.kto_ewb_v_datum, I.kto_ewb_v_jahr, I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, 
 I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts 
 FROM ##Import AS I LEFT JOIN dbo.vorhandeneKontenimBestand(@BDate, @InstNR) AS K ON I.kontonr = K.KontoNr AND I.INR = K.INR 
 AND I.Bestandsdatum = K.BDate AND I.kto_Kreditkartennummer = K.kto_Kreditkartennummer 
 WHERE (((K.KontoNr) Is Null) AND ((I.kn_gbr_quote)=100) 
 AND ((I.kto_verfuegung1) Is Null Or (I.kto_verfuegung1)='00') 
 AND ((I.kto_verfuegung2) Is Null Or (I.kto_verfuegung2)='00') 
 AND ((I.kto_verfuegung3) Is Null Or (I.kto_verfuegung3)='00') 
 AND ((I.kto_verfuegung4) Is Null Or (I.kto_verfuegung4)='00') 
 AND ((I.kto_verfuegung5) Is Null Or (I.kto_verfuegung5)='00')) 
 GROUP BY I.INR, I.Bestandsdatum, 
 right('000' + cast(I.INR as nvarchar(3)),3) + CONVERT(varchar(6), bestandsdatum, 12) 
 + right('000000000000000' + cast(cast(KN as bigint) as nvarchar(15)),15), 
 I.kn, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kto_gp_key, I.kto_geschaeftsart_depot_a, 
 I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
 I.kto_verzug_entgelt, I.kto_verzug_verzinslich, I.kto_verzug_unverzinslich,  
 I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
 I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
 I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
 I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
 I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
 I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
 I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
 I.kto_habenumsatz_vorjahr, I.kto_sperr_be, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_datum] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Jahr] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Waehrung] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_ermg_verf] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Daten_ursprung] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_janf] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_man] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_neu] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_zugang] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_blanko] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_afls_btrg] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_ind_btrg] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_dir_btrg] ELSE 0 END, 
 I.kto_ewb_v, I.kto_ewb_v_afls_btrg, I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_v_btrg_neu, 
 I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, 
 CASE WHEN [kto_externer_kredit]<>0 And ([kto_gp_key]='0' Or [kto_gp_key]='1') THEN [kto_monatliche_Habenumsaetze]*12/[kto_externer_kredit] END, 
 I.kto_kz_k_s, I.kto_kreditart, I.kto_datum_eroeffnung, 
 I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
 I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, I.kto_ueberziehung_o_ev, 
 I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, I.kto_bewilligtes_darlehen, 
 I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, I.kto_summe_sicherheiten, 
 I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, I.kto_haben_umsatz_vq_4, 
 I.kto_ewb_v_datum, I.kto_ewb_v_jahr, I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, 
 I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts  
 HAVING (((I.kontonr) Is Not Null) AND ((I.kto_skontronr) Is Null) AND ((I.kto_kreditkartennummer) Is NOT Null))
 ORDER BY right('000' + cast(I.INR as nvarchar(3)),3) + CONVERT(varchar(6), bestandsdatum, 12) 
 + right('000000000000000' + cast(cast(KN as bigint) as nvarchar(15)),15), 
 I.kn, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer
END
GO

ALTER PROCEDURE [dbo].[spKontenOhneVB_WP] 
    @InstNR nvarchar(3),
    @BDate datetime
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKonto  
( INR, Bdate, KNID, KN, KontoNr, kto_skontronr, kto_kreditkartennummer, kto_gp_key, 
 kto_geschaeftsart_depot_a, kto_kontobezeichnung_depot_a, kto_mahnstand, kto_rueckstand_gesamt, 
 kto_gp_variante, kto_kontentyp, kto_gesamtkreditvolumen, kto_saldo, kto_inanspruchnahme, 
 kto_ueberziehung, kto_externer_kredit, kto_interner_kredit, kto_interner_kredit_bis, 
 kto_ueberziehung_genehmigt, kto_ueberziehung_genehmigt_bis, kto_ueberz_hoechste_quartal_1, 
 kto_ueberziehungstage, kto_kz_notleidend, kto_verzug_entgelt, kto_verzug_verzinslich, 
 kto_verzug_unverzinslich, kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_aval_art, 
 kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, 
 kto_monatliche_Habenumsaetze, kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_sperr_be, kto_ewb_e, 
 kto_ewb_e_datum, kto_ewb_e_jahr, kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, 
 kto_ewb_e_btrg_janf, kto_ewb_e_btrg_man, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, kto_ewb_e_btrg_blanko, 
 kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg, kto_ewb_v, kto_ewb_v_afls_btrg, 
 kto_ewb_v_btrg_janf, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, kto_ewb_v_btrg_neu, 
 kto_ewb_v_btrg_zugang, kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, kto_tilgung_61, 
 kto_relation_kredit_umsatz, kto_kz_k_s, kto_kreditart, kto_datum_eroeffnung, kto_bewilligungs_datum, 
 kto_befristung_datum, kto_ueberz_hoechste_quartal_2, kto_ueberz_hoechste_quartal_3, 
 kto_ueberz_hoechste_quartal_4, kto_ueberziehungsdatum_ab, kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, 
 kto_zinssatz, kto_ab_merkmal, kto_mindestr, kto_offene_zusage, kto_bewilligtes_darlehen, kto_vorauszahlung, 
 kto_avalkred_betrag, kto_anzahl_sicherheiten, kto_summe_sicherheiten, kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, 
 kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, kto_ewb_v_datum, kto_ewb_v_jahr, kto_ewb_v_waehrung, 
 kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_ewb_v_btrg_man, kto_ewb_v_btrg_blanko,
 kto_rk_betrag, kto_rk_offene_zusage, kto_rk_kz, kto_rk_ts ) 
 SELECT I.INR, I.Bestandsdatum, 
 right('000' + cast(I.INR as nvarchar(3)),3) + CONVERT(varchar(6), bestandsdatum, 12) 
 + right('000000000000000' + cast(cast(KN as bigint) as nvarchar(15)),15) AS KNID, 
 cast(I.kn as bigint) as KN, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kto_gp_key, I.kto_geschaeftsart_depot_a, 
 I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
 isnull([kto_verzug_entgelt],0)+isnull([kto_verzug_verzinslich],0)+isnull([kto_verzug_unverzinslich],0) AS kto_Rueckstand, 
 I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
 I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
 I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
 I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
 I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
 I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
 I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
 I.kto_habenumsatz_vorjahr, I.kto_sperr_be, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e] ELSE 0 END AS Kto_ewb_e_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_datum] ELSE Null END AS kto_ewb_e_datum_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Jahr] ELSE Null END AS kto_ewb_e_jahr_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Waehrung] ELSE Null END AS kto_ewb_e_waehrung_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_ermg_verf] ELSE Null END AS kto_ewb_e_ermg_verf_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Daten_ursprung] ELSE Null END AS kto_ewb_e_daten_ursprung_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_janf] ELSE 0 END AS kto_ewb_e_btrg_janf_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_man] ELSE 0 END AS kto_ewb_e_btrg_man_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_neu] ELSE 0 END AS kto_ewb_e_btrg_neu_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_zugang] ELSE 0 END AS kto_ewb_e_btrg_zugang_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_blanko] ELSE Null END AS kto_ewb_e_btrg_blanko_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_afls_btrg] ELSE 0 END AS kto_ewb_e_afls_btrg_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_ind_btrg] ELSE 0 END AS kto_ewb_e_absg_ind_btrg_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_dir_btrg] ELSE 0 END AS kto_ewb_e_absg_dir_btrg_Vorjahr, 
 I.kto_ewb_v, I.kto_ewb_v_afls_btrg, I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_v_btrg_neu, 
 I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, 
 CASE WHEN kto_externer_kredit <> 0 And (kto_gp_key = '0' Or kto_gp_key= '1') THEN (kto_monatliche_Habenumsaetze * 12 / kto_externer_kredit) ELSE 0 END AS A1, 
 I.kto_kz_k_s, I.kto_kreditart, I.kto_datum_eroeffnung, 
 Max(I.kto_bewilligungs_datum) AS Maxvonkto_bewilligungs_datum, 
 Max(I.kto_befristung_datum) AS Maxvonkto_befristung_datum, I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, I.kto_ueberziehung_o_ev, 
 I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, I.kto_bewilligtes_darlehen, 
 I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, I.kto_summe_sicherheiten, 
 I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, I.kto_haben_umsatz_vq_4, 
 I.kto_ewb_v_datum, I.kto_ewb_v_jahr, I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, 
 I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts   
 FROM ##Import AS I LEFT JOIN dbo.vorhandeneKontenimBestand(@BDate, @InstNR) AS K ON I.kontonr = K.KontoNr AND I.INR = K.INR AND I.Bestandsdatum = K.BDate 
 WHERE (((K.KontoNr) Is Null) AND ((I.kn_gbr_quote)=100) 
 AND ((I.kto_verfuegung1) Is Null Or (I.kto_verfuegung1)='00') 
 AND ((I.kto_verfuegung2) Is Null Or (I.kto_verfuegung2)='00') 
 AND ((I.kto_verfuegung3) Is Null Or (I.kto_verfuegung3)='00') 
 AND ((I.kto_verfuegung4) Is Null Or (I.kto_verfuegung4)='00') 
 AND ((I.kto_verfuegung5) Is Null Or (I.kto_verfuegung5)='00')) 
 GROUP BY I.INR, I.Bestandsdatum, 
 right('000' + cast(I.INR as nvarchar(3)),3) + CONVERT(varchar(6), bestandsdatum, 12) 
 + right('000000000000000' + cast(cast(KN as bigint) as nvarchar(15)),15), 
 I.kn, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kto_gp_key, I.kto_geschaeftsart_depot_a, 
 I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
 I.kto_verzug_entgelt, I.kto_verzug_verzinslich, I.kto_verzug_unverzinslich,  
 I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
 I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
 I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
 I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
 I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
 I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
 I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
 I.kto_habenumsatz_vorjahr, I.kto_sperr_be, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_datum] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Jahr] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Waehrung] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_ermg_verf] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Daten_ursprung] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_janf] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_man] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_neu] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_zugang] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_blanko] ELSE Null END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_afls_btrg] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_ind_btrg] ELSE 0 END, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_dir_btrg] ELSE 0 END, 
 I.kto_ewb_v, I.kto_ewb_v_afls_btrg, I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_v_btrg_neu, 
 I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, 
 CASE WHEN [kto_externer_kredit]<>0 And ([kto_gp_key]='0' Or [kto_gp_key]='1') THEN [kto_monatliche_Habenumsaetze]*12/[kto_externer_kredit] END, 
 I.kto_kz_k_s, I.kto_kreditart, I.kto_datum_eroeffnung, 
 I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
 I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, I.kto_ueberziehung_o_ev, 
 I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, I.kto_bewilligtes_darlehen, 
 I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, I.kto_summe_sicherheiten, 
 I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, I.kto_haben_umsatz_vq_4, 
 I.kto_ewb_v_datum, I.kto_ewb_v_jahr, I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, 
 I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts   
HAVING (((I.kontonr) Is Not Null) AND ((I.kto_skontronr) Is not Null) AND ((I.kto_kreditkartennummer) Is Null))
ORDER BY right('000' + cast(I.INR as nvarchar(3)),3) + CONVERT(varchar(6), bestandsdatum, 12) 
+ right('000000000000000' + cast(cast(KN as bigint) as nvarchar(15)),15), 
I.kn, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer
END
GO

CREATE PROCEDURE [dbo].[spKontenImportmitVB] 
    @ID int,
	@KNID nvarchar(24),
	@Maxvonkto_bewilligungs_datum datetime,
	@Maxvonkto_befristung_datum datetime,
	@GBRQuote float,
	@NeuerKey INT output
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKonto  
( INR, Bdate, KNID, KN, KontoNr, kto_skontronr, kto_kreditkartennummer, kto_gp_key, 
 kto_geschaeftsart_depot_a, kto_kontobezeichnung_depot_a, kto_mahnstand, kto_gp_variante, kto_kontentyp, 
 kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_interner_kredit_bis, kto_ueberziehung_genehmigt_bis,
 kto_ueberz_hoechste_quartal_1, kto_ueberz_hoechste_quartal_2, kto_ueberz_hoechste_quartal_3, kto_ueberz_hoechste_quartal_4, 
 kto_ueberziehungstage, kto_kz_notleidend, kto_aval_art, kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_monatliche_Habenumsaetze,
 kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_kz_k_s, kto_kreditart, kto_datum_eroeffnung, 
 kto_ueberziehungsdatum_ab, kto_zinssatz, kto_ab_merkmal, kto_mindestr, kto_anzahl_sicherheiten, kto_summe_sicherheiten, 
 kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, 
 kto_ewb_v_datum, kto_ewb_v_jahr, kto_ewb_v_waehrung, kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_rk_kz, kto_rk_ts, 
 kto_bewilligungs_datum, kto_befristung_datum,  
 kto_gesamtkreditvolumen, kto_inanspruchnahme, kto_ueberziehung, kto_externer_kredit, kto_interner_kredit,  
 kto_ueberziehung_genehmigt, kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, kto_bewilligtes_darlehen,
 Kto_verzug_entgelt, kto_verzug_verzinslich, kto_verzug_unverzinslich, 
 kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, kto_saldo, kto_offene_zusage,
 kto_vorauszahlung, kto_avalkred_betrag, kto_rk_betrag, kto_rk_offene_zusage, 
 kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, kto_tilgung_61, 
 kto_relation_kredit_umsatz, 
 kto_rueckstand_gesamt,
 kto_sperr_be, kto_ewb_v_btrg_man, kto_ewb_v_btrg_blanko,
 kto_ewb_v, kto_ewb_v_afls_btrg, kto_ewb_v_btrg_janf, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, 
 kto_ewb_v_btrg_neu, kto_ewb_v_btrg_zugang,
 kto_ewb_e, kto_ewb_e_datum, kto_ewb_e_jahr, kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, 
 kto_ewb_e_btrg_janf, kto_ewb_e_btrg_man, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, kto_ewb_e_btrg_blanko, 
 kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg)  
  
 SELECT
 I.INR, I.Bestandsdatum, @KNID AS KNID, CAST(I.kn as bigint) as KN,  I.kontonr,  I.kto_skontronr,  I.kto_kreditkartennummer,  I.kto_gp_key, 
 I.kto_geschaeftsart_depot_a, I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, I.kto_gp_variante,  I.kto_kontentyp, 
 I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_interner_kredit_bis, I.kto_ueberziehung_genehmigt_bis, 
 I.kto_ueberz_hoechste_quartal_1, I.kto_ueberz_hoechste_quartal_2,  I.kto_ueberz_hoechste_quartal_3,  I.kto_ueberz_hoechste_quartal_4, 
 I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_aval_art, I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr,  I.kto_monatliche_Habenumsaetze, 
 I.kto_habenumsatz_lfd_jahr, I.kto_habenumsatz_vorjahr, I.kto_kz_k_s, I.kto_kreditart, I.kto_datum_eroeffnung, 
 I.kto_ueberziehungsdatum_ab, I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr,  I.kto_anzahl_sicherheiten,  I.kto_summe_sicherheiten, 
 I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, I.kto_haben_umsatz_vq_4,  
 I.kto_ewb_v_datum, I.kto_ewb_v_jahr, I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, I.kto_rk_kz, I.kto_rk_ts,
 @Maxvonkto_bewilligungs_datum, @Maxvonkto_befristung_datum, 
  I.kto_gesamtkreditvolumen / @GBRQuote, I.kto_inanspruchnahme / @GBRQuote, I.kto_ueberziehung / @GBRQuote, I.kto_externer_kredit / @GBRQuote, I.kto_interner_kredit / @GBRQuote, 
 I.kto_ueberziehung_genehmigt / @GBRQuote, I.kto_ueberziehung_m_ev / @GBRQuote, I.kto_ueberziehung_o_ev / @GBRQuote, I.kto_bewilligtes_darlehen / @GBRQuote, 
 I.kto_verzug_entgelt / @GBRQuote, I.kto_verzug_verzinslich / @GBRQuote, I.kto_verzug_unverzinslich / @GBRQuote, 
 I.kto_meta_anteil_kreditvolumen / @GBRQuote, I.kto_meta_anteil_inanspruchnahme / @GBRQuote, I.kto_saldo / @GBRQuote, I.kto_offene_zusage / @GBRQuote, 
 I.kto_vorauszahlung / @GBRQuote, I.kto_avalkred_betrag / @GBRQuote,I.kto_rk_betrag / @GBRQuote,  I.kto_rk_offene_zusage / @GBRQuote, 
 I.kto_tilgung_3 / @GBRQuote, I.kto_tilgung_4_12 / @GBRQuote, I.kto_tilgung_13_60 / @GBRQuote, I.kto_tilgung_61 / @GBRQuote, 
 CASE WHEN kto_externer_kredit <> 0 And (kto_gp_key = '0' Or kto_gp_key= '1') THEN (kto_monatliche_Habenumsaetze * 12 / kto_externer_kredit) ELSE 0 END AS Relation_Kredit_Umsatz,
 (isnull([kto_verzug_entgelt],0)+isnull([kto_verzug_verzinslich],0)+isnull([kto_verzug_unverzinslich],0)) / @GBRQuote AS kto_Rueckstand, 
 I.kto_sperr_be / @GBRQuote, I.kto_ewb_v_btrg_man / @GBRQuote, I.kto_ewb_v_btrg_blanko / @GBRQuote, 
 I.kto_ewb_v / @GBRQuote, I.kto_ewb_v_afls_btrg/ @GBRQuote, I.kto_ewb_v_btrg_janf/ @GBRQuote, I.kto_ewb_v_absg_ind_btrg / @GBRQuote, I.kto_ewb_v_absg_dir_btrg/ @GBRQuote, 
 I.kto_ewb_v_btrg_neu / @GBRQuote, I.kto_ewb_v_btrg_zugang / @GBRQuote, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e] / @GBRQuote ELSE 0 END AS Kto_ewb_e_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_datum] ELSE Null END AS kto_ewb_e_datum_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Jahr] ELSE Null END AS kto_ewb_e_jahr_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Waehrung] ELSE Null END AS kto_ewb_e_waehrung_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_ermg_verf] ELSE Null END AS kto_ewb_e_ermg_verf_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Daten_ursprung] ELSE Null END AS kto_ewb_e_daten_ursprung_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_janf] / @GBRQuote ELSE 0 END AS kto_ewb_e_btrg_janf_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_man] / @GBRQuote ELSE 0 END AS kto_ewb_e_btrg_man_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_neu] / @GBRQuote ELSE 0 END AS kto_ewb_e_btrg_neu_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_zugang] / @GBRQuote ELSE 0 END AS kto_ewb_e_btrg_zugang_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_blanko] / @GBRQuote ELSE Null END AS kto_ewb_e_btrg_blanko_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_afls_btrg] / @GBRQuote ELSE 0 END AS kto_ewb_e_afls_btrg_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_ind_btrg] / @GBRQuote ELSE 0 END AS kto_ewb_e_absg_ind_btrg_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_dir_btrg] / @GBRQuote ELSE 0 END AS kto_ewb_e_absg_dir_btrg_Vorjahr  
 FROM ##Import AS I  WHERE I.ID = @ID 
SET @neuerkey = @@Identity
Return @Neuerkey
 END
GO

ALTER PROCEDURE [dbo].[spStandardImportKontoFuerAnzahl] 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT Max(I.ID) as ID, RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15)
       AS KNID, I.bestandsdatum, I.kn, I.inr, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kn_gbr_quote, 
	   Max(I.kto_bewilligungs_datum) AS Maxvonkto_bewilligungs_datum, Max(I.kto_befristung_datum) AS Maxvonkto_befristung_datum, 
	   I.kto_verfuegung1, I.kto_verfuegung2, I.kto_verfuegung3, I.kto_verfuegung4, I.kto_verfuegung5  
FROM ##Import AS I
         GROUP BY RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15), 
		 I.bestandsdatum, I.kn, I.inr, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kn_gbr_quote, 
         I.kto_gp_key, I.kto_geschaeftsart_depot_a, I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
         I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
         I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
         I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
         I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
         I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
         I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
         I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
         I.kto_habenumsatz_vorjahr, I.kto_verfuegung1, I.kto_verfuegung2, I.kto_verfuegung3, I.kto_verfuegung4, 
         I.kto_verfuegung5, I.kto_sperr_be, I.kto_ewb_e, I.kto_ewb_e_btrg_janf, I.kto_ewb_e_afls_btrg, 
         I.kto_ewb_e_absg_ind_btrg, I.kto_ewb_e_absg_dir_btrg, I.kto_ewb_v, I.kto_ewb_v_afls_btrg, 
         I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_e_btrg_neu, 
         I.kto_ewb_e_btrg_zugang, I.kto_ewb_v_btrg_neu, I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, 
         I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, I.kto_kz_k_s, I.kto_kreditart, 
         I.kto_datum_eroeffnung, I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
         I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, 
         I.kto_ueberziehung_o_ev, I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, 
         I.kto_bewilligtes_darlehen, I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, 
         I.kto_summe_sicherheiten, I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, 
         I.kto_haben_umsatz_vq_4, I.kto_ewb_e_datum, I.kto_ewb_e_jahr, I.kto_ewb_e_waehrung, I.kto_ewb_e_ermg_verf, 
         I.kto_ewb_e_daten_ursprung, I.kto_ewb_e_btrg_man, I.kto_ewb_e_btrg_blanko, I.kto_ewb_v_datum, I.kto_ewb_v_jahr, 
         I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, 
         I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts  
HAVING (((I.kontonr) Is Not Null))
ORDER BY I.kn, I.kontonr, I.kto_skontronr, I.kn_gbr_quote
END
GO

ALTER PROCEDURE [dbo].[spKontenImportmitVB] 
    @ID int,
	@KNID nvarchar(24),
	@Maxvonkto_bewilligungs_datum datetime,
	@Maxvonkto_befristung_datum datetime,
	@GBRQuote float
AS
BEGIN
DECLARE @NeuerKey INT 
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKonto  
( INR, Bdate, KNID, KN, KontoNr, kto_skontronr, kto_kreditkartennummer, kto_gp_key, 
 kto_geschaeftsart_depot_a, kto_kontobezeichnung_depot_a, kto_mahnstand, kto_gp_variante, kto_kontentyp, 
 kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_interner_kredit_bis, kto_ueberziehung_genehmigt_bis,
 kto_ueberz_hoechste_quartal_1, kto_ueberz_hoechste_quartal_2, kto_ueberz_hoechste_quartal_3, kto_ueberz_hoechste_quartal_4, 
 kto_ueberziehungstage, kto_kz_notleidend, kto_aval_art, kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_monatliche_Habenumsaetze,
 kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_kz_k_s, kto_kreditart, kto_datum_eroeffnung, 
 kto_ueberziehungsdatum_ab, kto_zinssatz, kto_ab_merkmal, kto_mindestr, kto_anzahl_sicherheiten, kto_summe_sicherheiten, 
 kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, 
 kto_ewb_v_datum, kto_ewb_v_jahr, kto_ewb_v_waehrung, kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_rk_kz, kto_rk_ts, 
 kto_bewilligungs_datum, kto_befristung_datum,  
 kto_gesamtkreditvolumen, kto_inanspruchnahme, kto_ueberziehung, kto_externer_kredit, kto_interner_kredit,  
 kto_ueberziehung_genehmigt, kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, kto_bewilligtes_darlehen,
 Kto_verzug_entgelt, kto_verzug_verzinslich, kto_verzug_unverzinslich, 
 kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, kto_saldo, kto_offene_zusage,
 kto_vorauszahlung, kto_avalkred_betrag, kto_rk_betrag, kto_rk_offene_zusage, 
 kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, kto_tilgung_61, 
 kto_relation_kredit_umsatz, 
 kto_rueckstand_gesamt,
 kto_sperr_be, kto_ewb_v_btrg_man, kto_ewb_v_btrg_blanko,
 kto_ewb_v, kto_ewb_v_afls_btrg, kto_ewb_v_btrg_janf, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, 
 kto_ewb_v_btrg_neu, kto_ewb_v_btrg_zugang,
 kto_ewb_e, kto_ewb_e_datum, kto_ewb_e_jahr, kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, 
 kto_ewb_e_btrg_janf, kto_ewb_e_btrg_man, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, kto_ewb_e_btrg_blanko, 
 kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg)  
  
 SELECT
 I.INR, I.Bestandsdatum, @KNID AS KNID, CAST(I.kn as bigint) as KN,  I.kontonr,  I.kto_skontronr,  I.kto_kreditkartennummer,  I.kto_gp_key, 
 I.kto_geschaeftsart_depot_a, I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, I.kto_gp_variante,  I.kto_kontentyp, 
 I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_interner_kredit_bis, I.kto_ueberziehung_genehmigt_bis, 
 I.kto_ueberz_hoechste_quartal_1, I.kto_ueberz_hoechste_quartal_2,  I.kto_ueberz_hoechste_quartal_3,  I.kto_ueberz_hoechste_quartal_4, 
 I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_aval_art, I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr,  I.kto_monatliche_Habenumsaetze, 
 I.kto_habenumsatz_lfd_jahr, I.kto_habenumsatz_vorjahr, I.kto_kz_k_s, I.kto_kreditart, I.kto_datum_eroeffnung, 
 I.kto_ueberziehungsdatum_ab, I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr,  I.kto_anzahl_sicherheiten,  I.kto_summe_sicherheiten, 
 I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, I.kto_haben_umsatz_vq_4,  
 I.kto_ewb_v_datum, I.kto_ewb_v_jahr, I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, I.kto_rk_kz, I.kto_rk_ts,
 @Maxvonkto_bewilligungs_datum, @Maxvonkto_befristung_datum, 
  I.kto_gesamtkreditvolumen / @GBRQuote, I.kto_inanspruchnahme / @GBRQuote, I.kto_ueberziehung / @GBRQuote, I.kto_externer_kredit / @GBRQuote, I.kto_interner_kredit / @GBRQuote, 
 I.kto_ueberziehung_genehmigt / @GBRQuote, I.kto_ueberziehung_m_ev / @GBRQuote, I.kto_ueberziehung_o_ev / @GBRQuote, I.kto_bewilligtes_darlehen / @GBRQuote, 
 I.kto_verzug_entgelt / @GBRQuote, I.kto_verzug_verzinslich / @GBRQuote, I.kto_verzug_unverzinslich / @GBRQuote, 
 I.kto_meta_anteil_kreditvolumen / @GBRQuote, I.kto_meta_anteil_inanspruchnahme / @GBRQuote, I.kto_saldo / @GBRQuote, I.kto_offene_zusage / @GBRQuote, 
 I.kto_vorauszahlung / @GBRQuote, I.kto_avalkred_betrag / @GBRQuote,I.kto_rk_betrag / @GBRQuote,  I.kto_rk_offene_zusage / @GBRQuote, 
 I.kto_tilgung_3 / @GBRQuote, I.kto_tilgung_4_12 / @GBRQuote, I.kto_tilgung_13_60 / @GBRQuote, I.kto_tilgung_61 / @GBRQuote, 
 CASE WHEN kto_externer_kredit <> 0 And (kto_gp_key = '0' Or kto_gp_key= '1') THEN (kto_monatliche_Habenumsaetze * 12 / kto_externer_kredit) ELSE 0 END AS Relation_Kredit_Umsatz,
 (isnull([kto_verzug_entgelt],0)+isnull([kto_verzug_verzinslich],0)+isnull([kto_verzug_unverzinslich],0)) / @GBRQuote AS kto_Rueckstand, 
 I.kto_sperr_be / @GBRQuote, I.kto_ewb_v_btrg_man / @GBRQuote, I.kto_ewb_v_btrg_blanko / @GBRQuote, 
 I.kto_ewb_v / @GBRQuote, I.kto_ewb_v_afls_btrg/ @GBRQuote, I.kto_ewb_v_btrg_janf/ @GBRQuote, I.kto_ewb_v_absg_ind_btrg / @GBRQuote, I.kto_ewb_v_absg_dir_btrg/ @GBRQuote, 
 I.kto_ewb_v_btrg_neu / @GBRQuote, I.kto_ewb_v_btrg_zugang / @GBRQuote, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e] / @GBRQuote ELSE 0 END AS Kto_ewb_e_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_datum] ELSE Null END AS kto_ewb_e_datum_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Jahr] ELSE Null END AS kto_ewb_e_jahr_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Waehrung] ELSE Null END AS kto_ewb_e_waehrung_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_ermg_verf] ELSE Null END AS kto_ewb_e_ermg_verf_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_Daten_ursprung] ELSE Null END AS kto_ewb_e_daten_ursprung_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_janf] / @GBRQuote ELSE 0 END AS kto_ewb_e_btrg_janf_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_man] / @GBRQuote ELSE 0 END AS kto_ewb_e_btrg_man_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_neu] / @GBRQuote ELSE 0 END AS kto_ewb_e_btrg_neu_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_zugang] / @GBRQuote ELSE 0 END AS kto_ewb_e_btrg_zugang_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_btrg_blanko] / @GBRQuote ELSE Null END AS kto_ewb_e_btrg_blanko_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_afls_btrg] / @GBRQuote ELSE 0 END AS kto_ewb_e_afls_btrg_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_ind_btrg] / @GBRQuote ELSE 0 END AS kto_ewb_e_absg_ind_btrg_Vorjahr, 
 CASE WHEN isnull([kto_ewb_e_Jahr],0)=Year([bestandsdatum])-1 THEN [kto_ewb_e_absg_dir_btrg] / @GBRQuote ELSE 0 END AS kto_ewb_e_absg_dir_btrg_Vorjahr  
 FROM ##Import AS I  WHERE I.ID = @ID 
SET @neuerkey = @@Identity

Insert into tabKontoVB (KontoID, SVZ_DB) Select @NeuerKey as KontoID, kto_verfuegung1 from ##Import 
where ID = @ID and kto_verfuegung1 is not null and kto_verfuegung1 <> '' and kto_verfuegung1 <> '00'
Insert into tabKontoVB (KontoID, SVZ_DB) Select @NeuerKey as KontoID, kto_verfuegung2 from ##Import 
where ID = @ID and kto_verfuegung2 is not null and kto_verfuegung2 <> '' and kto_verfuegung2 <> '00'
Insert into tabKontoVB (KontoID, SVZ_DB) Select @NeuerKey as KontoID, kto_verfuegung3 from ##Import 
where ID = @ID and kto_verfuegung3 is not null and kto_verfuegung3 <> '' and kto_verfuegung3 <> '00'
Insert into tabKontoVB (KontoID, SVZ_DB) Select @NeuerKey as KontoID, kto_verfuegung4 from ##Import 
where ID = @ID and kto_verfuegung4 is not null and kto_verfuegung4 <> '' and kto_verfuegung4 <> '00'
Insert into tabKontoVB (KontoID, SVZ_DB) Select @NeuerKey as KontoID, kto_verfuegung5 from ##Import 
where ID = @ID and kto_verfuegung5 is not null and kto_verfuegung5 <> '' and kto_verfuegung5 <> '00'

Delete from ##Import where ID = @ID

END
GO

CREATE PROCEDURE [dbo].[spKontenImportmitVB_Cursor] 
AS
BEGIN
-- Declare the variables to store the values returned by FETCH.
DECLARE @ID as int;
DECLARE	@KNID nvarchar(24);
DECLARE @Kontonr nvarchar(10);
DECLARE @Maxvonkto_bewilligungs_datum datetime;
DECLARE @Maxvonkto_befristung_datum datetime;
DECLARE @GBRQuote float;
DECLARE @SQL nvarchar(max);
DECLARE @Konten_cursor CURSOR; 
SET @Konten_cursor = Cursor FOR
SELECT Max(I.ID) as ID, 
       RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15) AS KNID, 
	   I.kontonr, I.kn_gbr_quote, Max(I.kto_bewilligungs_datum) AS Maxvonkto_bewilligungs_datum, Max(I.kto_befristung_datum) AS Maxvonkto_befristung_datum 
FROM ##Import AS I
         GROUP BY RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15), 
		 I.bestandsdatum, I.kn, I.inr, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kn_gbr_quote, 
         I.kto_gp_key, I.kto_geschaeftsart_depot_a, I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
         I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
         I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
         I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
         I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
         I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
         I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
         I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
         I.kto_habenumsatz_vorjahr, I.kto_verfuegung1, I.kto_verfuegung2, I.kto_verfuegung3, I.kto_verfuegung4, 
         I.kto_verfuegung5, I.kto_sperr_be, I.kto_ewb_e, I.kto_ewb_e_btrg_janf, I.kto_ewb_e_afls_btrg, 
         I.kto_ewb_e_absg_ind_btrg, I.kto_ewb_e_absg_dir_btrg, I.kto_ewb_v, I.kto_ewb_v_afls_btrg, 
         I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_e_btrg_neu, 
         I.kto_ewb_e_btrg_zugang, I.kto_ewb_v_btrg_neu, I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, 
         I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, I.kto_kz_k_s, I.kto_kreditart, 
         I.kto_datum_eroeffnung, I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
         I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, 
         I.kto_ueberziehung_o_ev, I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, 
         I.kto_bewilligtes_darlehen, I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, 
         I.kto_summe_sicherheiten, I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, 
         I.kto_haben_umsatz_vq_4, I.kto_ewb_e_datum, I.kto_ewb_e_jahr, I.kto_ewb_e_waehrung, I.kto_ewb_e_ermg_verf, 
         I.kto_ewb_e_daten_ursprung, I.kto_ewb_e_btrg_man, I.kto_ewb_e_btrg_blanko, I.kto_ewb_v_datum, I.kto_ewb_v_jahr, 
         I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, 
         I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts  
HAVING (((I.kontonr) Is Not Null))
ORDER BY I.kn, I.kontonr, I.kto_skontronr, I.kn_gbr_quote

OPEN @Konten_cursor

FETCH NEXT FROM @Konten_cursor
INTO @ID, @KNID, @Kontonr, @GBRQuote, @Maxvonkto_bewilligungs_datum, @Maxvonkto_befristung_datum

-- Check @@FETCH_STATUS to see if there are any more rows to fetch.
WHILE @@FETCH_STATUS = 0
BEGIN
   BEGIN TRY
     SET @GBRQuote = @GBRQuote / 100
	 EXEC spKontenImportmitVB  @ID, @KNID, @Maxvonkto_bewilligungs_datum , @Maxvonkto_befristung_datum, @GBRQuote
   END TRY
   BEGIN CATCH
   END CATCH
   -- This is executed as long as the previous fetch succeeds.
	FETCH NEXT FROM @Konten_cursor
	INTO @ID, @KNID, @Kontonr, @GBRQuote, @Maxvonkto_bewilligungs_datum, @Maxvonkto_befristung_datum

END
CLOSE @Konten_cursor
DEALLOCATE @Konten_cursor
END
GO

/****** Object:  Index [IX_Konto]    Script Date: 17.08.2016 16:43:29 ******/
CREATE UNIQUE NONCLUSTERED INDEX [IX_Konto] ON [dbo].[tabKonto]
(
	[KontoNr] ASC,
	[KNID] ASC,
	[Bdate] ASC,
	[INR] ASC,
	[kto_skontronr] ASC,
	[kto_kreditkartennummer] ASC,
	[kto_gesamtkreditvolumen] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
ALTER PROCEDURE [dbo].[spKontenImportmitVB_Cursor] 
AS
BEGIN
-- Declare the variables to store the values returned by FETCH.
DECLARE @ID as int;
DECLARE	@KNID nvarchar(24);
DECLARE @Kontonr nvarchar(10);
DECLARE @Maxvonkto_bewilligungs_datum datetime;
DECLARE @Maxvonkto_befristung_datum datetime;
DECLARE @GBRQuote float;
DECLARE @SQL nvarchar(max);
DECLARE @Konten_cursor CURSOR; 
SET @Konten_cursor = Cursor FOR
SELECT Max(I.ID) as ID, 
       RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15) AS KNID, 
	   I.kontonr, I.kn_gbr_quote, Max(I.kto_bewilligungs_datum) AS Maxvonkto_bewilligungs_datum, Max(I.kto_befristung_datum) AS Maxvonkto_befristung_datum 
FROM ##Import AS I
         GROUP BY RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15), 
		 I.bestandsdatum, I.kn, I.inr, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kn_gbr_quote, 
         I.kto_gp_key, I.kto_geschaeftsart_depot_a, I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
         I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
         I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
         I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
         I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
         I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
         I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
         I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
         I.kto_habenumsatz_vorjahr, I.kto_verfuegung1, I.kto_verfuegung2, I.kto_verfuegung3, I.kto_verfuegung4, 
         I.kto_verfuegung5, I.kto_sperr_be, I.kto_ewb_e, I.kto_ewb_e_btrg_janf, I.kto_ewb_e_afls_btrg, 
         I.kto_ewb_e_absg_ind_btrg, I.kto_ewb_e_absg_dir_btrg, I.kto_ewb_v, I.kto_ewb_v_afls_btrg, 
         I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_e_btrg_neu, 
         I.kto_ewb_e_btrg_zugang, I.kto_ewb_v_btrg_neu, I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, 
         I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, I.kto_kz_k_s, I.kto_kreditart, 
         I.kto_datum_eroeffnung, I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
         I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, 
         I.kto_ueberziehung_o_ev, I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, 
         I.kto_bewilligtes_darlehen, I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, 
         I.kto_summe_sicherheiten, I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, 
         I.kto_haben_umsatz_vq_4, I.kto_ewb_e_datum, I.kto_ewb_e_jahr, I.kto_ewb_e_waehrung, I.kto_ewb_e_ermg_verf, 
         I.kto_ewb_e_daten_ursprung, I.kto_ewb_e_btrg_man, I.kto_ewb_e_btrg_blanko, I.kto_ewb_v_datum, I.kto_ewb_v_jahr, 
         I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, 
         I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts  
HAVING (((I.kontonr) Is Not Null))
ORDER BY I.kn, I.kontonr, I.kto_skontronr, I.kn_gbr_quote

OPEN @Konten_cursor

FETCH NEXT FROM @Konten_cursor
INTO @ID, @KNID, @Kontonr, @GBRQuote, @Maxvonkto_bewilligungs_datum, @Maxvonkto_befristung_datum

-- Check @@FETCH_STATUS to see if there are any more rows to fetch.
WHILE @@FETCH_STATUS = 0
BEGIN
   BEGIN TRY
     SET @GBRQuote = @GBRQuote / 100
	 EXEC spKontenImportmitVB  @ID, @KNID, @Maxvonkto_bewilligungs_datum , @Maxvonkto_befristung_datum, @GBRQuote
   END TRY
   BEGIN CATCH
     Delete from ##import where ID = @ID
   END CATCH
   -- This is executed as long as the previous fetch succeeds.
	FETCH NEXT FROM @Konten_cursor
	INTO @ID, @KNID, @Kontonr, @GBRQuote, @Maxvonkto_bewilligungs_datum, @Maxvonkto_befristung_datum

END
CLOSE @Konten_cursor
DEALLOCATE @Konten_cursor
END
GO


/****** Object:  Table [dbo].[_tmpAuswahl]    Script Date: 24.01.2017 17:44:30 ******/
CREATE TABLE [dbo].[_tmpAuswahl](
	[SPID] [int] NOT NULL,
	[KNEID] [nvarchar](24) NOT NULL,
	[Bdate] [datetime] NULL,
	[INR] [nvarchar](3) NULL,
	[Auswahl] [bit] NULL,
 CONSTRAINT [PK_tabAuswahlKNE] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[KNEID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Index [IX_BDate]    Script Date: 24.01.2017 17:44:30 ******/
CREATE NONCLUSTERED INDEX [IX_BDate] ON [dbo].[_tmpAuswahl]
(
	[Bdate] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

SET ANSI_PADDING ON

GO

/****** Object:  Index [IX_INR]    Script Date: 24.01.2017 17:44:30 ******/
CREATE NONCLUSTERED INDEX [IX_INR] ON [dbo].[_tmpAuswahl]
(
	[INR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  Index [IX_SPID]    Script Date: 24.01.2017 17:44:30 ******/
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[_tmpAuswahl]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[tabKNEFilter]    Script Date: 18.08.2016 15:45:48 ******/
DROP TABLE [dbo].[tabKNEFilter]
GO
CREATE TABLE [dbo].[tabKNEFilter](
	[SPID] [int] NOT NULL,
	[KNEID] [nvarchar](24) NOT NULL,
	[Filter] [nvarchar](14) NOT NULL,
	[INR] [nvarchar](3) NULL,
	[Bdate] [datetime] NULL,
	[EDate] [datetime] NOT NULL,
	[TS] [timestamp] NULL,
 CONSTRAINT [PK_KNEID_Filter] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[KNEID] ASC,
	[Filter] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Index [IX_BDate]    Script Date: 18.08.2016 15:45:48 ******/
CREATE NONCLUSTERED INDEX [IX_BDate] ON [dbo].[tabKNEFilter]
(
	[Bdate] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [IX_INR]    Script Date: 18.08.2016 15:45:48 ******/
CREATE NONCLUSTERED INDEX [IX_INR] ON [dbo].[tabKNEFilter]
(
	[INR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO
/****** Object:  Index [IX_KNEID]    Script Date: 18.08.2016 15:45:48 ******/
CREATE NONCLUSTERED INDEX [IX_KNEID] ON [dbo].[tabKNEFilter]
(
	[KNEID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_SPID]    Script Date: 18.08.2016 15:45:48 ******/
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[tabKNEFilter]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
ALTER TABLE [dbo].[tabKNEFilter] ADD  CONSTRAINT [DF_tabKNEFilter_EDate]  DEFAULT (getdate()) FOR [EDate]
GO

/****** Object:  Table [dbo].[tabFilter]    Script Date: 18.08.2016 16:06:20 ******/
DROP TABLE [dbo].[tabFilter]
GO
CREATE TABLE [dbo].[tabFilter](
	[FID] [nvarchar](14) NOT NULL,
	[SPID] [int] NULL,
	[Filtername] [nvarchar](255) NULL,
	[Filterkriterien] [ntext] NULL,
	[Aktiv] [bit] NOT NULL,
	[EWBFilter] [bit] NOT NULL,
	[FTimestamp] [timestamp] NULL,
	[INR] [nvarchar](3) NULL,
	[BDate] [datetime] NULL,
	[LastFilter] [ntext] NULL,
 CONSTRAINT [PK_tabFilter] PRIMARY KEY CLUSTERED 
(
	[FID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING ON
GO
/****** Object:  Index [IX_Filtername]    Script Date: 18.08.2016 16:06:20 ******/
CREATE NONCLUSTERED INDEX [IX_Filtername] ON [dbo].[tabFilter]
(
	[Filtername] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
/****** Object:  Index [IX_SPID]    Script Date: 18.08.2016 16:06:20 ******/
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[tabFilter]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
ALTER TABLE [dbo].[tabFilter] ADD  CONSTRAINT [DF_tabFilter_Aktiv]  DEFAULT ((1)) FOR [Aktiv]
GO
ALTER TABLE [dbo].[tabFilter] ADD  CONSTRAINT [DF_tabFilter_EWBFilter]  DEFAULT ((0)) FOR [EWBFilter]
GO

/****** Object:  Table [dbo].[tabKN_Risiko]    Script Date: 18.08.2016 16:08:26 ******/
DROP TABLE [dbo].[tabKN_Risiko]
GO

CREATE TABLE [dbo].[tabKN_Risiko](
	[KNEID] [nvarchar](24) NULL,
	[SPID] [int] NOT NULL,
	[RNR] [nvarchar](24) NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[RGrund] [nvarchar](255) NULL,
	[RTimestamp] [timestamp] NULL,
	[GBR_Quote] [real] NULL,
	[INR]  AS (left([KNEID],(3))),
	[BDate]  AS ([dbo].[getKNEIDBDate]([KNEID])),
 CONSTRAINT [PK_RNR_KNID] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[RNR] ASC,
	[KNID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ARITHABORT ON
SET CONCAT_NULL_YIELDS_NULL ON
SET QUOTED_IDENTIFIER ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
SET NUMERIC_ROUNDABORT OFF

GO

/****** Object:  Index [IX_INR]    Script Date: 18.08.2016 16:08:26 ******/
CREATE NONCLUSTERED INDEX [IX_INR] ON [dbo].[tabKN_Risiko]
(
	[INR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

SET ANSI_PADDING ON
GO

/****** Object:  Index [IX_KNEID]    Script Date: 18.08.2016 16:08:26 ******/
CREATE NONCLUSTERED INDEX [IX_KNEID] ON [dbo].[tabKN_Risiko]
(
	[KNEID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  Index [IX_SPID]    Script Date: 18.08.2016 16:08:26 ******/
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[tabKN_Risiko]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE [dbo].[tabKN_Risiko] ADD  CONSTRAINT [DF_tabKN_Risiko_GBR_Quote]  DEFAULT ((1)) FOR [GBR_Quote]
GO

ALTER TABLE [dbo].[tabKN_Risiko]  WITH CHECK ADD  CONSTRAINT [FK_tabKN_Risiko_tabKreditnehmer] FOREIGN KEY([KNID])
REFERENCES [dbo].[tabKreditnehmer] ([KNID])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[tabKN_Risiko] CHECK CONSTRAINT [FK_tabKN_Risiko_tabKreditnehmer]
GO

/****** Object:  Table [dbo].[tabKN_RisikoSammel]    Script Date: 18.08.2016 16:12:16 ******/
DROP TABLE [dbo].[tabKN_RisikoSammel]
GO

CREATE TABLE [dbo].[tabKN_RisikoSammel](
	[KNEID] [nvarchar](24) NULL,
	[SPID] [int] NOT NULL,
	[RNR] [nvarchar](24) NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[RGrund] [nvarchar](255) NULL,
	[TS] [timestamp] NULL,
	[GBR_Quote] [real] NULL,
	[INR]  AS (left([kneid],(3))),
	[BDate]  AS ([dbo].[getKNEIDBDate]([KNEID])),
 CONSTRAINT [PK_RNR_KNID_Sammel] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[RNR] ASC,
	[KNID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING ON

GO

/****** Object:  Index [IX_KNEID]    Script Date: 18.08.2016 16:12:16 ******/
CREATE NONCLUSTERED INDEX [IX_KNEID] ON [dbo].[tabKN_RisikoSammel]
(
	[KNEID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
GO

SET ANSI_PADDING ON

GO

/****** Object:  Index [IX_KNID]    Script Date: 18.08.2016 16:12:16 ******/
CREATE NONCLUSTERED INDEX [IX_KNID] ON [dbo].[tabKN_RisikoSammel]
(
	[KNID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
GO

/****** Object:  Index [IX_SPID]    Script Date: 18.08.2016 16:12:16 ******/
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[tabKN_RisikoSammel]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE [dbo].[tabKN_RisikoSammel] ADD  CONSTRAINT [DF_tabKN_RisikoSammel_GBR_Quote]  DEFAULT ((1)) FOR [GBR_Quote]
GO

ALTER TABLE [dbo].[tabKN_RisikoSammel]  WITH CHECK ADD  CONSTRAINT [FK_tabKN_RisikoSammel_tabKreditnehmer] FOREIGN KEY([KNID])
REFERENCES [dbo].[tabKreditnehmer] ([KNID])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[tabKN_RisikoSammel] CHECK CONSTRAINT [FK_tabKN_RisikoSammel_tabKreditnehmer]
GO

/****** Object:  Table [dbo].[_tmpKNE]    Script Date: 18.08.2016 16:50:55 ******/
DROP TABLE [dbo].[_tmpKNE]
GO

CREATE TABLE [dbo].[_tmpKNE](
	[SPID] [int] NOT NULL,
	[KNEID] [nvarchar](24) NOT NULL,
	[KNE_Name] [nvarchar](100) NULL,
	[kne_berater] [nvarchar](7) NULL,
	[Bdate] [datetime] NULL,
	[Herkunft] [nvarchar](255) NULL,
	[INR] [nvarchar](3) NULL,
	[BLZ] [nvarchar](8) NULL,
	[TS] [timestamp] NULL,
 CONSTRAINT [PK__tmpKNE] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[KNEID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING ON

GO

/****** Object:  Index [IX_KNEID]    Script Date: 18.08.2016 16:50:55 ******/
CREATE NONCLUSTERED INDEX [IX_KNEID] ON [dbo].[_tmpKNE]
(
	[KNEID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  Index [IX_SPID]    Script Date: 18.08.2016 16:50:55 ******/
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[_tmpKNE]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

--ALTER PROCEDURE [dbo].[spFilterEintragen] 
--    @InstNR nvarchar(3),
--    @BDate datetime,
--    @FID nvarchar(14),
--	@SPID int 
--AS
--BEGIN
--	SET NOCOUNT ON;
---- Insert statements for procedure here
--INSERT INTO tabKNEFilter ( KNEID, INR, BDATE, Filter, SPID ) 
--(SELECT KNE.KNEID, @InstNR as INR, @BDate as BDate, @FID AS Filter, @SPID 
--FROM tabKreditnehmereinheit AS KNE 
--WHERE KNE.tmpLoeschKZ = 0 
--GROUP BY KNE.KNEID);
--END
--GO

--ALTER PROCEDURE [dbo].[spRisikogruppeNormalAnlegen] 
--  @INR  nvarchar(3),
--  @BDate datetime,
--  @SPID int
--AS
--BEGIN
--	SET NOCOUNT ON;
---- Insert statements for procedure here
--INSERT INTO tabKN_Risiko (KNEID, RNR, KNID, GBR_Quote, RGrund, SPID)
--SELECT     KNE.KNEID, KNE.KNEID AS Expr1, V.KNID, V.GBR_Quote, 'KNE' AS RGrund, @SPID as SPID 
--FROM       tabKreditnehmereinheit AS KNE INNER JOIN
--           tab_KNE_KN AS V ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
--           tabKN_Risiko AS tabKN_Risiko_1 ON V.KNID = tabKN_Risiko_1.KNID AND V.KNEID = tabKN_Risiko_1.RNR
--WHERE     KNE.INR = @INR and KNE.BDate = @BDate and KNE.Auswahl = 1 AND tabKN_Risiko_1.RNR IS NULL AND tabKN_Risiko_1.KNID IS NULL;
--END
--GO

ALTER PROCEDURE [dbo].[spRisikoKNESammel_uebernehmen] 
@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKN_RisikoSammel(KNEID, KNID, RGrund, RNR, GBR_Quote, SPID)
SELECT      V.KNEID, V.KNID, 'KNE' AS RGrund, V.KNEID AS RNR, V.GBR_Quote, @SPID  
FROM        tab_KNE_KN AS V INNER JOIN _tmpStichprobe ON V.KNEID = _tmpStichprobe.KNEID
WHERE     (_tmpStichprobe.Auswahl = 1);
END
GO


/****** Object:  Table [dbo].[_tmpFeldauswahl]    Script Date: 22.08.2016 17:14:16 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpFeldauswahl](
	[SPID] [int] NOT NULL,
	[Feldname] [nvarchar](255) NOT NULL,
	[Tabellenname] [nvarchar](255) NULL,
	[Sortierung] [integer] NULL,
	[TS] [Timestamp] NULL,
 CONSTRAINT [PK__tmpFeldauswahl] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[Feldname] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Index [IX_SPID]    Script Date: 22.08.2016 17:14:16 ******/
CREATE UNIQUE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[_tmpFeldauswahl]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[sichernFeldauswahl]    Script Date: 23.08.2016 09:08:10 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[sichernFeldauswahl](
	[FAID] [int] IDENTITY(1,1) NOT NULL,
	[Feldauswahlname] [nvarchar](255) NULL,
	[FDatum] [datetime] NULL,
	[SPID] [int] NULL,
	[SArt] [nvarchar](50) NULL,
 CONSTRAINT [PK_Feldauswahl] PRIMARY KEY CLUSTERED 
(
	[FAID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Index [IX_SPID]    Script Date: 23.08.2016 09:08:10 ******/
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[sichernFeldauswahl]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO


/****** Object:  Table [dbo].[SichernFeldauswahlFelder]    Script Date: 23.08.2016 09:09:57 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[SichernFeldauswahlFelder](
	[FFAID] [int] IDENTITY(1,1) NOT NULL,
	[FAID] [int] NULL,
	[Feldname] [nvarchar](255) NULL,
	[Tabellenname] [nvarchar](255) NULL,
	[Sortierung] [int] NULL,
 CONSTRAINT [PK_SichernFeldauswahlFelder] PRIMARY KEY CLUSTERED 
(
	[FFAID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Index [IX_FAID]    Script Date: 23.08.2016 09:09:57 ******/
CREATE NONCLUSTERED INDEX [IX_FAID] ON [dbo].[SichernFeldauswahlFelder]
(
	[FAID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE [dbo].[SichernFeldauswahlFelder]  WITH CHECK ADD  CONSTRAINT [FK_SichernFeldauswahlFelder_sichernFeldauswahl] FOREIGN KEY([FAID])
REFERENCES [dbo].[sichernFeldauswahl] ([FAID])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[SichernFeldauswahlFelder] CHECK CONSTRAINT [FK_SichernFeldauswahlFelder_sichernFeldauswahl]
GO


/****** Object:  StoredProcedure [dbo].[spAusgewaehlt]    Script Date: 22.08.2016 17:44:15 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
CREATE PROCEDURE [dbo].[spFeldauswahl] 
    @SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT Feldname from _tmpFeldauswahl where SPID = @SPID order by Sortierung
END
GO

ALTER PROCEDURE [dbo].[spFeldauswahl] 
    @SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT Feldname from _tmpFeldauswahl where SPID = @SPID order by tabellenname, Sortierung
END
GO

create PROCEDURE [dbo].[spSichernFeldAuswahl] 
    @SPID int,
    @FeldAuswahlname nvarchar(255),
    @SArt nvarchar(50) 
AS
DECLARE @NeuerKey INT
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
	INSERT INTO SichernFeldAuswahl(SPID, FeldAuswahlname, SArt) 
	VALUES (@SPID, @FeldAuswahlname, @SArt)      
    SET @neuerkey = @@Identity

    -- Prozedur gibt den neuen Schlssel zurck
    RETURN @neuerkey 
END
GO

/****** Object:  StoredProcedure [dbo].[spSichernAuswahl]    Script Date: 22.08.2016 19:37:17 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

alter PROCEDURE [dbo].[spSichernFeldAuswahl] 
    @SPID int,
    @FeldAuswahlname nvarchar(255),
    @SArt nvarchar(50) 
AS
DECLARE @NeuerKey INT
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
	INSERT INTO SichernFeldAuswahl(SPID, FeldAuswahlname, SArt) 
	VALUES (@SPID, @FeldAuswahlname, @SArt)      
    SET @neuerkey = @@Identity

    -- Prozedur gibt den neuen Schlssel zurck
    RETURN @neuerkey 

	INSERT INTO sichernFeldauswahlFelder
            (FAID, Feldname, Tabellenname, Sortierung)
SELECT      @NeuerKey, Feldname, Tabellenname, Sortierung  
FROM        _tmpFeldauswahl
WHERE       SPID = @SPID        
END
Go


alter PROCEDURE [dbo].[spSichernFeldAuswahl] 
    @SPID int,
    @FeldAuswahlname nvarchar(255),
    @SArt nvarchar(50) 
AS
DECLARE @NeuerKey INT
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
	INSERT INTO SichernFeldAuswahl(SPID, FeldAuswahlname, SArt) 
	VALUES (@SPID, @FeldAuswahlname, @SArt)      
    SET @neuerkey = @@Identity

	INSERT INTO sichernFeldauswahlFelder (FAID, Feldname, Tabellenname, Sortierung)
	SELECT      @NeuerKey, Feldname, Tabellenname, Sortierung  
	FROM        _tmpFeldauswahl WHERE SPID = @SPID        
            
END
GO

CREATE PROCEDURE [dbo].[spSucheFeldAuswahlfuerSichern] 
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     faid,  feldAuswahlname, fdatum
FROM         sichernFeldAuswahl as S 
WHERE     (s.SPID = @SPID) 
Order by fdatum desc
END
GO

create PROCEDURE [dbo].[spSucheFeldAuswahl] 
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     FAID, Feldauswahlname  + ' - gesichert am ' + CONVERT(varchar(10), fdatum, 104) 
FROM         sichernfeldAuswahl 
WHERE     (SPID = @SPID)  
Order by fdatum desc
END
GO

CREATE PROCEDURE [dbo].[spSucheFeldAuswahlOeffentlich] 
    @SArt nvarchar(50)  
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     FAID, FeldAuswahlname  + ' - gesichert am ' + CONVERT(varchar(10), fdatum, 104) + ' ' + 
           CONVERT(varchar(5), fdatum, 108), fdatum
FROM         sichernFeldAuswahl 
WHERE     (SART = @SArt) 
Order by fdatum desc
END
GO

Create PROCEDURE [dbo].[spSucheFeldAuswahlALLE] 
    @SPID int,
    @SArt nvarchar(50)  
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     FAID, S.feldAuswahlname + ' - gesichert am ' + CONVERT(varchar(10), 
                      FDatum, 104) + ' ' + CONVERT(varchar(5), FDatum, 108) AS Expr1,  fdatum, stabPersonen.SPName, stabPersonen.SPVorname
FROM         sichernFeldAuswahl AS S INNER JOIN
                      stabPersonen ON S.SPID = stabPersonen.SPID
WHERE     ((S.SArt = @SArt) OR (S.SPID = @SPID))
ORDER BY FDatum DESC
END
GO

CREATE PROCEDURE [dbo].[spLadenFelder] 
    @FAID int
AS
BEGIN
	SET NOCOUNT ON;
INSERT INTO _tmpFeldauswahl
            (SPID, Feldname, Tabellenname,Sortierung)
SELECT       A.SPID, F.Feldname, F.Tabellenname, F.Sortierung
FROM         sichernFeldauswahlFelder as F inner join sichernFeldauswahl as A on F.Faid = A.FAID 
WHERE       A.FAID = @FAID 
  
END
GO


Create PROCEDURE [dbo].[spLoeschenFeldauswahl] 
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
Delete FROM _tmpFeldauswahl
WHERE       SPID = @SPID
  
END
GO

ALTER PROCEDURE [dbo].[spSichernFeldAuswahl] 
    @SPID int,
    @FeldAuswahlname nvarchar(255),
    @SArt nvarchar(50) 
AS
DECLARE @NeuerKey INT
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
	INSERT INTO SichernFeldAuswahl(SPID, FeldAuswahlname, SArt, FDatum) 
	VALUES (@SPID, @FeldAuswahlname, @SArt, getdate())      
    SET @neuerkey = @@Identity

	INSERT INTO sichernFeldauswahlFelder (FAID, Feldname, Tabellenname, Sortierung)
	SELECT      @NeuerKey, Feldname, Tabellenname, Sortierung  
	FROM        _tmpFeldauswahl WHERE SPID = @SPID        
            
END
GO

CREATE PROCEDURE [dbo].[spGetFeldAuswahlname] 
    @FAID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     FeldAuswahlname  + ' - gesichert am ' + CONVERT(varchar(10), fdatum, 104) + ' ' + 
           CONVERT(varchar(5), fdatum, 108) as Auswahlname
FROM         sichernFeldAuswahl 
WHERE     (FAID = @FAID) 
END
GO

CREATE PROCEDURE [dbo].[spFeldnameVorhanden] 
    @Feldname nvarchar(255),
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT      Feldname from _tmpFeldauswahl where SPID = @spid and Feldname = @feldname
END
GO


/****** Object:  UserDefinedFunction [dbo].[EinzelExportREXLS_Basis]    Script Date: 15.01.2018 18:10:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE FUNCTION [dbo].[EinzelExportREXLS_Basis] 
(
    @INSTNR nvarchar(3),
    @BDate datetime,
	@SPID int 
)
RETURNS TABLE
AS
RETURN
(	
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_externe_kredite, KNE.kne_interne_kredite, kne_Bonitaet, kne_Ueberziehungsgenehmigungen, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, 
Kne_Guthaben, kne_Realkreditvolumen_in, kne_Personalkreditvolumen_in, kne_PKV_SPG_in,   
kne_Kreditueberschreitung, KNE.KNE_Name, KNE.kne_Darlehensrueckstand, KNE.kne_Risikoklasse, 
kne_blankokreditvolumen_in, kne_Kommunalkreditvolumen_in, kne_Kompensationskreditvolumen_in, kne_freier_anteil_in, 
kne_wirt_anteil_in, kne_Realkreditvolumen_wi, kne_Personalkreditvolumen_wi, kne_blankokreditvolumen_wi, 
kne_Kommunalkreditvolumen_wi, kne_Kompensationskreditvolumen_wi, kne_freier_anteil_wi, kne_wirt_anteil_wi, 
kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg,
kne_ewb_e, kne_ewb_e_absg_dir_btrg, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, kne_ewb_v_afls_btrg,
kne_ewb_v_absg_ind_btrg, kne_ewb_v, kne_ewb_v_absg_dir_btrg, kne_ewb_Veraenderung, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, 
CASE WHEN V.RGrund = 'KNE' THEN V.GBR_Quote ELSE NULL END AS kn_gbr_quote,
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031
FROM  _tmpAuswahl as T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID INNER JOIN 
      tabKreditnehmer AS KN INNER JOIN
      tabKN_Risiko AS V ON KN.KNID = V.KNID ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
      _tmpSegmente1Bis7 ON KN.KNID = _tmpSegmente1Bis7.KNID LEFT OUTER JOIN
      tabKonto AS K ON KN.KNID = K.KNID LEFT OUTER JOIN
      _tmpVB1Bis5 ON K.KontoID = _tmpVB1Bis5.KontoID
where T.SPID = @SPID and T.BDate = @BDate and t.INR = @InstNR 
)

GO
/****** Object:  UserDefinedFunction [dbo].[SammelExportXLS_Basis]    Script Date: 15.01.2018 18:11:52 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


/****** Object:  Index [IX_SPID]    Script Date: 23.09.2016 15:43:05 ******/
DROP INDEX [IX_SPID] ON [dbo].[_tmpFeldauswahl]
GO


/****** Object:  Index [IX_SPID]    Script Date: 23.09.2016 15:46:23 ******/
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[_tmpFeldauswahl]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO


ALTER PROCEDURE [dbo].[spLadenKNRisiko] 
    @AuswahlID int,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
INSERT INTO tabKN_Risiko
           (SPID, KNEID, RNR, KNID, RGrund, GBR_Quote)
SELECT      @SPID as SPID, KNEID, RNR, KNID, RGrund, GBR_Quote 
FROM       sichernKN_Risiko
WHERE      AuswahlID = @AuswahlID         
END
GO

ALTER PROCEDURE [dbo].[spLadenKNRisikoSammel] 
    @AuswahlID int,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
INSERT INTO tabKN_RisikoSammel
           (SPID, KNEID, RNR, KNID, RGrund, GBR_Quote)
SELECT      @SPID as SPID, KNEID, RNR, KNID, RGrund, GBR_Quote 
FROM       sichernKN_RisikoSammel 
WHERE      AuswahlID = @AuswahlID         
END
GO


ALTER PROCEDURE [dbo].[spLadenKNEFilter] 
    @AuswahlID int,
	@SPID int
	 
AS
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
INSERT INTO tabKNEFilter
           (SPID, KNEID, INR, Bdate, Filter)
SELECT      @SPID as SPID, KNEID, INR, Bdate, Filter
FROM       sichernKNEFilter
WHERE      AuswahlID = @AuswahlID         
END
GO

ALTER TABLE [dbo].[tabEWBKNEFilter] DROP CONSTRAINT [DF_tabEWBKNEFilter_EDate]
GO

/****** Object:  Table [dbo].[tabEWBKNEFilter]    Script Date: 12.10.2016 14:58:43 ******/
DROP TABLE [dbo].[tabEWBKNEFilter]
GO

CREATE TABLE [dbo].[tabEWBKNEFilter](
	[SPID] [int] NOT NULL,
	[KNEID] [nvarchar](24) NOT NULL,
	[Filter] [nvarchar](14) NOT NULL,
	[INR] [nvarchar](3) NULL,
	[Bdate] [datetime] NULL,
	[FTimestamp] [timestamp] NULL,
	[EDate] [datetime] NOT NULL,
 CONSTRAINT [PK_KNEIDFilter] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[KNEID] ASC,
	[Filter] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[tabEWBKNEFilter] ADD  CONSTRAINT [DF_tabEWBKNEFilter_EDate]  DEFAULT (getdate()) FOR [EDate]
GO

ALTER PROCEDURE [dbo].[spLadenEWBKNEFilter] 
    @AuswahlID int,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
INSERT INTO tabEWBKNEFilter
           (SPID, KNEID, INR, Bdate, Filter)
SELECT      @SPID as SPID, KNEID, INR, Bdate, Filter
FROM       sichernEWBKNEFilter
WHERE      AuswahlID = @AuswahlID         
END
GO

ALTER PROCEDURE [dbo].[spEineKNEID_ohneKNID_an_tmpKNE] 
    @KNEID nvarchar(24),
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpKNE
            (SPID, KNEID, KNE_Name, INR, Bdate, kne_berater, BLZ, Herkunft)
SELECT       @SPID as SPID, KNE.KNEID, KNE.KNE_Name, KNE.INR, KNE.Bdate, KNE.kne_berater, 
             KNE.BLZ, KNE.Herkunft 
FROM         tabKreditnehmereinheit AS KNE 
WHERE        KNE.KNEID = @KNEID;
END
GO

/****** Object:  Table [dbo].[_tmpRisikoeinheit]    Script Date: 12.10.2016 15:57:52 ******/
DROP TABLE [dbo].[_tmpRisikoeinheit]
GO

/****** Object:  Table [dbo].[_tmpRisikoeinheit]    Script Date: 12.10.2016 15:57:52 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpRisikoeinheit](
	[KNEID] [nvarchar](24) NULL,
	[KNE_Name] [nvarchar](100) NULL,
	[kne_identnr] [nvarchar](8) NULL,
	[RNR] [nvarchar](24) NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[RGrund] [nvarchar](255) NULL,
	[kne_berater] [nvarchar](7) NULL,
	[Bdate] [datetime] NULL,
	[Herkunft] [nvarchar](255) NULL,
	[INR] [nvarchar](3) NULL,
	[BLZ] [nvarchar](8) NULL,
 CONSTRAINT [PK__tmpRisikoeinheit] PRIMARY KEY CLUSTERED 
(
	[RNR] ASC,
	[KNID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER PROCEDURE [dbo].[spEineRNR_ohneKNID_an_tmpRisikoeinheit] 
    @KNEID nvarchar(24),
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoeinheit
            (SPID, KNEID, KNE_Name, kne_identnr, RNR, INR, Bdate, kne_berater, BLZ, Herkunft, KNID)
SELECT       @SPID as SPID, KNE.KNEID, KNE.KNE_Name, KNE.kne_identnr, KNE.KNEID, KNE.INR, KNE.Bdate, KNE.kne_berater, 
             KNE.BLZ, KNE.Herkunft, 0 as KNID 
FROM         tabKreditnehmereinheit AS KNE 
WHERE        KNE.KNEID = @KNEID;
END
GO

ALTER PROCEDURE [dbo].[spEineRNR_ohneKNID_an_tmpRisikoeinheit] 
    @KNEID nvarchar(24),
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoeinheit
            (SPID, KNEID, KNE_Name, kne_identnr, RNR, INR, Bdate, kne_berater, BLZ, Herkunft, KNID)
SELECT       @SPID as SPID, KNE.KNEID, KNE.KNE_Name, KNE.kne_identnr, KNE.KNEID, KNE.INR, KNE.Bdate, KNE.kne_berater, 
             KNE.BLZ, KNE.Herkunft, 0 as KNID 
FROM         tabKreditnehmereinheit AS KNE 
WHERE        KNE.KNEID = @KNEID;
END
GO

ALTER TABLE [dbo].[_tmpRisikoKN] DROP CONSTRAINT [DF__tmpRisikoKN_Auswahl]
GO

/****** Object:  Table [dbo].[_tmpRisikoKN]    Script Date: 12.10.2016 17:32:45 ******/
DROP TABLE [dbo].[_tmpRisikoKN]
GO

CREATE TABLE [dbo].[_tmpRisikoKN](
	[Auswahl] [bit] NOT NULL,
	[KNEID] [nvarchar](24) NULL,
	[SPID] [int] NOT NULL,
	[RNR] [nvarchar](24) NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[RGrund] [nvarchar](255) NULL,
	[kn_name] [nvarchar](100) NULL,
	[kn_gesamtkreditvolumen] [float] NULL,
	[GBR_Quote_Gesamt] [real] NULL,
 CONSTRAINT [PK__tmpRisikoKN] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[RNR] ASC,
	[KNID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[_tmpRisikoKN] ADD  CONSTRAINT [DF__tmpRisikoKN_Auswahl]  DEFAULT ((0)) FOR [Auswahl]
GO


ALTER PROCEDURE [dbo].[spRisikoKN] 
    @RNR nvarchar(24),
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoKN (SPID, KNEID, RNR, KNID, RGrund, kn_name, kn_gesamtkreditvolumen, GBR_Quote_Gesamt)
SELECT tabkn_risiko.SPID, tabKN_Risiko.KNEID, tabKN_Risiko.RNR, tabKreditnehmer.KNID, tabKN_Risiko.RGrund, 
tabKreditnehmer.kn_name, tabKreditnehmer.kn_gesamtkreditvolumen * tabKN_Risiko.GBR_Quote, tabKN_Risiko.GBR_Quote    
FROM tabKreditnehmer INNER JOIN tabKN_Risiko ON tabKreditnehmer.KNID = tabKN_Risiko.KNID
WHERE (((tabKN_Risiko.RNR)=@RNR) and tabKN_Risiko.spid = @SPID)
Group by tabkn_risiko.spid, tabKN_Risiko.KNEID, tabKN_Risiko.RNR, tabKreditnehmer.KNID, tabKN_Risiko.RGrund, 
tabKreditnehmer.kn_name, tabKreditnehmer.kn_gesamtkreditvolumen, tabKN_Risiko.GBR_Quote  
ORDER BY tabKN_Risiko.RNR, tabKreditnehmer.kn_name;

END
GO


ALTER PROCEDURE [dbo].[spLadenFilter] 
    @AuswahlID int,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
INSERT INTO tabFilter
            (SPID, FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR, LastFilter, BDate)
SELECT       @SPID, FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR, LastFilter, BDate
FROM         sichernFilter
WHERE       AuswahlID = @AuswahlID 

INSERT INTO stabFilter
            (FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR,  BDate)
SELECT       FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR,  BDate
FROM         sichernManuelleFilter
WHERE       AuswahlID = @AuswahlID
       
END
GO

ALter Table stabFilter add SPID int Null;
GO

--ALTER PROCEDURE [dbo].[spLoescheAuswahl] 
--	@INR nvarchar(3),
--    @BDate datetime,
--	@SPID int 
--AS
--BEGIN
--SET NOCOUNT ON;
---- Insert statements for procedure here
--Delete from tabFilter WHERE  INR = @INR and BDate = @BDate and SPID = @SPID;
--Delete from tabKNEFilter WHERE  INR = @INR and BDate = @BDate and SPID = @SPID;
--Delete from tabEWBKNEFilter WHERE  INR = @INR and BDate = @BDate and SPID = @SPID;
--Delete from tabKN_Risiko WHERE  INR = @INR and BDate = @BDate and SPID = @SPID;
--Delete from tabKN_RisikoSammel WHERE  INR = @INR and BDate = @BDate and SPID = @SPID;
--Delete from stabFilter WHERE  INR = @INR and BDate = @BDate and SPID = @SPID; 
--Update tabKreditnehmereinheit SET Auswahl = 0, EWBAuswahl = 0, EWBStichprobe = 0 
--       WHERE INR = @INR and BDate = @BDate;
--END
--GO

ALTER TABLE [dbo].[tabFilter] DROP CONSTRAINT [DF_tabFilter_EWBFilter]
GO

ALTER TABLE [dbo].[tabFilter] DROP CONSTRAINT [DF_tabFilter_Aktiv]
GO

/****** Object:  Table [dbo].[tabFilter]    Script Date: 13.10.2016 16:25:17 ******/
DROP TABLE [dbo].[tabFilter]
GO

CREATE TABLE [dbo].[tabFilter](
	[FID] [nvarchar](14) NOT NULL,
	[SPID] [int] NOT NULL,
	[Filtername] [nvarchar](255) NULL,
	[Filterkriterien] [ntext] NULL,
	[Aktiv] [bit] NOT NULL,
	[EWBFilter] [bit] NOT NULL,
	[FTimestamp] [timestamp] NULL,
	[INR] [nvarchar](3) NULL,
	[BDate] [datetime] NULL,
	[LastFilter] [ntext] NULL,
 CONSTRAINT [PK_tabFilter_1] PRIMARY KEY CLUSTERED 
(
	[FID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[tabFilter] ADD  CONSTRAINT [DF_tabFilter_Aktiv]  DEFAULT ((1)) FOR [Aktiv]
GO

ALTER TABLE [dbo].[tabFilter] ADD  CONSTRAINT [DF_tabFilter_EWBFilter]  DEFAULT ((0)) FOR [EWBFilter]
GO


ALTER PROCEDURE [dbo].[spLadenFilter] 
    @AuswahlID int,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
INSERT INTO tabFilter
            (SPID, FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR, LastFilter, BDate)
SELECT       @SPID, FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR, LastFilter, BDate
FROM         sichernFilter
WHERE       AuswahlID = @AuswahlID 

INSERT INTO stabFilter
            (FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR,  BDate)
SELECT       FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR,  BDate
FROM         sichernManuelleFilter
WHERE       AuswahlID = @AuswahlID
       
END
GO

--ALTER PROCEDURE [dbo].[spEWBFilterEintragen] 
--    @InstNR nvarchar(3),
--    @BDate datetime,
--    @FID nvarchar(14),
--	@SPID int 
--AS
--BEGIN
--	SET NOCOUNT ON;
---- Insert statements for procedure here
--INSERT INTO tabEWBKNEFilter ( KNEID, INR, BDATE, Filter, SPID ) 
--(SELECT KNE.KNEID, @InstNR as INR, @BDate as BDate, @FID AS Filter, @SPID as SPID 
--FROM tabKreditnehmereinheit AS KNE 
--WHERE KNE.tmpLoeschKZ = 0 
--GROUP BY KNE.KNEID);
--END
--GO

ALTER PROCEDURE [dbo].[spRisikoKNSammel] 
    @RNR nvarchar(24),
    @SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoKN (SPID, KNEID, RNR, KNID, RGrund, kn_name, kn_gesamtkreditvolumen, Auswahl )
SELECT tabKN_RisikoSammel.SPID, tabKN_RisikoSammel.KNEID, tabKN_RisikoSammel.RNR, tabKreditnehmer.KNID, tabKN_RisikoSammel.RGrund,
       tabKreditnehmer.kn_name, tabKreditnehmer.kn_gesamtkreditvolumen, 0 AS Ausdr1
FROM tabKreditnehmer INNER JOIN tabKN_RisikoSammel ON tabKreditnehmer.KNID = tabKN_RisikoSammel.KNID
WHERE tabKN_RisikoSammel.RNR=@RNR and tabKN_RisikoSammel.spid = @SPID
Group by tabkn_risikosammel.spid, tabkn_risikosammel.KNEID, tabkn_risikosammel.RNR, tabKreditnehmer.KNID, tabkn_risikosammel.RGrund ,
tabKreditnehmer.kn_name, tabKreditnehmer.kn_gesamtkreditvolumen, tabKN_RisikoSammel.GBR_Quote  
ORDER BY tabKN_RisikoSammel.RNR, tabKreditnehmer.kn_name;
END
GO

Delete from _tmpStichprobe
GO

ALter Table _tmpStichprobe add SPID int NOT NULL;
GO

ALTER PROCEDURE [dbo].[spEWBGrundgesamtheitFilter_an_KNE] 
    @InstNR nvarchar(3),
    @BDate datetime,
    @FID nvarchar(14),
	@SPID int  
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabEWBKNEFilter (SPID, KNEID, Filter, INR, Bdate )
SELECT s.spid, s.KNEID, @FID, @InstNr, @BDate 
FROM _tmpStichprobe as S
where S.SPID = @SPID
GROUP BY S.SPID, s.KNEID 
END
GO

--ALTER PROCEDURE [dbo].[spStichprobenVorbereitungEWBAuswahl] 
--    @InstNR nvarchar(3),
--    @BDate datetime,
--	@SPID int

--AS
--BEGIN
--	SET NOCOUNT ON;
---- Insert statements for procedure here
--INSERT INTO _tmpStichprobe (SPID, KNEID, INR, Bdate, Auswahl )
--SELECT @SPID as SPID, KNE.KNEID, KNE.INR, KNE.Bdate, 0 as Auswahl 
--FROM tabKreditnehmereinheit AS KNE
--WHERE (((KNE.INR)=@InstNR) AND ((KNE.Bdate)=@BDate) AND ((KNE.EWBAuswahl)=1));
--END
--GO

--ALTER PROCEDURE [dbo].[spStichprobenVorbereitungAuswahl] 
--    @InstNR nvarchar(3),
--    @BDate datetime,
--	@SPID int
--AS
--BEGIN
--	SET NOCOUNT ON;
---- Insert statements for procedure here
--INSERT INTO _tmpStichprobe (SPID, KNEID, INR, Bdate, Auswahl )
--SELECT @SPID as SPID, KNE.KNEID, KNE.INR, KNE.Bdate, 0 as Auswahl 
--FROM tabKreditnehmereinheit AS KNE
--WHERE (((KNE.INR)=@InstNR) AND ((KNE.Bdate)=@BDate) AND ((KNE.tmpLoeschkz)=0));
--END
--GO

ALTER PROCEDURE [dbo].[spMAXFilter] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT MAX(FID) AS HNR from tabFilter  WHERE INR = @INstnR and BDATE = @BDATE and SPID = @SPID;
END
GO

ALTER PROCEDURE [dbo].[spLoescheFilter] 
   @INR as nvarchar(3),
   @Bdate as datetime,
   @SPID as int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM tabFilter
WHERE      EWBFilter = 0 
           AND (INR = @inr) 
           AND (BDate = @Bdate)
		   AND (SPID = @SPID)
END
GO

ALTER PROCEDURE [dbo].[spEWBStichprobenFilter_an_KNE] 
    @InstNR nvarchar(3),
    @BDate datetime,
    @FID nvarchar(14),
	@SPID int  
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabEWBKNEFilter (SPID, KNEID, Filter, INR, Bdate )
SELECT S.sPID, s.KNEID, @FID, @InstNr, @BDate 
FROM _tmpStichprobe as S
WHERE S.Auswahl = 1 and S.SPID = @SPID
GROUP BY S.SPID, s.KNEID 
END
GO

/****** Object:  StoredProcedure [dbo].[spEWBStichprobe_Ankreuzen]    Script Date: 24.10.2016 19:19:05 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
--ALTER PROCEDURE [dbo].[spEWBStichprobe_Ankreuzen] 
--@SPID int
--AS
--BEGIN
--	SET NOCOUNT ON;
---- Insert statements for procedure here
--UPDATE    tabKreditnehmereinheit
--SET       EWBStichprobe = 1
--FROM      tabKreditnehmereinheit INNER JOIN
--          _tmpStichprobe ON tabKreditnehmereinheit.KNEID = _tmpStichprobe.KNEID
--WHERE     (_tmpStichprobe.Auswahl = 1) and SPID = @SPID
--END
--GO

ALTER TABLE [dbo].[_tmpRisikoRestKN] DROP CONSTRAINT [DF__tmpRisikoRestKN_Auswahl]
GO

/****** Object:  Table [dbo].[_tmpRisikoRestKN]    Script Date: 24.10.2016 19:35:12 ******/
DROP TABLE [dbo].[_tmpRisikoRestKN]
GO

/****** Object:  Table [dbo].[_tmpRisikoRestKN]    Script Date: 24.10.2016 19:35:12 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpRisikoRestKN](
	[Auswahl] [bit] NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[kn_name] [nvarchar](100) NULL,
	[kn_gesamtkreditvolumen] [float] NULL,
 CONSTRAINT [PK__tmpRisikoRestKN] PRIMARY KEY CLUSTERED 
(
	[KNID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[_tmpRisikoRestKN] ADD  CONSTRAINT [DF__tmpRisikoRestKN_Auswahl]  DEFAULT ((0)) FOR [Auswahl]
GO

ALTER TABLE [dbo].[_tmpRisikoRestKNE] DROP CONSTRAINT [DF__tmpRisikoRestKNE_Auswahl]
GO

/****** Object:  Table [dbo].[_tmpRisikoRestKNE]    Script Date: 24.10.2016 19:35:25 ******/
DROP TABLE [dbo].[_tmpRisikoRestKNE]
GO

/****** Object:  Table [dbo].[_tmpRisikoRestKNE]    Script Date: 24.10.2016 19:35:25 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpRisikoRestKNE](
	[Auswahl] [bit] NOT NULL,
	[KNEID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[kne_wv_verbnr] [nvarchar](24) NULL,
	[kne_name] [nvarchar](100) NULL,
	[kne_gesamtkreditvolumen] [float] NULL,
 CONSTRAINT [PK__tmpRisikoRestKNE] PRIMARY KEY CLUSTERED 
(
	[KNEID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[_tmpRisikoRestKNE] ADD  CONSTRAINT [DF__tmpRisikoRestKNE_Auswahl]  DEFAULT ((0)) FOR [Auswahl]
GO

ALTER TABLE [dbo].[_tmpRisikoWV] DROP CONSTRAINT [DF__tmpRisikoWV_Auswahl]
GO

/****** Object:  Table [dbo].[_tmpRisikoWV]    Script Date: 24.10.2016 19:35:34 ******/
DROP TABLE [dbo].[_tmpRisikoWV]
GO

/****** Object:  Table [dbo].[_tmpRisikoWV]    Script Date: 24.10.2016 19:35:34 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpRisikoWV](
	[Auswahl] [bit] NOT NULL,
	[RNR] [nvarchar](24) NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[KNEID] [nvarchar](24) NULL,
	[kne_wv_verbnr] [nvarchar](15) NULL,
	[kn_name] [nvarchar](100) NULL,
	[kn_gesamtkreditvolumen] [float] NULL,
 CONSTRAINT [PK__tmpRisikoWV] PRIMARY KEY CLUSTERED 
(
	[RNR] ASC,
	[KNID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[_tmpRisikoWV] ADD  CONSTRAINT [DF__tmpRisikoWV_Auswahl]  DEFAULT ((0)) FOR [Auswahl]
GO

/****** Object:  Table [dbo].[_tmpRisikoWVAlle]    Script Date: 24.10.2016 19:35:45 ******/
DROP TABLE [dbo].[_tmpRisikoWVAlle]
GO

/****** Object:  Table [dbo].[_tmpRisikoWVAlle]    Script Date: 24.10.2016 19:35:45 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpRisikoWVAlle](
	[RNR] [nvarchar](24) NULL,
	[KNID] [nvarchar](24) NULL,
	[SPID] [int] NOT NULL,
	[KNEID] [nvarchar](24) NULL
) ON [PRIMARY]

GO


/****** Object:  StoredProcedure [dbo].[spRisikoWVAlle]    Script Date: 24.10.2016 19:22:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spRisikoWVAlle] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoWVAlle
                      (SPID, RNR, KNEID, KNID)
SELECT     R.RNR, R.KNEID, KN.KNID, @SPID as SPID
FROM         tabKN_Risiko AS R INNER JOIN
                      tabKreditnehmereinheit AS KNE INNER JOIN
                      tabKreditnehmereinheit AS KNE1 ON KNE.kne_wv_verbnr = KNE1.kne_wv_verbnr 
                      AND KNE.Bdate = KNE1.Bdate AND KNE.INR = KNE1.INR ON R.KNEID = KNE.KNEID INNER JOIN
                      tab_KNE_KN AS V ON KNE1.KNEID = V.KNEID INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
WHERE     (KNE.INR = @InstNR) AND (KNE.Bdate = @BDate) AND (KNE.kne_wv_verbnr <> '0') AND (KNE.kne_wv_verbnr IS NOT NULL)
GROUP BY R.RNR, R.KNEID, KN.KNID
END
GO

ALTER PROCEDURE [dbo].[spRisikoWVAlleZuordnen] 
@SPID as int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKN_Risiko (SPID, RNR, KNEID, KNID, RGrund )
SELECT        _tmpRisikoWVAlle.SPID, _tmpRisikoWVAlle.RNR, _tmpRisikoWVAlle.KNEID, _tmpRisikoWVAlle.KNID, 'WV' AS Ausdr1
FROM            _tmpRisikoWVAlle LEFT OUTER JOIN
                         tabKN_Risiko ON _tmpRisikoWVAlle.SPID = tabKN_Risiko.SPID AND _tmpRisikoWVAlle.KNID = tabKN_Risiko.KNID AND 
                         _tmpRisikoWVAlle.RNR = tabKN_Risiko.RNR
WHERE        (tabKN_Risiko.RNR IS NULL) AND (tabKN_Risiko.KNID IS NULL) and _tmpRisikoWVAlle.spid = @SPID;
END
GO


/****** Object:  StoredProcedure [dbo].[spRisikoWVAlleZuordnenSammel]    Script Date: 24.10.2016 19:41:38 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spRisikoWVAlleZuordnenSammel] 
@SPID as int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKN_RisikoSammel ( SPID, RNR, KNEID, KNID, RGrund )
SELECT _tmpRisikoWVAlle.SPID, _tmpRisikoWVAlle.RNR, _tmpRisikoWVAlle.KNEID, _tmpRisikoWVAlle.KNID, 'WV' AS Ausdr1
FROM _tmpRisikoWVAlle LEFT JOIN tabKN_RisikoSammel ON (_tmpRisikoWVAlle.KNID = tabKN_RisikoSammel.KNID) 
     AND (_tmpRisikoWVAlle.RNR = tabKN_RisikoSammel.RNR)
WHERE tabKN_RisikoSammel.RNR Is Null AND tabKN_RisikoSammel.KNID is NULL and _tmpRisikoWVAlle.spid = @SPID;
END
GO

ALTER PROCEDURE [dbo].[spRisikoeinheiten] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID as int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT tabKN_Risiko.RNR, dbo.getkneName(RNR) as Anzeige 
FROM tabKN_Risiko 
WHERE BDate = @BDate and INR = @instnr and SPID = @SPID
GROUP BY tabKN_Risiko.RNR 
ORDER BY dbo.getkneName(RNR) 
END
GO


--ALTER PROCEDURE [dbo].[spStichprobenVorbereitungEWBAuswahl] 
--    @InstNR nvarchar(3),
--    @BDate datetime,
--	@SPID int

--AS
--BEGIN
--	SET NOCOUNT ON;
---- Insert statements for procedure here
--INSERT INTO _tmpStichprobe (SPID, KNEID, INR, Bdate, Auswahl )
--SELECT @SPID as SPID, KNE.KNEID, KNE.INR, KNE.Bdate, 0 as Auswahl 
--FROM tabKreditnehmereinheit AS KNE
--WHERE (((KNE.INR)=@InstNR) AND ((KNE.Bdate)=@BDate) AND ((KNE.EWBAuswahl)=1));
--END
--GO

ALTER PROCEDURE [dbo].[spRisikoWV] 
    @RNR nvarchar(24),
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoWV
                      (SPID, RNR, KNEID, kne_wv_verbnr, KNID, kn_name, kn_gesamtkreditvolumen)
SELECT     tabkn_risiko.spid, tabKN_Risiko.RNR, KNE.KNEID, KNE.kne_wv_verbnr, KN.KNID, KN.kn_name, KN.kn_gesamtkreditvolumen
FROM         tabKN_Risiko INNER JOIN
                      tabKreditnehmereinheit AS KNE INNER JOIN
                      tabKreditnehmereinheit AS KNE1 ON KNE.kne_wv_verbnr = KNE1.kne_wv_verbnr AND KNE.Bdate = KNE1.Bdate AND KNE.INR = KNE1.INR ON 
                      tabKN_Risiko.KNEID = KNE.KNEID INNER JOIN
                      tab_KNE_KN ON KNE1.KNEID = tab_KNE_KN.KNEID INNER JOIN
                      tabKreditnehmer AS KN ON tab_KNE_KN.KNID = KN.KNID LEFT OUTER JOIN
                      _tmpRisikoKN ON KN.KNID = _tmpRisikoKN.KNID
WHERE     (_tmpRisikoKN.KNID IS NULL) AND (KNE.kne_wv_verbnr <> '0') AND (KNE.kne_wv_verbnr IS NOT NULL)
GROUP BY tabKN_Risiko.spid, tabKN_Risiko.RNR, KNE.KNEID, KNE.kne_wv_verbnr, KN.KNID, KN.kn_name, KN.kn_gesamtkreditvolumen
HAVING      (tabKN_Risiko.RNR = @RNR) and (tabKN_Risiko.SPID = @SPID)
ORDER BY tabKN_Risiko.RNR, KNE.kne_wv_verbnr, KN.kn_name
END
GO

ALTER PROCEDURE [dbo].[spMAXFilter] 
    @InstNR nvarchar(3),
    @BDate datetime
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT MAX(FID) AS HNR from tabFilter  WHERE INR = @INstnR and BDATE = @BDATE ;
END
GO


ALTER TABLE [dbo].[_tmpRisikoRestKN] DROP CONSTRAINT [DF__tmpRisikoRestKN_Auswahl]
GO

/****** Object:  Table [dbo].[_tmpRisikoRestKN]    Script Date: 13.01.2017 11:29:26 ******/
DROP TABLE [dbo].[_tmpRisikoRestKN]
GO

/****** Object:  Table [dbo].[_tmpRisikoRestKN]    Script Date: 13.01.2017 11:29:26 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpRisikoRestKN](
	[Auswahl] [bit] NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[kn_name] [nvarchar](100) NULL,
	[kn_gesamtkreditvolumen] [float] NULL,
 CONSTRAINT [PK__tmpRisikoRestKN] PRIMARY KEY CLUSTERED 
(
	[KNID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[_tmpRisikoRestKN] ADD  CONSTRAINT [DF__tmpRisikoRestKN_Auswahl]  DEFAULT ((0)) FOR [Auswahl]
GO


ALTER TABLE [dbo].[_tmpRisikoRestKNE] DROP CONSTRAINT [DF__tmpRisikoRestKNE_Auswahl]
GO

/****** Object:  Table [dbo].[_tmpRisikoRestKNE]    Script Date: 13.01.2017 11:30:07 ******/
DROP TABLE [dbo].[_tmpRisikoRestKNE]
GO

/****** Object:  Table [dbo].[_tmpRisikoRestKNE]    Script Date: 13.01.2017 11:30:07 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpRisikoRestKNE](
	[Auswahl] [bit] NOT NULL,
	[KNEID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[kne_wv_verbnr] [nvarchar](24) NULL,
	[kne_name] [nvarchar](100) NULL,
	[kne_gesamtkreditvolumen] [float] NULL,
 CONSTRAINT [PK__tmpRisikoRestKNE] PRIMARY KEY CLUSTERED 
(
	[KNEID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[_tmpRisikoRestKNE] ADD  CONSTRAINT [DF__tmpRisikoRestKNE_Auswahl]  DEFAULT ((0)) FOR [Auswahl]
GO

ALTER PROCEDURE [dbo].[spRisikoRestKNE] 
	@InstNr nvarchar(3),
    @BDatum datetime, 
    @KNEID nvarchar(24),
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoRestKNE (spid, KNEID, kne_name, kne_gesamtkreditvolumen )
SELECT @SPID, KNE.KNEID, KNE.KNE_Name, KNE.kne_gesamtkreditvolumen
FROM tabKreditnehmereinheit AS KNE
WHERE (((KNE.KNEID)<>@KNEID)) 
       AND KNE.INR = @Instnr and KNE.Bdate = @Bdatum; 
END
GO


ALTER PROCEDURE [dbo].[spRisikoRestKN] 
	@InstNr nvarchar(3),
    @BDatum datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoRestKN ( SPID, KNID, kn_name, kn_gesamtkreditvolumen ) 
SELECT     @SPID, tabKreditnehmer.KNID, tabKreditnehmer.kn_name, tabKreditnehmer.kn_gesamtkreditvolumen 
FROM       tabKreditnehmer LEFT OUTER JOIN
           _tmpRisikoKN ON tabKreditnehmer.KNID = _tmpRisikoKN.KNID
WHERE     (_tmpRisikoKN.KNID IS NULL) 
          AND tabKreditnehmer.INR = @Instnr and tabKreditnehmer.Bdate = @Bdatum  
GROUP BY  tabKreditnehmer.KNID, tabKreditnehmer.kn_name, tabKreditnehmer.kn_gesamtkreditvolumen, 
          tabKreditnehmer.kn_name, tabKreditnehmer.kn_ort, tabKreditnehmer.kn 
ORDER BY tabKreditnehmer.KN_name
END
GO

/****** Object:  StoredProcedure [dbo].[spRisikoRestKNEVolltext1]    Script Date: 13.01.2017 12:56:20 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spRisikoRestKNEVolltext1] 
	@InstNr nvarchar(3),
    @BDatum datetime, 
    @KNEID nvarchar(24),
    @Suchbegriff nvarchar(255),
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoRestKNE ( SPID, KNEID, kne_name, kne_gesamtkreditvolumen )
SELECT @SPID, KNE.KNEID, KNE.KNE_Name, KNE.kne_gesamtkreditvolumen
FROM tabKreditnehmereinheit AS KNE
WHERE (((KNE.KNEID)<>@KNEID)) 
       AND KNE.INR = @Instnr and KNE.Bdate = @Bdatum
       and KNE.KNE_Name + ' ' +  isnull(kne.kne_Beruf_Branche,'') + kne.KNEID like '%' + @suchbegriff + '%' 
ORDER BY KNE.KNE_Name; 
END
GO

/****** Object:  StoredProcedure [dbo].[spRisikoRestKNEVolltext1oderVolltext2]    Script Date: 13.01.2017 12:59:21 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spRisikoRestKNEVolltext1oderVolltext2] 
	@InstNr nvarchar(3),
    @BDatum datetime, 
    @KNEID nvarchar(24),
    @Suchbegriff1 nvarchar(255),
    @Suchbegriff2 nvarchar(255),
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoRestKNE ( SPID, KNEID, kne_name, kne_gesamtkreditvolumen )
SELECT @SPID, KNE.KNEID, KNE.KNE_Name, KNE.kne_gesamtkreditvolumen
FROM tabKreditnehmereinheit AS KNE
WHERE (((KNE.KNEID)<>@KNEID)) 
       AND KNE.INR = @Instnr and KNE.Bdate = @Bdatum
       and (KNE.KNE_Name + ' ' +  isnull(kne.kne_Beruf_Branche,'') + kne.KNEID like '%' + @suchbegriff1 + '%' 
	   Or KNE.KNE_Name + ' ' +  isnull(kne.kne_Beruf_Branche,'') + kne.KNEID like '%' + @suchbegriff2 + '%')   
ORDER BY KNE.KNE_Name; 
END
GO

ALTER PROCEDURE [dbo].[spRisikoRestKNEVolltext1undVolltext2] 
	@InstNr nvarchar(3),
    @BDatum datetime, 
    @KNEID nvarchar(24),
    @Suchbegriff1 nvarchar(255),
    @Suchbegriff2 nvarchar(255),
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoRestKNE (SPID, KNEID, kne_name, kne_gesamtkreditvolumen )
SELECT @SPID, KNE.KNEID, KNE.KNE_Name, KNE.kne_gesamtkreditvolumen
FROM tabKreditnehmereinheit AS KNE
WHERE (((KNE.KNEID)<>@KNEID)) 
       AND KNE.INR = @Instnr and KNE.Bdate = @Bdatum
       and KNE.KNE_Name + ' ' +  isnull(kne.kne_Beruf_Branche,'') + kne.KNEID like '%' + @suchbegriff1 + '%' 
	   and KNE.KNE_Name + ' ' +  isnull(kne.kne_Beruf_Branche,'') + kne.KNEID like '%' + @suchbegriff2 + '%'  
ORDER BY KNE.KNE_Name; 
END
GO


/****** Object:  StoredProcedure [dbo].[spRisikoRestKNVolltext1]    Script Date: 13.01.2017 13:15:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spRisikoRestKNVolltext1] 
	@InstNr nvarchar(3),
    @BDatum datetime,
    @Suchbegriff nvarchar(255),
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoRestKN (SPID, KNID, kn_name, kn_gesamtkreditvolumen ) 
SELECT     @SPID, KN.KNID, KN.kn_name, KN.kn_gesamtkreditvolumen 
FROM       tabKreditnehmer AS KN LEFT OUTER JOIN
           _tmpRisikoKN ON KN.KNID = _tmpRisikoKN.KNID
WHERE     (_tmpRisikoKN.KNID IS NULL) 
          AND KN.INR = @Instnr and KN.Bdate = @Bdatum 
          and KN.KN_Name + ' ' +  isnull(kn.kn_ort,'') + kn.KNID like '%' + @suchbegriff + '%' 
GROUP BY  kn.KNID, kn.kn_name, kn.kn_gesamtkreditvolumen, 
          kn.kn_name, kn.kn_ort, kn.kn 
ORDER BY kn.KN_name
END
GO

ALTER PROCEDURE [dbo].[spRisikoRestKNVolltext1oderVolltext2] 
	@InstNr nvarchar(3),
    @BDatum datetime,
    @Suchbegriff1 nvarchar(255),
    @Suchbegriff2 nvarchar(255),
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoRestKN (SPID, KNID, kn_name, kn_gesamtkreditvolumen ) 
SELECT     @SPID, KN.KNID, KN.kn_name, KN.kn_gesamtkreditvolumen 
FROM       tabKreditnehmer AS KN LEFT OUTER JOIN
           _tmpRisikoKN ON KN.KNID = _tmpRisikoKN.KNID
WHERE     (_tmpRisikoKN.KNID IS NULL) 
          AND KN.INR = @Instnr and KN.Bdate = @Bdatum 
          and (KN.KN_Name + ' ' +  isnull(kn.kn_ort,'') + kn.KNID like '%' + @suchbegriff1 + '%' 
          or KN.KN_Name + ' ' +  isnull(kn.kn_ort,'') + kn.KNID like '%' + @suchbegriff2 + '%')  
GROUP BY  kn.KNID, kn.kn_name, kn.kn_gesamtkreditvolumen, 
          kn.kn_name, kn.kn_ort, kn.kn 
ORDER BY kn.KN_name
END
GO

ALTER PROCEDURE [dbo].[spRisikoRestKNVolltext1undVolltext2] 
	@InstNr nvarchar(3),
    @BDatum datetime,
    @Suchbegriff1 nvarchar(255),
    @Suchbegriff2 nvarchar(255),
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoRestKN (SPID, KNID, kn_name, kn_gesamtkreditvolumen ) 
SELECT     @SPID, KN.KNID, KN.kn_name, KN.kn_gesamtkreditvolumen 
FROM       tabKreditnehmer AS KN LEFT OUTER JOIN
           _tmpRisikoKN ON KN.KNID = _tmpRisikoKN.KNID
WHERE     (_tmpRisikoKN.KNID IS NULL) 
          AND KN.INR = @Instnr and KN.Bdate = @Bdatum 
          and (KN.KN_Name + ' ' +  isnull(kn.kn_ort,'') + kn.KNID like '%' + @suchbegriff1 + '%' 
          and KN.KN_Name + ' ' +  isnull(kn.kn_ort,'') + kn.KNID like '%' + @suchbegriff2 + '%')  
GROUP BY  kn.KNID, kn.kn_name, kn.kn_gesamtkreditvolumen, 
          kn.kn_name, kn.kn_ort, kn.kn 
ORDER BY kn.KN_name
END
gO

/****** Object:  StoredProcedure [dbo].[spRisikoWVAlle]    Script Date: 13.01.2017 13:51:52 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spRisikoWVAlle] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoWVAlle
                      (SPID, RNR, KNEID, KNID)
SELECT     R.RNR, R.KNEID, KN.KNID, @SPID as SPID
FROM         tabKN_Risiko AS R INNER JOIN
                      tabKreditnehmereinheit AS KNE INNER JOIN
                      tabKreditnehmereinheit AS KNE1 ON KNE.kne_wv_verbnr = KNE1.kne_wv_verbnr 
                      AND KNE.Bdate = KNE1.Bdate AND KNE.INR = KNE1.INR ON R.KNEID = KNE.KNEID INNER JOIN
                      tab_KNE_KN AS V ON KNE1.KNEID = V.KNEID INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
WHERE     (KNE.INR = @InstNR) AND (KNE.Bdate = @BDate) AND (KNE.kne_wv_verbnr <> '0') AND (KNE.kne_wv_verbnr IS NOT NULL)
GROUP BY R.RNR, R.KNEID, KN.KNID
END
GO

/****** Object:  Index [IX_SPID]    Script Date: 13.01.2017 15:36:38 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[_tmpRisikoWVAlle]') AND name = N'IX_SPID')
DROP INDEX [IX_SPID] ON [dbo].[_tmpRisikoWVAlle]
GO

/****** Object:  Index [IX_SPID]    Script Date: 13.01.2017 15:36:38 ******/
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[_tmpRisikoWVAlle]') AND name = N'IX_SPID')
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[_tmpRisikoWVAlle]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO



/****** Object:  Index [IX_SPID]    Script Date: 13.01.2017 15:35:09 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[_tmpRisikoKN]') AND name = N'IX_SPID')
DROP INDEX [IX_SPID] ON [dbo].[_tmpRisikoKN]
GO

/****** Object:  Index [IX_SPID]    Script Date: 13.01.2017 15:35:09 ******/
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[_tmpRisikoKN]') AND name = N'IX_SPID')
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[_tmpRisikoKN]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  Index [IX_SPID]    Script Date: 13.01.2017 15:36:15 ******/
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[_tmpRisikoWV]') AND name = N'IX_SPID')
DROP INDEX [IX_SPID] ON [dbo].[_tmpRisikoWV]
GO

/****** Object:  Index [IX_SPID]    Script Date: 13.01.2017 15:36:15 ******/
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[_tmpRisikoWV]') AND name = N'IX_SPID')
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[_tmpRisikoWV]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO


/****** Object:  Index [IX_SPID]    Script Date: 13.01.2017 14:04:38 ******/
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[_tmpRisikoRestKN]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  Index [IX_SPID]    Script Date: 13.01.2017 14:05:06 ******/
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[_tmpRisikoRestKNE]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO



ALTER PROCEDURE [dbo].[spRisikoLoeschen] 
	@KNEID nvarchar(24),
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
Delete     From tabKN_Risiko 
WHERE     tabKN_Risiko.KNEID = @KNEID and SPID = @SPID
END
GO

/****** Object:  Table [dbo].[_tmpFilterTreffer]    Script Date: 13.01.2017 14:57:19 ******/
DROP TABLE [dbo].[_tmpFilterTreffer]
GO

/****** Object:  Table [dbo].[_tmpFilterTreffer]    Script Date: 13.01.2017 14:57:19 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpFilterTreffer](
	[Auswahl] [bit] NOT NULL,
	[KNEID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[KNE_Name] [nvarchar](100) NULL,
	[kne_wv_verbnr] [float] NULL,
	[kne_berater] [nvarchar](7) NULL,
	[kne_gesamtkreditvolumen] [float] NULL,
	[kne_gesamtkreditvolumen_not] [float] NULL,
	[kne_meta_anteil_inanspruchnahme] [float] NULL,
	[kne_bewilligungsvolumen_neu] [float] NULL,
	[kne_Inanspruchnahme] [float] NULL,
	[kne_blankokreditvolumen_in] [float] NULL,
	[kne_blankokreditvolumen_wi] [float] NULL,
	[kne_Personalkreditvolumen_in] [float] NULL,
	[kne_Personalkreditvolumen_wi] [float] NULL,
	[kne_Realkreditvolumen_in] [float] NULL,
	[kne_Realkreditvolumen_wi] [float] NULL,
	[kne_Kommunalkreditvolumen_in] [float] NULL,
	[kne_Kommunalkreditvolumen_wi] [float] NULL,
	[kne_Kreditueberschreitung] [float] NULL,
	[kne_Darlehensrueckstand] [float] NULL,
	[kne_externe_kredite] [float] NULL,
	[kne_interne_Kredite] [float] NULL,
	[kne_Ueberziehungsgenehmigungen] [float] NULL,
	[kne_ewb_bestand_vorjahr] [float] NULL,
	[kne_ewb_Stichtag] [float] NULL,
	[kne_ewb_Veraenderung] [float] NULL,
	[Bdate] [datetime] NULL,
	[Herkunft] [nvarchar](255) NULL,
	[INR] [nvarchar](3) NULL,
	[BLZ] [nvarchar](8) NULL,
	[Filter] [nvarchar](14) NULL,
	[Filterzahl] [int] NULL,
 CONSTRAINT [PK__tmpFilterTreffer] PRIMARY KEY CLUSTERED 
(
	[KNEID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER PROCEDURE [dbo].[spRisikoLoeschenFilterTreffer] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM tabKN_Risiko
FROM            tabKreditnehmereinheit AS K INNER JOIN
                         _tmpFilterTreffer AS T ON K.KNEID = T.KNEID INNER JOIN
                         tabKN_Risiko ON K.KNEID = tabKN_Risiko.KNEID
WHERE        (K.Bdate = @BDate) AND (K.INR = @instnr) AND (T.SPID = @SPID) AND (T.Filterzahl = 1);
END
GO

ALTER PROCEDURE [dbo].[spRisikoLoeschen] 
	@KNEID nvarchar(24),
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
Delete     From tabKN_Risiko 
WHERE     tabKN_Risiko.KNEID = @KNEID and SPID = @SPID
END
GO

ALTER PROCEDURE [dbo].[spRisikoSetzen] 
	@KNEID nvarchar(24),
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKN_Risiko (SPID, KNEID, RNR, KNID, RGrund, GBR_Quote )
SELECT @SPID, KNE.KNEID, KNE.KNEID AS RNR, KN.KNID, 'KNE' AS RGrund, tab_KNE_KN.GBR_Quote 
FROM (tabKreditnehmereinheit AS KNE INNER JOIN tab_KNE_KN ON KNE.KNEID = tab_KNE_KN.KNEID) 
      INNER JOIN tabKreditnehmer AS KN ON tab_KNE_KN.KNID = KN.KNID
WHERE KNE.KNEID=@KNEID;
END
GO

ALTER PROCEDURE [dbo].[spRisikoSetzenSammel] 
	@KNEID nvarchar(24),
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKN_RisikoSammel (SPID, KNEID, RNR, KNID, RGrund, GBR_Quote )
SELECT @SPID, KNE.KNEID, KNE.KNEID AS RNR, KN.KNID, 'KNE' AS RGrund, tab_KNE_KN.GBR_Quote 
FROM (tabKreditnehmereinheit AS KNE INNER JOIN tab_KNE_KN ON KNE.KNEID = tab_KNE_KN.KNEID) 
      INNER JOIN tabKreditnehmer AS KN ON tab_KNE_KN.KNID = KN.KNID
WHERE KNE.KNEID=@KNEID;
END
GO


ALTER PROCEDURE [dbo].[spRisikoLoeschenSammel] 
	@KNEID nvarchar(24),
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
Delete     From tabKN_RisikoSammel 
WHERE     tabKN_RisikoSammel.KNEID = @KNEID and SPID = @SPID
END
GO

CREATE PROCEDURE [dbo].[sp_tmpRisikoKNLoeschen] 
@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM _tmpRisikoKN WHERE SPID = @SPID
END
GO



--ALTER PROCEDURE [dbo].[spUpdateFiltertreffer] 
--    @InstNR nvarchar(3),
--    @BDate datetime,
--	@SPID int
--AS
--BEGIN
--SET NOCOUNT ON;
---- Insert statements for procedure here
--UPDATE    tabKreditnehmereinheit
--SET       Auswahl = 0 
--FROM      tabKreditnehmereinheit INNER JOIN
--          _tmpFilterTreffer AS T ON tabKreditnehmereinheit.KNEID = T.KNEID
--WHERE     tabKreditnehmereinheit.Bdate = @BDate AND tabKreditnehmereinheit.INR = @instnr AND T.spid = @SPID AND T.Filterzahl = 1;
--END
--GO

ALTER PROCEDURE [dbo].[spFilterGruppiert] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT F.FID, Filtername + CASE WHEN Aktiv = 1 THEN '- Aktiv' ELSE '- nur Doku' END AS Anzeige, 
      F.Aktiv, F.Filtername  
FROM tabKNEFilter AS KF INNER JOIN tabFilter AS F ON KF.Filter = F.FID 
WHERE F.spid = @SPID AND F.EWBFilter=0 AND KF.INR = @InstNr AND KF.BDate = @BDate 
GROuP BY F.SPID, F.FID, Filtername, F.Aktiv 
ORDER BY FID
END
GO


--ALTER PROCEDURE [dbo].[spFiltertreffer] 
--    @FID nvarchar(14),
--	@SPID int  
--AS
--BEGIN
--SET NOCOUNT ON;
---- Insert statements for procedure here
--INSERT INTO _tmpFilterTreffer 
--           ( SPID, Auswahl, KNEID, KNE_Name, kne_wv_verbnr, kne_berater, kne_gesamtkreditvolumen, 
--           kne_gesamtkreditvolumen_not, kne_meta_anteil_inanspruchnahme, kne_bewilligungsvolumen_neu, 
--           kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_blankokreditvolumen_wi, 
--           kne_Personalkreditvolumen_in, kne_Personalkreditvolumen_wi, kne_Realkreditvolumen_in, 
--           kne_Realkreditvolumen_wi, kne_Kommunalkreditvolumen_in, kne_Kommunalkreditvolumen_wi, 
--           kne_Kreditueberschreitung, kne_Darlehensrueckstand, kne_externe_kredite, kne_interne_Kredite, 
--           kne_Ueberziehungsgenehmigungen, kne_ewb_Veraenderung, Bdate, Herkunft, INR, BLZ, Filter, Filterzahl )
--SELECT     @SPID, KNE.Auswahl, KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
--           KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
--           KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
--           KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
--           KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
--           KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
--           KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, 
--           KNE.Bdate, KNE.Herkunft, KNE.INR, KNE.BLZ, tabKNEFilter.Filter, dbo.getAnzahlAktiveFilter(KNE.KNEID)    
--FROM (tabkreditnehmereinheit AS KNE INNER JOIN tabKNEFilter ON KNE.KNEID = tabKNEFilter.KNEID) 
--GROUP BY KNE.Auswahl, KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
--         KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
--         KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
--         KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
--         KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
--         KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
--         KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, KNE.Bdate, 
--         KNE.Herkunft, KNE.INR, KNE.BLZ, tabKNEFilter.Filter  
--HAVING  tabKNEFilter.Filter = @FID 
--ORDER BY KNE.Auswahl, KNE.kne_gesamtkreditvolumen DESC;
--END
--GO

--ALTER PROCEDURE [dbo].[spFiltertrefferFuerAuswahl] 
--    @InstNR nvarchar(3),
--    @BDate datetime,
--	@SPID int
--AS
--BEGIN
--SET NOCOUNT ON;
---- Insert statements for procedure here
--SELECT T.Auswahl, K.EWBAuswahl, K.KNEID, K.KNE, K.KNE_Name, T.Filterzahl, K.kne_berater, 
--       K.kne_gesamtkreditvolumen, 
--       K.kne_Inanspruchnahme, K.kne_blankokreditvolumen_in, K.kne_Personalkreditvolumen_in, 
--       K.kne_Realkreditvolumen_in, K.Bdate, K.Herkunft, K.INR, K.BLZ, T.Filter 
--FROM tabKreditnehmereinheit AS K INNER JOIN _tmpFilterTreffer AS T ON K.KNEID=T.KNEID 
--WHERE K.BDate = @BDate and K.INR = @instnr and T.SPID = @SPID  
--ORDER BY T.Auswahl desc;
--END
--GO

ALTER PROCEDURE [dbo].[spFiltertrefferAnzahl] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT count(K.KNEID), COUnt(case when T.Auswahl=1 then K.KNEID END)    
FROM tabKreditnehmereinheit AS K INNER JOIN _tmpFilterTreffer AS T ON K.KNEID=T.KNEID 
WHERE K.BDate = @BDate and K.INR = @instnr and T.SPID = @SPID;
END
GO

ALTER PROCEDURE [dbo].[spManuelleFilterGenerieren] 
  @NeueFid nvarchar(14),
  @AlteFID int,  
  @INR nvarchar(3),
  @BDate datetime,
  @SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabFilter
           (SPID, FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR, BDate)
SELECT     @SPID, @NeueFID as NeueFID, Filtername, Filterkriterien, Aktiv, EWBFilter, 
           @INR AS INR, @BDate AS Bdate
FROM       stabFilter
WHERE     (FID = @AlteFID)
END
GO

ALTER PROCEDURE [dbo].[spFilterSchonDa] 
	@INR nvarchar(3),
    @BDate datetime,
    @Filtername nvarchar(255),
    @Filterkriterien nvarchar(50),
	@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here

Select FID from tabFilter 
where Filtername = @Filtername and INR = @INR and BDATE = @BDate and SPID = @SPID
and cast(Filterkriterien as nvarchar(50)) = @Filterkriterien; 
END
GO

ALTER PROCEDURE [dbo].[spManuellerFilterRein]
    @KNEID nvarchar(24),
    @Filter nvarchar(20), 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKNEFilter (SPID, KNEID, Filter, INR, BDate ) Values ( @SPID, @KNEID, @Filter, @INstnR, @BDate) 
END
GO

ALTER PROCEDURE [dbo].[spManuellerEWBFilterRein]
    @KNEID nvarchar(24),
    @Filter nvarchar(20), 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabEWBKNEFilter (SPID,  KNEID, Filter, INR, BDate ) Values ( @SPID, @KNEID, @Filter, @INstnR, @BDate) 
END
GO

/****** Object:  Table [dbo].[_expKN_Risiko]    Script Date: 16.01.2017 14:39:20 ******/
DROP TABLE [dbo].[_expKN_Risiko]
GO

/****** Object:  Table [dbo].[_expKN_Risiko]    Script Date: 16.01.2017 14:39:20 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expKN_Risiko](
	[KNEID] [nvarchar](24) NULL,
	[RNR] [nvarchar](24) NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[RGrund] [nvarchar](255) NULL,
	[GBR_Quote] [real] NULL,
 CONSTRAINT [PK__expKN_Risiko] PRIMARY KEY CLUSTERED 
(
	[RNR] ASC,
	[KNID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[_expKN_RisikoSammel]    Script Date: 16.01.2017 14:40:39 ******/
DROP TABLE [dbo].[_expKN_RisikoSammel]
GO

/****** Object:  Table [dbo].[_expKN_RisikoSammel]    Script Date: 16.01.2017 14:40:39 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expKN_RisikoSammel](
	[KNEID] [nvarchar](24) NULL,
	[RNR] [nvarchar](22) NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[RGrund] [nvarchar](255) NULL,
	[GBR_Quote] [real] NULL,
 CONSTRAINT [PK__expKN_RisikoSammel] PRIMARY KEY CLUSTERED 
(
	[RNR] ASC,
	[KNID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  StoredProcedure [dbo].[sp_tmpRisikoKNLoeschen]    Script Date: 16.01.2017 14:43:39 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
create PROCEDURE [dbo].[sp_tmpRisikoWVLoeschen] 
@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM _tmpRisikoWV WHERE SPID = @SPID
END
GO

create PROCEDURE [dbo].[sp_tmpRisikoRestKNLoeschen] 
@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM _tmpRisikoRestKN WHERE SPID = @SPID
END
GO

create PROCEDURE [dbo].[sp_tmpRisikoRestKNELoeschen] 
@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM _tmpRisikoRestKNE WHERE SPID = @SPID
END
GO

ALTER PROCEDURE [dbo].[spRisikoRestKN] 
	@InstNr nvarchar(3),
    @BDatum datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoRestKN ( SPID, KNID, kn_name, kn_gesamtkreditvolumen ) 
SELECT     @SPID, tabKreditnehmer.KNID, tabKreditnehmer.kn_name, tabKreditnehmer.kn_gesamtkreditvolumen 
FROM       tabKreditnehmer LEFT OUTER JOIN
           _tmpRisikoKN ON tabKreditnehmer.KNID = _tmpRisikoKN.KNID 
WHERE     (_tmpRisikoKN.KNID IS NULL) AND _tmpRisikoKN.SPID = @SPID 
          AND tabKreditnehmer.INR = @Instnr and tabKreditnehmer.Bdate = @Bdatum  
GROUP BY  tabKreditnehmer.KNID, tabKreditnehmer.kn_name, tabKreditnehmer.kn_gesamtkreditvolumen, 
          tabKreditnehmer.kn_name, tabKreditnehmer.kn_ort, tabKreditnehmer.kn 
ORDER BY tabKreditnehmer.KN_name
END
GO

/****** Object:  Index [IX_KNID]    Script Date: 16.01.2017 15:34:44 ******/
CREATE NONCLUSTERED INDEX [IX_KNID] ON [dbo].[_tmpRisikoRestKN]
(
	[KNID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  Index [IX_RNR]    Script Date: 16.01.2017 15:36:56 ******/
CREATE NONCLUSTERED INDEX [IX_RNR] ON [dbo].[_tmpRisikoKN]
(
	[RNR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CReate FUNCTION [dbo].[get_tmpRisikoKN_proBenutzer] 
(
    @SPID int
)
RETURNS TABLE
AS
RETURN
(	
SELECT        KNID FROM            dbo._tmpRisikoKN where SPID = @SPID 
)
GO

/****** Object:  StoredProcedure [dbo].[spRisikoRestKN]    Script Date: 16.01.2017 15:43:26 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spRisikoRestKN] 
	@InstNr nvarchar(3),
    @BDatum datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoRestKN ( SPID, KNID, kn_name, kn_gesamtkreditvolumen ) 
SELECT     @SPID, tabKreditnehmer.KNID, tabKreditnehmer.kn_name, tabKreditnehmer.kn_gesamtkreditvolumen 
FROM       tabKreditnehmer LEFT OUTER JOIN
           dbo.get_tmpRisikoKN_proBenutzer(@SPID) as T ON tabKreditnehmer.KNID = T.KNID 
WHERE     (T.KNID IS NULL) 
          AND tabKreditnehmer.INR = @Instnr and tabKreditnehmer.Bdate = @Bdatum  
GROUP BY  tabKreditnehmer.KNID, tabKreditnehmer.kn_name, tabKreditnehmer.kn_gesamtkreditvolumen, 
          tabKreditnehmer.kn_name, tabKreditnehmer.kn_ort, tabKreditnehmer.kn 
ORDER BY tabKreditnehmer.KN_name
END
GO

--ALTER PROCEDURE [dbo].[spEWBFiltertreffer] 
--    @FID nvarchar(14) ,
--	@SPID int
--AS
--BEGIN
--SET NOCOUNT ON;
---- Insert statements for procedure here
--INSERT INTO _tmpFilterTreffer 
--           (SPID, Auswahl, KNEID, KNE_Name, kne_wv_verbnr, kne_berater, kne_gesamtkreditvolumen, 
--           kne_gesamtkreditvolumen_not, kne_meta_anteil_inanspruchnahme, kne_bewilligungsvolumen_neu, 
--           kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_blankokreditvolumen_wi, 
--           kne_Personalkreditvolumen_in, kne_Personalkreditvolumen_wi, kne_Realkreditvolumen_in, 
--           kne_Realkreditvolumen_wi, kne_Kommunalkreditvolumen_in, kne_Kommunalkreditvolumen_wi, 
--           kne_Kreditueberschreitung, kne_Darlehensrueckstand, kne_externe_kredite, kne_interne_Kredite, 
--           kne_Ueberziehungsgenehmigungen, kne_ewb_Veraenderung, Bdate, Herkunft, INR, BLZ, Filter, Filterzahl )
--SELECT     @SPID, KNE.EWBStichprobe, KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
--           KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
--           KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
--           KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
--           KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
--           KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
--           KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, 
--           KNE.Bdate, KNE.Herkunft, KNE.INR, KNE.BLZ, tabEWBKNEFilter.Filter, dbo.getAnzahlAktiveEWBFilter(KNE.KNEID)    
--FROM (tabkreditnehmereinheit AS KNE INNER JOIN tabEWBKNEFilter ON KNE.KNEID = tabEWBKNEFilter.KNEID) 
--GROUP BY KNE.EWBStichprobe, KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
--         KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
--         KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
--         KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
--         KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
--         KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
--         KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, KNE.Bdate, 
--         KNE.Herkunft, KNE.INR, KNE.BLZ, tabEWBKNEFilter.Filter  
--HAVING  tabEWBKNEFilter.Filter = @FID 
--ORDER BY KNE.EWBStichprobe, KNE.kne_gesamtkreditvolumen DESC;
--END
--GO

ALTER PROCEDURE [dbo].[spEWBFilterGruppiert] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT F.FID, Filtername + CASE WHEN Aktiv = 1 THEN '- Aktiv' ELSE '- nur Doku' END AS Anzeige, F.Aktiv, F.Filtername  
FROM tabEWBKNEFilter AS KF INNER JOIN tabFilter AS F ON KF.Filter = F.FID
WHERE F.EWBFilter=1 AND KF.INR = @InstNr AND KF.BDate = @BDate AND KF.SPID = @SPID
GROuP BY F.FID, Filtername, F.Aktiv 
ORDER BY FID
END
GO

ALTER PROCEDURE [dbo].[spFiltertrefferAnzahl] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT count(K.KNEID), COUnt(case when T.Auswahl=1 then K.KNEID END)    
FROM tabKreditnehmereinheit AS K INNER JOIN _tmpFilterTreffer AS T ON K.KNEID=T.KNEID 
WHERE K.BDate = @BDate and K.INR = @instnr and T.SPID = @SPID;
END
GO

/****** Object:  Table [dbo].[_expBestand]    Script Date: 16.01.2017 16:57:13 ******/
DROP TABLE [dbo].[_expBestand]
GO

/****** Object:  Table [dbo].[_expBestand]    Script Date: 16.01.2017 16:57:13 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expBestand](
	[INR] [nvarchar](3) NOT NULL,
	[BDate] [datetime] NOT NULL,
	[SPID] [int] NOT NULL,
	[Verbundart] [nvarchar](10) NULL,
 CONSTRAINT [PK__expBestand] PRIMARY KEY CLUSTERED 
(
	[INR] ASC,
	[BDate] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[_expEWBKNEFilter]    Script Date: 16.01.2017 16:58:27 ******/
DROP TABLE [dbo].[_expEWBKNEFilter]
GO

/****** Object:  Table [dbo].[_expEWBKNEFilter]    Script Date: 16.01.2017 16:58:27 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expEWBKNEFilter](
	[KNEID] [nvarchar](24) NULL,
	[SPID] [int] NOT NULL,
	[Filter] [nvarchar](14) NULL,
	[EDate] [datetime] NULL
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[_expKN_RisikoSammel]    Script Date: 16.01.2017 16:59:44 ******/
DROP TABLE [dbo].[_expKN_RisikoSammel]
GO

/****** Object:  Table [dbo].[_expKN_RisikoSammel]    Script Date: 16.01.2017 16:59:44 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expKN_RisikoSammel](
	[KNEID] [nvarchar](24) NULL,
	[RNR] [nvarchar](22) NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[RGrund] [nvarchar](255) NULL,
	[GBR_Quote] [real] NULL,
 CONSTRAINT [PK__expKN_RisikoSammel] PRIMARY KEY CLUSTERED 
(
	[RNR] ASC,
	[KNID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[_expKN_Segmente]    Script Date: 16.01.2017 17:00:51 ******/
DROP TABLE [dbo].[_expKN_Segmente]
GO

/****** Object:  Table [dbo].[_expKN_Segmente]    Script Date: 16.01.2017 17:00:51 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expKN_Segmente](
	[KNSID] [int] NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[KN] [float] NULL,
	[Segmentnr] [int] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[_expKN_SPK_Korrekturen]    Script Date: 16.01.2017 17:01:24 ******/
DROP TABLE [dbo].[_expKN_SPK_Korrekturen]
GO

/****** Object:  Table [dbo].[_expKN_SPK_Korrekturen]    Script Date: 16.01.2017 17:01:24 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expKN_SPK_Korrekturen](
	[KNSPKID] [int] NULL,
	[KNID] [nvarchar](24) NULL,
	[SPID] [int] NOT NULL,
	[KN_InAn_SPK] [float] NULL,
	[KN_InAn_SPK_Bemerkung] [ntext] NULL,
	[KreditArt] [nvarchar](255) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


/****** Object:  Table [dbo].[_expKNEFilter]    Script Date: 16.01.2017 17:02:07 ******/
DROP TABLE [dbo].[_expKNEFilter]
GO

/****** Object:  Table [dbo].[_expKNEFilter]    Script Date: 16.01.2017 17:02:07 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expKNEFilter](
	[KNEID] [nvarchar](24) NULL,
	[SPID] [int] NULL,
	[Filter] [nvarchar](14) NULL,
	[EDate] [datetime] NULL
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[_expKonto]    Script Date: 16.01.2017 17:03:28 ******/
DROP TABLE [dbo].[_expKonto]
GO

/****** Object:  Table [dbo].[_expKonto]    Script Date: 16.01.2017 17:03:28 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[_expKonto](
	[KontoID] [int] NULL,
	[KontoNr] [nvarchar](10) NULL,
	[KNID] [nvarchar](24) NULL,
	[KN] [nvarchar](15) NULL,
	[INR] [nvarchar](3) NULL,
	[SPID] [int] NOT NULL,
	[kto_skontronr] [nvarchar](50) NULL,
	[kto_kreditkartennummer] [nvarchar](50) NULL,
	[kto_gp_key] [nvarchar](1) NULL,
	[kto_gp_variante] [nvarchar](12) NULL,
	[kto_geschaeftsart_depot_a] [nvarchar](20) NULL,
	[kto_kontentyp] [nvarchar](12) NULL,
	[kto_gesamtkreditvolumen] [float] NULL,
	[kto_saldo] [float] NULL,
	[kto_inanspruchnahme] [float] NULL,
	[kto_ueberziehung] [float] NULL,
	[kto_externer_kredit] [float] NULL,
	[kto_interner_kredit] [float] NULL,
	[kto_interner_kredit_bis] [datetime] NULL,
	[kto_ueberziehung_genehmigt] [float] NULL,
	[kto_ueberziehung_genehmigt_bis] [datetime] NULL,
	[kto_ueberz_hoechste_quartal_1] [float] NULL,
	[kto_ueberziehungstage] [float] NULL,
	[kto_kz_notleidend] [nvarchar](1) NULL,
	[kto_rueckstand_gesamt] [float] NULL,
	[kto_verzug_entgelt] [float] NULL,
	[kto_verzug_verzinslich] [float] NULL,
	[kto_verzug_unverzinslich] [float] NULL,
	[kto_rueckgabenbetrag] [float] NULL,
	[kto_rueckgabenanzahl] [float] NULL,
	[kto_aval_art] [nvarchar](1) NULL,
	[kto_aval_einzelbe] [nvarchar](1) NULL,
	[kto_aval_rahmenkontonr] [float] NULL,
	[kto_meta_anteil_kreditvolumen] [float] NULL,
	[kto_meta_anteil_inanspruchnahme] [float] NULL,
	[kto_monatliche_Habenumsaetze] [float] NULL,
	[kto_habenumsatz_lfd_jahr] [float] NULL,
	[kto_habenumsatz_vorjahr] [float] NULL,
	[kto_sperr_be] [float] NULL,
	[kto_ewb_e] [float] NULL,
	[kto_ewb_e_btrg_janf] [float] NULL,
	[kto_ewb_e_btrg_neu] [float] NULL,
	[kto_ewb_e_btrg_zugang] [float] NULL,
	[kto_ewb_e_afls_btrg] [float] NULL,
	[kto_ewb_e_absg_ind_btrg] [float] NULL,
	[kto_ewb_e_absg_dir_btrg] [float] NULL,
	[kto_ewb_v] [float] NULL,
	[kto_ewb_v_btrg_janf] [float] NULL,
	[kto_ewb_v_btrg_neu] [float] NULL,
	[kto_ewb_v_btrg_zugang] [float] NULL,
	[kto_ewb_v_afls_btrg] [float] NULL,
	[kto_ewb_v_absg_ind_btrg] [float] NULL,
	[kto_ewb_v_absg_dir_btrg] [float] NULL,
	[kto_relation_kredit_umsatz] [real] NULL,
	[kto_tilgung_3] [float] NULL,
	[kto_tilgung_4_12] [float] NULL,
	[kto_tilgung_13_60] [float] NULL,
	[kto_tilgung_61] [float] NULL,
	[Bdate] [datetime] NULL,
	[kto_kz_k_s] [nvarchar](1) NULL,
	[kto_kreditart] [nvarchar](3) NULL,
	[kto_datum_eroeffnung] [datetime] NULL,
	[kto_bewilligungs_datum] [datetime] NULL,
	[kto_befristung_datum] [datetime] NULL,
	[kto_ueberz_hoechste_quartal_2] [float] NULL,
	[kto_ueberz_hoechste_quartal_3] [float] NULL,
	[kto_ueberz_hoechste_quartal_4] [float] NULL,
	[kto_ueberziehungsdatum_ab] [datetime] NULL,
	[kto_ueberziehung_m_ev] [float] NULL,
	[kto_ueberziehung_o_ev] [float] NULL,
	[kto_zinssatz] [float] NULL,
	[kto_ab_merkmal] [int] NULL,
	[kto_mindestr] [nvarchar](1) NULL,
	[kto_offene_zusage] [float] NULL,
	[kto_bewilligtes_darlehen] [float] NULL,
	[kto_vorauszahlung] [float] NULL,
	[kto_avalkred_betrag] [float] NULL,
	[kto_anzahl_sicherheiten] [int] NULL,
	[kto_summe_sicherheiten] [float] NULL,
	[kto_haben_umsatz_vq_1] [float] NULL,
	[kto_haben_umsatz_vq_2] [float] NULL,
	[kto_haben_umsatz_vq_3] [float] NULL,
	[kto_haben_umsatz_vq_4] [float] NULL,
	[kto_ewb_e_datum] [datetime] NULL,
	[kto_ewb_e_jahr] [int] NULL,
	[kto_ewb_e_waehrung] [nvarchar](3) NULL,
	[kto_ewb_e_ermg_verf] [nvarchar](1) NULL,
	[kto_ewb_e_daten_ursprung] [nvarchar](1) NULL,
	[kto_ewb_e_btrg_man] [float] NULL,
	[kto_ewb_e_btrg_blanko] [float] NULL,
	[kto_ewb_v_datum] [datetime] NULL,
	[kto_ewb_v_jahr] [int] NULL,
	[kto_ewb_v_waehrung] [nvarchar](3) NULL,
	[kto_ewb_v_ermg_verf] [nvarchar](1) NULL,
	[kto_ewb_v_daten_ursprung] [nvarchar](1) NULL,
	[kto_ewb_v_btrg_man] [float] NULL,
	[kto_ewb_v_btrg_blanko] [float] NULL,
	[kto_kontobezeichnung_depot_a] [nvarchar](32) NULL,
	[kto_mahnstand] [nvarchar](1) NULL,
	[KTimestamp] [binary](510) NULL,
	[kto_rk_Betrag] [float] NULL,
	[kto_rk_offene_Zusage] [float] NULL,
	[kto_rk_kz] [nvarchar](12) NULL,
	[kto_rk_ts] [nvarchar](26) NULL
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


/****** Object:  Table [dbo].[_expKontoVB]    Script Date: 16.01.2017 17:04:42 ******/
DROP TABLE [dbo].[_expKontoVB]
GO

/****** Object:  Table [dbo].[_expKontoVB]    Script Date: 16.01.2017 17:04:42 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expKontoVB](
	[KVBID] [int] NULL,
	[SPID] [int] NOT NULL,
	[KontoID] [int] NULL,
	[SVZ_DB] [nvarchar](50) NULL,
	[KTimestamp] [nvarchar](50) NULL
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[_expKreditnehmer]    Script Date: 16.01.2017 17:05:37 ******/
DROP TABLE [dbo].[_expKreditnehmer]
GO

/****** Object:  Table [dbo].[_expKreditnehmer]    Script Date: 16.01.2017 17:05:37 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[_expKreditnehmer](
	[KNID] [nvarchar](24) NULL,
	[KN] [nvarchar](15) NULL,
	[INR] [nvarchar](3) NULL,
	[SPID] [int] NULL,
	[kn_name] [nvarchar](100) NULL,
	[kn_berater] [nvarchar](7) NULL,
	[kn_ort] [nvarchar](30) NULL,
	[kn_kz_organ] [nvarchar](2) NULL,
	[kn_kusydsgv] [nvarchar](8) NULL,
	[kn_wirtschaftszweig] [nvarchar](5) NULL,
	[kn_ortskenn] [int] NULL,
	[kn_rating_methode] [nvarchar](2) NULL,
	[kn_rating_note] [nvarchar](8) NULL,
	[kn_rating_status] [nvarchar](2) NULL,
	[kn_rating_ueberschreibung] [nvarchar](1) NULL,
	[kn_bonitaet] [nvarchar](3) NULL,
	[kn_risikoklasse] [nvarchar](3) NULL,
	[kn_blankokreditvolumen_in] [float] NULL,
	[kn_blankokreditvolumen_wi] [float] NULL,
	[kn_personalkreditvolumen_in] [float] NULL,
	[kn_personalkreditvolumen_wi] [float] NULL,
	[kn_realkreditvolumen_in] [float] NULL,
	[kn_realkreditvolumen_wi] [float] NULL,
	[kn_kommunalkreditvolumen_in] [float] NULL,
	[kn_kommunalkreditvolumen_wi] [float] NULL,
	[kn_freier_anteil_in] [float] NULL,
	[kn_freier_anteil_wi] [float] NULL,
	[kn_komp_anteil_in] [float] NULL,
	[kn_komp_anteil_wi] [float] NULL,
	[kn_gesamtkreditvolumen] [float] NULL,
	[kn_bewilligtes_darlehen_az6_neu] [float] NULL,
	[kn_gutschriftensumme_e_v] [float] NULL,
	[kn_meta_anteil_inanspruchnahme] [float] NULL,
	[kn_meta_anteil_kreditvolumen] [float] NULL,
	[kn_meta_anteil_ueberziehung] [float] NULL,
	[kn_passiv_az2_3_4_9] [float] NULL,
	[kn_passiv_depot] [float] NULL,
	[kn_rueckgabenanzahl] [int] NULL,
	[kn_rueckgabenbetrag] [float] NULL,
	[kn_darlehensrueckstand] [float] NULL,
	[kn_Ueberziehung] [float] NULL,
	[kn_Inanspruchnahme] [float] NULL,
	[kn_ewb_e] [float] NULL,
	[kn_ewb_e_btrg_janf] [float] NULL,
	[kn_ewb_e_btrg_neu] [float] NULL,
	[kn_ewb_e_btrg_zugang] [float] NULL,
	[kn_ewb_e_afls_btrg] [float] NULL,
	[kn_ewb_e_absg_ind_btrg] [float] NULL,
	[kn_ewb_e_absg_dir_btrg] [float] NULL,
	[kn_ewb_v] [float] NULL,
	[kn_ewb_v_btrg_janf] [float] NULL,
	[kn_ewb_v_btrg_neu] [float] NULL,
	[kn_ewb_v_btrg_zugang] [float] NULL,
	[kn_ewb_v_afls_btrg] [float] NULL,
	[kn_ewb_v_absg_ind_btrg] [float] NULL,
	[kn_ewb_v_absg_dir_btrg] [float] NULL,
	[Bdate] [datetime] NULL,
	[Kn_Guthaben] [float] NULL,
	[kn_wv] [float] NULL,
	[kn_wv_verbnr] [float] NULL,
	[kn_beruf_branche] [nvarchar](30) NULL,
	[kn_beruf] [nvarchar](3) NULL,
	[kn_strasse] [nvarchar](30) NULL,
	[kn_haus_nr] [nvarchar](10) NULL,
	[kn_post_erg] [nvarchar](30) NULL,
	[kn_postleit] [nvarchar](6) NULL,
	[kn_land] [nvarchar](30) NULL,
	[kn_g_verb_s] [datetime] NULL,
	[kn_kundentyp] [nvarchar](3) NULL,
	[kn_o_rechts] [nvarchar](12) NULL,
	[kn_pers_art] [nvarchar](1) NULL,
	[kn_pers_unterart] [nvarchar](12) NULL,
	[kn_rechtl_s] [nvarchar](3) NULL,
	[kn_org_bankgrp_ausl] [nvarchar](1) NULL,
	[kn_org_bankgrp_inl] [nvarchar](3) NULL,
	[kn_org_einlagen_ki_kz] [nvarchar](1) NULL,
	[kn_rating_kennung_stp] [nvarchar](1) NULL,
	[kn_saldo_umsatzlos] [float] NULL,
	[kn_kz_g_m_kred] [nvarchar](1) NULL,
	[kn_ueberziehung_90] [float] NULL,
	[kn_kreditvolumen_derivate] [float] NULL,
	[kn_kreditvolumen_wertpapiere] [float] NULL,
	[kn_kreditvolumen_wp_leihe] [float] NULL,
	[kn_kreditvolumen_geldhandel] [float] NULL,
	[kn_kreditvolumen_fw_kredite] [float] NULL,
	[kn_kreditvolumen_beteiligung] [float] NULL,
	[kn_kreditvolumen_so_az9] [float] NULL,
	[kn_kreditvolumen_kreditkarten] [float] NULL,
	[kn_bew_rahmen_le] [float] NULL,
	[kn_labile_sicherheiten] [float] NULL,
	[kn_sicherheiten_uebereignung] [float] NULL,
	[kn_zessionen] [float] NULL,
	[kn_buergschaften] [float] NULL,
	[kn_kreditvolumen_akkreditive] [float] NOT NULL,
	[kn_rating_datum] [datetime] NULL,
	[KN_GKV_SPK] [float] NULL,
	[KN_GKV_SPK_Bemerkung] [ntext] NULL,
	[KN_Kreditvolumen_az2] [float] NULL,
	[KN_Ueberschreitung_SPK] [float] NULL,
	[KN_Ueberschreitung_SPK_Bemerkung] [ntext] NULL,
	[KN_Identnr] [nvarchar](8) NULL,
	[KN_wirt_anteil_in] [float] NULL,
	[KN_wirt_anteil_wi] [float] NULL,
	[kn_PKV_SPG_in] [float] NULL,
	[kn_PKV_SPG_wi] [float] NULL,
	[KNTimestamp] [binary](510) NULL,
	[kn_verbund_art] [nvarchar](5) NULL,
	[kn_geko9513_gueltig_ab] [datetime] NULL,
	[KN_WARN_1210] [nvarchar](1) NULL,
	[KN_WARN_1310] [nvarchar](1) NULL,
	[KN_WARN_1425] [nvarchar](1) NULL,
	[KN_WARN_1435] [nvarchar](1) NULL,
	[KN_WARN_1455] [nvarchar](1) NULL,
	[KN_WARN_1510] [nvarchar](1) NULL,
	[KN_WARN_1530] [nvarchar](1) NULL,
	[KN_WARN_7000] [nvarchar](1) NULL,
	[KN_WARN_7001] [nvarchar](1) NULL,
	[KN_WARN_7002] [nvarchar](1) NULL,
	[KN_WARN_7003] [nvarchar](1) NULL,
	[KN_WARN_7004] [nvarchar](1) NULL,
	[KN_WARN_7008] [nvarchar](1) NULL,
	[KN_WARN_7017] [nvarchar](1) NULL,
	[KN_WARN_7021] [nvarchar](1) NULL,
	[KN_WARN_7029] [nvarchar](1) NULL,
	[KN_WARN_7031] [nvarchar](1) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


ALTER TABLE [dbo].[_expKreditnehmereinheit] DROP CONSTRAINT [DF__expKreditnehmereinheit_tmpFilter]
GO

ALTER TABLE [dbo].[_expKreditnehmereinheit] DROP CONSTRAINT [DF__expKreditnehmereinheit_tmpAuswahl]
GO

ALTER TABLE [dbo].[_expKreditnehmereinheit] DROP CONSTRAINT [DF__expKreditnehmereinheit_tmpLoeschKZ]
GO

ALTER TABLE [dbo].[_expKreditnehmereinheit] DROP CONSTRAINT [DF__expKreditnehmereinheit_EWBStichprobe]
GO

ALTER TABLE [dbo].[_expKreditnehmereinheit] DROP CONSTRAINT [DF__expKreditnehmereinheit_EWBAuswahl]
GO

ALTER TABLE [dbo].[_expKreditnehmereinheit] DROP CONSTRAINT [DF__expKreditnehmereinheit_Auswahl]
GO

/****** Object:  Table [dbo].[_expKreditnehmereinheit]    Script Date: 16.01.2017 17:10:48 ******/
DROP TABLE [dbo].[_expKreditnehmereinheit]
GO

/****** Object:  Table [dbo].[_expKreditnehmereinheit]    Script Date: 16.01.2017 17:10:48 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expKreditnehmereinheit](
	[KNEID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[INR] [nvarchar](3) NULL,
	[Bdate] [datetime] NULL,
	[KNE] [nvarchar](15) NULL,
	[Herkunft] [nvarchar](255) NULL,
	[KNE_Name] [nvarchar](100) NULL,
	[kne_wv_verbnr] [nvarchar](15) NULL,
	[kne_berater] [nvarchar](7) NULL,
	[kne_gesamtkreditvolumen] [float] NULL,
	[kne_gesamtkreditvolumen_not] [float] NULL,
	[kne_meta_anteil_inanspruchnahme] [float] NULL,
	[kne_bewilligungsvolumen_neu] [float] NULL,
	[kne_Inanspruchnahme] [float] NULL,
	[kne_blankokreditvolumen_in] [float] NULL,
	[kne_blankokreditvolumen_wi] [float] NULL,
	[kne_Personalkreditvolumen_in] [float] NULL,
	[kne_Personalkreditvolumen_wi] [float] NULL,
	[kne_Realkreditvolumen_in] [float] NULL,
	[kne_Realkreditvolumen_wi] [float] NULL,
	[kne_Kompensationskreditvolumen_in] [float] NULL,
	[kne_Kompensationskreditvolumen_wi] [float] NULL,
	[kne_Kommunalkreditvolumen_in] [float] NULL,
	[kne_Kommunalkreditvolumen_wi] [float] NULL,
	[kne_Kreditueberschreitung] [float] NULL,
	[kne_Darlehensrueckstand] [float] NULL,
	[kne_externe_kredite] [float] NULL,
	[kne_interne_Kredite] [float] NULL,
	[kne_Ueberziehungsgenehmigungen] [float] NULL,
	[kne_ewb_Veraenderung] [float] NULL,
	[kne_ewb_e] [float] NULL,
	[kne_ewb_e_btrg_janf] [float] NULL,
	[kne_ewb_e_btrg_neu] [float] NULL,
	[kne_ewb_e_btrg_zugang] [float] NULL,
	[kne_ewb_e_afls_btrg] [float] NULL,
	[kne_ewb_e_absg_ind_btrg] [float] NULL,
	[kne_ewb_e_absg_dir_btrg] [float] NULL,
	[kne_ewb_v] [float] NULL,
	[kne_ewb_v_btrg_janf] [float] NULL,
	[kne_ewb_v_btrg_neu] [float] NULL,
	[kne_ewb_v_btrg_zugang] [float] NULL,
	[kne_ewb_v_afls_btrg] [float] NULL,
	[kne_ewb_v_absg_ind_btrg] [float] NULL,
	[kne_ewb_v_absg_dir_btrg] [float] NULL,
	[Kne_Guthaben] [float] NULL,
	[BLZ] [nvarchar](8) NULL,
	[kne_identnr] [nvarchar](8) NULL,
	[kne_wv] [float] NULL,
	[kne_beruf_branche] [nvarchar](30) NULL,
	[kne_kreditvolumen_az01] [float] NULL,
	[kne_kreditvolumen_az5] [float] NULL,
	[kne_kreditvolumen_az6] [float] NULL,
	[kne_kreditvolumen_az7] [float] NULL,
	[kne_kreditvolumen_beteiligung] [float] NULL,
	[kne_kreditvolumen_derivate] [float] NULL,
	[kne_kreditvolumen_fw_kredite] [float] NULL,
	[kne_kreditvolumen_geldhandel] [float] NULL,
	[kne_kreditvolumen_so_az9] [float] NULL,
	[kne_kreditvolumen_wertpapiere] [float] NULL,
	[kne_kreditvolumen_wp_leihe] [float] NULL,
	[kne_kreditvolumen_kommunal] [float] NULL,
	[kne_kreditvolumen_kreditkarten] [float] NULL,
	[kne_meta_anteil_kreditvolumen] [float] NULL,
	[Auswahl] [bit] NOT NULL,
	[EWBAuswahl] [bit] NOT NULL,
	[EWBStichprobe] [bit] NOT NULL,
	[kne_kreditvolumen_akkreditive] [float] NULL,
	[KNE_Kreditvolumen_az2] [float] NULL,
	[tmpLoeschKZ] [bit] NOT NULL,
	[tmpAuswahl] [bit] NOT NULL,
	[tmpFilter] [bit] NOT NULL,
	[kne_wirt_anteil_wi] [float] NULL,
	[kne_wirt_anteil_in] [float] NULL,
	[kne_freier_anteil_wi] [float] NULL,
	[kne_freier_anteil_in] [float] NULL,
	[kne_PKV_SPG_in] [float] NULL,
	[kne_PKV_SPG_wi] [float] NULL,
	[kne_PKV_SPG_IN_SVN] [float] NULL,
	[kne_Risikoklasse] [nvarchar](3) NULL,
	[kne_Bonitaet] [nvarchar](3) NULL,
	[KNE_GEWICHTETE_BONITAET] [nvarchar](8) NULL
 CONSTRAINT [PK__expKreditnehmereinheit] PRIMARY KEY CLUSTERED 
(
	[KNEID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[_expKreditnehmereinheit] ADD  CONSTRAINT [DF__expKreditnehmereinheit_Auswahl]  DEFAULT ((0)) FOR [Auswahl]
GO

ALTER TABLE [dbo].[_expKreditnehmereinheit] ADD  CONSTRAINT [DF__expKreditnehmereinheit_EWBAuswahl]  DEFAULT ((0)) FOR [EWBAuswahl]
GO

ALTER TABLE [dbo].[_expKreditnehmereinheit] ADD  CONSTRAINT [DF__expKreditnehmereinheit_EWBStichprobe]  DEFAULT ((0)) FOR [EWBStichprobe]
GO

ALTER TABLE [dbo].[_expKreditnehmereinheit] ADD  CONSTRAINT [DF__expKreditnehmereinheit_tmpLoeschKZ]  DEFAULT ((0)) FOR [tmpLoeschKZ]
GO

ALTER TABLE [dbo].[_expKreditnehmereinheit] ADD  CONSTRAINT [DF__expKreditnehmereinheit_tmpAuswahl]  DEFAULT ((0)) FOR [tmpAuswahl]
GO

ALTER TABLE [dbo].[_expKreditnehmereinheit] ADD  CONSTRAINT [DF__expKreditnehmereinheit_tmpFilter]  DEFAULT ((0)) FOR [tmpFilter]
GO


/****** Object:  Table [dbo].[_expSicherheiten]    Script Date: 16.01.2017 17:15:53 ******/
DROP TABLE [dbo].[_expSicherheiten]
GO

/****** Object:  Table [dbo].[_expSicherheiten]    Script Date: 16.01.2017 17:15:53 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expSicherheiten](
	[KNID] [nvarchar](24) NOT NULL,
	[LFDNR] [int] NOT NULL,
	[kto_max_real] [float] NULL,
	[kto_max_personal] [float] NULL,
	[kto_max_wsft] [float] NULL,
	[kto_sich_schluessel] [nvarchar](2) NULL,
	[kto_sich_betrag] [float] NULL,
	[kto_sicherungsobjekt] [nvarchar](255) NULL,
	[INR] [nvarchar](3) NULL,
	[BDate] [datetime] NULL,
 CONSTRAINT [PK__expSicherheiten_1] PRIMARY KEY CLUSTERED 
(
	[KNID] ASC,
	[LFDNR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[_expSicherheitenproKNID]    Script Date: 16.01.2017 17:16:50 ******/
DROP TABLE [dbo].[_expSicherheitenproKNID]
GO

/****** Object:  Table [dbo].[_expSicherheitenproKNID]    Script Date: 16.01.2017 17:16:50 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expSicherheitenproKNID](
	[KNID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[INR] [nvarchar](3) NULL,
	[BDate] [datetime] NULL,
	[Grundpfandrechte_wi] [float] NULL,
	[Grundpfandrechte_in] [float] NULL,
	[Grundpfandrechte_wohn_wi] [float] NULL,
	[Grundpfandrechte_wohn_in] [float] NULL,
	[Grundpfandrechte_gew_wi] [float] NULL,
	[Grundpfandrechte_gew_in] [float] NULL,
	[Grundpfandrechte_real_wi] [float] NULL,
	[Grundpfandrechte_real_in] [float] NULL,
	[Guthaben_wi] [float] NULL,
	[Guthaben_in] [float] NULL,
	[Wertpapiere_wi] [float] NULL,
	[Wertpapiere_in] [float] NULL,
	[Sicherungsuebereignungen_wi] [float] NULL,
	[Sicherungsuebereignungen_in] [float] NULL,
	[Lebensversicherungen_wi] [float] NULL,
	[Lebensversicherungen_in] [float] NULL,
	[Zessionen_wi] [float] NULL,
	[Zessionen_in] [float] NULL,
	[Buergschaften_oeffentl_in] [float] NULL,
	[Buergschaften_oeffentl_wi] [float] NULL,
	[Buergschaften_sonst_in] [float] NULL,
	[Buergschaften_sonst_wi] [float] NULL,
	[Sonstiges_wi] [float] NULL,
	[Sonstiges_in] [float] NULL,
	[SPKRecht_nicht_Blanko_in] [float] NULL,
	[SPKRecht_nicht_Blanko_wi] [float] NULL,
	[DarunterKoerperschaft_in] [float] NULL,
	[DarunterKoerperschaft_wi] [float] NULL,
	[Wirtschaftlich_bewertbare_Sicherheiten_in] [float] NULL,
	[Wirtschaftlich_bewertbare_Sicherheiten_wi] [float] NULL,
	[Freie_Sicherheiten_in] [float] NULL,
	[Freie_Sicherheiten_wi] [float] NULL,
	[SPKRechtlich_Bewertbar_in] [float] NULL,
	[SPKRechtlich_Bewertbar_wi] [float] NULL,
	[SPKRechtl_Blanko_in] [float] NULL,
	[SPKRechtl_Blanko_wi] [float] NULL,
	[Wirtschaftlich_blanko_in] [float] NULL,
	[Wirtschaftlich_blanko_wi] [float] NULL,
 CONSTRAINT [PK__expSicherheitenproKNID] PRIMARY KEY CLUSTERED 
(
	[KNID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[_expSicherheitenproKonto]    Script Date: 16.01.2017 17:18:01 ******/
DROP TABLE [dbo].[_expSicherheitenproKonto]
GO

/****** Object:  Table [dbo].[_expSicherheitenproKonto]    Script Date: 16.01.2017 17:18:01 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expSicherheitenproKonto](
	[Kontonr] [nvarchar](10) NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[LFDNR] [int] NOT NULL,
	[SPID] [int] NOT NULL,
	[kto_sich_schluessel] [nvarchar](2) NULL,
	[kto_realkreditvolumen_in] [float] NULL,
	[kto_realkreditvolumen_wi] [float] NULL,
	[kto_personalkreditvolumen_in] [float] NULL,
	[kto_personalkreditvolumen_wi] [float] NULL,
	[kto_komp_anteil_in] [float] NULL,
	[kto_komp_anteil_wi] [float] NULL,
	[kto_wirt_anteil_in] [float] NULL,
	[kto_wirt_anteil_wi] [float] NULL,
	[kto_blankokreditvolumen_in] [float] NULL,
	[kto_blankokreditvolumen_wi] [float] NULL,
	[kto_kommunalkreditvolumen_in] [float] NULL,
	[kto_kommunalkreditvolumen_wi] [float] NULL,
	[kto_freier_anteil_in] [float] NULL,
	[kto_freier_anteil_wi] [float] NULL,
	[INR] [nvarchar](3) NULL,
	[BDate] [datetime] NULL,
 CONSTRAINT [PK__expSicherheitenproKonto] PRIMARY KEY CLUSTERED 
(
	[Kontonr] ASC,
	[KNID] ASC,
	[LFDNR] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO





ALTER PROCEDURE [dbo].[spExpBestand] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expBestand
                      (SPID, INR, BDate, Verbundart)
SELECT    T.SPID, tabBestand.INR, tabBestand.BDate, tabBestand.Verbundart
FROM         _tmpKNE as T INNER JOIN
                      tabBestand ON T.INR = tabBestand.INR AND T.Bdate = tabBestand.BDate
where T.SPID = @SPID
GROUP BY T.SPID, tabBestand.INR, tabBestand.BDate, tabBestand.Verbundart
END
GO

/****** Object:  Table [dbo].[_exp_KNE_KN]    Script Date: 16.01.2017 18:35:31 ******/
DROP TABLE [dbo].[_exp_KNE_KN]
GO

/****** Object:  Table [dbo].[_exp_KNE_KN]    Script Date: 16.01.2017 18:35:31 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_exp_KNE_KN](
	[KNEID] [nvarchar](24) NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[GBR_Quote] [real] NULL,
 CONSTRAINT [PK__exp_KNE_KN] PRIMARY KEY CLUSTERED 
(
	[KNEID] ASC,
	[KNID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[_expEWBKNEFilter]    Script Date: 16.01.2017 18:36:33 ******/
DROP TABLE [dbo].[_expEWBKNEFilter]
GO

/****** Object:  Table [dbo].[_expEWBKNEFilter]    Script Date: 16.01.2017 18:36:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expEWBKNEFilter](
	[KNEID] [nvarchar](24) NULL,
	[SPID] [int] NOT NULL,
	[Filter] [nvarchar](14) NULL,
	[EDate] [datetime] NULL
) ON [PRIMARY]

GO

/****** Object:  Table [dbo].[_expFilter]    Script Date: 16.01.2017 18:44:42 ******/
DROP TABLE [dbo].[_expFilter]
GO

CREATE TABLE [dbo].[_expFilter](
	[FID] [nvarchar](14) NOT NULL,
	[SPID] [int] NOT NULL,
	[Filtername] [nvarchar](255) NULL,
	[Filterkriterien] [nvarchar](max) NULL,
	[Aktiv] [bit] NOT NULL,
	[EWBFilter] [bit] NOT NULL,
	[INR] [nvarchar](3) NULL,
	[BDate] [datetime] NULL,
	[LastFilter] [ntext] NULL,
 CONSTRAINT [PK__expFilter] PRIMARY KEY CLUSTERED 
(
	[FID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


/****** Object:  Table [dbo].[_expSicherheiten]    Script Date: 16.01.2017 18:46:23 ******/
DROP TABLE [dbo].[_expSicherheiten]
GO

/****** Object:  Table [dbo].[_expSicherheiten]    Script Date: 16.01.2017 18:46:23 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expSicherheiten](
	[KNID] [nvarchar](24) NOT NULL,
	[LFDNR] [int] NOT NULL,
	[SPID] [int] NOT NULL,
	[kto_max_real] [float] NULL,
	[kto_max_personal] [float] NULL,
	[kto_max_wsft] [float] NULL,
	[kto_sich_schluessel] [nvarchar](2) NULL,
	[kto_sich_betrag] [float] NULL,
	[kto_sicherungsobjekt] [nvarchar](255) NULL,
	[INR] [nvarchar](3) NULL,
	[BDate] [datetime] NULL,
 CONSTRAINT [PK__expSicherheiten_1] PRIMARY KEY CLUSTERED 
(
	[KNID] ASC,
	[LFDNR] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


ALTER PROCEDURE [dbo].[spLeereExporttabellen] 
@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM _expBestand where SPID = @SPID
DELETE FROM _exp_KNE_KN where SPID = @SPID 
DELETE FROM _expEWBKNEFilter where SPID = @SPID 
DELETE FROM _expFilter  where SPID = @SPID
DELETE FROM _expKN_Risiko where SPID = @SPID 
DELETE FROM _expKN_RisikoSammel where SPID = @SPID 
DELETE FROM _expKN_Segmente where SPID = @SPID 
DELETE FROM _expKN_SPK_Korrekturen  where SPID = @SPID
DELETE FROM _expKNEFilter  where SPID = @SPID
DELETE FROM _expKonto  where SPID = @SPID
DELETE FROM _expKontoVB  where SPID = @SPID
DELETE FROM _expKreditnehmer  where SPID = @SPID
DELETE FROM _expKreditnehmereinheit  where SPID = @SPID
DELETE FROM _expSicherheiten  where SPID = @SPID
DELETE FROM _expSicherheitenProKonto  where SPID = @SPID
DELETE FROM _expSicherheitenProKNID  where SPID = @SPID
END
GO


ALTER PROCEDURE [dbo].[spExpKreditnehmer] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmer
                      (SPID, INR, KNID, KN, kn_name, kn_berater, kn_ort, kn_kz_organ, kn_kusydsgv, kn_wirtschaftszweig, kn_ortskenn, kn_rating_methode, kn_rating_note, kn_rating_status, 
                      kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
                      kn_personalkreditvolumen_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, kn_kommunalkreditvolumen_wi, 
                      kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, 
                      kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, 
                      kn_passiv_depot, kn_rueckgabenanzahl, kn_rueckgabenbetrag, kn_darlehensrueckstand, kn_Ueberziehung, kn_Inanspruchnahme, kn_ewb_e, kn_ewb_e_btrg_janf, 
                      kn_ewb_e_btrg_neu, kn_ewb_e_btrg_zugang, kn_ewb_e_afls_btrg, kn_ewb_e_absg_ind_btrg, kn_ewb_e_absg_dir_btrg, kn_ewb_v, kn_ewb_v_btrg_janf, 
                      kn_ewb_v_btrg_neu, kn_ewb_v_btrg_zugang, kn_ewb_v_afls_btrg, kn_ewb_v_absg_ind_btrg, kn_ewb_v_absg_dir_btrg, Bdate, Kn_Guthaben, kn_wv, kn_wv_verbnr, 
                      kn_beruf_branche, kn_beruf, kn_strasse, kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, 
                      kn_rechtl_s, kn_org_bankgrp_ausl, kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_saldo_umsatzlos, kn_kz_g_m_kred, 
                      kn_ueberziehung_90, kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, 
                      kn_kreditvolumen_fw_kredite, kn_kreditvolumen_beteiligung, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, kn_bew_rahmen_le, kn_labile_sicherheiten, 
                      kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften, kn_kreditvolumen_akkreditive, kn_rating_datum, KN_GKV_SPK, KN_GKV_SPK_Bemerkung, 
                      KN_Kreditvolumen_az2, KN_Ueberschreitung_SPK, KN_Ueberschreitung_SPK_Bemerkung, kn_PKV_SPG_in, kn_PKV_SPG_wi, KN_wirt_anteil_in, KN_wirt_anteil_wi, 
                      KN_Identnr, kn_verbund_art, kn_geko9513_gueltig_ab, KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031)
SELECT     @SPID, KN.INR, KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, 
                      KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, 
                      cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
FROM         _tmpKNE AS T INNER JOIN
                      tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
 Where T.SPID = @SPID
GROUP BY KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
END
GO


/****** Object:  StoredProcedure [dbo].[spExp_KNE_KN]    Script Date: 18.01.2017 13:05:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spExp_KNE_KN] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _exp_KNE_KN ( SPID, KNEID, KNID, GBR_Quote )
SELECT @SPID, tab_KNE_KN.KNEID, tab_KNE_KN.KNID, tab_KNE_KN.GBR_Quote
FROM _tmpKNE INNER JOIN tab_KNE_KN ON [_tmpKNE].KNEID = tab_KNE_KN.KNEID
where _tmpkne.spid = @SPID 
GROUP BY tab_KNE_KN.KNEID, tab_KNE_KN.KNID, tab_KNE_KN.GBR_Quote;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpKN_Risiko]    Script Date: 18.01.2017 13:04:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spExpKN_Risiko] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Risiko ( SPID, KNEID, RNR, KNID, RGrund, GBR_Quote )
SELECT @SPID, tabKN_Risiko.KNEID, tabKN_Risiko.RNR, tabKN_Risiko.KNID, tabKN_Risiko.RGrund, 
tabKN_Risiko.GBR_Quote
FROM _tmpKNE INNER JOIN tabKN_Risiko ON [_tmpKNE].KNEID = tabKN_Risiko.KNEID 
WHERE _tmpKNE.SPID = @SPID;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpKonto]    Script Date: 18.01.2017 13:22:39 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spExpKonto]
@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKonto
                      (SPID, KontoID, KontoNr, KNID, KN, INR, kto_skontronr, kto_kreditkartennummer, kto_gp_key, kto_gp_variante, kto_geschaeftsart_depot_a, kto_kontentyp, 
                      kto_gesamtkreditvolumen, kto_saldo, kto_inanspruchnahme, kto_ueberziehung, kto_externer_kredit, kto_interner_kredit, kto_interner_kredit_bis, 
                      kto_ueberziehung_genehmigt, kto_ueberziehung_genehmigt_bis, kto_ueberz_hoechste_quartal_1, kto_ueberziehungstage, kto_kz_notleidend, 
                      kto_rueckstand_gesamt, kto_verzug_entgelt, kto_verzug_verzinslich, kto_verzug_unverzinslich, kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_aval_art, 
                      kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, kto_monatliche_Habenumsaetze, 
                      kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_sperr_be, kto_ewb_e, kto_ewb_e_btrg_janf, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, 
                      kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg, kto_ewb_v, kto_ewb_v_btrg_janf, kto_ewb_v_btrg_neu, kto_ewb_v_btrg_zugang, 
                      kto_ewb_v_afls_btrg, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, kto_relation_kredit_umsatz, kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, 
                      kto_tilgung_61, Bdate, kto_kz_k_s, kto_kreditart, kto_datum_eroeffnung, kto_bewilligungs_datum, kto_befristung_datum, kto_ueberz_hoechste_quartal_2, 
                      kto_ueberz_hoechste_quartal_3, kto_ueberz_hoechste_quartal_4, kto_ueberziehungsdatum_ab, kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, kto_zinssatz, 
                      kto_ab_merkmal, kto_mindestr, kto_offene_zusage, kto_bewilligtes_darlehen, kto_vorauszahlung, kto_avalkred_betrag, kto_anzahl_sicherheiten, 
                      kto_summe_sicherheiten, kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, kto_ewb_e_datum, 
                      kto_ewb_e_jahr, kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, kto_ewb_e_btrg_man, kto_ewb_e_btrg_blanko, kto_ewb_v_datum, 
                      kto_ewb_v_jahr, kto_ewb_v_waehrung, kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_ewb_v_btrg_man, kto_ewb_v_btrg_blanko, 
                      kto_kontobezeichnung_depot_a, kto_mahnstand, kto_rk_Betrag, kto_rk_offene_Zusage, kto_rk_kz, kto_rk_ts)
SELECT     @SPID, tabKonto.KontoID, tabKonto.KontoNr, tabKonto.KNID, tabKonto.KN, tabKonto.INR, tabKonto.kto_skontronr, tabKonto.kto_kreditkartennummer, tabKonto.kto_gp_key, 
                      tabKonto.kto_gp_variante, tabKonto.kto_geschaeftsart_depot_a, tabKonto.kto_kontentyp, tabKonto.kto_gesamtkreditvolumen, tabKonto.kto_saldo, 
                      tabKonto.kto_inanspruchnahme, tabKonto.kto_ueberziehung, tabKonto.kto_externer_kredit, tabKonto.kto_interner_kredit, tabKonto.kto_interner_kredit_bis, 
                      tabKonto.kto_ueberziehung_genehmigt, tabKonto.kto_ueberziehung_genehmigt_bis, tabKonto.kto_ueberz_hoechste_quartal_1, tabKonto.kto_ueberziehungstage, 
                      tabKonto.kto_kz_notleidend, tabKonto.kto_rueckstand_gesamt, tabKonto.kto_verzug_entgelt, tabKonto.kto_verzug_verzinslich, tabKonto.kto_verzug_unverzinslich, 
                      tabKonto.kto_rueckgabenbetrag, tabKonto.kto_rueckgabenanzahl, tabKonto.kto_aval_art, tabKonto.kto_aval_einzelbe, tabKonto.kto_aval_rahmenkontonr, 
                      tabKonto.kto_meta_anteil_kreditvolumen, tabKonto.kto_meta_anteil_inanspruchnahme, tabKonto.kto_monatliche_Habenumsaetze, 
                      tabKonto.kto_habenumsatz_lfd_jahr, tabKonto.kto_habenumsatz_vorjahr, tabKonto.kto_sperr_be, tabKonto.kto_ewb_e, tabKonto.kto_ewb_e_btrg_janf, 
                      tabKonto.kto_ewb_e_btrg_neu, tabKonto.kto_ewb_e_btrg_zugang, tabKonto.kto_ewb_e_afls_btrg, tabKonto.kto_ewb_e_absg_ind_btrg, 
                      tabKonto.kto_ewb_e_absg_dir_btrg, tabKonto.kto_ewb_v, tabKonto.kto_ewb_v_btrg_janf, tabKonto.kto_ewb_v_btrg_neu, tabKonto.kto_ewb_v_btrg_zugang, 
                      tabKonto.kto_ewb_v_afls_btrg, tabKonto.kto_ewb_v_absg_ind_btrg, tabKonto.kto_ewb_v_absg_dir_btrg, tabKonto.kto_relation_kredit_umsatz, tabKonto.kto_tilgung_3, 
                      tabKonto.kto_tilgung_4_12, tabKonto.kto_tilgung_13_60, tabKonto.kto_tilgung_61, tabKonto.Bdate, tabKonto.kto_kz_k_s, tabKonto.kto_kreditart, 
                      tabKonto.kto_datum_eroeffnung, tabKonto.kto_bewilligungs_datum, tabKonto.kto_befristung_datum, tabKonto.kto_ueberz_hoechste_quartal_2, 
                      tabKonto.kto_ueberz_hoechste_quartal_3, tabKonto.kto_ueberz_hoechste_quartal_4, tabKonto.kto_ueberziehungsdatum_ab, tabKonto.kto_ueberziehung_m_ev, 
                      tabKonto.kto_ueberziehung_o_ev, tabKonto.kto_zinssatz, tabKonto.kto_ab_merkmal, tabKonto.kto_mindestr, tabKonto.kto_offene_zusage, 
                      tabKonto.kto_bewilligtes_darlehen, tabKonto.kto_vorauszahlung, tabKonto.kto_avalkred_betrag, tabKonto.kto_anzahl_sicherheiten, tabKonto.kto_summe_sicherheiten,
                       tabKonto.kto_haben_umsatz_vq_1, tabKonto.kto_haben_umsatz_vq_2, tabKonto.kto_haben_umsatz_vq_3, tabKonto.kto_haben_umsatz_vq_4, 
                      tabKonto.kto_ewb_e_datum, tabKonto.kto_ewb_e_jahr, tabKonto.kto_ewb_e_waehrung, tabKonto.kto_ewb_e_ermg_verf, tabKonto.kto_ewb_e_daten_ursprung, 
                      tabKonto.kto_ewb_e_btrg_man, tabKonto.kto_ewb_e_btrg_blanko, tabKonto.kto_ewb_v_datum, tabKonto.kto_ewb_v_jahr, tabKonto.kto_ewb_v_waehrung, 
                      tabKonto.kto_ewb_v_ermg_verf, tabKonto.kto_ewb_v_daten_ursprung, tabKonto.kto_ewb_v_btrg_man, tabKonto.kto_ewb_v_btrg_blanko, 
                      tabKonto.kto_kontobezeichnung_depot_a, tabKonto.kto_mahnstand, tabKonto.kto_rk_Betrag, tabKonto.kto_rk_offene_Zusage, tabKonto.kto_rk_kz, 
                      tabKonto.kto_rk_ts
FROM         _tmpKNE INNER JOIN
                      tab_KNE_KN ON _tmpKNE.KNEID = tab_KNE_KN.KNEID INNER JOIN
                      tabKonto ON tab_KNE_KN.KNID = tabKonto.KNID
Where _tmpKNE.SPID = @SPID 
GROUP BY tabKonto.KontoID, tabKonto.KontoNr, tabKonto.KNID, tabKonto.KN, tabKonto.INR, tabKonto.kto_skontronr, tabKonto.kto_kreditkartennummer, tabKonto.kto_gp_key, 
                      tabKonto.kto_gp_variante, tabKonto.kto_geschaeftsart_depot_a, tabKonto.kto_kontentyp, tabKonto.kto_gesamtkreditvolumen, tabKonto.kto_saldo, 
                      tabKonto.kto_inanspruchnahme, tabKonto.kto_ueberziehung, tabKonto.kto_externer_kredit, tabKonto.kto_interner_kredit, tabKonto.kto_interner_kredit_bis, 
                      tabKonto.kto_ueberziehung_genehmigt, tabKonto.kto_ueberziehung_genehmigt_bis, tabKonto.kto_ueberz_hoechste_quartal_1, tabKonto.kto_ueberziehungstage, 
                      tabKonto.kto_kz_notleidend, tabKonto.kto_rueckstand_gesamt, tabKonto.kto_verzug_entgelt, tabKonto.kto_verzug_verzinslich, tabKonto.kto_verzug_unverzinslich, 
                      tabKonto.kto_rueckgabenbetrag, tabKonto.kto_rueckgabenanzahl, tabKonto.kto_aval_art, tabKonto.kto_aval_einzelbe, tabKonto.kto_aval_rahmenkontonr, 
                      tabKonto.kto_meta_anteil_kreditvolumen, tabKonto.kto_meta_anteil_inanspruchnahme, tabKonto.kto_monatliche_Habenumsaetze, 
                      tabKonto.kto_habenumsatz_lfd_jahr, tabKonto.kto_habenumsatz_vorjahr, tabKonto.kto_sperr_be, tabKonto.kto_ewb_e, tabKonto.kto_ewb_e_btrg_janf, 
                      tabKonto.kto_ewb_e_btrg_neu, tabKonto.kto_ewb_e_btrg_zugang, tabKonto.kto_ewb_e_afls_btrg, tabKonto.kto_ewb_e_absg_ind_btrg, 
                      tabKonto.kto_ewb_e_absg_dir_btrg, tabKonto.kto_ewb_v, tabKonto.kto_ewb_v_btrg_janf, tabKonto.kto_ewb_v_btrg_neu, tabKonto.kto_ewb_v_btrg_zugang, 
                      tabKonto.kto_ewb_v_afls_btrg, tabKonto.kto_ewb_v_absg_ind_btrg, tabKonto.kto_ewb_v_absg_dir_btrg, tabKonto.kto_relation_kredit_umsatz, tabKonto.kto_tilgung_3, 
                      tabKonto.kto_tilgung_4_12, tabKonto.kto_tilgung_13_60, tabKonto.kto_tilgung_61, tabKonto.Bdate, tabKonto.kto_kz_k_s, tabKonto.kto_kreditart, 
                      tabKonto.kto_datum_eroeffnung, tabKonto.kto_bewilligungs_datum, tabKonto.kto_befristung_datum, tabKonto.kto_ueberz_hoechste_quartal_2, 
                      tabKonto.kto_ueberz_hoechste_quartal_3, tabKonto.kto_ueberz_hoechste_quartal_4, tabKonto.kto_ueberziehungsdatum_ab, tabKonto.kto_ueberziehung_m_ev, 
                      tabKonto.kto_ueberziehung_o_ev, tabKonto.kto_zinssatz, tabKonto.kto_ab_merkmal, tabKonto.kto_mindestr, tabKonto.kto_offene_zusage, 
                      tabKonto.kto_bewilligtes_darlehen, tabKonto.kto_vorauszahlung, tabKonto.kto_avalkred_betrag, tabKonto.kto_anzahl_sicherheiten, tabKonto.kto_summe_sicherheiten,
                       tabKonto.kto_haben_umsatz_vq_1, tabKonto.kto_haben_umsatz_vq_2, tabKonto.kto_haben_umsatz_vq_3, tabKonto.kto_haben_umsatz_vq_4, 
                      tabKonto.kto_ewb_e_datum, tabKonto.kto_ewb_e_jahr, tabKonto.kto_ewb_e_waehrung, tabKonto.kto_ewb_e_ermg_verf, tabKonto.kto_ewb_e_daten_ursprung, 
                      tabKonto.kto_ewb_e_btrg_man, tabKonto.kto_ewb_e_btrg_blanko, tabKonto.kto_ewb_v_datum, tabKonto.kto_ewb_v_jahr, tabKonto.kto_ewb_v_waehrung, 
                      tabKonto.kto_ewb_v_ermg_verf, tabKonto.kto_ewb_v_daten_ursprung, tabKonto.kto_ewb_v_btrg_man, tabKonto.kto_ewb_v_btrg_blanko, 
                      tabKonto.kto_kontobezeichnung_depot_a, tabKonto.kto_mahnstand, tabKonto.kto_rk_Betrag, tabKonto.kto_rk_offene_Zusage, tabKonto.kto_rk_kz, tabKonto.kto_rk_ts
                      END
GO

DROP Table _tmpKNEAUswahl
GO

/****** Object:  Table [dbo].[_tmpSegmente1Bis7]    Script Date: 18.01.2017 14:01:03 ******/
DROP TABLE [dbo].[_tmpSegmente1Bis7]
GO

/****** Object:  Table [dbo].[_tmpSegmente1Bis7]    Script Date: 18.01.2017 14:01:03 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpSegmente1Bis7](
	[SPID] [int] NOT NULL,
	[KNID] [nvarchar](24) NOT NULL,
	[kn_kl_segment_1] [nvarchar](1) NULL,
	[kn_kl_segment_2] [nvarchar](1) NULL,
	[kn_kl_segment_3] [nvarchar](1) NULL,
	[kn_kl_segment_4] [nvarchar](1) NULL,
	[kn_kl_segment_5] [nvarchar](1) NULL,
	[kn_kl_segment_6] [nvarchar](1) NULL,
	[kn_kl_segment_7] [nvarchar](1) NULL,
 CONSTRAINT [PK__tmpSegmente1Bis7] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[KNID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[_tmpVB1Bis5]    Script Date: 18.01.2017 14:03:55 ******/
DROP TABLE [dbo].[_tmpVB1Bis5]
GO

/****** Object:  Table [dbo].[_tmpVB1Bis5]    Script Date: 18.01.2017 14:03:55 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpVB1Bis5](
	[KontoID] [int] NOT NULL,
	[SPID] [int] NOT NULL,
	[kto_Verfuegung1] [nvarchar](2) NULL,
	[kto_Verfuegung2] [nvarchar](2) NULL,
	[kto_Verfuegung3] [nvarchar](2) NULL,
	[kto_Verfuegung4] [nvarchar](2) NULL,
	[kto_Verfuegung5] [nvarchar](2) NULL,
 CONSTRAINT [PK__tmpVB1Bis5] PRIMARY KEY CLUSTERED 
(
	[KontoID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


ALTER PROCEDURE [dbo].[spLeereTemptabellen] 
@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM _tmpFilterTreffer where spid = @SPID
DELETE FROM _tmpGuthaben  where spid = @SPID
DELETE FROM _tmpKN_KTO_Summen  where spid = @SPID
DELETE FROM _tmpKNE  where spid = @SPID
DELETE FROM _tmpKNE_KN_SummenQuotenberichtigt  where spid = @SPID
DELETE FROM _tmpKNE_Konto_SummenQuotenberichtigt  where spid = @SPID
DELETE FROM _tmpKNWerteQuotenberichtigt  where spid = @SPID
DELETE FROM _tmpRisikoeinheit  where spid = @SPID
DELETE FROM _tmpRisikoKN  where spid = @SPID
DELETE FROM _tmpRisikoRestKN  where spid = @SPID
DELETE FROM _tmpRisikoRestKNE  where spid = @SPID
DELETE FROM _tmpRisikoWV  where spid = @SPID
DELETE FROM _tmpRisikoWVAlle  where spid = @SPID
DELETE FROM _tmpSegmente1Bis7  where spid = @SPID
DELETE FROM _tmpStichprobe  where spid = @SPID
DELETE FROM _tmpVB1Bis5  where spid = @SPID
END
GO

/****** Object:  StoredProcedure [dbo].[spLeereExporttabellen]    Script Date: 18.01.2017 14:06:25 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spLeereExporttabellen] 
@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM _expBestand where SPID = @SPID
DELETE FROM _exp_KNE_KN where SPID = @SPID 
DELETE FROM _expEWBKNEFilter where SPID = @SPID 
DELETE FROM _expFilter  where SPID = @SPID
DELETE FROM _expKN_Risiko where SPID = @SPID 
DELETE FROM _expKN_RisikoSammel where SPID = @SPID 
DELETE FROM _expKN_Segmente where SPID = @SPID 
DELETE FROM _expKN_SPK_Korrekturen  where SPID = @SPID
DELETE FROM _expKNEFilter  where SPID = @SPID
DELETE FROM _expKonto  where SPID = @SPID
DELETE FROM _expKontoVB  where SPID = @SPID
DELETE FROM _expKreditnehmer  where SPID = @SPID
DELETE FROM _expKreditnehmereinheit  where SPID = @SPID
DELETE FROM _expSicherheiten  where SPID = @SPID
DELETE FROM _expSicherheitenProKonto  where SPID = @SPID
DELETE FROM _expSicherheitenProKNID  where SPID = @SPID
END
GO

ALTER PROCEDURE [dbo].[spExpKontoVB]
@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKontoVB ( SPID, KVBID, KontoID, SVZ_DB )
SELECT @SPID, tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB
FROM (_tmpKNE INNER JOIN tab_KNE_KN ON [_tmpKNE].KNEID = tab_KNE_KN.KNEID) INNER JOIN 
     (tabKonto INNER JOIN tabKontoVB ON tabKonto.KontoID = tabKontoVB.KontoID) ON tab_KNE_KN.KNID = tabKonto.KNID
Where _tmpKNE.SPID = @SPID 
GROUP BY tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_Segmente] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Segmente ( KNID, KN, Segmentnr )
SELECT tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr
FROM (_tmpKNE INNER JOIN tab_KNE_KN ON [_tmpKNE].KNEID = tab_KNE_KN.KNEID) INNER JOIN tabKN_Segmente ON tab_KNE_KN.KNID = tabKN_Segmente.KNID
where _tmpKNE.SPID = @SPID 
GROUP BY tabKN_Segmente.KNSID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_SPK_Korrekturen] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_SPK_Korrekturen ( KNSPKID, KNID, KN_InAn_SPK, KN_InAn_SPK_Bemerkung, KreditArt )
SELECT tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
       cast(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung as nvarchar(max)), tabKN_SPK_Korrekturen.KreditArt
FROM (_tmpKNE INNER JOIN tab_KNE_KN ON [_tmpKNE].KNEID = tab_KNE_KN.KNEID) INNER JOIN tabKN_SPK_Korrekturen ON tab_KNE_KN.KNID = tabKN_SPK_Korrekturen.KNID
WHERE _tmpKNE.SPID = @SPID 
GROUP BY tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
         cast(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung as nvarchar(max)), tabKN_SPK_Korrekturen.KreditArt;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_SPK_KorrekturenRE] 
@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_SPK_Korrekturen ( KNSPKID, KNID, KN_InAn_SPK, KN_InAn_SPK_Bemerkung, KreditArt )
SELECT tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, cast(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung as nvarchar(max)), tabKN_SPK_Korrekturen.KreditArt
FROM (_tmpKNE INNER JOIN tabKN_Risiko ON [_tmpKNE].KNEID = tabKN_Risiko.KNEID) INNER JOIN tabKN_SPK_Korrekturen ON tabKN_Risiko.KNID = tabKN_SPK_Korrekturen.KNID
WHERE _tmpKNE.spid = @SPID 
GROUP BY tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
         cast(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung as nvarchar(max)), tabKN_SPK_Korrekturen.KreditArt;
END
GO


ALTER PROCEDURE [dbo].[spExpKN_SPK_KorrekturenRESammel] 
@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_SPK_Korrekturen ( KNSPKID, KNID, KN_InAn_SPK, KN_InAn_SPK_Bemerkung, KreditArt )
SELECT tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
cast(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung as nvarchar(max)), tabKN_SPK_Korrekturen.KreditArt
FROM ((_tmpKNE INNER JOIN tabKN_RisikoSammel ON [_tmpKNE].KNEID = tabKN_RisikoSammel.KNEID) INNER JOIN tabKreditnehmer ON tabKN_RisikoSammel.KNID = tabKreditnehmer.KNID) INNER JOIN tabKN_SPK_Korrekturen ON tabKreditnehmer.KNID = tabKN_SPK_Korrekturen.KNID
WHERE _tmpKNE.SPID = @SPID 
GROUP BY tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
cast(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung as nvarchar(max)), tabKN_SPK_Korrekturen.KreditArt;
END
GO

ALTER PROCEDURE [dbo].[spExpEWBKNEFilter] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKNEFilter ( SPID, KNEID, Filter, EDate )
SELECT        tabEWBKNEFilter.KNEID, tabEWBKNEFilter.Filter, tabEWBKNEFilter.EDate, tabEWBKNEFilter.SPID
FROM            _tmpKNE AS T INNER JOIN
                         tabEWBKNEFilter ON T.KNEID = tabEWBKNEFilter.KNEID AND T.SPID = tabEWBKNEFilter.SPID
GROUP BY tabEWBKNEFilter.KNEID, tabEWBKNEFilter.Filter, tabEWBKNEFilter.EDate, tabEWBKNEFilter.SPID ;
END
GO

ALTER PROCEDURE [dbo].[spExpFilter] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expFilter ( SPID, FID, Filtername, Aktiv, EWBFilter, INR, BDate )
SELECT        tabFilter.FID, tabFilter.Filtername, tabFilter.Aktiv, tabFilter.EWBFilter, tabFilter.INR, tabFilter.BDate, T.SPID
FROM            _tmpKNE AS T INNER JOIN
                         tabKNEFilter INNER JOIN
                         tabFilter ON tabKNEFilter.Filter = tabFilter.FID AND tabKNEFilter.SPID = tabFilter.SPID ON T.KNEID = tabKNEFilter.KNEID AND T.SPID = tabKNEFilter.SPID
GROUP BY tabFilter.FID, tabFilter.Filtername, tabFilter.Aktiv, tabFilter.EWBFilter, tabFilter.INR, tabFilter.BDate, t.SPID
HAVING        (tabFilter.EWBFilter = 0) and t.SPID = @SPID;

--- Und jetzt noch die Filterkriterien hinterher schieben...
UPDATE    _expFilter
SET       Filterkriterien = tabFilter.Filterkriterien, LastFilter = tabFilter.LastFilter
FROM      _expFilter INNER JOIN
          tabFilter ON _expFilter.FID = tabFilter.FID and tabFilter.spid = _expFilter.spid
END
GO

ALTER PROCEDURE [dbo].[spExpKN_Risiko] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Risiko ( SPID, KNEID, RNR, KNID, RGrund, GBR_Quote )
SELECT @SPID, tabKN_Risiko.KNEID, tabKN_Risiko.RNR, tabKN_Risiko.KNID, tabKN_Risiko.RGrund, 
tabKN_Risiko.GBR_Quote
FROM _tmpKNE as T INNER JOIN tabKN_Risiko ON t.KNEID = tabKN_Risiko.KNEID AND T.SPID = tabKN_Risiko.spid 
WHERE t.SPID = @SPID;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_RisikoSammel] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Risiko ( SPID, KNEID, RNR, KNID, RGrund, GBR_Quote )
SELECT T.SPID, tabKN_RisikoSammel.KNEID, tabKN_RisikoSammel.RNR, tabKN_RisikoSammel.KNID, tabKN_RisikoSammel.RGrund, tabKN_RisikoSammel.GBR_Quote
FROM _tmpKNE as T INNER JOIN tabKN_RisikoSammel ON T.KNEID = tabKN_RisikoSammel.KNEID AND T.SPID = tabKN_RisikoSammel.SPID 
WHERE T.SPID = @SPID;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpKN_Segmente]    Script Date: 18.01.2017 15:53:59 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spExpKN_Segmente] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Segmente (SPID, KNID, KN, Segmentnr )
SELECT        T.SPID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr
FROM            _tmpKNE AS T INNER JOIN
                         tab_KNE_KN ON T.KNEID = tab_KNE_KN.KNEID INNER JOIN
                         tabKN_Segmente ON tab_KNE_KN.KNID = tabKN_Segmente.KNID
WHERE        (T.SPID = @SPID)
GROUP BY T.SPID, tabKN_Segmente.KNSID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr;
END
GO


ALTER PROCEDURE [dbo].[spExpKN_SegmenteRE] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Segmente (SPID, KNSID, KNID, KN, Segmentnr )
SELECT        T.SPID, tabKN_Segmente.KNSID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr
FROM            _tmpKNE AS T INNER JOIN
                         tabKN_Risiko ON T.KNEID = tabKN_Risiko.KNEID AND T.SPID = tabKN_Risiko.SPID INNER JOIN
                         tabKN_Segmente ON tabKN_Risiko.KNID = tabKN_Segmente.KNID
Where T.SPID = @SPID 
GROUP BY tabKN_Segmente.KNSID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr, T.SPID;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_SegmenteRESammel] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Segmente (SPID, KNSID, KNID, KN, Segmentnr )
SELECT        T.SPID, tabKN_Segmente.KNSID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr
FROM            _tmpKNE AS T INNER JOIN
                         tabKN_RisikoSammel ON T.KNEID = tabKN_RisikoSammel.KNEID AND T.SPID = tabKN_RisikoSammel.SPID INNER JOIN
                         tabKreditnehmer INNER JOIN
                         tabKN_Segmente ON tabKreditnehmer.KN = tabKN_Segmente.KN ON tabKN_RisikoSammel.KNID = tabKreditnehmer.KNID
						 Where T.Spid = @SPID 
GROUP BY tabKN_Segmente.KNSID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr, T.SPID;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_SPK_Korrekturen] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_SPK_Korrekturen (SPID, KNSPKID, KNID, KN_InAn_SPK, KN_InAn_SPK_Bemerkung, KreditArt )
SELECT        T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)) AS Expr1, tabKN_SPK_Korrekturen.KreditArt
FROM            _tmpKNE AS T INNER JOIN
                         tab_KNE_KN ON T.KNEID = tab_KNE_KN.KNEID INNER JOIN
                         tabKN_SPK_Korrekturen ON tab_KNE_KN.KNID = tabKN_SPK_Korrekturen.KNID
WHERE        (T.SPID = @SPID)
GROUP BY T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)), tabKN_SPK_Korrekturen.KreditArt;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpKN_SPK_KorrekturenRE]    Script Date: 18.01.2017 16:29:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spExpKN_SPK_KorrekturenRE] 
@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_SPK_Korrekturen (SPID, KNSPKID, KNID, KN_InAn_SPK, KN_InAn_SPK_Bemerkung, KreditArt )
SELECT       T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)) AS Expr1, tabKN_SPK_Korrekturen.KreditArt 
FROM            _tmpKNE AS T INNER JOIN
                         tabKN_Risiko ON T.KNEID = tabKN_Risiko.KNEID AND T.SPID = tabKN_Risiko.SPID INNER JOIN
                         tabKN_SPK_Korrekturen ON tabKN_Risiko.KNID = tabKN_SPK_Korrekturen.KNID
WHERE        (T.SPID = @SPID)
GROUP BY T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)), tabKN_SPK_Korrekturen.KreditArt;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_SPK_KorrekturenRESammel] 
@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_SPK_Korrekturen ( SPID, KNSPKID, KNID, KN_InAn_SPK, KN_InAn_SPK_Bemerkung, KreditArt )
SELECT        T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)) AS Expr1, tabKN_SPK_Korrekturen.KreditArt
FROM            _tmpKNE AS T INNER JOIN
                         tabKN_RisikoSammel ON T.KNEID = tabKN_RisikoSammel.KNEID AND T.SPID = tabKN_RisikoSammel.SPID INNER JOIN
                         tabKreditnehmer ON tabKN_RisikoSammel.KNID = tabKreditnehmer.KNID INNER JOIN
                         tabKN_SPK_Korrekturen ON tabKreditnehmer.KNID = tabKN_SPK_Korrekturen.KNID
WHERE        (T.SPID = @SPID)
GROUP BY  T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)), tabKN_SPK_Korrekturen.KreditArt;
END
GO

ALTER PROCEDURE [dbo].[spExpKNEFilter] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKNEFilter (SPID, KNEID, Filter, EDate )
SELECT T.SPID, tabKNEFilter.KNEID, tabKNEFilter.Filter, tabKNEFilter.edate 
FROM _tmpKNE as T INNER JOIN tabKNEFilter ON T.KNEID = tabKNEFilter.KNEID and T.SPID = tabKNEFilter.SPID 
where T.SPID = @SPID 
GROUP BY T.SPID, tabKNEFilter.KNEID, tabKNEFilter.Filter, tabKNEFilter.edate;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpKontoRE]    Script Date: 18.01.2017 16:44:52 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spExpKontoRE] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKonto
                      (SPID, KontoID, KontoNr, KNID, INR, KN, kto_skontronr, kto_kreditkartennummer, kto_gp_key, kto_gp_variante, kto_geschaeftsart_depot_a, kto_kontentyp, 
                      kto_gesamtkreditvolumen, kto_saldo, kto_inanspruchnahme, kto_ueberziehung, kto_externer_kredit, kto_interner_kredit, kto_interner_kredit_bis, 
                      kto_ueberziehung_genehmigt, kto_ueberziehung_genehmigt_bis, kto_ueberz_hoechste_quartal_1, kto_ueberziehungstage, kto_kz_notleidend, 
                      kto_rueckstand_gesamt, kto_verzug_entgelt, kto_verzug_verzinslich, kto_verzug_unverzinslich, kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_aval_art, 
                      kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, kto_monatliche_Habenumsaetze, 
                      kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_sperr_be, kto_ewb_e, kto_ewb_e_btrg_janf, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, 
                      kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg, kto_ewb_v, kto_ewb_v_btrg_janf, kto_ewb_v_btrg_neu, kto_ewb_v_btrg_zugang, 
                      kto_ewb_v_afls_btrg, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, kto_relation_kredit_umsatz, kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, 
                      kto_tilgung_61, Bdate, kto_kz_k_s, kto_kreditart, kto_datum_eroeffnung, kto_bewilligungs_datum, kto_befristung_datum, kto_ueberz_hoechste_quartal_2, 
                      kto_ueberz_hoechste_quartal_3, kto_ueberz_hoechste_quartal_4, kto_ueberziehungsdatum_ab, kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, kto_zinssatz, 
                      kto_ab_merkmal, kto_mindestr, kto_offene_zusage, kto_bewilligtes_darlehen, kto_vorauszahlung, kto_avalkred_betrag, kto_anzahl_sicherheiten, 
                      kto_summe_sicherheiten, kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, kto_ewb_e_datum, 
                      kto_ewb_e_jahr, kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, kto_ewb_e_btrg_man, kto_ewb_e_btrg_blanko, kto_ewb_v_datum, 
                      kto_ewb_v_jahr, kto_ewb_v_waehrung, kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_ewb_v_btrg_man, kto_ewb_v_btrg_blanko, 
                      kto_kontobezeichnung_depot_a, kto_mahnstand, kto_rk_Betrag, kto_rk_offene_Zusage, kto_rk_kz, kto_rk_ts)
SELECT     @SPID, tabKonto.KontoID, tabKonto.KontoNr, tabKonto.KNID, tabKonto.INR, tabKonto.KN, tabKonto.kto_skontronr, tabKonto.kto_kreditkartennummer, tabKonto.kto_gp_key, 
                      tabKonto.kto_gp_variante, tabKonto.kto_geschaeftsart_depot_a, tabKonto.kto_kontentyp, tabKonto.kto_gesamtkreditvolumen, tabKonto.kto_saldo, 
                      tabKonto.kto_inanspruchnahme, tabKonto.kto_ueberziehung, tabKonto.kto_externer_kredit, tabKonto.kto_interner_kredit, tabKonto.kto_interner_kredit_bis, 
                      tabKonto.kto_ueberziehung_genehmigt, tabKonto.kto_ueberziehung_genehmigt_bis, tabKonto.kto_ueberz_hoechste_quartal_1, tabKonto.kto_ueberziehungstage, 
                      tabKonto.kto_kz_notleidend, tabKonto.kto_rueckstand_gesamt, tabKonto.kto_verzug_entgelt, tabKonto.kto_verzug_verzinslich, tabKonto.kto_verzug_unverzinslich, 
                      tabKonto.kto_rueckgabenbetrag, tabKonto.kto_rueckgabenanzahl, tabKonto.kto_aval_art, tabKonto.kto_aval_einzelbe, tabKonto.kto_aval_rahmenkontonr, 
                      tabKonto.kto_meta_anteil_kreditvolumen, tabKonto.kto_meta_anteil_inanspruchnahme, tabKonto.kto_monatliche_Habenumsaetze, 
                      tabKonto.kto_habenumsatz_lfd_jahr, tabKonto.kto_habenumsatz_vorjahr, tabKonto.kto_sperr_be, tabKonto.kto_ewb_e, tabKonto.kto_ewb_e_btrg_janf, 
                      tabKonto.kto_ewb_e_btrg_neu, tabKonto.kto_ewb_e_btrg_zugang, tabKonto.kto_ewb_e_afls_btrg, tabKonto.kto_ewb_e_absg_ind_btrg, 
                      tabKonto.kto_ewb_e_absg_dir_btrg, tabKonto.kto_ewb_v, tabKonto.kto_ewb_v_btrg_janf, tabKonto.kto_ewb_v_btrg_neu, tabKonto.kto_ewb_v_btrg_zugang, 
                      tabKonto.kto_ewb_v_afls_btrg, tabKonto.kto_ewb_v_absg_ind_btrg, tabKonto.kto_ewb_v_absg_dir_btrg, tabKonto.kto_relation_kredit_umsatz, tabKonto.kto_tilgung_3, 
                      tabKonto.kto_tilgung_4_12, tabKonto.kto_tilgung_13_60, tabKonto.kto_tilgung_61, tabKonto.Bdate, tabKonto.kto_kz_k_s, tabKonto.kto_kreditart, 
                      tabKonto.kto_datum_eroeffnung, tabKonto.kto_bewilligungs_datum, tabKonto.kto_befristung_datum, tabKonto.kto_ueberz_hoechste_quartal_2, 
                      tabKonto.kto_ueberz_hoechste_quartal_3, tabKonto.kto_ueberz_hoechste_quartal_4, tabKonto.kto_ueberziehungsdatum_ab, tabKonto.kto_ueberziehung_m_ev, 
                      tabKonto.kto_ueberziehung_o_ev, tabKonto.kto_zinssatz, tabKonto.kto_ab_merkmal, tabKonto.kto_mindestr, tabKonto.kto_offene_zusage, 
                      tabKonto.kto_bewilligtes_darlehen, tabKonto.kto_vorauszahlung, tabKonto.kto_avalkred_betrag, tabKonto.kto_anzahl_sicherheiten, tabKonto.kto_summe_sicherheiten,
                       tabKonto.kto_haben_umsatz_vq_1, tabKonto.kto_haben_umsatz_vq_2, tabKonto.kto_haben_umsatz_vq_3, tabKonto.kto_haben_umsatz_vq_4, 
                      tabKonto.kto_ewb_e_datum, tabKonto.kto_ewb_e_jahr, tabKonto.kto_ewb_e_waehrung, tabKonto.kto_ewb_e_ermg_verf, tabKonto.kto_ewb_e_daten_ursprung, 
                      tabKonto.kto_ewb_e_btrg_man, tabKonto.kto_ewb_e_btrg_blanko, tabKonto.kto_ewb_v_datum, tabKonto.kto_ewb_v_jahr, tabKonto.kto_ewb_v_waehrung, 
                      tabKonto.kto_ewb_v_ermg_verf, tabKonto.kto_ewb_v_daten_ursprung, tabKonto.kto_ewb_v_btrg_man, tabKonto.kto_ewb_v_btrg_blanko, 
                      tabKonto.kto_kontobezeichnung_depot_a, tabKonto.kto_mahnstand, tabKonto.kto_rk_Betrag, tabKonto.kto_rk_offene_Zusage, tabKonto.kto_rk_kz, 
                      tabKonto.kto_rk_ts
FROM         _tmpKNE as T INNER JOIN
                      tabKN_Risiko ON T.KNEID = tabKN_Risiko.KNEID and T.SPID = tabkn_risiko.spid INNER JOIN
                      tabKonto ON tabKN_Risiko.KNID = tabKonto.KNID
WHERE T.SPID = @SPID 
GROUP BY tabKonto.KontoID, tabKonto.KontoNr, tabKonto.KNID, tabKonto.INR, tabKonto.KN, tabKonto.kto_skontronr, tabKonto.kto_kreditkartennummer, tabKonto.kto_gp_key, 
                      tabKonto.kto_gp_variante, tabKonto.kto_geschaeftsart_depot_a, tabKonto.kto_kontentyp, tabKonto.kto_gesamtkreditvolumen, tabKonto.kto_saldo, 
                      tabKonto.kto_inanspruchnahme, tabKonto.kto_ueberziehung, tabKonto.kto_externer_kredit, tabKonto.kto_interner_kredit, tabKonto.kto_interner_kredit_bis, 
                      tabKonto.kto_ueberziehung_genehmigt, tabKonto.kto_ueberziehung_genehmigt_bis, tabKonto.kto_ueberz_hoechste_quartal_1, tabKonto.kto_ueberziehungstage, 
                      tabKonto.kto_kz_notleidend, tabKonto.kto_rueckstand_gesamt, tabKonto.kto_verzug_entgelt, tabKonto.kto_verzug_verzinslich, tabKonto.kto_verzug_unverzinslich, 
                      tabKonto.kto_rueckgabenbetrag, tabKonto.kto_rueckgabenanzahl, tabKonto.kto_aval_art, tabKonto.kto_aval_einzelbe, tabKonto.kto_aval_rahmenkontonr, 
                      tabKonto.kto_meta_anteil_kreditvolumen, tabKonto.kto_meta_anteil_inanspruchnahme, tabKonto.kto_monatliche_Habenumsaetze, 
                      tabKonto.kto_habenumsatz_lfd_jahr, tabKonto.kto_habenumsatz_vorjahr, tabKonto.kto_sperr_be, tabKonto.kto_ewb_e, tabKonto.kto_ewb_e_btrg_janf, 
                      tabKonto.kto_ewb_e_btrg_neu, tabKonto.kto_ewb_e_btrg_zugang, tabKonto.kto_ewb_e_afls_btrg, tabKonto.kto_ewb_e_absg_ind_btrg, 
                      tabKonto.kto_ewb_e_absg_dir_btrg, tabKonto.kto_ewb_v, tabKonto.kto_ewb_v_btrg_janf, tabKonto.kto_ewb_v_btrg_neu, tabKonto.kto_ewb_v_btrg_zugang, 
                      tabKonto.kto_ewb_v_afls_btrg, tabKonto.kto_ewb_v_absg_ind_btrg, tabKonto.kto_ewb_v_absg_dir_btrg, tabKonto.kto_relation_kredit_umsatz, tabKonto.kto_tilgung_3, 
                      tabKonto.kto_tilgung_4_12, tabKonto.kto_tilgung_13_60, tabKonto.kto_tilgung_61, tabKonto.Bdate, tabKonto.kto_kz_k_s, tabKonto.kto_kreditart, 
                      tabKonto.kto_datum_eroeffnung, tabKonto.kto_bewilligungs_datum, tabKonto.kto_befristung_datum, tabKonto.kto_ueberz_hoechste_quartal_2, 
                      tabKonto.kto_ueberz_hoechste_quartal_3, tabKonto.kto_ueberz_hoechste_quartal_4, tabKonto.kto_ueberziehungsdatum_ab, tabKonto.kto_ueberziehung_m_ev, 
                      tabKonto.kto_ueberziehung_o_ev, tabKonto.kto_zinssatz, tabKonto.kto_ab_merkmal, tabKonto.kto_mindestr, tabKonto.kto_offene_zusage, 
                      tabKonto.kto_bewilligtes_darlehen, tabKonto.kto_vorauszahlung, tabKonto.kto_avalkred_betrag, tabKonto.kto_anzahl_sicherheiten, tabKonto.kto_summe_sicherheiten,
                       tabKonto.kto_haben_umsatz_vq_1, tabKonto.kto_haben_umsatz_vq_2, tabKonto.kto_haben_umsatz_vq_3, tabKonto.kto_haben_umsatz_vq_4, 
                      tabKonto.kto_ewb_e_datum, tabKonto.kto_ewb_e_jahr, tabKonto.kto_ewb_e_waehrung, tabKonto.kto_ewb_e_ermg_verf, tabKonto.kto_ewb_e_daten_ursprung, 
                      tabKonto.kto_ewb_e_btrg_man, tabKonto.kto_ewb_e_btrg_blanko, tabKonto.kto_ewb_v_datum, tabKonto.kto_ewb_v_jahr, tabKonto.kto_ewb_v_waehrung, 
                      tabKonto.kto_ewb_v_ermg_verf, tabKonto.kto_ewb_v_daten_ursprung, tabKonto.kto_ewb_v_btrg_man, tabKonto.kto_ewb_v_btrg_blanko, 
                      tabKonto.kto_kontobezeichnung_depot_a, tabKonto.kto_mahnstand, tabKonto.kto_rk_Betrag, tabKonto.kto_rk_offene_Zusage, tabKonto.kto_rk_kz, tabKonto.kto_rk_ts
                      END
GO

/****** Object:  StoredProcedure [dbo].[spExpKontoRESammel]    Script Date: 18.01.2017 17:26:21 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spExpKontoRESammel] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKonto
                      (SPID, KontoID, KontoNr, KN, INR, kto_skontronr, kto_kreditkartennummer, kto_gp_key, kto_gp_variante, kto_geschaeftsart_depot_a, kto_kontentyp, 
                      kto_gesamtkreditvolumen, kto_saldo, kto_inanspruchnahme, kto_ueberziehung, kto_externer_kredit, kto_interner_kredit, kto_interner_kredit_bis, 
                      kto_ueberziehung_genehmigt, kto_ueberziehung_genehmigt_bis, kto_ueberz_hoechste_quartal_1, kto_ueberziehungstage, kto_kz_notleidend, 
                      kto_rueckstand_gesamt, kto_verzug_entgelt, kto_verzug_verzinslich, kto_verzug_unverzinslich, kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_aval_art, 
                      kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, kto_monatliche_Habenumsaetze, 
                      kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_sperr_be, kto_ewb_e, kto_ewb_e_btrg_janf, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, 
                      kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg, kto_ewb_v, kto_ewb_v_btrg_janf, kto_ewb_v_btrg_neu, kto_ewb_v_btrg_zugang, 
                      kto_ewb_v_afls_btrg, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, kto_relation_kredit_umsatz, kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, 
                      kto_tilgung_61, Bdate, kto_kz_k_s, kto_kreditart, kto_datum_eroeffnung, kto_bewilligungs_datum, kto_befristung_datum, kto_ueberz_hoechste_quartal_2, 
                      kto_ueberz_hoechste_quartal_3, kto_ueberz_hoechste_quartal_4, kto_ueberziehungsdatum_ab, kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, kto_zinssatz, 
                      kto_ab_merkmal, kto_mindestr, kto_offene_zusage, kto_bewilligtes_darlehen, kto_vorauszahlung, kto_avalkred_betrag, kto_anzahl_sicherheiten, 
                      kto_summe_sicherheiten, kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, kto_ewb_e_datum, 
                      kto_ewb_e_jahr, kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, kto_ewb_e_btrg_man, kto_ewb_e_btrg_blanko, kto_ewb_v_datum, 
                      kto_ewb_v_jahr, kto_ewb_v_waehrung, kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_ewb_v_btrg_man, kto_ewb_v_btrg_blanko, 
                      kto_kontobezeichnung_depot_a, kto_mahnstand, KNID, kto_rk_offene_Zusage, kto_rk_kz, kto_rk_ts, kto_rk_Betrag)
SELECT    @SPID, K.KontoID, K.KontoNr, K.KN, K.INR, K.kto_skontronr, K.kto_kreditkartennummer, K.kto_gp_key, K.kto_gp_variante, K.kto_geschaeftsart_depot_a, K.kto_kontentyp, 
                      K.kto_gesamtkreditvolumen, K.kto_saldo, K.kto_inanspruchnahme, K.kto_ueberziehung, K.kto_externer_kredit, K.kto_interner_kredit, K.kto_interner_kredit_bis, 
                      K.kto_ueberziehung_genehmigt, K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberziehungstage, K.kto_kz_notleidend, 
                      K.kto_rueckstand_gesamt, K.kto_verzug_entgelt, K.kto_verzug_verzinslich, K.kto_verzug_unverzinslich, K.kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
                      K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_meta_anteil_kreditvolumen, K.kto_meta_anteil_inanspruchnahme, 
                      K.kto_monatliche_Habenumsaetze, K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_sperr_be, K.kto_ewb_e, K.kto_ewb_e_btrg_janf, 
                      K.kto_ewb_e_btrg_neu, K.kto_ewb_e_btrg_zugang, K.kto_ewb_e_afls_btrg, K.kto_ewb_e_absg_ind_btrg, K.kto_ewb_e_absg_dir_btrg, K.kto_ewb_v, 
                      K.kto_ewb_v_btrg_janf, K.kto_ewb_v_btrg_neu, K.kto_ewb_v_btrg_zugang, K.kto_ewb_v_afls_btrg, K.kto_ewb_v_absg_ind_btrg, K.kto_ewb_v_absg_dir_btrg, 
                      K.kto_relation_kredit_umsatz, K.kto_tilgung_3, K.kto_tilgung_4_12, K.kto_tilgung_13_60, K.kto_tilgung_61, K.Bdate, K.kto_kz_k_s, K.kto_kreditart, 
                      K.kto_datum_eroeffnung, K.kto_bewilligungs_datum, K.kto_befristung_datum, K.kto_ueberz_hoechste_quartal_2, K.kto_ueberz_hoechste_quartal_3, 
                      K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungsdatum_ab, K.kto_ueberziehung_m_ev, K.kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
                      K.kto_mindestr, K.kto_offene_zusage, K.kto_bewilligtes_darlehen, K.kto_vorauszahlung, K.kto_avalkred_betrag, K.kto_anzahl_sicherheiten, 
                      K.kto_summe_sicherheiten, K.kto_haben_umsatz_vq_1, K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, K.kto_ewb_e_datum, 
                      K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, K.kto_ewb_e_btrg_man, K.kto_ewb_e_btrg_blanko, 
                      K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, K.kto_ewb_v_btrg_man, 
                      K.kto_ewb_v_btrg_blanko, K.kto_kontobezeichnung_depot_a, K.kto_mahnstand, K.KNID, K.kto_rk_offene_Zusage, K.kto_rk_kz, K.kto_rk_ts, K.kto_rk_Betrag
FROM         _tmpKNE as T INNER JOIN
                      tabKN_RisikoSammel AS V ON t.KNEID = V.KNEID and T.SPID = v.SPID INNER JOIN
                      tabKreditnehmer AS KN INNER JOIN
                      tabKonto AS K ON KN.KNID = K.KNID ON V.KNID = KN.KNID
Where T.SPID = @SPID 
GROUP BY K.KontoID, K.KontoNr, K.KN, K.INR, K.kto_skontronr, K.kto_kreditkartennummer, K.kto_gp_key, K.kto_gp_variante, K.kto_geschaeftsart_depot_a, K.kto_kontentyp, 
                      K.kto_gesamtkreditvolumen, K.kto_saldo, K.kto_inanspruchnahme, K.kto_ueberziehung, K.kto_externer_kredit, K.kto_interner_kredit, K.kto_interner_kredit_bis, 
                      K.kto_ueberziehung_genehmigt, K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberziehungstage, K.kto_kz_notleidend, 
                      K.kto_rueckstand_gesamt, K.kto_verzug_entgelt, K.kto_verzug_verzinslich, K.kto_verzug_unverzinslich, K.kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
                      K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_meta_anteil_kreditvolumen, K.kto_meta_anteil_inanspruchnahme, 
                      K.kto_monatliche_Habenumsaetze, K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_sperr_be, K.kto_ewb_e, K.kto_ewb_e_btrg_janf, 
                      K.kto_ewb_e_btrg_neu, K.kto_ewb_e_btrg_zugang, K.kto_ewb_e_afls_btrg, K.kto_ewb_e_absg_ind_btrg, K.kto_ewb_e_absg_dir_btrg, K.kto_ewb_v, 
                      K.kto_ewb_v_btrg_janf, K.kto_ewb_v_btrg_neu, K.kto_ewb_v_btrg_zugang, K.kto_ewb_v_afls_btrg, K.kto_ewb_v_absg_ind_btrg, K.kto_ewb_v_absg_dir_btrg, 
                      K.kto_relation_kredit_umsatz, K.kto_tilgung_3, K.kto_tilgung_4_12, K.kto_tilgung_13_60, K.kto_tilgung_61, K.Bdate, K.kto_kz_k_s, K.kto_kreditart, 
                      K.kto_datum_eroeffnung, K.kto_bewilligungs_datum, K.kto_befristung_datum, K.kto_ueberz_hoechste_quartal_2, K.kto_ueberz_hoechste_quartal_3, 
                      K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungsdatum_ab, K.kto_ueberziehung_m_ev, K.kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
                      K.kto_mindestr, K.kto_offene_zusage, K.kto_bewilligtes_darlehen, K.kto_vorauszahlung, K.kto_avalkred_betrag, K.kto_anzahl_sicherheiten, 
                      K.kto_summe_sicherheiten, K.kto_haben_umsatz_vq_1, K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, K.kto_ewb_e_datum, 
                      K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, K.kto_ewb_e_btrg_man, K.kto_ewb_e_btrg_blanko, 
                      K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, K.kto_ewb_v_btrg_man, 
                      K.kto_ewb_v_btrg_blanko, K.kto_kontobezeichnung_depot_a, K.kto_mahnstand, K.KNID, K.kto_rk_offene_Zusage, K.kto_rk_kz, K.kto_rk_ts, K.kto_rk_Betrag 
                      END
GO

ALTER PROCEDURE [dbo].[spExpKontoVBRE] 
@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKontoVB ( SPID, KVBID, KontoID, SVZ_DB )
SELECT @SPID, tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB
FROM (_tmpKNE as T INNER JOIN tabKN_Risiko ON t.KNEID = tabKN_Risiko.KNEID and T.spid = tabKN_Risiko.SPID ) INNER JOIN (tabKonto INNER JOIN tabKontoVB ON tabKonto.KontoID = tabKontoVB.KontoID) ON tabKN_Risiko.KNID = tabKonto.KNID
GROUP BY tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB;
END
GO

ALTER PROCEDURE [dbo].[spExpKontoVBRESammel] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKontoVB (SPID, KVBID, KontoID, SVZ_DB )
SELECT @SPID, tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB
FROM (_tmpKNE as T INNER JOIN tabKN_RisikoSammel ON t.KNEID = tabKN_RisikoSammel.KNEID and T.spid = tabKN_RisikoSammel.spid ) INNER JOIN (tabKreditnehmer INNER JOIN (tabKonto INNER JOIN tabKontoVB ON tabKonto.KontoID = tabKontoVB.KontoID) ON tabKreditnehmer.KN = tabKonto.KN) ON tabKN_RisikoSammel.KNID = tabKreditnehmer.KNID
where T.SPID = @SPID 
GROUP BY tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpKreditnehmerRE]    Script Date: 18.01.2017 17:32:25 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spExpKreditnehmerRE] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmer
                      (SPID, KNID, KN, kn_name, kn_berater, kn_ort, kn_kz_organ, kn_kusydsgv, kn_wirtschaftszweig, kn_ortskenn, kn_rating_methode, kn_rating_note, kn_rating_status, 
                      kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
                      kn_personalkreditvolumen_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, kn_kommunalkreditvolumen_wi, 
                      kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, 
                      kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, 
                      kn_passiv_depot, kn_rueckgabenanzahl, kn_rueckgabenbetrag, kn_darlehensrueckstand, kn_Ueberziehung, kn_Inanspruchnahme, kn_ewb_e, kn_ewb_e_btrg_janf, 
                      kn_ewb_e_btrg_neu, kn_ewb_e_btrg_zugang, kn_ewb_e_afls_btrg, kn_ewb_e_absg_ind_btrg, kn_ewb_e_absg_dir_btrg, kn_ewb_v, kn_ewb_v_btrg_janf, 
                      kn_ewb_v_btrg_neu, kn_ewb_v_btrg_zugang, kn_ewb_v_afls_btrg, kn_ewb_v_absg_ind_btrg, kn_ewb_v_absg_dir_btrg, Bdate, Kn_Guthaben, kn_wv, kn_wv_verbnr, 
                      kn_beruf_branche, kn_beruf, kn_strasse, kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, 
                      kn_rechtl_s, kn_org_bankgrp_ausl, kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_saldo_umsatzlos, kn_kz_g_m_kred, 
                      kn_ueberziehung_90, kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, 
                      kn_kreditvolumen_fw_kredite, kn_kreditvolumen_beteiligung, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, kn_bew_rahmen_le, kn_labile_sicherheiten, 
                      kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften, kn_kreditvolumen_akkreditive, kn_rating_datum, KN_GKV_SPK, 
                      KN_GKV_SPK_Bemerkung, 
                      KN_Kreditvolumen_az2, KN_Ueberschreitung_SPK, 
                      KN_Ueberschreitung_SPK_Bemerkung, kn_PKV_SPG_in, kn_PKV_SPG_wi, INR, KN_wirt_anteil_in, 
                      KN_wirt_anteil_wi, KN_Identnr, kn_verbund_art, kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 )
SELECT     @SPID, KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, 
                      cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), 
                      KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
FROM         _tmpKNE AS T INNER JOIN
                      tabKN_Risiko AS V ON T.KNEID = V.KNEID and T.spid = v.spid  INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
GROUP BY KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
                      END
GO

/****** Object:  StoredProcedure [dbo].[spExpKreditnehmerRESammel]    Script Date: 18.01.2017 17:33:15 ******/

ALTER PROCEDURE [dbo].[spExpKreditnehmerRESammel] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmer
          (SPID, KNID, KN, kn_name, kn_berater, kn_ort, kn_kz_organ, kn_kusydsgv, kn_wirtschaftszweig, kn_ortskenn, kn_rating_methode, kn_rating_note, kn_rating_status, 
          kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
          kn_personalkreditvolumen_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, kn_kommunalkreditvolumen_wi, 
          kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, 
          kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, 
          kn_passiv_depot, kn_rueckgabenanzahl, kn_rueckgabenbetrag, kn_darlehensrueckstand, kn_Ueberziehung, kn_Inanspruchnahme, kn_ewb_e, kn_ewb_e_btrg_janf, 
          kn_ewb_e_btrg_neu, kn_ewb_e_btrg_zugang, kn_ewb_e_afls_btrg, kn_ewb_e_absg_ind_btrg, kn_ewb_e_absg_dir_btrg, kn_ewb_v, kn_ewb_v_btrg_janf, 
          kn_ewb_v_btrg_neu, kn_ewb_v_btrg_zugang, kn_ewb_v_afls_btrg, kn_ewb_v_absg_ind_btrg, kn_ewb_v_absg_dir_btrg, Bdate, Kn_Guthaben, kn_wv, kn_wv_verbnr, 
          kn_beruf_branche, kn_beruf, kn_strasse, kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, 
          kn_rechtl_s, kn_org_bankgrp_ausl, kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_saldo_umsatzlos, kn_kz_g_m_kred, 
          kn_ueberziehung_90, kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, 
          kn_kreditvolumen_fw_kredite, kn_kreditvolumen_beteiligung, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, kn_bew_rahmen_le, kn_labile_sicherheiten, 
          kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften, kn_kreditvolumen_akkreditive, kn_rating_datum, KN_GKV_SPK, 
          KN_GKV_SPK_Bemerkung, 
          KN_Kreditvolumen_az2, KN_Ueberschreitung_SPK, 
          KN_Ueberschreitung_SPK_Bemerkung, kn_PKV_SPG_in, kn_PKV_SPG_wi, INR, KN_wirt_anteil_in, 
          KN_wirt_anteil_wi, KN_Identnr, kn_verbund_art, kn_geko9513_gueltig_ab,
          KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	      KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 )
SELECT    @SPID, KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
          KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
          KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
          KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
          KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
          KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
          KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
          KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
          KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
          KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
          KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
          KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
          KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
          KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
          KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
          KN.KN_GKV_SPK, 
          cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), 
          KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
          cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
          KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
          KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
FROM         _tmpKNE AS T INNER JOIN
          tabKN_RisikoSammel AS V ON T.KNEID = V.KNEID and t.spid = v.spid INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
GROUP BY KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
                      END
					  GO



ALTER PROCEDURE [dbo].[spExpSammelFilter] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expFilter ( SPID, FID, Filtername, Aktiv, EWBFilter, INR, BDate )
SELECT        T.spid, tabFilter.FID, tabFilter.Filtername, tabFilter.Aktiv, tabFilter.EWBFilter, tabFilter.INR, tabFilter.BDate
FROM            _tmpKNE AS T INNER JOIN
                         tabEWBKNEFilter INNER JOIN
                         tabFilter ON tabEWBKNEFilter.Filter = tabFilter.FID AND tabEWBKNEFilter.SPID = tabFilter.SPID ON T.KNEID = tabEWBKNEFilter.KNEID AND 
                         T.SPID = tabEWBKNEFilter.SPID
GROUP BY t.spid, tabFilter.FID, tabFilter.Filtername, tabFilter.Aktiv, tabFilter.EWBFilter, tabFilter.INR, tabFilter.BDate
HAVING        (tabFilter.EWBFilter = 1) and T.SPID = @SPID;

--- Und jetzt noch die Filterkriterien hinterher schieben...
UPDATE    _expFilter
SET       Filterkriterien = tabFilter.Filterkriterien, LastFilter = tabFilter.LastFilter
FROM      _expFilter INNER JOIN
          tabFilter ON _expFilter.FID = tabFilter.FID and _expfilter.SPID = @SPID
END
GO

ALTER PROCEDURE [dbo].[spExpSammelKNEFilter] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKNEFilter (SPID, KNEID, Filter )
SELECT @SPID, tabEWBKNEFilter.KNEID, tabEWBKNEFilter.Filter
FROM _tmpKNE  as T INNER JOIN tabEWBKNEFilter ON t.KNEID = tabEWBKNEFilter.KNEID and T.spid = tabEWBKNEFilter.spid 
where T.SPID = @SPID 
GROUP BY tabEWBKNEFilter.KNEID, tabEWBKNEFilter.Filter;
END
GO

ALTER PROCEDURE [dbo].[spExpSicherheiten] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheiten
                      (SPID, KNID, LFDNR, kto_max_real, kto_max_personal, kto_max_wsft, kto_sich_betrag, kto_sich_schluessel, kto_sicherungsobjekt, INR, BDate)
SELECT     @SPID, tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
                      tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, tabSicherheiten.BDate
FROM         _tmpKNE AS T INNER JOIN
                      tab_KNE_KN ON T.KNEID = tab_KNE_KN.KNEID INNER JOIN
                      tabSicherheiten ON tab_KNE_KN.KNID = tabSicherheiten.KNID 
WHERE T.SPID = @SPID 
GROUP BY tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
         tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, 
         tabSicherheiten.BDate;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpSicherheitenProKNID]    Script Date: 18.01.2017 17:53:50 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spExpSicherheitenProKNID] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKNID
                      (SPID, KNID, INR, BDate, Grundpfandrechte_wi, Grundpfandrechte_in, Grundpfandrechte_wohn_wi, Grundpfandrechte_wohn_in, Grundpfandrechte_gew_wi, 
                      Grundpfandrechte_gew_in, Grundpfandrechte_real_wi, Grundpfandrechte_real_in, Guthaben_wi, Guthaben_in, Wertpapiere_in, Wertpapiere_wi, 
                      Sicherungsuebereignungen_wi, Sicherungsuebereignungen_in, Lebensversicherungen_wi, Lebensversicherungen_in, Zessionen_wi, Zessionen_in, 
                      Buergschaften_oeffentl_in, Buergschaften_oeffentl_wi, Buergschaften_sonst_in, Buergschaften_sonst_wi, Sonstiges_wi, Sonstiges_in, SPKRecht_nicht_Blanko_in, 
                      SPKRecht_nicht_Blanko_wi, DarunterKoerperschaft_in, DarunterKoerperschaft_wi, Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      Wirtschaftlich_bewertbare_Sicherheiten_in, Freie_Sicherheiten_in, Freie_Sicherheiten_wi, SPKRechtlich_Bewertbar_wi, SPKRechtlich_Bewertbar_in, 
                      SPKRechtl_Blanko_in, SPKRechtl_Blanko_wi, Wirtschaftlich_blanko_in, Wirtschaftlich_blanko_wi)
SELECT     @SPID, S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi
FROM         _tmpKNE AS T INNER JOIN
                      tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                      tabSicherheitenproKNID AS S ON V.KNID = S.KNID 
Where T.SPID = @SPID 
GROUP BY S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi                     ;
END
GO


/****** Object:  StoredProcedure [dbo].[spExpSicherheitenProKNIDRE]    Script Date: 18.01.2017 17:54:52 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spExpSicherheitenProKNIDRE] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKNID
                      (SPID, KNID, INR, BDate, Grundpfandrechte_wi, Grundpfandrechte_in, Grundpfandrechte_wohn_wi, Grundpfandrechte_wohn_in, Grundpfandrechte_gew_wi, 
                      Grundpfandrechte_gew_in, Grundpfandrechte_real_wi, Grundpfandrechte_real_in, Guthaben_wi, Guthaben_in, Wertpapiere_in, Wertpapiere_wi, 
                      Sicherungsuebereignungen_wi, Sicherungsuebereignungen_in, Lebensversicherungen_wi, Lebensversicherungen_in, Zessionen_wi, Zessionen_in, 
                      Buergschaften_oeffentl_in, Buergschaften_oeffentl_wi, Buergschaften_sonst_in, Buergschaften_sonst_wi, Sonstiges_wi, Sonstiges_in, SPKRecht_nicht_Blanko_in, 
                      SPKRecht_nicht_Blanko_wi, DarunterKoerperschaft_in, DarunterKoerperschaft_wi, Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      Wirtschaftlich_bewertbare_Sicherheiten_in, Freie_Sicherheiten_in, Freie_Sicherheiten_wi, SPKRechtlich_Bewertbar_wi, SPKRechtlich_Bewertbar_in, 
                      SPKRechtl_Blanko_in, SPKRechtl_Blanko_wi, Wirtschaftlich_blanko_in, Wirtschaftlich_blanko_wi)
SELECT     @SPID, S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi
FROM         _tmpKNE AS T INNER JOIN
                      tabKN_RIsiko AS V ON T.KNEID = V.KNEID and t.spid = v.spid INNER JOIN
                      tabSicherheitenproKNID AS S ON V.KNID = S.KNID    
where T.SPID = @SPID  
GROUP BY S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi    
END
GO

/****** Object:  StoredProcedure [dbo].[spExpSicherheitenProKNIDRESammel]    Script Date: 18.01.2017 17:56:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spExpSicherheitenProKNIDRESammel] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKNID
                      (SPID, KNID, INR, BDate, Grundpfandrechte_wi, Grundpfandrechte_in, Grundpfandrechte_wohn_wi, Grundpfandrechte_wohn_in, Grundpfandrechte_gew_wi, 
                      Grundpfandrechte_gew_in, Grundpfandrechte_real_wi, Grundpfandrechte_real_in, Guthaben_wi, Guthaben_in, Wertpapiere_in, Wertpapiere_wi, 
                      Sicherungsuebereignungen_wi, Sicherungsuebereignungen_in, Lebensversicherungen_wi, Lebensversicherungen_in, Zessionen_wi, Zessionen_in, 
                      Buergschaften_oeffentl_in, Buergschaften_oeffentl_wi, Buergschaften_sonst_in, Buergschaften_sonst_wi, Sonstiges_wi, Sonstiges_in, SPKRecht_nicht_Blanko_in, 
                      SPKRecht_nicht_Blanko_wi, DarunterKoerperschaft_in, DarunterKoerperschaft_wi, Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      Wirtschaftlich_bewertbare_Sicherheiten_in, Freie_Sicherheiten_in, Freie_Sicherheiten_wi, SPKRechtlich_Bewertbar_wi, SPKRechtlich_Bewertbar_in, 
                      SPKRechtl_Blanko_in, SPKRechtl_Blanko_wi, Wirtschaftlich_blanko_in, Wirtschaftlich_blanko_wi)
SELECT    @SPID, S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi
FROM         _tmpKNE AS T INNER JOIN
                      tabKN_RIsikoSammel AS V ON T.KNEID = V.KNEID AND T.spid = V.spid INNER JOIN
                      tabSicherheitenproKNID AS S ON V.KNID = S.KNID 
GROUP BY S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi    
                     
END
GO

/****** Object:  StoredProcedure [dbo].[spExpSicherheitenproKonto]    Script Date: 18.01.2017 17:58:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spExpSicherheitenproKonto] 
@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKonto
                      (SPID, Kontonr, KNID, LFDNR, kto_sich_schluessel, kto_realkreditvolumen_in, kto_personalkreditvolumen_in, kto_realkreditvolumen_wi, kto_personalkreditvolumen_wi, 
                      kto_komp_anteil_in, kto_komp_anteil_wi, kto_wirt_anteil_in, kto_blankokreditvolumen_in, kto_wirt_anteil_wi, kto_blankokreditvolumen_wi, 
                      kto_kommunalkreditvolumen_in, kto_kommunalkreditvolumen_wi, kto_freier_anteil_in, kto_freier_anteil_wi, INR, BDate)
SELECT     @SPID, SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate
FROM         _tmpKNE AS T INNER JOIN
                      tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                      tabSicherheitenproKonto AS SK ON V.KNID = SK.KNID
Where t.spid = @spid 
GROUP BY SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate;
END
GO

ALTER PROCEDURE [dbo].[spExpSicherheitenproKontoRE] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKonto
                      (SPID, Kontonr, KNID, LFDNR, kto_sich_schluessel, kto_realkreditvolumen_in, kto_personalkreditvolumen_in, kto_realkreditvolumen_wi, kto_personalkreditvolumen_wi, 
                      kto_komp_anteil_in, kto_komp_anteil_wi, kto_wirt_anteil_in, kto_blankokreditvolumen_in, kto_wirt_anteil_wi, kto_blankokreditvolumen_wi, 
                      kto_kommunalkreditvolumen_in, kto_kommunalkreditvolumen_wi, kto_freier_anteil_in, kto_freier_anteil_wi, INR, BDate)
SELECT     @SPID, SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate
FROM         _tmpKNE AS T INNER JOIN
                      tabKN_Risiko AS V ON T.KNEID = V.KNEID AND T.spid = V.SPID INNER JOIN
                      tabSicherheitenproKonto AS SK ON V.KNID = SK.KNID 
Where T.SPID = @SPID 
GROUP BY SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate;
END
GO

ALTER PROCEDURE [dbo].[spExpSicherheitenproKontoRESammel] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKonto
                      (SPID, Kontonr, KNID, LFDNR, kto_sich_schluessel, kto_realkreditvolumen_in, kto_personalkreditvolumen_in, kto_realkreditvolumen_wi, kto_personalkreditvolumen_wi, 
                      kto_komp_anteil_in, kto_komp_anteil_wi, kto_wirt_anteil_in, kto_blankokreditvolumen_in, kto_wirt_anteil_wi, kto_blankokreditvolumen_wi, 
                      kto_kommunalkreditvolumen_in, kto_kommunalkreditvolumen_wi, kto_freier_anteil_in, kto_freier_anteil_wi, INR, BDate)
SELECT     @SPID, SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate
FROM         _tmpKNE AS T INNER JOIN
                      tabKN_RisikoSammel AS V ON T.KNEID = V.KNEID and T.spid = v.spid INNER JOIN
                      tabSicherheitenproKonto AS SK ON V.KNID = SK.KNID 
					  where t.spid = @spid 
GROUP BY SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate;
END
GO

ALTER PROCEDURE [dbo].[spExpSicherheitenRE] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheiten
                      (SPID , KNID, LFDNR, kto_max_real, kto_max_personal, kto_max_wsft, kto_sich_betrag, kto_sich_schluessel, kto_sicherungsobjekt, INR, BDate)
SELECT     @SPID, tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
                      tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, tabSicherheiten.BDate
FROM         _tmpKNE AS T INNER JOIN
                      tabKN_Risiko as V ON T.KNEID = V.KNEID and T.spid = v.spid INNER JOIN
                      tabSicherheiten ON V.KNID = tabSicherheiten.KNID   
					  where t.spid = @spid 
GROUP BY tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
         tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, tabSicherheiten.BDate;
END
GO

ALTER PROCEDURE [dbo].[spExpSicherheitenRESammel] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheiten
                      (SPID, KNID, LFDNR, kto_max_real, kto_max_personal, kto_max_wsft, kto_sich_betrag, kto_sich_schluessel, kto_sicherungsobjekt, INR, BDate)
SELECT     @SPID, tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
                      tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, tabSicherheiten.BDate
FROM         _tmpKNE AS T INNER JOIN
                      tabKN_RisikoSammel as V ON T.KNEID = v.KNEID and T.spid = v.spid INNER JOIN
                      tabSicherheiten ON v.KNID = tabSicherheiten.KNID 
					  Where T.spid = @spid 
GROUP BY tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
         tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, tabSicherheiten.BDate
END
GO

ALTER PROCEDURE [dbo].[spManuelleFilterRein] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT F.FID, F.Filtername, F.Filterkriterien, F.EWBFilter
FROM stabFilter AS F
WHERE cast(F.Filterkriterien as nvarchar(max))='Manuell ausgewhlt' AND F.EWBFilter=0  
      AND ((INR = @Instnr and Bdate = @Bdate and (SPID = @SPID OR SPID IS NULL)) OR (INR IS NULL and BDATE Is NULL))
ORDER BY F.FID;
END
GO

ALTER PROCEDURE [dbo].[spManuelleFilterReinEWB] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID INT
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT F.FID, F.Filtername, F.Filterkriterien, F.EWBFilter
FROM stabFilter AS F
WHERE cast(F.Filterkriterien as nvarchar(max))='Manuell ausgewhlt' AND F.EWBFilter=1  
      AND ((INR = @Instnr and Bdate = @Bdate and (SPID = @SPID OR SPID IS NULL)) OR (INR IS NULL and BDATE Is NULL))
ORDER BY F.FID;
END
GO

ALTER PROCEDURE [dbo].[spManuelleFilterRaus] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT F.FID, F.Filtername, F.Filterkriterien, F.EWBFilter
FROM stabFilter AS F
WHERE cast(F.Filterkriterien as nvarchar(max))='Manuell entfernt' AND F.EWBFilter=0  
      AND ((INR = @Instnr and Bdate = @Bdate and (SPID = @SPID OR SPID IS NULL)) OR (INR IS NULL and BDATE Is NULL))
	  ORDER BY F.FID;
END
GO

ALTER PROCEDURE [dbo].[spManuelleFilterRausEWB] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT F.FID, F.Filtername, F.Filterkriterien, F.EWBFilter
FROM stabFilter AS F
WHERE cast(F.Filterkriterien as nvarchar(max))='Manuell entfernt' AND F.EWBFilter=1  
      AND ((INR = @Instnr and Bdate = @Bdate and (SPID = @SPID OR SPID IS NULL)) OR (INR IS NULL and BDATE Is NULL))
ORDER BY F.FID;
END
GO

--ALTER PROCEDURE [dbo].[spLoescheAuswahlKomplett] 
--@SPID int
--AS
--BEGIN
--SET NOCOUNT ON;
---- Insert statements for procedure here
--Delete from tabFilter WHERE  SPID = @SPID;
--Delete from tabKNEFilter WHERE SPID = @SPID;
--Delete from tabEWBKNEFilter WHERE SPID = @SPID;
--Delete from tabKN_Risiko WHERE SPID = @SPID;
--Delete from tabKN_RisikoSammel WHERE SPID = @SPID;
--Delete from stabFilter WHERE SPID = @SPID; 
--Update tabKreditnehmereinheit SET Auswahl = 0, EWBAuswahl = 0, EWBStichprobe = 0; 
--Delete from stabFilter WHERE  INR IS NOT NULL and BDate IS NOT NULL; 
--END
--GO

ALTER PROCEDURE [dbo].[spAuswahl] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     K.KNEID, k.kne, K.KNE_Name, K.kne_berater, K.kne_gesamtkreditvolumen, 
           K.kne_Inanspruchnahme, K.kne_blankokreditvolumen_in, K.kne_Personalkreditvolumen_in, 
           K.kne_Realkreditvolumen_in, K.kne_Kommunalkreditvolumen_in, K.kne_Kreditueberschreitung, 
           K.BDate, K.kne_Risikoklasse, K.KNE_Bonitaet  
FROM       tabKreditnehmereinheit as K inner join _tmpKNE as T on K.inr = T.INR and K.Bdate = T.Bdate
where T.INR = @InstNR AND T.Bdate = @BDate and T.SPID = @SPID 
ORDER BY   K.kne_gesamtkreditvolumen DESC;
END
GO

ALTER PROCEDURE [dbo].[spTrefferzahl] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     Count(K.KNEID) as Trefferzahl  
FROM       tabAuswahl as K
where        K.BDate = @BDate and K.INR = @instnr and K.SPID = @SPID;
END
GO

CREATE PROCEDURE [dbo].[spLeereTMPKNE] 
@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM _tmpKNE  where spid = @SPID
END
GO

/****** Object:  StoredProcedure [dbo].[spLeereTemptabellen]    Script Date: 19.01.2017 18:01:05 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].spAlleKNE_an_TMPKNE 
	@INR nvarchar(3),
    @BDate datetime,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpKNE
                         (KNEID, INR, Bdate, SPID)
SELECT        KNEID, INR, Bdate, @SPID AS SPID
FROM            tabKreditnehmereinheit as K
WHERE K.inr = @INR and K.BDate = @BDate 
END
GO

/****** Object:  Index [IX_INR]    Script Date: 19.01.2017 18:32:27 ******/
CREATE NONCLUSTERED INDEX [IX_INR] ON [dbo].[_tmpKNE]
(
	[INR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  Index [IX_BDate]    Script Date: 19.01.2017 18:32:40 ******/
CREATE NONCLUSTERED INDEX [IX_BDate] ON [dbo].[_tmpKNE]
(
	[Bdate] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO



/****** Object:  StoredProcedure [dbo].[spAuswahl]    Script Date: 19.01.2017 18:35:29 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spAuswahl] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        K.KNEID, K.KNE, K.KNE_Name, K.kne_berater, K.kne_gesamtkreditvolumen, K.kne_Inanspruchnahme, K.kne_blankokreditvolumen_in, 
                         K.kne_Personalkreditvolumen_in, K.kne_Realkreditvolumen_in, K.kne_Kommunalkreditvolumen_in, K.kne_Kreditueberschreitung, K.Bdate, K.kne_Risikoklasse, 
                         K.kne_Bonitaet
FROM            tabKreditnehmereinheit AS K INNER JOIN
                         _tmpKNE AS T ON K.INR = T.INR AND K.Bdate = T.Bdate AND K.KNEID = T.KNEID
WHERE        (T.INR = @InstNR) AND (T.Bdate = @BDate) AND (T.SPID = @SPID)
ORDER BY K.kne_gesamtkreditvolumen DESC;
END
GO

ALTER PROCEDURE [dbo].[spTrefferzahl] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     Count(K.KNEID) as Trefferzahl  
FROM       _tmpKNE as K
where        K.BDate = @BDate and K.INR = @instnr and K.SPID = @SPID;
END
GO

ALTER PROCEDURE [dbo].[spFilterEintragen] 
    @FID nvarchar(14),
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKNEFilter ( KNEID, INR, BDATE, Filter, SPID ) 
(SELECT TMP.KNEID, TMP.INR as INR, TMP.Bdate as BDate, @FID AS Filter, @SPID 
FROM _tmpKNE AS TMP 
WHERE TMP.SPID = @SPID 
GROUP BY tmp.inr, tmp.bdate, tmp.spid, TMP.KNEID);
END
GO

CREATE PROCEDURE [dbo].[sptmpKNE_an_tmpAuswahl] 
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpAuswahl
                         (SPID, KNEID, INR, Bdate)
SELECT        _tmpKNE.SPID, _tmpKNE.KNEID, _tmpKNE.INR, _tmpKNE.Bdate
FROM            _tmpKNE LEFT OUTER JOIN
                         _tmpAuswahl AS A ON _tmpKNE.SPID = A.SPID AND _tmpKNE.KNEID = A.KNEID
WHERE        (_tmpKNE.SPID = @SPID) AND (A.KNEID IS NULL);
END

GO


ALTER PROCEDURE [dbo].[spRisikogruppeNormalAnlegen] 
  @INR  nvarchar(3),
  @BDate datetime,
  @SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKN_Risiko (KNEID, RNR, KNID, GBR_Quote, RGrund, SPID)
SELECT        KNE.KNEID, KNE.KNEID AS Expr1, V.KNID, V.GBR_Quote, 'KNE' AS RGrund, @SPID AS SPID
FROM            _tmpKNE AS KNE INNER JOIN
                         tab_KNE_KN AS V ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
                         tabKN_Risiko AS KNR ON V.KNID = KNR.KNID AND V.KNEID = KNR.RNR
WHERE        (KNR.RNR IS NULL) AND (KNR.KNID IS NULL) AND (KNE.INR = @INR) AND (KNE.Bdate = @BDate) and KNE.SPID = @SPID;
END
GO


/****** Object:  StoredProcedure [dbo].[spLeereTemptabellen]    Script Date: 19.01.2017 19:19:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spLeereTemptabellen] 
@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM _tmpFilterTreffer where spid = @SPID
DELETE FROM _tmpGuthaben  where spid = @SPID
DELETE FROM _tmpKN_KTO_Summen  where spid = @SPID
DELETE FROM _tmpKNE  where spid = @SPID
DELETE FROM _tmpAuswahl where SPID = @SPID
DELETE FROM _tmpKNE_KN_SummenQuotenberichtigt  where spid = @SPID
DELETE FROM _tmpKNE_Konto_SummenQuotenberichtigt  where spid = @SPID
DELETE FROM _tmpKNWerteQuotenberichtigt  where spid = @SPID
DELETE FROM _tmpRisikoeinheit  where spid = @SPID
DELETE FROM _tmpRisikoKN  where spid = @SPID
DELETE FROM _tmpRisikoRestKN  where spid = @SPID
DELETE FROM _tmpRisikoRestKNE  where spid = @SPID
DELETE FROM _tmpRisikoWV  where spid = @SPID
DELETE FROM _tmpRisikoWVAlle  where spid = @SPID
DELETE FROM _tmpSegmente1Bis7  where spid = @SPID
DELETE FROM _tmpStichprobe  where spid = @SPID
DELETE FROM _tmpVB1Bis5  where spid = @SPID
END
GO

ALTER PROCEDURE [dbo].[spAuswahlDa] 
    @InstNR nvarchar(3),
    @BDate datetime ,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT TOP 1 KNEID from _tmpAuswahl
WHERE INR = @InstNR AND BDate = @Bdate and SPID = @SPID 
END
GO

CREATE FUNCTION [dbo].[getAuswahlstatus]
(
	-- Add the parameters for the function here
	@KNEID nvarchar(24),
	@SPID int
)
RETURNS bit 
AS
BEGIN
return (Select case when (Select Count(KNEID) from _tmpAuswahl where KNEID = @KNEID and SPID = @SPID) = 0 then 0 else 1 end as Auswahl )
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolle] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT dbo.getAuswahlstatus(kne.kneid, @SPID) as Auswahl, KNE.KNEID, KNE.KNE, KNE.KNE_Name, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
       KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_Personalkreditvolumen_in, 
       KNE.kne_Realkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kreditueberschreitung 
FROM tabKreditnehmereinheit AS KNE 
WHERE KNE.BDate = @BDate and KNE.INR = @instnr 
ORDER BY Auswahl desc, KNE.kne_gesamtkreditvolumen desc;
END


GO


create PROCEDURE [dbo].[spLoescheAuswahlEinzelstichprobe] 
	@INR nvarchar(3),
    @BDate datetime,
	@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
Delete from tabFilter WHERE  INR = @INR and BDate = @BDate and SPID = @SPID and EWBFilter = 0;
Delete from tabKNEFilter WHERE  INR = @INR and BDate = @BDate and SPID = @SPID;
Delete from tabKN_Risiko WHERE  INR = @INR and BDate = @BDate and SPID = @SPID;
Delete from _tmpAuswahl where INR = @INR and BDate = @BDate and SPID = @SPID;
END
GO


--ALTER VIEW [dbo].[viewKreditnehmereinheit]
--AS
--SELECT        KNE.KNEID, KNE.INR, KNE.Bdate, KNE.KNE, KNE.Herkunft, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
--                         KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, KNE.kne_Inanspruchnahme, 
--                         KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, 
--                         KNE.kne_Realkreditvolumen_in, KNE.kne_Realkreditvolumen_wi, KNE.kne_Kompensationskreditvolumen_in, KNE.kne_Kompensationskreditvolumen_wi, 
--                         KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, 
--                         KNE.kne_externe_kredite, KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, KNE.kne_ewb_e, 
--                         KNE.kne_ewb_e_btrg_janf, KNE.kne_ewb_e_btrg_neu, KNE.kne_ewb_e_btrg_zugang, KNE.kne_ewb_e_afls_btrg, KNE.kne_ewb_e_absg_ind_btrg, 
--                         KNE.kne_ewb_e_absg_dir_btrg, KNE.kne_ewb_v, KNE.kne_ewb_v_btrg_janf, KNE.kne_ewb_v_btrg_neu, KNE.kne_ewb_v_btrg_zugang, KNE.kne_ewb_v_afls_btrg, 
--                         KNE.kne_ewb_v_absg_ind_btrg, KNE.kne_ewb_v_absg_dir_btrg, KNE.Kne_Guthaben, KNE.BLZ, KNE.kne_identnr, KNE.kne_wv, KNE.kne_beruf_branche, 
--                         KNE.kne_kreditvolumen_az01, KNE.kne_kreditvolumen_az5, KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_beteiligung, 
--                         KNE.kne_kreditvolumen_derivate, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, KNE.kne_kreditvolumen_so_az9, 
--                         KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
--                         KNE.kne_meta_anteil_kreditvolumen, KNE.EWBStichprobe, KNE.kne_kreditvolumen_akkreditive, KNE.KNE_Kreditvolumen_az2, KNE.kne_wirt_anteil_wi, 
--                         KNE.kne_wirt_anteil_in, KNE.kne_freier_anteil_wi, KNE.kne_freier_anteil_in, KNE.kne_PKV_SPG_in, KNE.kne_PKV_SPG_wi, KNE.kne_PKV_SPG_IN_SVN, KNE.TS, 
--                         KNE.kne_Risikoklasse, KNE.kne_Bonitaet, KNE.KNE_GEWICHTETE_BONITAET, ISNULL(R.kn_rating_note_Sort, N'999') AS kne_Gewichtete_Bonitaet_Sort
--FROM            dbo.tabKreditnehmereinheit AS KNE LEFT OUTER JOIN
--                         dbo.tabRatingnote AS R ON KNE.KNE_GEWICHTETE_BONITAET = R.kn_rating_note

--GO

Create PROCEDURE [dbo].[sptmpAuswahl_an_tmpKNE] 
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpKNE
                         (SPID, KNEID, Bdate, INR)
SELECT        SPID, KNEID, Bdate, INR
FROM            _tmpAuswahl
WHERE        (_tmpAuswahl.SPID = @SPID);
END
GO

ALTER PROCEDURE [dbo].[spAusgewaehlt] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     Count(K.KNEID) as Trefferzahl  
FROM       _tmpAuswahl as K
WHERE       K.BDate = @BDate and K.INR = @instnr and K.SPID = @SPID;
END
GO

ALTER PROCEDURE [dbo].[spRisikoklasseKNE] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.KNE_risikoklasse 
FROM tabKreditnehmereinheit AS KNE INNER JOIN _tmpKNE as T on KNE.KNEID = T.KNEID and KNE.INR = T.INR and KNE.BDate = T.BDate 
WHERE T.SPID = @SPID and KNE.BDate = @BDate and KNE.INR = @instnr and KNe.Kne_Risikoklasse is not null 
GROUP BY KNE.KNE_risikoklasse   
ORDER BY KNE.KNE_risikoklasse ;
END
GO

ALTER PROCEDURE [dbo].[spGewichteteBonitaet] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
SELECT        CASE WHEN KNE.KNE_GEWICHTETE_BONITAET IS NULL THEN '999' ELSE CAST(tabRatingnote.kn_rating_note_Sort AS nvarchar(3)) END AS Bonitaet_Sort, 
                         CASE WHEN KNE.KNE_GEWICHTETE_BONITAET IS NULL THEN 'Ohne Rating' ELSE CAST(KNE.KNE_GEWICHTETE_BONITAET AS nvarchar(20)) 
                         END AS KNE_GEWICHTETE_BONITAET_Anzeige
FROM            tabKreditnehmereinheit AS KNE INNER JOIN
                         _tmpKNE AS T ON KNE.KNEID = T.KNEID LEFT OUTER JOIN
                         tabRatingnote ON KNE.KNE_GEWICHTETE_BONITAET = tabRatingnote.kn_rating_note
WHERE        (T.Bdate = @BDate) AND (T.INR = @instnr) AND (T.SPID = @SPID)
GROUP BY CASE WHEN KNE.KNE_GEWICHTETE_BONITAET IS NULL THEN 'Ohne Rating' ELSE CAST(KNE.KNE_GEWICHTETE_BONITAET AS nvarchar(20)) END, 
                         CASE WHEN KNE.KNE_GEWICHTETE_BONITAET IS NULL THEN '999' ELSE CAST(tabRatingnote.kn_rating_note_Sort AS nvarchar(3)) END
ORDER BY Bonitaet_Sort
END
GO

ALTER PROCEDURE [dbo].[spRatingnote] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        CASE WHEN KN.Kn_rating_note IS NULL THEN 'Ohne Rating' ELSE CAST(KN.kn_rating_note AS nvarchar(20)) END AS kn_rating_note_Anzeige, 
                         CASE WHEN KN.Kn_rating_note IS NULL THEN '999' ELSE CAST(R.kn_rating_note_Sort AS nvarchar(3)) END AS kn_rating_note_Sort
FROM            tabKreditnehmer AS KN INNER JOIN
                         tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID INNER JOIN
                         _tmpKNE AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID LEFT OUTER JOIN
                         tabRatingnote AS R ON KN.kn_rating_note = R.kn_rating_note
WHERE        (KNE.Bdate = @BDate) AND (KNE.INR = @instnr) AND (KNE.SPID = @SPID)
GROUP BY CASE WHEN KN.Kn_rating_note IS NULL THEN 'Ohne Rating' ELSE CAST(KN.kn_rating_note AS nvarchar(20)) END, CASE WHEN KN.Kn_rating_note IS NULL 
                         THEN '999' ELSE CAST(R.kn_rating_note_SOrt AS nvarchar(3)) END
ORDER BY kn_rating_note_Sort
END
GO

ALTER PROCEDURE [dbo].[spRisikoklasse] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KN.kn_risikoklasse 
FROM tabKreditnehmer AS KN INNER JOIN tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID 
     INNER JOIN _tmpKNE AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID
WHERE KNE.SPID = @SPID and KNE.BDate = @BDate and KNE.INR = @instnr and KN.Kn_Risikoklasse is not null 
GROUP BY KN.kn_Risikoklasse  
ORDER BY KN.kn_Risikoklasse;
END
GO

ALTER PROCEDURE [dbo].[spBonitaet] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KN.kn_bonitaet 
FROM tabKreditnehmer AS KN INNER JOIN tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID 
     INNER JOIN _tmpKNE AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID
WHERE KNE.SPID=@SPID and KNE.BDate = @BDate and KNE.INR = @instnr and KN.Kn_Bonitaet is not null 
GROUP BY KN.kn_Bonitaet   
ORDER BY KN.kn_Bonitaet;
END
GO

ALTER PROCEDURE [dbo].[spOrganKZ] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        KN.kn_kz_organ, KN.kn_kz_organ + N' - ' + isnull(tabOrganKZ.OrganText,'Sparkassenintern') AS Anzeige
FROM            tabKreditnehmer AS KN INNER JOIN
                         tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID INNER JOIN
                         _tmpKNE AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID LEFT OUTER JOIN
                         tabOrganKZ ON KN.kn_kz_organ = tabOrganKZ.OrganKZ
WHERE        (KNE.SPID = @SPID) AND (KNE.Bdate = @BDate) AND (KNE.INR = @instnr)
GROUP BY KN.kn_kz_organ, KN.kn_kz_organ + N' - ' + tabOrganKZ.OrganText, tabOrgankz.Organtext
ORDER BY KN.kn_kz_organ ;
END
GO

ALTER PROCEDURE [dbo].[spKusy] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT isnull(KN.kn_kusydsgv,'') as kusy  
FROM tabKreditnehmer AS KN INNER JOIN tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID 
     INNER JOIN _tmpKNE AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID
WHERE KNE.SPID = @SPID and KNE.BDate = @BDate and KNE.INR = @instnr AND KN.kn_kusydsgv is not null 
GROUP BY KN.kn_kusydsgv 
ORDER BY KN.kn_kusydsgv;
END
GO

ALTER PROCEDURE [dbo].[spOrt] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KN.kn_Ortskenn
FROM tabKreditnehmer AS KN INNER JOIN tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID 
     INNER JOIN _tmpKNE AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID
WHERE KNE.spid = @spid and KNE.BDate = @BDate and KNE.INR = @instnr and KN.kn_Ortskenn is not null 
GROUP BY KN.kn_Ortskenn  
ORDER BY KN.kn_Ortskenn;
END
GO

ALTER PROCEDURE [dbo].[spRatingstatus] 
    @InstNR nvarchar(3),
    @BDate datetime,
    @SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KN.KN_Rating_status, CASE WHEN KN.Kn_rating_status Is Null THEN ' - ' ELSE R.Ratingtext END AS Anzeige  
FROM tabKreditnehmer AS KN INNER JOIN tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID 
     INNER JOIN _tmpKNE AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID 
     LEFT JOIN tabRatingstatus AS R ON KN.KN_Rating_status = R.Ratingstatus 
WHERE KNE.SPID = @SPID and KNE.BDate = @BDate and KNE.INR = @instnr AND KN.KN_Rating_status is not null 
GROUP BY KN.kn_rating_status, R.Ratingtext   
ORDER BY KN.kn_rating_status;
END
GO

ALTER PROCEDURE [dbo].[spRatingmethode] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KN.KN_Rating_methode, KN.kn_Rating_methode + 
       CASE WHEN R.RatingmethodeText Is not Null THEN ' - ' + R.RatingmethodeText END AS Anzeige  
FROM tabKreditnehmer AS KN INNER JOIN tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID 
     INNER JOIN _tmpKNE AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID 
     LEFT JOIN tabRatingmethode AS R ON KN.KN_Rating_methode = R.Ratingmethode  
WHERE KNE.SPID=@spid and KNE.BDate = @BDate and KNE.INR = @instnr AND KN.KN_Rating_methode is not null 
GROUP BY KN.kn_rating_methode, CASE WHEN R.RatingmethodeText Is not Null THEN ' - ' + R.RatingmethodeText END   
ORDER BY KN.kn_rating_methode;
END
GO

ALTER PROCEDURE [dbo].[spRisikosegmente] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT tabKN_Segmente.Segmentnr, R.Segmentwert
FROM (_tmpKNE AS KNE 
     INNER JOIN tab_KNE_KN AS V ON KNE.KNEID=V.KNEID) 
     INNER JOIN (tabKN_Segmente 
     INNER JOIN tabRisikosegmente AS R ON tabKN_Segmente.Segmentnr=R.SegmentNr) ON V.KNID=tabKN_Segmente.KNID
WHERE KNE.SPID=@SPID AND KNE.INR = @InstNr AND KNE.BDate = @BDate 
GROUP BY tabKN_Segmente.Segmentnr, R.Segmentwert
ORDER BY tabKN_Segmente.Segmentnr;
END
GO

ALTER PROCEDURE [dbo].[spKZNot] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT K.kto_kz_notleidend 
FROM tabKreditnehmer AS KN INNER JOIN tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID 
     INNER JOIN _tmpKNE AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID 
     INNER JOIN tabKonto AS K ON KN.KNID = K.KNID 
WHERE KNE.SPID=@SPID and KNE.BDate = @BDate and KNE.INR = @instnr 
GROUP BY K.kto_kz_notleidend   
ORDER BY K.kto_kz_notleidend;
END
GO

ALTER PROCEDURE [dbo].[spVerfuegung] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT TVB.SVZ_DB, VB.svz_db + ' - ' + [kurzanzeige] AS Ansicht
FROM (((tabKontoVB AS VB INNER JOIN (tabKreditnehmer AS KN 
     INNER JOIN tabKonto AS K ON KN.KN = K.KN) ON VB.KontoID = K.KontoID) 
     INNER JOIN tabVerfuegungsbeschraenkung AS TVB ON VB.SVZ_DB = TVB.SVZ_DB) 
     INNER JOIN tab_KNE_KN AS V ON KN.KNID = V.KNID) 
     INNER JOIN _tmpKNE AS KNE ON V.KNEID = KNE.KNEID
WHERE KNE.SPID=@SPID and KNE.BDate = @BDate and KNE.INR = @instnr 
GROUP BY TVB.SVZ_DB, VB.svz_db + ' - ' + [kurzanzeige]
ORDER BY TVB.SVZ_DB;
END
GO

ALTER PROCEDURE [dbo].[spKontentyp] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT K.Kto_Kontentyp 
FROM tabKreditnehmer AS KN INNER JOIN tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID 
     INNER JOIN _tmpKNe AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID 
     INNER JOIN tabKonto AS K ON KN.KNID = K.KNID   
WHERE KNE.spid=@SPID and KNE.BDate = @BDate and KNE.INR = @instnr AND K.Kto_Kontentyp is not null 
GROUP BY K.Kto_Kontentyp 
ORDER BY K.Kto_Kontentyp;
END
GO

ALTER PROCEDURE [dbo].[spMahnstand] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT K.kto_mahnstand 
FROM tabKreditnehmer AS KN INNER JOIN tab_KNE_KN ON KN.KNID = tab_KNE_KN.KNID 
     INNER JOIN _tmpKNE AS KNE ON tab_KNE_KN.KNEID = KNE.KNEID 
     INNER JOIN tabKonto AS K ON KN.KNID = K.KNID 
WHERE KNE.SPID=@SPID and KNE.BDate = @BDate and KNE.INR = @instnr 
GROUP BY K.kto_mahnstand   
ORDER BY K.kto_mahnstand;
END
GO

ALTER FUNCTION [dbo].[getAnzahlAktiveFilter]
(
	-- Add the parameters for the function here
	@KNEID nvarchar(24),
	@SPID int 
)
RETURNS int 
AS
BEGIN
return 
(SELECT     COUNT(tabKNEFilter.INR) AS AnzahlKNEFID
FROM         tabKNEFilter INNER JOIN
                      tabFilter ON tabKNEFilter.Filter = tabFilter.FID
WHERE     (tabFilter.Aktiv = 1) AND (tabFilter.EWBFilter = 0) 
           AND tabKNEFIlter.KNEID = @KNEID and tabknefilter.spid = @SPID
GROUP BY tabknefilter.SPID, tabKNEFilter.KNEID)
END
GO


ALTER PROCEDURE [dbo].[spFiltertreffer] 
    @FID nvarchar(14),
	@SPID int  
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpFilterTreffer 
           ( SPID, Auswahl, KNEID, KNE_Name, kne_wv_verbnr, kne_berater, kne_gesamtkreditvolumen, 
           kne_gesamtkreditvolumen_not, kne_meta_anteil_inanspruchnahme, kne_bewilligungsvolumen_neu, 
           kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_blankokreditvolumen_wi, 
           kne_Personalkreditvolumen_in, kne_Personalkreditvolumen_wi, kne_Realkreditvolumen_in, 
           kne_Realkreditvolumen_wi, kne_Kommunalkreditvolumen_in, kne_Kommunalkreditvolumen_wi, 
           kne_Kreditueberschreitung, kne_Darlehensrueckstand, kne_externe_kredite, kne_interne_Kredite, 
           kne_Ueberziehungsgenehmigungen, kne_ewb_Veraenderung, Bdate, Herkunft, INR, BLZ, Filter, Filterzahl )
SELECT     @SPID, dbo.getAuswahlstatus(kne.kneid, @SPID) as Auswahl, KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
           KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
           KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
           KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
           KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
           KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
           KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, 
           KNE.Bdate, KNE.Herkunft, KNE.INR, KNE.BLZ, tabKNEFilter.Filter, dbo.getAnzahlAktiveFilter(KNE.KNEID, @SPID)    
FROM (tabkreditnehmereinheit AS KNE INNER JOIN tabKNEFilter ON KNE.KNEID = tabKNEFilter.KNEID) 
GROUP BY tabKNEFilter.spid,  KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
         KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
         KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
         KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
         KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
         KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
         KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, KNE.Bdate, 
         KNE.Herkunft, KNE.INR, KNE.BLZ, tabKNEFilter.Filter  
HAVING  tabKNEFilter.Filter = @FID and tabKNEFilter.spid = @SPID 
ORDER BY Auswahl, KNE.kne_gesamtkreditvolumen DESC;
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolle] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT dbo.getAuswahlstatus(kne.kneid, @SPID) as Auswahl, KNE.KNEID, KNE.KNE, KNE.KNE_Name, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
       KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_Personalkreditvolumen_in, 
       KNE.kne_Realkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kreditueberschreitung 
FROM tabKreditnehmereinheit AS KNE 
WHERE KNE.BDate = @BDate and KNE.INR = @instnr 
ORDER BY Auswahl desc, KNE.kne_gesamtkreditvolumen desc;
END
GO

ALTER PROCEDURE [dbo].[spEineKNEID_an_tmpKNE] 
    @KNEID nvarchar(24),
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpKNE ( SPID, KNEID, KNE_Name, kne_berater, Bdate, Herkunft, INR, BLZ ) 
SELECT @SPID, KNEID, KNE_Name, kne_berater, Bdate, Herkunft, INR, BLZ 
FROM tabKreditnehmereinheit 
WHERE KNEID=@KNEID
END
GO

Create PROCEDURE [dbo].[spEineKNEID_an_tmpAuswahl] 
    @KNEID nvarchar(24),
	@INR nvarchar(3),
	@BDate datetime,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpAuswahl ( SPID, KNEID, Bdate, INR ) 
values (@SPID, @KNEID,  @Bdate,  @INR )
END
GO

Create PROCEDURE [dbo].[spEineKNEID_aus_tmpAuswahlLoeschen] 
    @KNEID nvarchar(24),
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
Delete from _tmpAuswahl where KNEID = @KNEID and SPID =@SPID
END
GO

ALTER PROCEDURE [dbo].[spUpdateFiltertreffer] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM _tmpAuswahl
FROM            _tmpAuswahl INNER JOIN
                         _tmpFilterTreffer ON _tmpAuswahl.KNEID = _tmpFilterTreffer.KNEID AND _tmpAuswahl.SPID = _tmpFilterTreffer.SPID
WHERE        (_tmpFilterTreffer.Filterzahl = 1) AND (_tmpAuswahl.SPID = @SPID) AND (_tmpAuswahl.Bdate = @bdate) AND (_tmpAuswahl.INR = @InstNR)

END
GO

ALTER PROCEDURE [dbo].[spKNEFilter] 
	@KNEID nvarchar(24),
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        tabFilter.FID, tabKNEFilter.EDate, tabKNEFilter.KNEID, tabFilter.Filtername + ISNULL(CASE WHEN CAST(Filterkriterien AS nvarchar(MAX)) 
                         = 'Manuell ausgewhlt' THEN ' (' + CAST(Filterkriterien AS nvarchar(MAX)) + ')' END, N'') AS Anzeige, tabKNEFilter.Filter, tabFilter.Aktiv, tabFilter.EWBFilter
FROM            tabKNEFilter INNER JOIN
                         tabFilter ON tabKNEFilter.Filter = tabFilter.FID AND tabKNEFilter.SPID = tabFilter.SPID
WHERE        (tabFilter.EWBFilter = 0) AND (tabKNEFilter.KNEID = @KNEID) AND (tabFilter.SPID = @SPID)
ORDER BY tabKNEFilter.EDate
END
GO

ALTER PROCEDURE [dbo].[spFilternameAendern] 
    @FID nvarchar(14),
    @NeuerName nvarchar(255),
	@SPID int
     
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
UPDATE    tabFilter SET Filtername = @Neuername where FID = @FID and SPID = @SPID
END
GO

ALTER PROCEDURE [dbo].[spFilterKriterien] 
    @FID nvarchar(14),
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT LastFilter From tabFilter where FID = @FID and SPID = @SPID
END
GO

/****** Object:  StoredProcedure [dbo].[spAuswahlDa]    Script Date: 27.01.2017 16:41:16 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spAuswahlDa] 
    @InstNR nvarchar(3),
    @BDate datetime ,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT TOP 1 KNEID from tabKNEFilter 
WHERE INR = @InstNR AND BDate = @Bdate and SPID = @SPID 
END
GO

ALTER PROCEDURE [dbo].[spIrgendeineAuswahlDa] 
    @INR nvarchar(3),
    @BDate datetime
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT SPKName + ' ' + CONVERT(varchar(10), bdate, 104), INR, BDATE from _tmpAuswahl
       INNER JOIN stabSparkassen ON _tmpAuswahl.INR = stabSparkassen.InstNr 
WHERE ((INR = @INR and BDate = @BDate) or (@INR is null and @BDate is null))
group by SPKName, INR, BDate 
END
GO

ALTER PROCEDURE [dbo].[spSichernAuswahlKNE] 
    @AuswahlID int,
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
    -- Zunchst Stze anlegen fr die Einzelstichprobe, spter dann fr die Sammelstichprobe Stze ergnzen oder updaten
INSERT INTO sichernAuswahlKNE
            (KNEID, Auswahl, AuswahlID)
SELECT      KNEID, -1, @AuswahlID AS AuswahlID 
FROM        _tmpauswahl 
WHERE       INR = @Instnr and BDate = @BDate and SPID = @SPID      
            
END
GO

ALTER PROCEDURE [dbo].[spSichernManuelleFilter] 
    @AuswahlID int,
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
INSERT INTO sichernManuelleFilter
            (AuswahlID, FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR, BDate)
SELECT      @AuswahlID as AuswahlID, FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR, BDate
FROM        stabFilter
WHERE       INR = @Instnr and BDate = @BDate and SPID = @SPID       
END
GO

ALTER PROCEDURE [dbo].[spSichernFilter] 
    @AuswahlID int,
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
INSERT INTO sichernFilter
            (AuswahlID, FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR, LastFilter, BDate)
SELECT      @AuswahlID as AuswahlID, FID, Filtername, Filterkriterien, Aktiv, EWBFilter, INR, LastFilter, BDate
FROM         tabFilter
WHERE       INR = @Instnr and BDate = @BDate and SPID = @SPID       
END

GO

ALTER PROCEDURE [dbo].[spSichernKNEFilter] 
    @AuswahlID int,
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
INSERT INTO sichernKNEFilter
           (AuswahlID, KNEID, INR, Bdate, Filter)
SELECT     @AuswahlID as AuswahlID, KNEID, INR, Bdate, Filter
FROM       tabKNEFilter
WHERE      INR = @Instnr and BDate = @BDate and SPID = @SPID       
END
GO

ALTER PROCEDURE [dbo].[spSichernEWBKNEFilter] 
    @AuswahlID int,
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
INSERT INTO sichernEWBKNEFilter
           (AuswahlID, KNEID, INR, Bdate, Filter)
SELECT     @AuswahlID as AuswahlID, KNEID, INR, Bdate, Filter
FROM       tabEWBKNEFilter
WHERE      INR = @Instnr and BDate = @BDate and SPID = @SPID       
END
GO

ALTER PROCEDURE [dbo].[spSichernKNRisiko] 
    @AuswahlID int,
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
INSERT INTO sichernKN_Risiko
           (AuswahlID, KNEID, RNR, KNID, RGrund,GBR_Quote)
SELECT     @AuswahlID as AuswahlID, KNEID, RNR, KNID, RGrund,GBR_Quote 
FROM       tabKN_Risiko
WHERE      INR = @Instnr and BDate = @BDate     and SPID = @SPID   
END
GO

ALTER PROCEDURE [dbo].[spSichernKNRisikoSammel] 
    @AuswahlID int,
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
    -- Projekt kopieren
INSERT INTO sichernKN_RisikoSammel
           (AuswahlID, KNEID, RNR, KNID, RGrund,GBR_Quote)
SELECT     @AuswahlID as AuswahlID, KNEID, RNR, KNID, RGrund,GBR_Quote 
FROM       tabKN_RisikoSammel
WHERE      INR = @Instnr and BDate = @BDate and SPID = @SPID        
END
GO

ALTER PROCEDURE [dbo].[spIrgendeineAuswahlDa] 
    @INR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT SPKName + ' ' + CONVERT(varchar(10), bdate, 104), INR, BDATE from _tmpAuswahl
       INNER JOIN stabSparkassen ON _tmpAuswahl.INR = stabSparkassen.InstNr 
WHERE (((INR = @INR and BDate = @BDate) or (@INR is null and @BDate is null))) and SPID = @SPID
group by SPKName, INR, BDate 
END
GO

ALTER PROCEDURE [dbo].[spLadenAuswahlKNE] 
    @AuswahlID int,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
    -- Erstmal die Treffer der EInzelstichprobe einspielen
INSERT INTO _tmpAuswahl
                         (SPID, KNEID, INR, Bdate)
SELECT        @SPID AS SPID, sichernAuswahlKNE.KNEID, sichernAuswahl.INR, sichernAuswahl.BDate
FROM            sichernAuswahlKNE INNER JOIN
                         sichernAuswahl ON sichernAuswahlKNE.AuswahlID = sichernAuswahl.AuswahlID
WHERE        (sichernAuswahlKNE.AuswahlID = @AuswahlID) AND (sichernAuswahlKNE.Auswahl = 1)
END
GO

ALTER PROCEDURE [dbo].[spAuswahlenAnzeigenAlle] 
	@INR nvarchar(3),  
	@Stichtag datetime,
    @AuswahlID int,
	@SPID int
	  
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        S.Auswahlname + ' (Bestand: ' + CONVERT(varchar(10), S.BDate, 104) + ') ' + ' - gesichert am ' + CONVERT(varchar(10), S.SDate, 104) + ' ' + CONVERT(varchar(5), 
                         S.SDate, 108) AS Auswahlkomplett, stabPersonen.SPVorname + ' ' + stabPersonen.SPName AS Person, S.BDate, sichernAuswahlKNE.Auswahl, 
                         sichernAuswahlKNE.EWBStichprobe, tabKreditnehmereinheit.KNE, tabKreditnehmereinheit.KNE_Name, tabKreditnehmereinheit.kne_gesamtkreditvolumen
FROM            sichernAuswahl AS S INNER JOIN
                         sichernAuswahlKNE ON S.AuswahlID = sichernAuswahlKNE.AuswahlID INNER JOIN
                         stabPersonen ON S.SPID = stabPersonen.SPID INNER JOIN
                         _tmpAuswahl ON RIGHT(sichernAuswahlKNE.KNEID, 15) = RIGHT(_tmpAuswahl.KNEID, 15) INNER JOIN
                         tabKreditnehmereinheit ON sichernAuswahlKNE.KNEID = tabKreditnehmereinheit.KNEID
WHERE        (S.BDate <= @Stichtag) AND (S.AuswahlID <> @AuswahlID) AND (S.INR = @INR) AND (_tmpAuswahl.SPID = @SPID)
ORDER BY S.BDate DESC
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolleDruck] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.Bdate, dbo.getAuswahlstatus(kne.kneid, @SPID) as Auswahl, KNE.KNE, KNE.KNE_Name, tabKNEFilter.EDATE, 
       KNE.kne_berater, F.Filtername, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahl as T ON KNE.kneid = T.kneid inner join 
    (tabKNEFilter INNER JOIN tabFilter AS F ON tabKNEFilter.Filter = F.FID) 
     ON KNE.KNEID = tabKNEFilter.KNEID
WHERE t.BDate = @BDate and t.INR = @instnr and t.SPID = @SPID
ORDER BY KNE.KNE;
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolleSummen] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT count(T.KNEID) as AnzahlSaetze, 
       Sum(KNE.kne_gesamtkreditvolumen) AS SummeGKV, 
       Sum(KNE.kne_Inanspruchnahme) AS SummeInAn  
FROM tabKreditnehmereinheit AS KNE INNER JOIN _tmpAuswahl as T ON KNE.kneid = t.kneid 
WHERE t.INR = @InstNr AND t.Bdate=@Bdate AND t.spid = @SPID; 
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolle2Druck] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     KNE.KNEID, KNE, KNE_Name, kne_berater, kne_gesamtkreditvolumen, kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_Personalkreditvolumen_in, 
                      kne_Realkreditvolumen_in, kne_Kommunalkreditvolumen_in, kne_Kreditueberschreitung, kne.Bdate, kne_Risikoklasse, kne_blankokreditvolumen_wi, 
                      kne_Personalkreditvolumen_wi, kne_ewb_e, kne_Bonitaet 
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahl as T ON KNE.kneid = T.kneid 
WHERE t.BDate = @BDate and t.INR = @instnr and t.SPID = @SPID
ORDER BY KNE.KNE;
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolle2DruckSummen] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     SUM(kne_gesamtkreditvolumen) AS kne_gesamtkreditvolumenS, SUM(kne_Inanspruchnahme) AS kne_InanspruchnahmeS, SUM(kne_blankokreditvolumen_in) 
                      AS kne_blankokreditvolumen_inS, SUM(kne_Personalkreditvolumen_in) AS kne_Personalkreditvolumen_inS, SUM(kne_Realkreditvolumen_in) 
                      AS kne_Realkreditvolumen_inS, SUM(kne_Kommunalkreditvolumen_in) AS kne_Kommunalkreditvolumen_inS, SUM(kne_Kreditueberschreitung) 
                      AS kne_KreditueberschreitungS, SUM(kne_blankokreditvolumen_wi) AS kne_blankokreditvolumen_wiS, SUM(kne_Personalkreditvolumen_wi) 
                      AS kne_Personalkreditvolumen_wiS, SUM(kne_ewb_e) AS kne_ewb_eS, COUNT(T.KNEID) AS AnzahlSaetze
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahl as T ON KNE.kneid = T.kneid 
WHERE t.BDate = @BDate and t.INR = @instnr and t.SPID = @SPID
;
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolleExport] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.KNE as KNE,
       KNE.KNE_Name as Kreditnehmereinheit, 
       KNE.kne_berater as Berater, 
       F.Filtername as [Treffer bei Filter], 
       KNE.kne_gesamtkreditvolumen as Gesamtkreditvolumen,
       KNE.kne_Inanspruchnahme as Inanspruchnahme 
FROM tabKreditnehmereinheit AS KNE INNER JOIN 
     _tmpAuswahl as T ON KNE.KNEID = T.KNEID INNER JOIN  
    (tabKNEFilter INNER JOIN tabFilter AS F ON tabKNEFilter.Filter = F.FID) 
     ON KNE.KNEID = tabKNEFilter.KNEID
WHERE T.SPID = @SPID and T.BDate = @BDate and T.INR = @instnr 
ORDER BY KNE.KNE;
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolle2Export] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     KNE, KNE_Name as Kreditnehmereinheit, kne_berater as Berater, 
           kne_gesamtkreditvolumen as GKV, 
           kne_Inanspruchnahme as Inanspruchnahme, 
           kne_blankokreditvolumen_wi as Blankokreditvolumen, 
           kne_blankokreditvolumen_in as Blankoinanspruchnahme, 
           kne_Personalkreditvolumen_wi as Personalkreditvolumen, 
           kne_Personalkreditvolumen_in as Personalinanspruchnahme, 
           kne_Realkreditvolumen_in as Realinanspruchnahme, 
           kne_Kommunalkreditvolumen_in as Kommunalinanspruchnahme, 
           kne_Kreditueberschreitung as Kreditueberschreitung, 
           kne_Risikoklasse as Risikoklasse, 
           kne_ewb_e as EWB_Vorjahr 
FROM         tabKreditnehmereinheit AS K INNER JOIN _tmpAuswahl as T on K.kneid = T.KNEID 
WHERE T.SPID =  @SPID and T.BDate = @BDate and T.INR = @instnr 
ORDER BY K.KNE;
END
GO

ALTER PROCEDURE [dbo].[spRisikoeinheitenAusgewaehlt] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT K.KNEID, K.KNE_Name
FROM tabKreditnehmereinheit AS K INNER JOIN _tmpAuswahl as T on K.KNEID = T.KNEID 
WHERE T.BDate = @BDate and T.INR = @instnr and T.SPID = @SPID  
ORDER BY K.KNE_Name
END
GO

/****** Object:  Table [dbo].[_tmpAuswahl]    Script Date: 30.01.2017 16:37:47 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpAuswahlEWB](
	[SPID] [int] NOT NULL,
	[KNEID] [nvarchar](24) NOT NULL,
	[Bdate] [datetime] NULL,
	[INR] [nvarchar](3) NULL,
	[Auswahl] [bit] NULL,
 CONSTRAINT [PK__tmpAuswahlEWB] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[KNEID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Index [IX_BDate]    Script Date: 30.01.2017 16:37:47 ******/
CREATE NONCLUSTERED INDEX [IX_BDate] ON [dbo].[_tmpAuswahlEWB]
(
	[Bdate] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

SET ANSI_PADDING ON

GO

/****** Object:  Index [IX_INR]    Script Date: 30.01.2017 16:37:47 ******/
CREATE NONCLUSTERED INDEX [IX_INR] ON [dbo].[_tmpAuswahlEWB]
(
	[INR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  Index [IX_SPID]    Script Date: 30.01.2017 16:37:47 ******/
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[_tmpAuswahlEWB]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  StoredProcedure [dbo].[spLoeschKZauf0setzen]    Script Date: 30.01.2017 17:49:51 ******/
DROP PROCEDURE [dbo].[spLoeschKZauf0setzen]
GO

create PROCEDURE [dbo].[sptmpKNE_an_tmpAuswahlEWB] 
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpAuswahlEWB
                         (SPID, KNEID, INR, Bdate)
SELECT        _tmpKNE.SPID, _tmpKNE.KNEID, _tmpKNE.INR, _tmpKNE.Bdate
FROM            _tmpKNE LEFT OUTER JOIN
                         _tmpAuswahlEWB AS A ON _tmpKNE.SPID = A.SPID AND _tmpKNE.KNEID = A.KNEID
WHERE        (_tmpKNE.SPID = @SPID) AND (A.KNEID IS NULL);
END
GO

ALTER PROCEDURE [dbo].[spFilterEintragen] 
    @FID nvarchar(14),
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKNEFilter ( KNEID, INR, BDATE, Filter, SPID ) 
(SELECT TMP.KNEID, TMP.INR as INR, TMP.Bdate as BDate, @FID AS Filter, @SPID 
FROM _tmpKNE AS TMP 
WHERE TMP.SPID = @SPID 
GROUP BY tmp.inr, tmp.bdate, tmp.spid, TMP.KNEID);
END
GO

create FUNCTION [dbo].[getAuswahlstatusEWB]
(
	-- Add the parameters for the function here
	@KNEID nvarchar(24),
	@SPID int
)
RETURNS bit 
AS
BEGIN
return (Select case when (Select Count(KNEID) from _tmpAuswahlEWB where KNEID = @KNEID and SPID = @SPID) = 0 then 0 else 1 end as Auswahl )
END
GO

--ALTER PROCEDURE [dbo].[spEWBEndkontrolle] 
--    @InstNR nvarchar(3),
--    @BDate datetime,
--	@SPID int
--AS
--BEGIN
--SET NOCOUNT ON;
---- Insert statements for procedure here
--SELECT dbo.getAuswahlstatusEWB(kne.kneid, @SPID) as Auswahl, KNE.KNEID, KNE.KNE, KNE.KNE_Name, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
--       KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_Personalkreditvolumen_in, 
--       KNE.kne_Realkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kreditueberschreitung 
--FROM tabKreditnehmereinheit AS KNE 
--WHERE KNE.BDate = @BDate and KNE.INR = @instnr 
--ORDER BY EWBAuswahl desc, KNE.kne_gesamtkreditvolumen desc;
--END
--GO

ALTER PROCEDURE [dbo].[spEWBAusgewaehlt] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     Count(K.KNEID) as Trefferzahl  
FROM       _tmpAuswahlEWB as K
WHERE      K.BDate = @BDate and K.INR = @instnr and K.spid = @SPID;
END
GO

/****** Object:  StoredProcedure [dbo].[spAuswahlEWBDa]    Script Date: 30.01.2017 19:24:23 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spAuswahlEWBDa] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT Top 1 KNEID from tabEWBKNEFilter
WHERE  INR = @InstNR AND BDate = @Bdate and SPID = @SPID
END
GO

create PROCEDURE [dbo].[spLoescheAuswahlSammelstichprobe] 
	@INR nvarchar(3),
    @BDate datetime,
	@SPID int 
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
Delete from tabFilter WHERE  INR = @INR and BDate = @BDate and SPID = @SPID and EWBFilter = 1;
Delete from tabEWBKNEFilter WHERE  INR = @INR and BDate = @BDate and SPID = @SPID;
Delete from tabKN_RisikoSammel WHERE  INR = @INR and BDate = @BDate and SPID = @SPID;
Delete from _tmpAuswahlEWB where INR = @INR and BDate = @BDate and SPID = @SPID;
END
GO

ALTER PROCEDURE [dbo].[spLoescheEWBFilter] 
   @INR as nvarchar(3),
   @Bdate as datetime,
   @SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM tabFilter
WHERE      EWBFilter = 1 
           AND (INR = @inr) 
           AND (BDate = @Bdate) and SPID = @SPID
END
GO

--ALTER PROCEDURE [dbo].[spEndkontrolleEWBDruck] 
--    @InstNR nvarchar(3),
--    @BDate datetime,
--	@SPID int
--AS
--BEGIN
--SET NOCOUNT ON;
---- Insert statements for procedure here
--SELECT dbo.getauswahlstatusEWB(KNE.KNEID,@SPID) as EWBAuswahl, tabFilter.EWBFilter, KNE.Herkunft, KNE.Bdate, KNE.KNE, tabEWBKNEFilter.EDATE, KNE.KNE_Name, KNE.kne_berater, 
--tabFilter.Filtername, KNE.kne_gesamtkreditvolumen, KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, 
--KNE.kne_bewilligungsvolumen_neu, KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
--KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, KNE.kne_Realkreditvolumen_wi, 
--KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, 
--KNE.kne_externe_kredite 
--FROM tabKreditnehmereinheit AS KNE INNER JOIN 
--_tmpAuswahlEWB as T on KNE.KNEID = T.KNEID INNER JOIN
--(tabEWBKNEFilter INNER JOIN 
--tabFilter ON tabEWBKNEFilter.Filter = tabFilter.FID) ON KNE.KNEID = tabEWBKNEFilter.KNEID
--WHERE tabFilter.EWBFilter=1 and T.BDate = @BDate and T.iNr = @instnr and T.SPID = @SPID
--ORDER BY KNE.EWBAuswahl, KNE.kne_gesamtkreditvolumen DESC;
--END
--GO

/****** Object:  StoredProcedure [dbo].[spEndkontrolleEWBDruckSummen]    Script Date: 30.01.2017 20:13:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spEndkontrolleEWBDruckSummen] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
-- Insert statements for procedure here
SELECT count(T.KNEID) as GAnzahl, 
       Sum(KNE.kne_gesamtkreditvolumen) AS SummeGKV, 
       Sum(KNE.kne_Inanspruchnahme) AS SummeInAn,
	   sum(KNE.kne_blankokreditvolumen_in) As SummeBlanko   
FROM tabKreditnehmereinheit AS KNE INNER JOIN _tmpAuswahlEWB as T ON KNE.kneid = t.kneid 
WHERE t.INR = @InstNr AND t.Bdate=@Bdate AND t.spid = @SPID
Order by summegkv desc; 
END
GO

ALTER PROCEDURE [dbo].[spKNEEWBFilter] 
	@KNEID nvarchar(24),
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     F.FID, EF.EDate, EF.KNEID, F.Filtername + 
           isnull(CASE WHEN cast(Filterkriterien as nvarchar(max)) = 'Manuell ausgewhlt'
                       THEN ' (' + cast(Filterkriterien as nvarchar(max)) + ')' END,'') AS Anzeige, 
           EF.Filter, F.Aktiv, F.EWBFilter
FROM       tabEWBKNEFilter AS EF INNER JOIN tabFilter as F ON EF.Filter = F.FID 
WHERE     (F.EWBFilter = 1) AND EF.KNEID = @KNEID AND (f.SPID = @SPID)
ORDER BY EF.EDATE asc
END
GO

create PROCEDURE [dbo].[spEineKNEID_an_tmpAuswahlEWB] 
    @KNEID nvarchar(24),
	@INR nvarchar(3),
	@BDate datetime,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpAuswahlEWB ( SPID, KNEID, Bdate, INR ) 
values (@SPID, @KNEID,  @Bdate,  @INR )
END
GO

create PROCEDURE [dbo].[spEineKNEID_aus_tmpAuswahlEWBLoeschen] 
    @KNEID nvarchar(24),
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
Delete from _tmpAuswahlEWB where KNEID = @KNEID and SPID =@SPID
END
GO

ALTER PROCEDURE [dbo].[spLoescheAuswahlKomplett] 
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
Delete from tabFilter WHERE  SPID = @SPID;
Delete from tabKNEFilter WHERE SPID = @SPID;
Delete from tabEWBKNEFilter WHERE SPID = @SPID;
Delete from tabKN_Risiko WHERE SPID = @SPID;
Delete from tabKN_RisikoSammel WHERE SPID = @SPID;
Delete from stabFilter WHERE SPID = @SPID; 
Delete from stabFilter WHERE  INR IS NOT NULL and BDate IS NOT NULL; 
delete from _tmpAuswahl where SPID = @SPID;
Delete from _tmpAuswahlEWB where SPID = @SPID;
END
GO

/****** Object:  View [dbo].[vAuswahlGesamt]    Script Date: 02.02.2017 11:17:25 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vAuswahlGesamt]
AS
SELECT        SPID, KNEID, Bdate, INR
FROM            dbo._tmpAuswahl
UNION ALL
SELECT        SPID, KNEID, Bdate, INR
FROM            dbo._tmpAuswahlEWB
GO

ALTER PROCEDURE [dbo].[spIrgendeineAuswahlDa] 
    @INR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT SPKName + ' ' + CONVERT(varchar(10), bdate, 104), INR, BDATE from vAuswahlgesamt
       INNER JOIN stabSparkassen ON vAuswahlgesamt.INR = stabSparkassen.InstNr 
WHERE (((INR = @INR and BDate = @BDate) or (@INR is null and @BDate is null))) and SPID = @SPID
group by SPKName, INR, BDate 
END
GO

ALTER PROCEDURE [dbo].[spEndkontrolleEWBFilter] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        F.EWBFilter, F.FID, F.Filtername, F.Aktiv
FROM            tabEWBKNEFilter AS EF INNER JOIN
                         tabFilter AS F ON EF.Filter = F.FID AND EF.SPID = F.SPID AND EF.INR = F.INR AND EF.Bdate = F.BDate INNER JOIN
                         _tmpAuswahlEWB AS T ON EF.SPID = T.SPID AND EF.KNEID = T.KNEID AND EF.INR = T.INR AND EF.Bdate = T.Bdate
WHERE        (F.EWBFilter = 1) AND (F.Aktiv = 1) AND (T.INR = @InstNr) AND (T.Bdate = @BDate) AND (T.SPID = @SPID)
GROUP BY F.EWBFilter, F.FID, F.Filtername, F.Aktiv
ORDER BY F.FID;
END
GO

/****** Object:  StoredProcedure [dbo].[spEWBEndkontrolle]    Script Date: 03.03.2017 12:23:22 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spEWBEndkontrolle] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT dbo.getAuswahlstatusEWB(kne.kneid, @SPID) as Auswahl, KNE.KNEID, KNE.KNE, KNE.KNE_Name, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
       KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_Personalkreditvolumen_in, 
       KNE.kne_Realkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kreditueberschreitung 
FROM tabKreditnehmereinheit AS KNE 
WHERE KNE.BDate = @BDate and KNE.INR = @instnr 
ORDER BY Auswahl desc, KNE.kne_gesamtkreditvolumen desc;
END
GO

Create FUNCTION [dbo].[getAuswahlstatusEWBStichprobe]
(
	-- Add the parameters for the function here
	@KNEID nvarchar(24),
	@SPID int
)
RETURNS bit 
AS
BEGIN
return (Select case when (Select Count(KNEID) from _tmpAuswahlEWB where KNEID = @KNEID and SPID = @SPID and Auswahl = 1) = 0 then 0 else 1 end as Auswahl )
END
GO

--ALTER PROCEDURE [dbo].[spEWBFiltertreffer] 
--    @FID nvarchar(14) ,
--	@SPID int
--AS
--BEGIN
--SET NOCOUNT ON;
---- Insert statements for procedure here
--INSERT INTO _tmpFilterTreffer 
--           (SPID, Auswahl, KNEID, KNE_Name, kne_wv_verbnr, kne_berater, kne_gesamtkreditvolumen, 
--           kne_gesamtkreditvolumen_not, kne_meta_anteil_inanspruchnahme, kne_bewilligungsvolumen_neu, 
--           kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_blankokreditvolumen_wi, 
--           kne_Personalkreditvolumen_in, kne_Personalkreditvolumen_wi, kne_Realkreditvolumen_in, 
--           kne_Realkreditvolumen_wi, kne_Kommunalkreditvolumen_in, kne_Kommunalkreditvolumen_wi, 
--           kne_Kreditueberschreitung, kne_Darlehensrueckstand, kne_externe_kredite, kne_interne_Kredite, 
--           kne_Ueberziehungsgenehmigungen, kne_ewb_Veraenderung, Bdate, Herkunft, INR, BLZ, Filter, Filterzahl )
--SELECT     @SPID, dbo.getAuswahlstatusEWBStichprobe(kne.kneid, @SPID) as Auswahl, KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
--           KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
--           KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
--           KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
--           KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
--           KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
--           KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, 
--           KNE.Bdate, KNE.Herkunft, KNE.INR, KNE.BLZ, tabEWBKNEFilter.Filter, dbo.getAnzahlAktiveEWBFilter(KNE.KNEID)    
--FROM (tabkreditnehmereinheit AS KNE INNER JOIN tabEWBKNEFilter ON KNE.KNEID = tabEWBKNEFilter.KNEID) 
--GROUP BY Auswahl, KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
--         KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
--         KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
--         KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
--         KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
--         KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
--         KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, KNE.Bdate, 
--         KNE.Herkunft, KNE.INR, KNE.BLZ, tabEWBKNEFilter.Filter  
--HAVING  tabEWBKNEFilter.Filter = @FID 
--ORDER BY Auswahl, KNE.kne_gesamtkreditvolumen DESC;
--END
--GO

ALTER PROCEDURE [dbo].[spFiltertrefferFuerAuswahl] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT T.Auswahl, K.KNEID, K.KNE, K.KNE_Name, T.Filterzahl, K.kne_berater, 
       K.kne_gesamtkreditvolumen, 
       K.kne_Inanspruchnahme, K.kne_blankokreditvolumen_in, K.kne_Personalkreditvolumen_in, 
       K.kne_Realkreditvolumen_in, K.Bdate, K.Herkunft, K.INR, K.BLZ, T.Filter 
FROM tabKreditnehmereinheit AS K INNER JOIN _tmpFilterTreffer AS T ON K.KNEID=T.KNEID 
WHERE K.BDate = @BDate and K.INR = @instnr and T.SPID = @SPID  
ORDER BY T.Auswahl desc;
END
GO

/****** Object:  StoredProcedure [dbo].[spEineKNEID_an_tmpAuswahlEWB]    Script Date: 03.03.2017 13:11:39 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spEineKNEID_an_tmpAuswahlEWB] 
    @KNEID nvarchar(24),
	@INR nvarchar(3),
	@BDate datetime,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpAuswahlEWB ( SPID, KNEID, Bdate, INR ) 
values (@SPID, @KNEID,  @Bdate,  @INR )

END
GO
/****** Object:  StoredProcedure [dbo].[spEineKNEID_aus_tmpAuswahlEWBLoeschen]    Script Date: 03.03.2017 13:12:41 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spEineKNEID_aus_tmpAuswahlEWBLoeschen] 
    @KNEID nvarchar(24),
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
Delete from _tmpAuswahlEWB where KNEID = @KNEID and SPID =@SPID
END
GO

create PROCEDURE [dbo].[spUpdateFiltertrefferEWB] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM _tmpAuswahlEWB
FROM            _tmpAuswahlEWB INNER JOIN
                         _tmpFilterTreffer ON _tmpAuswahlEWB.KNEID = _tmpFilterTreffer.KNEID AND _tmpAuswahlEWB.SPID = _tmpFilterTreffer.SPID
WHERE        (_tmpFilterTreffer.Filterzahl = 1) AND (_tmpAuswahlEWB.SPID = @SPID) AND (_tmpAuswahlEWB.Bdate = @bdate) AND (_tmpAuswahlEWB.INR = @InstNR)

END
GO

ALTER PROCEDURE [dbo].[spEWBSummenEndkontrolle] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KN.KNID, KN.KN, KN.kn_name, V.GBR_Quote, [kn_Inanspruchnahme]*[gbr_quote] AS INAN, [kn_blankokreditvolumen_in]*[gbr_quote] AS Blanko, KNE.Bdate
FROM (tabKreditnehmereinheit AS KNE INNER JOIN tab_KNE_KN AS V ON KNE.KNEID = V.KNEID) INNER JOIN tabKreditnehmer AS KN ON V.KNID = KN.KNID
WHERE dbo.getAuswahlstatusEWB(kne.kneid, @SPID) = 1 and KNE.INR = @Instnr and KNE.Bdate = @BDate 
GROUP BY KN.KNID, KN.KN, KN.kn_name, V.GBR_Quote, [kn_Inanspruchnahme]*[gbr_quote], [kn_blankokreditvolumen_in]*[gbr_quote], KNE.Bdate
ORDER BY KN.kn_name;
END
GO

--ALTER PROCEDURE [dbo].[spEndkontrolleEWBExport] 
--    @InstNR nvarchar(3),
--    @BDate datetime,
--	@SPID int
--AS
--BEGIN
--SET NOCOUNT ON;
---- Insert statements for procedure here
--SELECT KNE.Herkunft, KNE.Bdate, KNE.KNE, KNE.KNE_Name, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
--       KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, 
--       KNE.kne_bewilligungsvolumen_neu, KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in,
--       KNE.kne_blankokreditvolumen_wi, KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi,
--       KNE.kne_Realkreditvolumen_in, KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, 
--       KNE.kne_Kommunalkreditvolumen_wi, KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand,
--       KNE.kne_externe_kredite
--FROM tabKreditnehmereinheit AS KNE 
--INNER JOIN _tmpAuswahlEWB as T ON KNE.KNEID = T.KNEID and KNE.INR = T.INR and KNE.Bdate = T.Bdate 
--     INNER JOIN (tabEWBKNEFilter AS KF INNER JOIN tabFilter AS F ON KF.Filter = F.FID)
--     ON KNE.KNEID = KF.KNEID
--GROUP BY T.SPID, KNE.Herkunft, KNE.Bdate, KNE.INR, KNE.KNE, KNE.KNE_Name, KNE.kne_berater, 
--         KNE.kne_gesamtkreditvolumen, KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme,
--         KNE.kne_bewilligungsvolumen_neu, KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, 
--         KNE.kne_blankokreditvolumen_wi, KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, 
--         KNE.kne_Realkreditvolumen_in, KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in,
--         KNE.kne_Kommunalkreditvolumen_wi, KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, 
--         KNE.kne_externe_kredite, KNE.EWBAuswahl, F.EWBFilter
--HAVING T.SPID = @SPID AND KNE.Bdate=@BDate AND KNE.INR=@InstNR AND F.EWBFilter=1 
--ORDER BY  KNE.kne_gesamtkreditvolumen DESC;
--END
--GO

ALTER PROCEDURE [dbo].[spEndkontrolleEWBExportSummen] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KN.KNID, KN.KN, KN.kn_name, V.GBR_Quote, kn_Inanspruchnahme*gbr_quote AS Inanspruchnahme, 
       gbr_quote*kn_Blankokreditvolumen_in AS Blankoanteil, KNE.Bdate AS Stichtag
FROM (tabKreditnehmereinheit AS KNE INNER JOIN 
      _tmpAuswahlEWB as T ON KNE.KNEID = t.kneid and kne.inr = t.inr and kne.Bdate = t.bdate INNER JOIN
	     tab_KNE_KN AS V ON KNE.KNEID = V.KNEID) 
      INNER JOIN tabKreditnehmer AS KN ON V.KNID = KN.KNID
WHERE T.SPID = @SPID AND KNE.INR = @InstNR AND KNE.BDate = @BDate 
GROUP BY KN.KNID, KN.KN, KN.kn_name, V.GBR_Quote, kn_Inanspruchnahme*gbr_quote,
         gbr_quote*kn_Blankokreditvolumen_in, KNE.BDate 
ORDER BY KN.kn_name;
END
GO

/****** Object:  StoredProcedure [dbo].[spEndkontrolle2Export]    Script Date: 03.03.2017 15:05:59 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spEndkontrolle2Export] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     KNE, KNE_Name as Kreditnehmereinheit, kne_berater as Berater, 
           kne_gesamtkreditvolumen as GKV, 
           kne_Inanspruchnahme as Inanspruchnahme, 
           kne_blankokreditvolumen_wi as Blankokreditvolumen, 
           kne_blankokreditvolumen_in as Blankoinanspruchnahme, 
           kne_Personalkreditvolumen_wi as Personalkreditvolumen, 
           kne_Personalkreditvolumen_in as Personalinanspruchnahme, 
           kne_Realkreditvolumen_in as Realinanspruchnahme, 
           kne_Kommunalkreditvolumen_in as Kommunalinanspruchnahme, 
           kne_Kreditueberschreitung as Kreditueberschreitung, 
           kne_Risikoklasse as Risikoklasse, 
           kne_ewb_e as EWB_Vorjahr 
FROM         tabKreditnehmereinheit AS K INNER JOIN _tmpAuswahl as T on K.kneid = T.KNEID 
WHERE T.SPID =  @SPID and T.BDate = @BDate and T.INR = @instnr 
ORDER BY K.KNE;
END
GO

/****** Object:  StoredProcedure [dbo].[spEndkontrolle2Export]    Script Date: 03.03.2017 15:06:57 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE PROCEDURE [dbo].[spEndkontrolle2EWBExport] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     KNE, KNE_Name as Kreditnehmereinheit, kne_berater as Berater, 
           kne_gesamtkreditvolumen as GKV, 
           kne_Inanspruchnahme as Inanspruchnahme, 
           kne_blankokreditvolumen_wi as Blankokreditvolumen, 
           kne_blankokreditvolumen_in as Blankoinanspruchnahme, 
           kne_Personalkreditvolumen_wi as Personalkreditvolumen, 
           kne_Personalkreditvolumen_in as Personalinanspruchnahme, 
           kne_Realkreditvolumen_in as Realinanspruchnahme, 
           kne_Kommunalkreditvolumen_in as Kommunalinanspruchnahme, 
           kne_Kreditueberschreitung as Kreditueberschreitung, 
           kne_Risikoklasse as Risikoklasse, 
           kne_ewb_e as EWB_Vorjahr 
FROM         tabKreditnehmereinheit AS K INNER JOIN _tmpAuswahlEWB as T on K.kneid = T.KNEID 
WHERE T.SPID =  @SPID and T.BDate = @BDate and T.INR = @instnr 
ORDER BY K.KNE;
END
GO

ALTER PROCEDURE [dbo].[spRisikoeinheitenSammel] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT tabKN_RisikoSammel.RNR, K.KNE_Name + ' (' + K.KNE + ')' as Anzeige, K.KNEID  
FROM tabKreditnehmereinheit AS K INNER JOIN tabKN_RisikoSammel ON K.KNEID = tabKN_RisikoSammel.KNEID  
WHERE K.BDate = @BDate and K.INR = @instnr AND tabKN_RisikoSammel.SPID = @SPID 
GROUP BY tabKN_RisikoSammel.RNR, K.KNE_Name + ' (' + K.KNE + ')', K.KNEID 
ORDER BY K.KNE_Name + ' (' + K.KNE + ')'
END
GO

/****** Object:  StoredProcedure [dbo].[spRisikoeinheitenAusgewaehltSammel]    Script Date: 03.03.2017 15:26:46 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spRisikoeinheitenAusgewaehltSammel] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT K.KNEID, K.KNE_Name
FROM tabKreditnehmereinheit AS K INNER JOIN _tmpAuswahlEWB as T on K.KNEID = T.KNEID 
WHERE K.BDate = @BDate and K.INR = @instnr and T.SPID = @SPID  
ORDER BY K.KNE_Name
END
GO

/****** Object:  StoredProcedure [dbo].[spStichprobenVorbereitungEWBAuswahl]    Script Date: 03.03.2017 18:34:18 ******/
DROP PROCEDURE [dbo].[spStichprobenVorbereitungEWBAuswahl]
GO

/****** Object:  StoredProcedure [dbo].[spEWBStichprobenFilter_an_KNE]    Script Date: 03.03.2017 18:39:03 ******/
DROP PROCEDURE [dbo].[spEWBStichprobenFilter_an_KNE]
GO

DROP PROCEDURE [dbo].[spEWBStichprobe_Ankreuzen] 
GO

Drop PROCEDURE [dbo].[spRisikoKNESammel_uebernehmen]
GO

/****** Object:  Index [IX_SPID]    Script Date: 06.03.2017 09:34:14 ******/
DROP INDEX [IX_SPID] ON [dbo].[_tmpKNE]
GO

/****** Object:  Index [IX_KNEID]    Script Date: 06.03.2017 09:34:14 ******/
DROP INDEX [IX_KNEID] ON [dbo].[_tmpKNE]
GO

/****** Object:  Index [IX_INR]    Script Date: 06.03.2017 09:34:14 ******/
DROP INDEX [IX_INR] ON [dbo].[_tmpKNE]
GO

/****** Object:  Index [IX_BDate]    Script Date: 06.03.2017 09:34:14 ******/
DROP INDEX [IX_BDate] ON [dbo].[_tmpKNE]
GO

/****** Object:  Table [dbo].[_tmpKNE]    Script Date: 06.03.2017 09:34:14 ******/
DROP TABLE [dbo].[_tmpKNE]
GO

/****** Object:  Table [dbo].[_tmpKNE]    Script Date: 06.03.2017 09:34:14 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpKNE](
	[SPID] [int] NOT NULL,
	[KNEID] [nvarchar](24) NOT NULL,
	[KNE_Name] [nvarchar](100) NULL,
	[kne_berater] [nvarchar](7) NULL,
	[Bdate] [datetime] NULL,
	[Herkunft] [nvarchar](255) NULL,
	[INR] [nvarchar](3) NULL,
	[BLZ] [nvarchar](8) NULL,
	[Auswahl] [bit] NULL CONSTRAINT [DF__tmpKNE_Auswahl]  DEFAULT ((1)),
	[TS] [timestamp] NULL,
 CONSTRAINT [PK__tmpKNE] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[KNEID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  Index [IX_BDate]    Script Date: 06.03.2017 09:34:14 ******/
CREATE NONCLUSTERED INDEX [IX_BDate] ON [dbo].[_tmpKNE]
(
	[Bdate] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

SET ANSI_PADDING ON

GO

/****** Object:  Index [IX_INR]    Script Date: 06.03.2017 09:34:14 ******/
CREATE NONCLUSTERED INDEX [IX_INR] ON [dbo].[_tmpKNE]
(
	[INR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

SET ANSI_PADDING ON

GO

/****** Object:  Index [IX_KNEID]    Script Date: 06.03.2017 09:34:14 ******/
CREATE NONCLUSTERED INDEX [IX_KNEID] ON [dbo].[_tmpKNE]
(
	[KNEID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  Index [IX_SPID]    Script Date: 06.03.2017 09:34:14 ******/
CREATE NONCLUSTERED INDEX [IX_SPID] ON [dbo].[_tmpKNE]
(
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

/****** Object:  UserDefinedFunction [dbo].[VorhandeneKNEimBestand]    Script Date: 06.03.2017 09:54:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO

Create FUNCTION [dbo].[_tmpKNEAusgewaehltProSPID] 
(
    @BDate datetime,
	@INR nvarchar(3),
	@SPID int
)
RETURNS TABLE
AS
RETURN
(	
SELECT * from _tmpKNE where @BDate = Bdate and INR = @Inr and SPID = @SPID and Auswahl = 1
)
GO

/****** Object:  StoredProcedure [dbo].[spAuswahl]    Script Date: 06.03.2017 09:56:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spAuswahl] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        K.KNEID, K.KNE, K.KNE_Name, K.kne_berater, K.kne_gesamtkreditvolumen, K.kne_Inanspruchnahme, K.kne_blankokreditvolumen_in, 
                         K.kne_Personalkreditvolumen_in, K.kne_Realkreditvolumen_in, K.kne_Kommunalkreditvolumen_in, K.kne_Kreditueberschreitung, K.Bdate, K.kne_Risikoklasse, 
                         K.kne_Bonitaet
FROM            tabKreditnehmereinheit AS K INNER JOIN
                         dbo._tmpKNEAusgewaehltProSPID(@BDate,@Instnr,@SPID) AS T ON K.KNEID = T.KNEID 
       ORDER BY K.kne_gesamtkreditvolumen DESC;
END
GO

/****** Object:  Table [dbo].[_tmpKNEZwischenlagerung]    Script Date: 06.03.2017 11:31:02 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpKNEZwischenlagerung](
	[SPID] [int] NOT NULL,
	[KNEID] [nvarchar](24) NOT NULL,
 CONSTRAINT [PK__tmpKNEZwischenlagerung] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[KNEID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

/****** Object:  StoredProcedure [dbo].[spLeereTMPKNE]    Script Date: 06.03.2017 11:32:58 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
Create PROCEDURE [dbo].[spLeereTMPKNEZwischenlagerung] 
@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
DELETE FROM _tmpKNEZwischenlagerung  where spid = @SPID
END
GO

/****** Object:  StoredProcedure [dbo].[spEineKNEID_an_tmpAuswahl]    Script Date: 06.03.2017 13:13:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
Create PROCEDURE [dbo].[spAuswahlAufheben_tmpKNE] 
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
Update _tmpKNE set Auswahl = 0 where SPID = @SPID
END
GO

/****** Object:  StoredProcedure [dbo].[spEineKNEID_an_tmpKNE]    Script Date: 06.03.2017 13:15:18 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

create PROCEDURE [dbo].[spNeueAuswahlSetzen_TmpKNE] 
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
UPDATE       _tmpKNE
SET                Auswahl = 1
FROM            _tmpKNE INNER JOIN
                         _tmpKNEZwischenlagerung ON _tmpKNE.SPID = _tmpKNEZwischenlagerung.SPID AND _tmpKNE.KNEID = _tmpKNEZwischenlagerung.KNEID

Delete from _tmpKNE where Auswahl = 0 and SPID = @SPID
end
GO

/****** Object:  StoredProcedure [dbo].[spStichprobeAnkreuzen]    Script Date: 06.03.2017 15:19:00 ******/
DROP PROCEDURE [dbo].[spStichprobeAnkreuzen]
GO

/****** Object:  StoredProcedure [dbo].[spEWBStichprobe]    Script Date: 06.03.2017 15:20:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
---- =============================================
--ALTER PROCEDURE [dbo].[spEWBStichprobe] 
--    @InstNR nvarchar(3),
--    @BDate datetime,
--	@SPID int
--AS
--BEGIN
--SET NOCOUNT ON;
---- Insert statements for procedure here
--SELECT KNE.EWBStichprobe as Auswahl, KNE.EWBAuswahl, KNE.KNEID, KNE.KNE, KNE.KNE_Name, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, KNE.kne_gesamtkreditvolumen_not, 
--KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_Personalkreditvolumen_in, 
--KNE.kne_Realkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, KNE.kne_Kreditueberschreitung, KNE.kne_Ueberziehungsgenehmigungen
--FROM _tmpAuswahlEWB as T INNER JOIN tabkreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
--WHERE T.Auswahl=1 AND T.SPID = @SPID AND KNE.Bdate=@bdate AND KNE.INR=@InstNr  
--ORDER BY KNE.kne_gesamtkreditvolumen DESC;
--END
--GO

ALTER PROCEDURE [dbo].[spStichprobentrefferAnzahl] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT Count(KNEID) 
FROM _tmpAuswahlEWB AS KNE
WHERE KNE.auswahl=1 AND SPID = @SPID AND KNE.Bdate=@bdate AND KNE.INR=@InstNr ; 
END
GO

--ALTER PROCEDURE [dbo].[spStichprobeEWBDruck] 
--    @InstNR nvarchar(3),
--    @BDate datetime,
--	@SPID int
--AS
--BEGIN
--	SET NOCOUNT ON;
---- Insert statements for procedure here
--SELECT KNE.INR, KNE.Bdate, KNE.KNEID, KNE, KNE_Name, kne_berater, kne_gesamtkreditvolumen, 
--       kne_gesamtkreditvolumen_not, kne_meta_anteil_inanspruchnahme, kne_bewilligungsvolumen_neu, 
--       kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_blankokreditvolumen_wi, kne_Personalkreditvolumen_in,
--       kne_Personalkreditvolumen_wi, kne_Realkreditvolumen_in, kne_Realkreditvolumen_wi, 
--       kne_Kommunalkreditvolumen_in, kne_Kommunalkreditvolumen_wi, kne_Kreditueberschreitung, 
--       kne_Darlehensrueckstand, kne_externe_kredite, Herkunft
--FROM _tmpAuswahlewb as T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
--WHERE T.Auswahl=1 AND T.SPID =@SPID AND T.INR=@InstNR AND T.Bdate=@BDate 
--ORDER BY EWBAuswahl, kne_gesamtkreditvolumen DESC;
--END
--GO

/****** Object:  StoredProcedure [dbo].[spStichprobeEWBDruck]    Script Date: 06.03.2017 16:49:40 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
Create PROCEDURE [dbo].[spStichprobeEWBSummenDruck] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KN.KNID, KNE.Bdate, KN.KN, KN.kn_name, V.GBR_Quote, [gbr_quote]*[kn_Inanspruchnahme] AS InAn, [gbr_quote]*[kn_Blankokreditvolumen_in] AS Blanko 
FROM _tmpAuswahlewb as T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
INNER JOIN tab_KNE_KN AS V ON KNE.KNEID = V.KNEID INNER JOIN tabKreditnehmer AS KN ON V.KNID = KN.KNID 
WHERE T.Auswahl=1 AND T.SPID =@SPID AND T.INR=@InstNR AND T.Bdate=@BDate 
GROUP BY KN.KNID, KNE.Bdate, KN.KN, KN.kn_name, V.GBR_Quote, [gbr_quote]*[kn_Inanspruchnahme], [gbr_quote]*[kn_Blankokreditvolumen_in]
ORDER BY KN.kn_name
END
GO

/****** Object:  StoredProcedure [dbo].[spStichprobeEWBExport]    Script Date: 06.03.2017 16:58:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spStichprobeEWBExport] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.KNE, KNE.KNE_Name AS Kreditnehmereinheit, KNE.kne_berater AS Berater, 
       KNE.kne_gesamtkreditvolumen AS GKV, KNE.kne_Inanspruchnahme AS Inanspruchnahme, 
       KNE.kne_blankokreditvolumen_in AS Blankoanteil, KNE.Herkunft, KNE.Bdate as Stichtag 
FROM _tmpAuswahlEWB  AS T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
WHERE T.Auswahl = 1 and T.INR=@Instnr AND T.Bdate=@BDate 
ORDER BY KNE.kne_gesamtkreditvolumen DESC;
END
GO

/****** Object:  StoredProcedure [dbo].[spStichprobeEWBExportSummen]    Script Date: 06.03.2017 17:00:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spStichprobeEWBExportSummen] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KN.KN, KN.kn_name, V.GBR_Quote, [gbr_quote]*[kn_Inanspruchnahme] AS Inanspruchnahme, 
       [gbr_quote]*[kn_Blankokreditvolumen_in] AS Blankoanteil, T.Bdate AS Stichtag
FROM  _tmpAuswahlEWB AS T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
      INNER JOIN tab_KNE_KN AS V ON KNE.KNEID = V.KNEID  
      INNER JOIN tabKreditnehmer AS KN ON V.KNID = KN.KNID 
WHERE T.Auswahl=1 AND T.Bdate=@BDate AND T.INR=@InstNR 
GROUP BY KN.KNID, KN.KN, KN.kn_name, V.GBR_Quote, [gbr_quote]*[kn_Inanspruchnahme], 
      [gbr_quote]*[kn_Blankokreditvolumen_in], T.BDate 
ORDER BY KN.kn_name;
END
GO

ALTER PROCEDURE [dbo].[spRisikoWVSammel] 
    @RNR nvarchar(24),
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoWV
                      (SPID, Auswahl, RNR, KNEID, kne_wv_verbnr, KNID, kn_name, kn_gesamtkreditvolumen)
SELECT     RS.SPID, 0 AS Auswahl, RS.RNR, KNE.KNEID, KNE.kne_wv_verbnr, KN.KNID, KN.kn_name, KN.kn_gesamtkreditvolumen
FROM         tabKN_RisikoSammel as RS INNER JOIN
                      tabKreditnehmereinheit AS KNE INNER JOIN
                      tabKreditnehmereinheit AS KNE1 ON KNE.kne_wv_verbnr = KNE1.kne_wv_verbnr 
                      AND KNE.Bdate = KNE1.Bdate AND KNE.INR = KNE1.INR ON 
                      RS.KNEID = KNE.KNEID INNER JOIN
                      tab_KNE_KN ON KNE1.KNEID = tab_KNE_KN.KNEID INNER JOIN
                      tabKreditnehmer AS KN ON tab_KNE_KN.KNID = KN.KNID LEFT OUTER JOIN
                      _tmpRisikoKN ON KN.KNID = _tmpRisikoKN.KNID
WHERE     (_tmpRisikoKN.KNID IS NULL) AND (KNE.kne_wv_verbnr <> '0') AND (KNE.kne_wv_verbnr IS NOT NULL)
GROUP BY RS.SPID, RS.RNR, KNE.KNEID, KNE.kne_wv_verbnr, KN.KNID, KN.kn_name, KN.kn_gesamtkreditvolumen 
HAVING RS.RNR=@RNR AND RS.SPID = @SPID 
ORDER BY RS.RNR, KNE.kne_wv_verbnr, KN.kn_name;
END
GO

ALTER PROCEDURE [dbo].[spRisikoWVZuordnen] 
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKN_Risiko (SPID, RNR, KNEID, KNID, RGrund, GBR_Quote )
SELECT @SPID, T.RNR, T.KNEID, T.KNID, 'WV' AS Ausdr1, 1 as GBRQuote 
FROM _tmpRisikoWV AS T LEFT JOIN tabKN_Risiko AS R ON (T.RNR = R.RNR) AND (T.KNID = R.KNID)
WHERE T.Auswahl=1 AND R.RNR Is Null AND R.KNID Is Null;
END
GO

ALTER PROCEDURE [dbo].[spRisikoWVZuordnenSammel] 
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKN_RisikoSammel (SPID, RNR, KNEID, KNID, RGrund, GBR_Quote )
SELECT 	@SPID,  T.RNR, T.KNEID, T.KNID, 'WV' AS Ausdr1, 1 as GBRQuote 
FROM _tmpRisikoWV AS T LEFT JOIN tabKN_RisikoSammel AS R ON (T.RNR = R.RNR) AND (T.KNID = R.KNID)
WHERE T.Auswahl=1 AND R.RNR Is Null AND R.KNID Is Null;
END
GO

ALTER PROCEDURE [dbo].[spRisikoWVAlleSammel] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@spid INT 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoWVAlle
                      (SPID, RNR, KNEID, KNID)
SELECT     @SPID as SPID, R.RNR, R.KNEID, KN.KNID
FROM         tabKN_RisikoSammel AS R INNER JOIN
                      tabKreditnehmereinheit AS KNE INNER JOIN
                      tabKreditnehmereinheit AS KNE1 ON KNE.kne_wv_verbnr = KNE1.kne_wv_verbnr 
                      AND KNE.Bdate = KNE1.Bdate AND KNE.INR = KNE1.INR ON R.KNEID = KNE.KNEID INNER JOIN
                      tab_KNE_KN AS V ON KNE1.KNEID = V.KNEID INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
WHERE     (R.Spid = @SPID AND R.INR = @InstNR) AND (R.Bdate = @BDate) AND (KNE.kne_wv_verbnr <> '0') AND (KNE.kne_wv_verbnr IS NOT NULL)
GROUP BY R.RNR, R.KNEID, KN.KNID; 
END
GO

ALTER PROCEDURE [dbo].[spRisikoWVAlle] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpRisikoWVAlle
                      (SPID, RNR, KNEID, KNID)
SELECT     @SPID as SPID, R.RNR, R.KNEID, KN.KNID
FROM         tabKN_Risiko AS R INNER JOIN
                      tabKreditnehmereinheit AS KNE INNER JOIN
                      tabKreditnehmereinheit AS KNE1 ON KNE.kne_wv_verbnr = KNE1.kne_wv_verbnr 
                      AND KNE.Bdate = KNE1.Bdate AND KNE.INR = KNE1.INR ON R.KNEID = KNE.KNEID INNER JOIN
                      tab_KNE_KN AS V ON KNE1.KNEID = V.KNEID INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
WHERE     (R.SPID = @SPID AND R.INR = @InstNR) AND (R.Bdate = @BDate) AND (KNE.kne_wv_verbnr <> '0') AND (KNE.kne_wv_verbnr IS NOT NULL)
GROUP BY R.RNR, R.KNEID, KN.KNID
END
GO

/****** Object:  StoredProcedure [dbo].[spEinzelExportXLS]    Script Date: 06.03.2017 17:37:49 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spEinzelExportXLS] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, V.GBR_Quote AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031
FROM  _tmpAuswahl as T inner join tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
      INNER JOIN tabKreditnehmer AS KN INNER JOIN
      tab_KNE_KN AS V ON KN.KNID = V.KNID ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
      _tmpSegmente1Bis7 ON KN.KNID = _tmpSegmente1Bis7.KNID LEFT OUTER JOIN
      tabKonto AS K ON KN.KNID = K.KNID LEFT OUTER JOIN
      _tmpVB1Bis5 ON K.KontoID = _tmpVB1Bis5.KontoID
where T.SPID = @SPID and T.BDate = @BDate and T.INR = @InstNR; 
END
GO

/****** Object:  StoredProcedure [dbo].[spEinzelExportREXLS]    Script Date: 06.03.2017 17:43:59 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spEinzelExportREXLS] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
	AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, 
CASE WHEN V.RGrund = 'KNE' THEN V.GBR_Quote ELSE NULL END AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031
FROM (_tmpAuswahl as T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
	INNER JOIN tabKN_Risiko AS V ON KNE.KNEID = V.KNEID) 
	INNER JOIN ((tabKreditnehmer AS KN 
	LEFT JOIN (tabKonto AS K 
	LEFT JOIN _tmpVB1Bis5 ON K.KontoID = [_tmpVB1Bis5].KontoID) ON KN.KNID = K.KNID) 
	LEFT JOIN _tmpSegmente1Bis7 ON KN.KNID = [_tmpSegmente1Bis7].KNID) ON 
	V.KNID = KN.KNID 
WHERE (((T.INR)=@InstNr) AND ((T.Bdate)=@BDate) AND ((T.SPID )=@SPID));
END
GO

ALTER PROCEDURE [dbo].[spEinzelKNEExportSegmente] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     tabKN_Segmente.KNID, tabKN_Segmente.Segmentnr
FROM       _tmpAuswahl as T INNER JOIN  tabKreditnehmereinheit as KNE ON T.KNEID = KNE.KNEID
           INNER JOIN tab_KNE_KN ON KNE.KNEID = tab_KNE_KN.KNEID INNER JOIN
                      tabKN_Segmente ON tab_KNE_KN.KNID = tabKN_Segmente.KNID
WHERE     (T.SPID = @SPID) AND (t.INR = @InstNr) AND (t.Bdate = @BDate)
GROUP BY tabKN_Segmente.KNID, tabKN_Segmente.Segmentnr 
Order by tabKN_Segmente.KNID;
END
GO

ALTER PROCEDURE [dbo].[spEinzelKNEExportVB] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS 
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        VB.KontoID, VB.SVZ_DB
FROM            tabKontoVB AS VB INNER JOIN
                         tabKonto AS K ON VB.KontoID = K.KontoID INNER JOIN
                         tabKreditnehmereinheit AS KNE INNER JOIN
                         tab_KNE_KN AS V ON KNE.KNEID = V.KNEID ON K.KNID = V.KNID INNER JOIN
                         _tmpAuswahl AS T ON KNE.KNEID = T.KNEID
WHERE        (T.INR = @InstNR) AND (T.Bdate = @BDate) AND (T.SPID = @SPID)
GROUP BY VB.KontoID, VB.SVZ_DB
ORDER BY VB.KontoID;
END
GO

/****** Object:  Table [dbo].[_tmpVB1Bis5]    Script Date: 06.03.2017 18:05:10 ******/
DROP TABLE [dbo].[_tmpVB1Bis5]
GO

/****** Object:  Table [dbo].[_tmpVB1Bis5]    Script Date: 06.03.2017 18:05:10 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpVB1Bis5](
	[KontoID] [int] NOT NULL,
	[kto_Verfuegung1] [nvarchar](2) NULL,
	[kto_Verfuegung2] [nvarchar](2) NULL,
	[kto_Verfuegung3] [nvarchar](2) NULL,
	[kto_Verfuegung4] [nvarchar](2) NULL,
	[kto_Verfuegung5] [nvarchar](2) NULL,
	[SPID] [int] NOT NULL,
 CONSTRAINT [PK__tmpVB1Bis5] PRIMARY KEY CLUSTERED 
(
	[KontoID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[_tmpSegmente1Bis7]    Script Date: 06.03.2017 18:05:51 ******/
DROP TABLE [dbo].[_tmpSegmente1Bis7]
GO

/****** Object:  Table [dbo].[_tmpSegmente1Bis7]    Script Date: 06.03.2017 18:05:51 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_tmpSegmente1Bis7](
	[KNID] [nvarchar](24) NOT NULL,
	[kn_kl_segment_1] [nvarchar](1) NULL,
	[kn_kl_segment_2] [nvarchar](1) NULL,
	[kn_kl_segment_3] [nvarchar](1) NULL,
	[kn_kl_segment_4] [nvarchar](1) NULL,
	[kn_kl_segment_5] [nvarchar](1) NULL,
	[kn_kl_segment_6] [nvarchar](1) NULL,
	[kn_kl_segment_7] [nvarchar](1) NULL,
	[SPID] [int] NOT NULL,
 CONSTRAINT [PK__tmpSegmente1Bis7] PRIMARY KEY CLUSTERED 
(
	[SPID] ASC,
	[KNID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER PROCEDURE [dbo].[spEinzelREExportVB] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        VB.KontoID, VB.SVZ_DB
FROM            tabKontoVB AS VB INNER JOIN
                         tabKonto AS K ON VB.KontoID = K.KontoID INNER JOIN
                         tabKreditnehmereinheit AS KNE INNER JOIN
                         tabKN_Risiko AS V ON KNE.KNEID = V.KNEID ON K.KNID = V.KNID INNER JOIN
                         _tmpAuswahl AS T ON KNE.KNEID = T.KNEID
WHERE        (T.INR = @InstNR) AND (T.Bdate = @BDate) AND (T.SPID = @SPID)
GROUP BY VB.KontoID, VB.SVZ_DB
ORDER BY VB.KontoID;
END
GO

ALTER PROCEDURE [dbo].[spEinzelREExportSegmente] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     tabKN_Segmente.KNID, tabKN_Segmente.Segmentnr
FROM       _tmpAuswahl as T INNER JOIN  tabKreditnehmereinheit as KNE ON T.KNEID = KNE.KNEID
           INNER JOIN tabKN_Risiko AS V ON KNE.KNEID = V.KNEID INNER JOIN
                      tabKN_Segmente ON V.KNID = tabKN_Segmente.KNID
WHERE     (T.SPID = @SPID) AND (t.INR = @InstNr) AND (t.Bdate = @BDate)
GROUP BY tabKN_Segmente.KNID, tabKN_Segmente.Segmentnr 
Order by tabKN_Segmente.KNID;
END
GO
ALTER PROCEDURE [dbo].[spExpBestand] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expBestand
                      (SPID, INR, BDate, Verbundart)
SELECT    @SPID as SPID, tabBestand.INR, tabBestand.BDate, tabBestand.Verbundart
FROM      tabBestand 
where INR = @INR and Bdate = @BDAte 
END
GO

/****** Object:  Table [dbo].[_expKreditnehmereinheit]    Script Date: 06.03.2017 18:26:55 ******/
DROP TABLE [dbo].[_expKreditnehmereinheit]
GO

/****** Object:  Table [dbo].[_expKreditnehmereinheit]    Script Date: 06.03.2017 18:26:55 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[_expKreditnehmereinheit](
	[KNEID] [nvarchar](24) NOT NULL,
	[SPID] [int] NOT NULL,
	[INR] [nvarchar](3) NULL,
	[Bdate] [datetime] NULL,
	[KNE] [nvarchar](15) NULL,
	[Herkunft] [nvarchar](255) NULL,
	[KNE_Name] [nvarchar](100) NULL,
	[kne_wv_verbnr] [nvarchar](15) NULL,
	[kne_berater] [nvarchar](7) NULL,
	[kne_gesamtkreditvolumen] [float] NULL,
	[kne_gesamtkreditvolumen_not] [float] NULL,
	[kne_meta_anteil_inanspruchnahme] [float] NULL,
	[kne_bewilligungsvolumen_neu] [float] NULL,
	[kne_Inanspruchnahme] [float] NULL,
	[kne_blankokreditvolumen_in] [float] NULL,
	[kne_blankokreditvolumen_wi] [float] NULL,
	[kne_Personalkreditvolumen_in] [float] NULL,
	[kne_Personalkreditvolumen_wi] [float] NULL,
	[kne_Realkreditvolumen_in] [float] NULL,
	[kne_Realkreditvolumen_wi] [float] NULL,
	[kne_Kompensationskreditvolumen_in] [float] NULL,
	[kne_Kompensationskreditvolumen_wi] [float] NULL,
	[kne_Kommunalkreditvolumen_in] [float] NULL,
	[kne_Kommunalkreditvolumen_wi] [float] NULL,
	[kne_Kreditueberschreitung] [float] NULL,
	[kne_Darlehensrueckstand] [float] NULL,
	[kne_externe_kredite] [float] NULL,
	[kne_interne_Kredite] [float] NULL,
	[kne_Ueberziehungsgenehmigungen] [float] NULL,
	[kne_ewb_Veraenderung] [float] NULL,
	[kne_ewb_e] [float] NULL,
	[kne_ewb_e_btrg_janf] [float] NULL,
	[kne_ewb_e_btrg_neu] [float] NULL,
	[kne_ewb_e_btrg_zugang] [float] NULL,
	[kne_ewb_e_afls_btrg] [float] NULL,
	[kne_ewb_e_absg_ind_btrg] [float] NULL,
	[kne_ewb_e_absg_dir_btrg] [float] NULL,
	[kne_ewb_v] [float] NULL,
	[kne_ewb_v_btrg_janf] [float] NULL,
	[kne_ewb_v_btrg_neu] [float] NULL,
	[kne_ewb_v_btrg_zugang] [float] NULL,
	[kne_ewb_v_afls_btrg] [float] NULL,
	[kne_ewb_v_absg_ind_btrg] [float] NULL,
	[kne_ewb_v_absg_dir_btrg] [float] NULL,
	[Kne_Guthaben] [float] NULL,
	[BLZ] [nvarchar](8) NULL,
	[kne_identnr] [nvarchar](8) NULL,
	[kne_wv] [float] NULL,
	[kne_beruf_branche] [nvarchar](30) NULL,
	[kne_kreditvolumen_az01] [float] NULL,
	[kne_kreditvolumen_az5] [float] NULL,
	[kne_kreditvolumen_az6] [float] NULL,
	[kne_kreditvolumen_az7] [float] NULL,
	[kne_kreditvolumen_beteiligung] [float] NULL,
	[kne_kreditvolumen_derivate] [float] NULL,
	[kne_kreditvolumen_fw_kredite] [float] NULL,
	[kne_kreditvolumen_geldhandel] [float] NULL,
	[kne_kreditvolumen_so_az9] [float] NULL,
	[kne_kreditvolumen_wertpapiere] [float] NULL,
	[kne_kreditvolumen_wp_leihe] [float] NULL,
	[kne_kreditvolumen_kommunal] [float] NULL,
	[kne_kreditvolumen_kreditkarten] [float] NULL,
	[kne_meta_anteil_kreditvolumen] [float] NULL,
	[kne_kreditvolumen_akkreditive] [float] NULL,
	[KNE_Kreditvolumen_az2] [float] NULL,
	[kne_wirt_anteil_wi] [float] NULL,
	[kne_wirt_anteil_in] [float] NULL,
	[kne_freier_anteil_wi] [float] NULL,
	[kne_freier_anteil_in] [float] NULL,
	[kne_PKV_SPG_in] [float] NULL,
	[kne_PKV_SPG_wi] [float] NULL,
	[kne_PKV_SPG_IN_SVN] [float] NULL,
	[kne_Risikoklasse] [nvarchar](3) NULL,
	[kne_Bonitaet] [nvarchar](3) NULL,
	[KNE_GEWICHTETE_BONITAET] [nvarchar](8) NULL,
 CONSTRAINT [PK__expKreditnehmereinheit] PRIMARY KEY CLUSTERED 
(
	[KNEID] ASC,
	[SPID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER PROCEDURE [dbo].[spExpKreditnehmereinheit] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmereinheit
SELECT    KNE.KNEID, @SPID as SPID, KNE.INR, KNE.Bdate, KNE, KNE.Herkunft, KNE.KNE_Name, kne_wv_verbnr, KNE.kne_berater, kne_gesamtkreditvolumen, kne_gesamtkreditvolumen_not, kne_meta_anteil_inanspruchnahme, 
          kne_bewilligungsvolumen_neu, kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_blankokreditvolumen_wi, kne_Personalkreditvolumen_in, 
          kne_Personalkreditvolumen_wi, kne_Realkreditvolumen_in, kne_Realkreditvolumen_wi, kne_Kompensationskreditvolumen_in, kne_Kompensationskreditvolumen_wi, 
          kne_Kommunalkreditvolumen_in, kne_Kommunalkreditvolumen_wi, kne_Kreditueberschreitung, kne_Darlehensrueckstand, kne_externe_kredite, kne_interne_Kredite, 
          kne_Ueberziehungsgenehmigungen, kne_ewb_Veraenderung, kne_ewb_e, kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, 
          kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg, kne_ewb_e_absg_dir_btrg, kne_ewb_v, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, 
          kne_ewb_v_afls_btrg, kne_ewb_v_absg_ind_btrg, kne_ewb_v_absg_dir_btrg, Kne_Guthaben, KNE.BLZ, kne_identnr, kne_wv, kne_beruf_branche, 
          kne_kreditvolumen_az01, kne_kreditvolumen_az5, kne_kreditvolumen_az6, kne_kreditvolumen_az7, kne_kreditvolumen_beteiligung, kne_kreditvolumen_derivate, 
          kne_kreditvolumen_fw_kredite, kne_kreditvolumen_geldhandel, kne_kreditvolumen_so_az9, kne_kreditvolumen_wertpapiere, kne_kreditvolumen_wp_leihe, 
          kne_kreditvolumen_kommunal, kne_kreditvolumen_kreditkarten, kne_meta_anteil_kreditvolumen,  
          kne_kreditvolumen_akkreditive, KNE_Kreditvolumen_az2, kne_wirt_anteil_wi, kne_wirt_anteil_in, kne_freier_anteil_wi, 
          kne_freier_anteil_in, kne_PKV_SPG_in, kne_PKV_SPG_wi, kne_PKV_SPG_IN_SVN, kne_Risikoklasse, kne_Bonitaet, kne_Gewichtete_Bonitaet 
FROM tabKreditnehmereinheit AS KNE INNER JOIN _tmpAuswahl as T ON KNE.KNEID = T.KNEID
where t.spid = @SPID and T.INR = @INR and T.Bdate = @Bdate
END
GO

/****** Object:  StoredProcedure [dbo].[spExpKreditnehmer]    Script Date: 06.03.2017 18:29:11 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO



ALTER PROCEDURE [dbo].[spExpKreditnehmer] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmer
                      (SPID, INR, KNID, KN, kn_name, kn_berater, kn_ort, kn_kz_organ, kn_kusydsgv, kn_wirtschaftszweig, kn_ortskenn, kn_rating_methode, kn_rating_note, kn_rating_status, 
                      kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
                      kn_personalkreditvolumen_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, kn_kommunalkreditvolumen_wi, 
                      kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, 
                      kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, 
                      kn_passiv_depot, kn_rueckgabenanzahl, kn_rueckgabenbetrag, kn_darlehensrueckstand, kn_Ueberziehung, kn_Inanspruchnahme, kn_ewb_e, kn_ewb_e_btrg_janf, 
                      kn_ewb_e_btrg_neu, kn_ewb_e_btrg_zugang, kn_ewb_e_afls_btrg, kn_ewb_e_absg_ind_btrg, kn_ewb_e_absg_dir_btrg, kn_ewb_v, kn_ewb_v_btrg_janf, 
                      kn_ewb_v_btrg_neu, kn_ewb_v_btrg_zugang, kn_ewb_v_afls_btrg, kn_ewb_v_absg_ind_btrg, kn_ewb_v_absg_dir_btrg, Bdate, Kn_Guthaben, kn_wv, kn_wv_verbnr, 
                      kn_beruf_branche, kn_beruf, kn_strasse, kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, 
                      kn_rechtl_s, kn_org_bankgrp_ausl, kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_saldo_umsatzlos, kn_kz_g_m_kred, 
                      kn_ueberziehung_90, kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, 
                      kn_kreditvolumen_fw_kredite, kn_kreditvolumen_beteiligung, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, kn_bew_rahmen_le, kn_labile_sicherheiten, 
                      kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften, kn_kreditvolumen_akkreditive, kn_rating_datum, KN_GKV_SPK, KN_GKV_SPK_Bemerkung, 
                      KN_Kreditvolumen_az2, KN_Ueberschreitung_SPK, KN_Ueberschreitung_SPK_Bemerkung, kn_PKV_SPG_in, kn_PKV_SPG_wi, KN_wirt_anteil_in, KN_wirt_anteil_wi, 
                      KN_Identnr, kn_verbund_art, kn_geko9513_gueltig_ab, KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031)
SELECT     @SPID, KN.INR, KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, 
                      KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, 
                      cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
FROM         _tmpAuswahl AS T INNER JOIN
                      tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
 Where T.SPID = @SPID and T.INR = @INR and T.Bdate = @BDate 
GROUP BY KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
END
GO

ALTER PROCEDURE [dbo].[spExp_KNE_KN] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _exp_KNE_KN ( SPID, KNEID, KNID, GBR_Quote )
SELECT @SPID, tab_KNE_KN.KNEID, tab_KNE_KN.KNID, tab_KNE_KN.GBR_Quote
FROM _tmpAuswahl as T INNER JOIN tab_KNE_KN ON T.KNEID = tab_KNE_KN.KNEID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte 
GROUP BY tab_KNE_KN.KNEID, tab_KNE_KN.KNID, tab_KNE_KN.GBR_Quote;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpKonto]    Script Date: 06.03.2017 18:33:56 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spExpKonto]
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKonto
                      (SPID, KontoID, KontoNr, KNID, KN, INR, kto_skontronr, kto_kreditkartennummer, kto_gp_key, kto_gp_variante, kto_geschaeftsart_depot_a, kto_kontentyp, 
                      kto_gesamtkreditvolumen, kto_saldo, kto_inanspruchnahme, kto_ueberziehung, kto_externer_kredit, kto_interner_kredit, kto_interner_kredit_bis, 
                      kto_ueberziehung_genehmigt, kto_ueberziehung_genehmigt_bis, kto_ueberz_hoechste_quartal_1, kto_ueberziehungstage, kto_kz_notleidend, 
                      kto_rueckstand_gesamt, kto_verzug_entgelt, kto_verzug_verzinslich, kto_verzug_unverzinslich, kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_aval_art, 
                      kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, kto_monatliche_Habenumsaetze, 
                      kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_sperr_be, kto_ewb_e, kto_ewb_e_btrg_janf, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, 
                      kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg, kto_ewb_v, kto_ewb_v_btrg_janf, kto_ewb_v_btrg_neu, kto_ewb_v_btrg_zugang, 
                      kto_ewb_v_afls_btrg, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, kto_relation_kredit_umsatz, kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, 
                      kto_tilgung_61, Bdate, kto_kz_k_s, kto_kreditart, kto_datum_eroeffnung, kto_bewilligungs_datum, kto_befristung_datum, kto_ueberz_hoechste_quartal_2, 
                      kto_ueberz_hoechste_quartal_3, kto_ueberz_hoechste_quartal_4, kto_ueberziehungsdatum_ab, kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, kto_zinssatz, 
                      kto_ab_merkmal, kto_mindestr, kto_offene_zusage, kto_bewilligtes_darlehen, kto_vorauszahlung, kto_avalkred_betrag, kto_anzahl_sicherheiten, 
                      kto_summe_sicherheiten, kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, kto_ewb_e_datum, 
                      kto_ewb_e_jahr, kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, kto_ewb_e_btrg_man, kto_ewb_e_btrg_blanko, kto_ewb_v_datum, 
                      kto_ewb_v_jahr, kto_ewb_v_waehrung, kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_ewb_v_btrg_man, kto_ewb_v_btrg_blanko, 
                      kto_kontobezeichnung_depot_a, kto_mahnstand, kto_rk_Betrag, kto_rk_offene_Zusage, kto_rk_kz, kto_rk_ts)
SELECT     @SPID, tabKonto.KontoID, tabKonto.KontoNr, tabKonto.KNID, tabKonto.KN, tabKonto.INR, tabKonto.kto_skontronr, tabKonto.kto_kreditkartennummer, tabKonto.kto_gp_key, 
                      tabKonto.kto_gp_variante, tabKonto.kto_geschaeftsart_depot_a, tabKonto.kto_kontentyp, tabKonto.kto_gesamtkreditvolumen, tabKonto.kto_saldo, 
                      tabKonto.kto_inanspruchnahme, tabKonto.kto_ueberziehung, tabKonto.kto_externer_kredit, tabKonto.kto_interner_kredit, tabKonto.kto_interner_kredit_bis, 
                      tabKonto.kto_ueberziehung_genehmigt, tabKonto.kto_ueberziehung_genehmigt_bis, tabKonto.kto_ueberz_hoechste_quartal_1, tabKonto.kto_ueberziehungstage, 
                      tabKonto.kto_kz_notleidend, tabKonto.kto_rueckstand_gesamt, tabKonto.kto_verzug_entgelt, tabKonto.kto_verzug_verzinslich, tabKonto.kto_verzug_unverzinslich, 
                      tabKonto.kto_rueckgabenbetrag, tabKonto.kto_rueckgabenanzahl, tabKonto.kto_aval_art, tabKonto.kto_aval_einzelbe, tabKonto.kto_aval_rahmenkontonr, 
                      tabKonto.kto_meta_anteil_kreditvolumen, tabKonto.kto_meta_anteil_inanspruchnahme, tabKonto.kto_monatliche_Habenumsaetze, 
                      tabKonto.kto_habenumsatz_lfd_jahr, tabKonto.kto_habenumsatz_vorjahr, tabKonto.kto_sperr_be, tabKonto.kto_ewb_e, tabKonto.kto_ewb_e_btrg_janf, 
                      tabKonto.kto_ewb_e_btrg_neu, tabKonto.kto_ewb_e_btrg_zugang, tabKonto.kto_ewb_e_afls_btrg, tabKonto.kto_ewb_e_absg_ind_btrg, 
                      tabKonto.kto_ewb_e_absg_dir_btrg, tabKonto.kto_ewb_v, tabKonto.kto_ewb_v_btrg_janf, tabKonto.kto_ewb_v_btrg_neu, tabKonto.kto_ewb_v_btrg_zugang, 
                      tabKonto.kto_ewb_v_afls_btrg, tabKonto.kto_ewb_v_absg_ind_btrg, tabKonto.kto_ewb_v_absg_dir_btrg, tabKonto.kto_relation_kredit_umsatz, tabKonto.kto_tilgung_3, 
                      tabKonto.kto_tilgung_4_12, tabKonto.kto_tilgung_13_60, tabKonto.kto_tilgung_61, tabKonto.Bdate, tabKonto.kto_kz_k_s, tabKonto.kto_kreditart, 
                      tabKonto.kto_datum_eroeffnung, tabKonto.kto_bewilligungs_datum, tabKonto.kto_befristung_datum, tabKonto.kto_ueberz_hoechste_quartal_2, 
                      tabKonto.kto_ueberz_hoechste_quartal_3, tabKonto.kto_ueberz_hoechste_quartal_4, tabKonto.kto_ueberziehungsdatum_ab, tabKonto.kto_ueberziehung_m_ev, 
                      tabKonto.kto_ueberziehung_o_ev, tabKonto.kto_zinssatz, tabKonto.kto_ab_merkmal, tabKonto.kto_mindestr, tabKonto.kto_offene_zusage, 
                      tabKonto.kto_bewilligtes_darlehen, tabKonto.kto_vorauszahlung, tabKonto.kto_avalkred_betrag, tabKonto.kto_anzahl_sicherheiten, tabKonto.kto_summe_sicherheiten,
                       tabKonto.kto_haben_umsatz_vq_1, tabKonto.kto_haben_umsatz_vq_2, tabKonto.kto_haben_umsatz_vq_3, tabKonto.kto_haben_umsatz_vq_4, 
                      tabKonto.kto_ewb_e_datum, tabKonto.kto_ewb_e_jahr, tabKonto.kto_ewb_e_waehrung, tabKonto.kto_ewb_e_ermg_verf, tabKonto.kto_ewb_e_daten_ursprung, 
                      tabKonto.kto_ewb_e_btrg_man, tabKonto.kto_ewb_e_btrg_blanko, tabKonto.kto_ewb_v_datum, tabKonto.kto_ewb_v_jahr, tabKonto.kto_ewb_v_waehrung, 
                      tabKonto.kto_ewb_v_ermg_verf, tabKonto.kto_ewb_v_daten_ursprung, tabKonto.kto_ewb_v_btrg_man, tabKonto.kto_ewb_v_btrg_blanko, 
                      tabKonto.kto_kontobezeichnung_depot_a, tabKonto.kto_mahnstand, tabKonto.kto_rk_Betrag, tabKonto.kto_rk_offene_Zusage, tabKonto.kto_rk_kz, 
                      tabKonto.kto_rk_ts
FROM         _tmpAuswahl AS T INNER JOIN
                      tab_KNE_KN ON t.KNEID = tab_KNE_KN.KNEID INNER JOIN
                      tabKonto ON tab_KNE_KN.KNID = tabKonto.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte 
GROUP BY tabKonto.KontoID, tabKonto.KontoNr, tabKonto.KNID, tabKonto.KN, tabKonto.INR, tabKonto.kto_skontronr, tabKonto.kto_kreditkartennummer, tabKonto.kto_gp_key, 
                      tabKonto.kto_gp_variante, tabKonto.kto_geschaeftsart_depot_a, tabKonto.kto_kontentyp, tabKonto.kto_gesamtkreditvolumen, tabKonto.kto_saldo, 
                      tabKonto.kto_inanspruchnahme, tabKonto.kto_ueberziehung, tabKonto.kto_externer_kredit, tabKonto.kto_interner_kredit, tabKonto.kto_interner_kredit_bis, 
                      tabKonto.kto_ueberziehung_genehmigt, tabKonto.kto_ueberziehung_genehmigt_bis, tabKonto.kto_ueberz_hoechste_quartal_1, tabKonto.kto_ueberziehungstage, 
                      tabKonto.kto_kz_notleidend, tabKonto.kto_rueckstand_gesamt, tabKonto.kto_verzug_entgelt, tabKonto.kto_verzug_verzinslich, tabKonto.kto_verzug_unverzinslich, 
                      tabKonto.kto_rueckgabenbetrag, tabKonto.kto_rueckgabenanzahl, tabKonto.kto_aval_art, tabKonto.kto_aval_einzelbe, tabKonto.kto_aval_rahmenkontonr, 
                      tabKonto.kto_meta_anteil_kreditvolumen, tabKonto.kto_meta_anteil_inanspruchnahme, tabKonto.kto_monatliche_Habenumsaetze, 
                      tabKonto.kto_habenumsatz_lfd_jahr, tabKonto.kto_habenumsatz_vorjahr, tabKonto.kto_sperr_be, tabKonto.kto_ewb_e, tabKonto.kto_ewb_e_btrg_janf, 
                      tabKonto.kto_ewb_e_btrg_neu, tabKonto.kto_ewb_e_btrg_zugang, tabKonto.kto_ewb_e_afls_btrg, tabKonto.kto_ewb_e_absg_ind_btrg, 
                      tabKonto.kto_ewb_e_absg_dir_btrg, tabKonto.kto_ewb_v, tabKonto.kto_ewb_v_btrg_janf, tabKonto.kto_ewb_v_btrg_neu, tabKonto.kto_ewb_v_btrg_zugang, 
                      tabKonto.kto_ewb_v_afls_btrg, tabKonto.kto_ewb_v_absg_ind_btrg, tabKonto.kto_ewb_v_absg_dir_btrg, tabKonto.kto_relation_kredit_umsatz, tabKonto.kto_tilgung_3, 
                      tabKonto.kto_tilgung_4_12, tabKonto.kto_tilgung_13_60, tabKonto.kto_tilgung_61, tabKonto.Bdate, tabKonto.kto_kz_k_s, tabKonto.kto_kreditart, 
                      tabKonto.kto_datum_eroeffnung, tabKonto.kto_bewilligungs_datum, tabKonto.kto_befristung_datum, tabKonto.kto_ueberz_hoechste_quartal_2, 
                      tabKonto.kto_ueberz_hoechste_quartal_3, tabKonto.kto_ueberz_hoechste_quartal_4, tabKonto.kto_ueberziehungsdatum_ab, tabKonto.kto_ueberziehung_m_ev, 
                      tabKonto.kto_ueberziehung_o_ev, tabKonto.kto_zinssatz, tabKonto.kto_ab_merkmal, tabKonto.kto_mindestr, tabKonto.kto_offene_zusage, 
                      tabKonto.kto_bewilligtes_darlehen, tabKonto.kto_vorauszahlung, tabKonto.kto_avalkred_betrag, tabKonto.kto_anzahl_sicherheiten, tabKonto.kto_summe_sicherheiten,
                       tabKonto.kto_haben_umsatz_vq_1, tabKonto.kto_haben_umsatz_vq_2, tabKonto.kto_haben_umsatz_vq_3, tabKonto.kto_haben_umsatz_vq_4, 
                      tabKonto.kto_ewb_e_datum, tabKonto.kto_ewb_e_jahr, tabKonto.kto_ewb_e_waehrung, tabKonto.kto_ewb_e_ermg_verf, tabKonto.kto_ewb_e_daten_ursprung, 
                      tabKonto.kto_ewb_e_btrg_man, tabKonto.kto_ewb_e_btrg_blanko, tabKonto.kto_ewb_v_datum, tabKonto.kto_ewb_v_jahr, tabKonto.kto_ewb_v_waehrung, 
                      tabKonto.kto_ewb_v_ermg_verf, tabKonto.kto_ewb_v_daten_ursprung, tabKonto.kto_ewb_v_btrg_man, tabKonto.kto_ewb_v_btrg_blanko, 
                      tabKonto.kto_kontobezeichnung_depot_a, tabKonto.kto_mahnstand, tabKonto.kto_rk_Betrag, tabKonto.kto_rk_offene_Zusage, tabKonto.kto_rk_kz, tabKonto.kto_rk_ts
                      END
GO

ALTER PROCEDURE [dbo].[spExpKontoVB]
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKontoVB ( SPID, KVBID, KontoID, SVZ_DB )
SELECT @SPID, tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB
FROM (_tmpAuswahl as T INNER JOIN tab_KNE_KN ON t.KNEID = tab_KNE_KN.KNEID) INNER JOIN 
     (tabKonto INNER JOIN tabKontoVB ON tabKonto.KontoID = tabKontoVB.KontoID) ON tab_KNE_KN.KNID = tabKonto.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte 
GROUP BY tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_Segmente] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Segmente (SPID, KNID, KN, Segmentnr )
SELECT        T.SPID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr
FROM            _tmpAuswahl AS T INNER JOIN
                         tab_KNE_KN ON T.KNEID = tab_KNE_KN.KNEID INNER JOIN
                         tabKN_Segmente ON tab_KNE_KN.KNID = tabKN_Segmente.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte 
GROUP BY T.SPID, tabKN_Segmente.KNSID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr;
END
GO


ALTER PROCEDURE [dbo].[spExpKN_SPK_Korrekturen] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_SPK_Korrekturen (SPID, KNSPKID, KNID, KN_InAn_SPK, KN_InAn_SPK_Bemerkung, KreditArt )
SELECT        T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)) AS Expr1, tabKN_SPK_Korrekturen.KreditArt
FROM            _tmpAuswahl AS T INNER JOIN
                         tab_KNE_KN ON T.KNEID = tab_KNE_KN.KNEID INNER JOIN
                         tabKN_SPK_Korrekturen ON tab_KNE_KN.KNID = tabKN_SPK_Korrekturen.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte 
GROUP BY T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)), tabKN_SPK_Korrekturen.KreditArt;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpFilter]    Script Date: 06.03.2017 18:39:52 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spExpFilter] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expFilter ( SPID, FID, Filtername, Aktiv, EWBFilter, INR, BDate )
SELECT        T.SPID, tabFilter.FID, tabFilter.Filtername, tabFilter.Aktiv, tabFilter.EWBFilter, T.INR, T.BDate
FROM            _tmpAuswahl AS T INNER JOIN
                         tabKNEFilter INNER JOIN
                         tabFilter ON tabKNEFilter.Filter = tabFilter.FID AND tabKNEFilter.SPID = tabFilter.SPID ON T.KNEID = tabKNEFilter.KNEID AND T.SPID = tabKNEFilter.SPID
GROUP BY T.SPID, T.INR, T.BDate, tabFilter.FID, tabFilter.Filtername, tabFilter.Aktiv, tabFilter.EWBFilter 
HAVING        T.INR = @INR and T.BDate = @BDate AND tabFilter.EWBFilter = 0 and t.SPID = @SPID;

--- Und jetzt noch die Filterkriterien hinterher schieben...
UPDATE    _expFilter
SET       Filterkriterien = tabFilter.Filterkriterien, LastFilter = tabFilter.LastFilter
FROM      _expFilter INNER JOIN
          tabFilter ON _expFilter.FID = tabFilter.FID and tabFilter.spid = _expFilter.spid
END
GO

ALTER PROCEDURE [dbo].[spExpKNEFilter] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKNEFilter (SPID, KNEID, Filter, EDate )
SELECT T.SPID, tabKNEFilter.KNEID, tabKNEFilter.Filter, tabKNEFilter.edate 
FROM _tmpAuswahl as T INNER JOIN tabKNEFilter ON T.KNEID = tabKNEFilter.KNEID and T.SPID = tabKNEFilter.SPID 
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte 
GROUP BY T.SPID, tabKNEFilter.KNEID, tabKNEFilter.Filter, tabKNEFilter.edate;
END
GO

ALTER PROCEDURE [dbo].[spExpSicherheiten] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheiten
                      (SPID, KNID, LFDNR, kto_max_real, kto_max_personal, kto_max_wsft, kto_sich_betrag, kto_sich_schluessel, kto_sicherungsobjekt, INR, BDate)
SELECT     @SPID, tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
                      tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, tabSicherheiten.BDate
FROM         _tmpAuswahl AS T INNER JOIN
                      tab_KNE_KN ON T.KNEID = tab_KNE_KN.KNEID INNER JOIN
                      tabSicherheiten ON tab_KNE_KN.KNID = tabSicherheiten.KNID 
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte 
GROUP BY tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
         tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, 
         tabSicherheiten.BDate;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpSicherheitenproKonto]    Script Date: 06.03.2017 18:49:59 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spExpSicherheitenproKonto] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKonto
                      (SPID, Kontonr, KNID, LFDNR, kto_sich_schluessel, kto_realkreditvolumen_in, kto_personalkreditvolumen_in, kto_realkreditvolumen_wi, kto_personalkreditvolumen_wi, 
                      kto_komp_anteil_in, kto_komp_anteil_wi, kto_wirt_anteil_in, kto_blankokreditvolumen_in, kto_wirt_anteil_wi, kto_blankokreditvolumen_wi, 
                      kto_kommunalkreditvolumen_in, kto_kommunalkreditvolumen_wi, kto_freier_anteil_in, kto_freier_anteil_wi, INR, BDate)
SELECT     @SPID, SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate
FROM         _tmpAuswahl AS T INNER JOIN
                      tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                      tabSicherheitenproKonto AS SK ON V.KNID = SK.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte  
GROUP BY SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpSicherheitenProKNID]    Script Date: 06.03.2017 18:50:52 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spExpSicherheitenProKNID] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKNID
                      (SPID, KNID, INR, BDate, Grundpfandrechte_wi, Grundpfandrechte_in, Grundpfandrechte_wohn_wi, Grundpfandrechte_wohn_in, Grundpfandrechte_gew_wi, 
                      Grundpfandrechte_gew_in, Grundpfandrechte_real_wi, Grundpfandrechte_real_in, Guthaben_wi, Guthaben_in, Wertpapiere_in, Wertpapiere_wi, 
                      Sicherungsuebereignungen_wi, Sicherungsuebereignungen_in, Lebensversicherungen_wi, Lebensversicherungen_in, Zessionen_wi, Zessionen_in, 
                      Buergschaften_oeffentl_in, Buergschaften_oeffentl_wi, Buergschaften_sonst_in, Buergschaften_sonst_wi, Sonstiges_wi, Sonstiges_in, SPKRecht_nicht_Blanko_in, 
                      SPKRecht_nicht_Blanko_wi, DarunterKoerperschaft_in, DarunterKoerperschaft_wi, Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      Wirtschaftlich_bewertbare_Sicherheiten_in, Freie_Sicherheiten_in, Freie_Sicherheiten_wi, SPKRechtlich_Bewertbar_wi, SPKRechtlich_Bewertbar_in, 
                      SPKRechtl_Blanko_in, SPKRechtl_Blanko_wi, Wirtschaftlich_blanko_in, Wirtschaftlich_blanko_wi)
SELECT     @SPID, S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi
FROM         _tmpKNE AS T INNER JOIN
                      tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                      tabSicherheitenproKNID AS S ON V.KNID = S.KNID 
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte  
GROUP BY S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi                     ;
END
GO

/****** Object:  View [dbo].[viewKreditnehmereinheit]    Script Date: 06.03.2017 19:00:04 ******/
DROP VIEW [dbo].[viewKreditnehmereinheit]
GO

/****** Object:  View [dbo].[viewKreditnehmereinheit]    Script Date: 06.03.2017 19:00:04 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewKreditnehmereinheit]
AS
SELECT        KNE.KNEID, KNE.INR, KNE.Bdate, KNE.KNE, KNE.Herkunft, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
                         KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, KNE.kne_Inanspruchnahme, 
                         KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, 
                         KNE.kne_Realkreditvolumen_in, KNE.kne_Realkreditvolumen_wi, KNE.kne_Kompensationskreditvolumen_in, KNE.kne_Kompensationskreditvolumen_wi, 
                         KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, 
                         KNE.kne_externe_kredite, KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, KNE.kne_ewb_e, 
                         KNE.kne_ewb_e_btrg_janf, KNE.kne_ewb_e_btrg_neu, KNE.kne_ewb_e_btrg_zugang, KNE.kne_ewb_e_afls_btrg, KNE.kne_ewb_e_absg_ind_btrg, 
                         KNE.kne_ewb_e_absg_dir_btrg, KNE.kne_ewb_v, KNE.kne_ewb_v_btrg_janf, KNE.kne_ewb_v_btrg_neu, KNE.kne_ewb_v_btrg_zugang, KNE.kne_ewb_v_afls_btrg, 
                         KNE.kne_ewb_v_absg_ind_btrg, KNE.kne_ewb_v_absg_dir_btrg, KNE.Kne_Guthaben, KNE.BLZ, KNE.kne_identnr, KNE.kne_wv, KNE.kne_beruf_branche, 
                         KNE.kne_kreditvolumen_az01, KNE.kne_kreditvolumen_az5, KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_beteiligung, 
                         KNE.kne_kreditvolumen_derivate, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, KNE.kne_kreditvolumen_so_az9, 
                         KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
                         KNE.kne_meta_anteil_kreditvolumen, KNE.kne_kreditvolumen_akkreditive, KNE.KNE_Kreditvolumen_az2, KNE.kne_wirt_anteil_wi, KNE.kne_wirt_anteil_in, 
                         KNE.kne_freier_anteil_wi, KNE.kne_freier_anteil_in, KNE.kne_PKV_SPG_in, KNE.kne_PKV_SPG_wi, KNE.kne_PKV_SPG_IN_SVN, KNE.TS, KNE.kne_Risikoklasse, 
                         KNE.kne_Bonitaet, KNE.KNE_GEWICHTETE_BONITAET, ISNULL(R.kn_rating_note_Sort, N'999') AS kne_Gewichtete_Bonitaet_Sort
FROM            dbo.tabKreditnehmereinheit AS KNE LEFT OUTER JOIN
                         dbo.tabRatingnote AS R ON KNE.KNE_GEWICHTETE_BONITAET = R.kn_rating_note

GO

/****** Object:  StoredProcedure [dbo].[spExpKreditnehmerRE]    Script Date: 06.03.2017 19:04:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spExpKreditnehmerRE] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmer
                      (SPID, KNID, KN, kn_name, kn_berater, kn_ort, kn_kz_organ, kn_kusydsgv, kn_wirtschaftszweig, kn_ortskenn, kn_rating_methode, kn_rating_note, kn_rating_status, 
                      kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
                      kn_personalkreditvolumen_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, kn_kommunalkreditvolumen_wi, 
                      kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, 
                      kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, 
                      kn_passiv_depot, kn_rueckgabenanzahl, kn_rueckgabenbetrag, kn_darlehensrueckstand, kn_Ueberziehung, kn_Inanspruchnahme, kn_ewb_e, kn_ewb_e_btrg_janf, 
                      kn_ewb_e_btrg_neu, kn_ewb_e_btrg_zugang, kn_ewb_e_afls_btrg, kn_ewb_e_absg_ind_btrg, kn_ewb_e_absg_dir_btrg, kn_ewb_v, kn_ewb_v_btrg_janf, 
                      kn_ewb_v_btrg_neu, kn_ewb_v_btrg_zugang, kn_ewb_v_afls_btrg, kn_ewb_v_absg_ind_btrg, kn_ewb_v_absg_dir_btrg, Bdate, Kn_Guthaben, kn_wv, kn_wv_verbnr, 
                      kn_beruf_branche, kn_beruf, kn_strasse, kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, 
                      kn_rechtl_s, kn_org_bankgrp_ausl, kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_saldo_umsatzlos, kn_kz_g_m_kred, 
                      kn_ueberziehung_90, kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, 
                      kn_kreditvolumen_fw_kredite, kn_kreditvolumen_beteiligung, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, kn_bew_rahmen_le, kn_labile_sicherheiten, 
                      kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften, kn_kreditvolumen_akkreditive, kn_rating_datum, KN_GKV_SPK, 
                      KN_GKV_SPK_Bemerkung, 
                      KN_Kreditvolumen_az2, KN_Ueberschreitung_SPK, 
                      KN_Ueberschreitung_SPK_Bemerkung, kn_PKV_SPG_in, kn_PKV_SPG_wi, INR, KN_wirt_anteil_in, 
                      KN_wirt_anteil_wi, KN_Identnr, kn_verbund_art, kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 )
SELECT     @SPID, KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, 
                      cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), 
                      KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
FROM         _tmpAuswahl AS T INNER JOIN
                      tabKN_Risiko AS V ON T.KNEID = V.KNEID and T.spid = v.spid  INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
 Where T.SPID = @SPID and T.INR = @INR and T.Bdate = @BDate 
GROUP BY KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
                      END
GO

/****** Object:  StoredProcedure [dbo].[spExpKontoRE]    Script Date: 06.03.2017 19:06:39 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spExpKontoRE] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKonto
                      (SPID, KontoID, KontoNr, KNID, INR, KN, kto_skontronr, kto_kreditkartennummer, kto_gp_key, kto_gp_variante, kto_geschaeftsart_depot_a, kto_kontentyp, 
                      kto_gesamtkreditvolumen, kto_saldo, kto_inanspruchnahme, kto_ueberziehung, kto_externer_kredit, kto_interner_kredit, kto_interner_kredit_bis, 
                      kto_ueberziehung_genehmigt, kto_ueberziehung_genehmigt_bis, kto_ueberz_hoechste_quartal_1, kto_ueberziehungstage, kto_kz_notleidend, 
                      kto_rueckstand_gesamt, kto_verzug_entgelt, kto_verzug_verzinslich, kto_verzug_unverzinslich, kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_aval_art, 
                      kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, kto_monatliche_Habenumsaetze, 
                      kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_sperr_be, kto_ewb_e, kto_ewb_e_btrg_janf, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, 
                      kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg, kto_ewb_v, kto_ewb_v_btrg_janf, kto_ewb_v_btrg_neu, kto_ewb_v_btrg_zugang, 
                      kto_ewb_v_afls_btrg, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, kto_relation_kredit_umsatz, kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, 
                      kto_tilgung_61, Bdate, kto_kz_k_s, kto_kreditart, kto_datum_eroeffnung, kto_bewilligungs_datum, kto_befristung_datum, kto_ueberz_hoechste_quartal_2, 
                      kto_ueberz_hoechste_quartal_3, kto_ueberz_hoechste_quartal_4, kto_ueberziehungsdatum_ab, kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, kto_zinssatz, 
                      kto_ab_merkmal, kto_mindestr, kto_offene_zusage, kto_bewilligtes_darlehen, kto_vorauszahlung, kto_avalkred_betrag, kto_anzahl_sicherheiten, 
                      kto_summe_sicherheiten, kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, kto_ewb_e_datum, 
                      kto_ewb_e_jahr, kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, kto_ewb_e_btrg_man, kto_ewb_e_btrg_blanko, kto_ewb_v_datum, 
                      kto_ewb_v_jahr, kto_ewb_v_waehrung, kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_ewb_v_btrg_man, kto_ewb_v_btrg_blanko, 
                      kto_kontobezeichnung_depot_a, kto_mahnstand, kto_rk_Betrag, kto_rk_offene_Zusage, kto_rk_kz, kto_rk_ts)
SELECT     @SPID, tabKonto.KontoID, tabKonto.KontoNr, tabKonto.KNID, tabKonto.INR, tabKonto.KN, tabKonto.kto_skontronr, tabKonto.kto_kreditkartennummer, tabKonto.kto_gp_key, 
                      tabKonto.kto_gp_variante, tabKonto.kto_geschaeftsart_depot_a, tabKonto.kto_kontentyp, tabKonto.kto_gesamtkreditvolumen, tabKonto.kto_saldo, 
                      tabKonto.kto_inanspruchnahme, tabKonto.kto_ueberziehung, tabKonto.kto_externer_kredit, tabKonto.kto_interner_kredit, tabKonto.kto_interner_kredit_bis, 
                      tabKonto.kto_ueberziehung_genehmigt, tabKonto.kto_ueberziehung_genehmigt_bis, tabKonto.kto_ueberz_hoechste_quartal_1, tabKonto.kto_ueberziehungstage, 
                      tabKonto.kto_kz_notleidend, tabKonto.kto_rueckstand_gesamt, tabKonto.kto_verzug_entgelt, tabKonto.kto_verzug_verzinslich, tabKonto.kto_verzug_unverzinslich, 
                      tabKonto.kto_rueckgabenbetrag, tabKonto.kto_rueckgabenanzahl, tabKonto.kto_aval_art, tabKonto.kto_aval_einzelbe, tabKonto.kto_aval_rahmenkontonr, 
                      tabKonto.kto_meta_anteil_kreditvolumen, tabKonto.kto_meta_anteil_inanspruchnahme, tabKonto.kto_monatliche_Habenumsaetze, 
                      tabKonto.kto_habenumsatz_lfd_jahr, tabKonto.kto_habenumsatz_vorjahr, tabKonto.kto_sperr_be, tabKonto.kto_ewb_e, tabKonto.kto_ewb_e_btrg_janf, 
                      tabKonto.kto_ewb_e_btrg_neu, tabKonto.kto_ewb_e_btrg_zugang, tabKonto.kto_ewb_e_afls_btrg, tabKonto.kto_ewb_e_absg_ind_btrg, 
                      tabKonto.kto_ewb_e_absg_dir_btrg, tabKonto.kto_ewb_v, tabKonto.kto_ewb_v_btrg_janf, tabKonto.kto_ewb_v_btrg_neu, tabKonto.kto_ewb_v_btrg_zugang, 
                      tabKonto.kto_ewb_v_afls_btrg, tabKonto.kto_ewb_v_absg_ind_btrg, tabKonto.kto_ewb_v_absg_dir_btrg, tabKonto.kto_relation_kredit_umsatz, tabKonto.kto_tilgung_3, 
                      tabKonto.kto_tilgung_4_12, tabKonto.kto_tilgung_13_60, tabKonto.kto_tilgung_61, tabKonto.Bdate, tabKonto.kto_kz_k_s, tabKonto.kto_kreditart, 
                      tabKonto.kto_datum_eroeffnung, tabKonto.kto_bewilligungs_datum, tabKonto.kto_befristung_datum, tabKonto.kto_ueberz_hoechste_quartal_2, 
                      tabKonto.kto_ueberz_hoechste_quartal_3, tabKonto.kto_ueberz_hoechste_quartal_4, tabKonto.kto_ueberziehungsdatum_ab, tabKonto.kto_ueberziehung_m_ev, 
                      tabKonto.kto_ueberziehung_o_ev, tabKonto.kto_zinssatz, tabKonto.kto_ab_merkmal, tabKonto.kto_mindestr, tabKonto.kto_offene_zusage, 
                      tabKonto.kto_bewilligtes_darlehen, tabKonto.kto_vorauszahlung, tabKonto.kto_avalkred_betrag, tabKonto.kto_anzahl_sicherheiten, tabKonto.kto_summe_sicherheiten,
                       tabKonto.kto_haben_umsatz_vq_1, tabKonto.kto_haben_umsatz_vq_2, tabKonto.kto_haben_umsatz_vq_3, tabKonto.kto_haben_umsatz_vq_4, 
                      tabKonto.kto_ewb_e_datum, tabKonto.kto_ewb_e_jahr, tabKonto.kto_ewb_e_waehrung, tabKonto.kto_ewb_e_ermg_verf, tabKonto.kto_ewb_e_daten_ursprung, 
                      tabKonto.kto_ewb_e_btrg_man, tabKonto.kto_ewb_e_btrg_blanko, tabKonto.kto_ewb_v_datum, tabKonto.kto_ewb_v_jahr, tabKonto.kto_ewb_v_waehrung, 
                      tabKonto.kto_ewb_v_ermg_verf, tabKonto.kto_ewb_v_daten_ursprung, tabKonto.kto_ewb_v_btrg_man, tabKonto.kto_ewb_v_btrg_blanko, 
                      tabKonto.kto_kontobezeichnung_depot_a, tabKonto.kto_mahnstand, tabKonto.kto_rk_Betrag, tabKonto.kto_rk_offene_Zusage, tabKonto.kto_rk_kz, 
                      tabKonto.kto_rk_ts
FROM         _tmpAuswahl as T INNER JOIN
                      tabKN_Risiko ON T.KNEID = tabKN_Risiko.KNEID and T.SPID = tabkn_risiko.spid INNER JOIN
                      tabKonto ON tabKN_Risiko.KNID = tabKonto.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte 
GROUP BY tabKonto.KontoID, tabKonto.KontoNr, tabKonto.KNID, tabKonto.INR, tabKonto.KN, tabKonto.kto_skontronr, tabKonto.kto_kreditkartennummer, tabKonto.kto_gp_key, 
                      tabKonto.kto_gp_variante, tabKonto.kto_geschaeftsart_depot_a, tabKonto.kto_kontentyp, tabKonto.kto_gesamtkreditvolumen, tabKonto.kto_saldo, 
                      tabKonto.kto_inanspruchnahme, tabKonto.kto_ueberziehung, tabKonto.kto_externer_kredit, tabKonto.kto_interner_kredit, tabKonto.kto_interner_kredit_bis, 
                      tabKonto.kto_ueberziehung_genehmigt, tabKonto.kto_ueberziehung_genehmigt_bis, tabKonto.kto_ueberz_hoechste_quartal_1, tabKonto.kto_ueberziehungstage, 
                      tabKonto.kto_kz_notleidend, tabKonto.kto_rueckstand_gesamt, tabKonto.kto_verzug_entgelt, tabKonto.kto_verzug_verzinslich, tabKonto.kto_verzug_unverzinslich, 
                      tabKonto.kto_rueckgabenbetrag, tabKonto.kto_rueckgabenanzahl, tabKonto.kto_aval_art, tabKonto.kto_aval_einzelbe, tabKonto.kto_aval_rahmenkontonr, 
                      tabKonto.kto_meta_anteil_kreditvolumen, tabKonto.kto_meta_anteil_inanspruchnahme, tabKonto.kto_monatliche_Habenumsaetze, 
                      tabKonto.kto_habenumsatz_lfd_jahr, tabKonto.kto_habenumsatz_vorjahr, tabKonto.kto_sperr_be, tabKonto.kto_ewb_e, tabKonto.kto_ewb_e_btrg_janf, 
                      tabKonto.kto_ewb_e_btrg_neu, tabKonto.kto_ewb_e_btrg_zugang, tabKonto.kto_ewb_e_afls_btrg, tabKonto.kto_ewb_e_absg_ind_btrg, 
                      tabKonto.kto_ewb_e_absg_dir_btrg, tabKonto.kto_ewb_v, tabKonto.kto_ewb_v_btrg_janf, tabKonto.kto_ewb_v_btrg_neu, tabKonto.kto_ewb_v_btrg_zugang, 
                      tabKonto.kto_ewb_v_afls_btrg, tabKonto.kto_ewb_v_absg_ind_btrg, tabKonto.kto_ewb_v_absg_dir_btrg, tabKonto.kto_relation_kredit_umsatz, tabKonto.kto_tilgung_3, 
                      tabKonto.kto_tilgung_4_12, tabKonto.kto_tilgung_13_60, tabKonto.kto_tilgung_61, tabKonto.Bdate, tabKonto.kto_kz_k_s, tabKonto.kto_kreditart, 
                      tabKonto.kto_datum_eroeffnung, tabKonto.kto_bewilligungs_datum, tabKonto.kto_befristung_datum, tabKonto.kto_ueberz_hoechste_quartal_2, 
                      tabKonto.kto_ueberz_hoechste_quartal_3, tabKonto.kto_ueberz_hoechste_quartal_4, tabKonto.kto_ueberziehungsdatum_ab, tabKonto.kto_ueberziehung_m_ev, 
                      tabKonto.kto_ueberziehung_o_ev, tabKonto.kto_zinssatz, tabKonto.kto_ab_merkmal, tabKonto.kto_mindestr, tabKonto.kto_offene_zusage, 
                      tabKonto.kto_bewilligtes_darlehen, tabKonto.kto_vorauszahlung, tabKonto.kto_avalkred_betrag, tabKonto.kto_anzahl_sicherheiten, tabKonto.kto_summe_sicherheiten,
                       tabKonto.kto_haben_umsatz_vq_1, tabKonto.kto_haben_umsatz_vq_2, tabKonto.kto_haben_umsatz_vq_3, tabKonto.kto_haben_umsatz_vq_4, 
                      tabKonto.kto_ewb_e_datum, tabKonto.kto_ewb_e_jahr, tabKonto.kto_ewb_e_waehrung, tabKonto.kto_ewb_e_ermg_verf, tabKonto.kto_ewb_e_daten_ursprung, 
                      tabKonto.kto_ewb_e_btrg_man, tabKonto.kto_ewb_e_btrg_blanko, tabKonto.kto_ewb_v_datum, tabKonto.kto_ewb_v_jahr, tabKonto.kto_ewb_v_waehrung, 
                      tabKonto.kto_ewb_v_ermg_verf, tabKonto.kto_ewb_v_daten_ursprung, tabKonto.kto_ewb_v_btrg_man, tabKonto.kto_ewb_v_btrg_blanko, 
                      tabKonto.kto_kontobezeichnung_depot_a, tabKonto.kto_mahnstand, tabKonto.kto_rk_Betrag, tabKonto.kto_rk_offene_Zusage, tabKonto.kto_rk_kz, tabKonto.kto_rk_ts
                      END
GO

ALTER PROCEDURE [dbo].[spExpKontoVBRE] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKontoVB ( SPID, KVBID, KontoID, SVZ_DB )
SELECT @SPID, tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB
FROM (_tmpAuswahl as T INNER JOIN tabKN_Risiko ON t.KNEID = tabKN_Risiko.KNEID and T.spid = tabKN_Risiko.SPID ) 
INNER JOIN (tabKonto INNER JOIN tabKontoVB ON tabKonto.KontoID = tabKontoVB.KontoID) ON tabKN_Risiko.KNID = tabKonto.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte
GROUP BY tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_SegmenteRE] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Segmente (SPID, KNSID, KNID, KN, Segmentnr )
SELECT        T.SPID, tabKN_Segmente.KNSID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr
FROM            _tmpAuswahl AS T INNER JOIN
                         tabKN_Risiko ON T.KNEID = tabKN_Risiko.KNEID AND T.SPID = tabKN_Risiko.SPID INNER JOIN
                         tabKN_Segmente ON tabKN_Risiko.KNID = tabKN_Segmente.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte 
GROUP BY T.SPID, tabKN_Segmente.KNSID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_SPK_KorrekturenRE] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_SPK_Korrekturen (SPID, KNSPKID, KNID, KN_InAn_SPK, KN_InAn_SPK_Bemerkung, KreditArt )
SELECT       T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)) AS Expr1, tabKN_SPK_Korrekturen.KreditArt 
FROM            _tmpAuswahl AS T INNER JOIN
                         tabKN_Risiko ON T.KNEID = tabKN_Risiko.KNEID AND T.SPID = tabKN_Risiko.SPID INNER JOIN
                         tabKN_SPK_Korrekturen ON tabKN_Risiko.KNID = tabKN_SPK_Korrekturen.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte 
GROUP BY T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)), tabKN_SPK_Korrekturen.KreditArt;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_Risiko] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Risiko ( SPID, KNEID, RNR, KNID, RGrund, GBR_Quote )
SELECT @SPID, tabKN_Risiko.KNEID, tabKN_Risiko.RNR, tabKN_Risiko.KNID, tabKN_Risiko.RGrund, 
tabKN_Risiko.GBR_Quote
FROM _tmpAuswahl as T INNER JOIN tabKN_Risiko ON t.KNEID = tabKN_Risiko.KNEID AND T.SPID = tabKN_Risiko.spid 
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte ;
END
GO

ALTER PROCEDURE [dbo].[spExpSicherheitenRE] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheiten
                      (SPID , KNID, LFDNR, kto_max_real, kto_max_personal, kto_max_wsft, kto_sich_betrag, kto_sich_schluessel, kto_sicherungsobjekt, INR, BDate)
SELECT     @SPID, tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
                      tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, tabSicherheiten.BDate
FROM         _tmpAuswahl AS T INNER JOIN
                      tabKN_Risiko as V ON T.KNEID = V.KNEID and T.spid = v.spid INNER JOIN
                      tabSicherheiten ON V.KNID = tabSicherheiten.KNID   
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte 
GROUP BY tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
         tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, tabSicherheiten.BDate;
END
GO

ALTER PROCEDURE [dbo].[spExpSicherheitenproKontoRE] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKonto
                      (SPID, Kontonr, KNID, LFDNR, kto_sich_schluessel, kto_realkreditvolumen_in, kto_personalkreditvolumen_in, kto_realkreditvolumen_wi, kto_personalkreditvolumen_wi, 
                      kto_komp_anteil_in, kto_komp_anteil_wi, kto_wirt_anteil_in, kto_blankokreditvolumen_in, kto_wirt_anteil_wi, kto_blankokreditvolumen_wi, 
                      kto_kommunalkreditvolumen_in, kto_kommunalkreditvolumen_wi, kto_freier_anteil_in, kto_freier_anteil_wi, INR, BDate)
SELECT     @SPID, SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate
FROM         _tmpAuswahl AS T INNER JOIN
                      tabKN_Risiko AS V ON T.KNEID = V.KNEID AND T.spid = V.SPID INNER JOIN
                      tabSicherheitenproKonto AS SK ON V.KNID = SK.KNID 
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte   
GROUP BY SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpSicherheitenProKNIDRE]    Script Date: 06.03.2017 19:18:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spExpSicherheitenProKNIDRE] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKNID
                      (SPID, KNID, INR, BDate, Grundpfandrechte_wi, Grundpfandrechte_in, Grundpfandrechte_wohn_wi, Grundpfandrechte_wohn_in, Grundpfandrechte_gew_wi, 
                      Grundpfandrechte_gew_in, Grundpfandrechte_real_wi, Grundpfandrechte_real_in, Guthaben_wi, Guthaben_in, Wertpapiere_in, Wertpapiere_wi, 
                      Sicherungsuebereignungen_wi, Sicherungsuebereignungen_in, Lebensversicherungen_wi, Lebensversicherungen_in, Zessionen_wi, Zessionen_in, 
                      Buergschaften_oeffentl_in, Buergschaften_oeffentl_wi, Buergschaften_sonst_in, Buergschaften_sonst_wi, Sonstiges_wi, Sonstiges_in, SPKRecht_nicht_Blanko_in, 
                      SPKRecht_nicht_Blanko_wi, DarunterKoerperschaft_in, DarunterKoerperschaft_wi, Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      Wirtschaftlich_bewertbare_Sicherheiten_in, Freie_Sicherheiten_in, Freie_Sicherheiten_wi, SPKRechtlich_Bewertbar_wi, SPKRechtlich_Bewertbar_in, 
                      SPKRechtl_Blanko_in, SPKRechtl_Blanko_wi, Wirtschaftlich_blanko_in, Wirtschaftlich_blanko_wi)
SELECT     @SPID, S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi
FROM         _tmpAuswahl AS T INNER JOIN
                      tabKN_RIsiko AS V ON T.KNEID = V.KNEID and t.spid = v.spid INNER JOIN
                      tabSicherheitenproKNID AS S ON V.KNID = S.KNID    
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte   
GROUP BY S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi    
END
GO

ALTER PROCEDURE [dbo].[spEinzelExportKNESicherheiten] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT  cast(substring(KNEID,10,15) as bigint)  AS Schluessel 
FROM _tmpAuswahl  as T
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte
END
GO

ALTER PROCEDURE [dbo].[spEinzelExportRESicherheiten] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT CASE WHEN RGrund='KNE' THEN KNE.KNE ELSE cast(right(tabKN_Risiko.KNID,15) as bigint) END AS Schluessel 
FROM _tmpAuswahl as T inner Join tabKreditnehmereinheit as KNE ON T.KNEID = KNE.KNEID 
INNER JOIN tabKN_Risiko ON KNE.KNEID = tabKN_Risiko.KNEID
WHERE        (T.INR = @InstNR) AND (T.Bdate = @BDate) AND (T.SPID = @SPID)
GROUP BY CASE WHEN RGrund='KNE' THEN KNE.KNE ELSE cast(right(tabKN_Risiko.KNID,15) as bigint) END
END
GO

ALTER PROCEDURE [dbo].[spSammelKNEExportVB] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     tabKontoVB.KontoID, tabKontoVB.SVZ_DB
FROM         tabKreditnehmereinheit as KNE INNER JOIN
                      tab_KNE_KN ON KNE.KNEID = tab_KNE_KN.KNEID INNER JOIN
                      tabKonto INNER JOIN
                      tabKontoVB ON tabKonto.KontoID = tabKontoVB.KontoID ON tab_KNE_KN.KNID = tabKonto.KNID 
					  INNER JOIN                          _tmpAuswahlEWB AS T ON KNE.KNEID = T.KNEID
WHERE        (T.INR = @InstNR) AND (T.Bdate = @BDate) AND (T.SPID = @SPID) and T.Auswahl = 1
GROUP BY tabKontoVB.KontoID, tabKontoVB.SVZ_DB
ORDER BY tabKontoVB.KontoID;
END
GO

ALTER PROCEDURE [dbo].[spSammelKNEExportSegmente] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     tabKN_Segmente.KNID, tabKN_Segmente.Segmentnr
FROM         _tmpAuswahlEWB as T INNER JOIN  tabKreditnehmereinheit as KNE ON T.KNEID = KNE.KNEID INNER JOIN 
                      tab_KNE_KN ON KNE.KNEID = tab_KNE_KN.KNEID INNER JOIN
                      tabKN_Segmente ON tab_KNE_KN.KNID = tabKN_Segmente.KNID
WHERE     (T.Auswahl = 1) AND (t.INR = @InstNr) AND (t.Bdate = @BDate) and T.SPID = @SPID
GROUP BY tabKN_Segmente.KNID, tabKN_Segmente.Segmentnr
ORDER BY tabKN_Segmente.KNID;
END
GO

/****** Object:  StoredProcedure [dbo].[spSammelExportXLS]    Script Date: 06.03.2017 19:51:08 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spSammelExportXLS] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, 
V.GBR_Quote AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab, 
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031
FROM (_tmpAuswahlEWB as T inner join tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
	INNER JOIN tab_KNE_KN AS V ON KNE.KNEID = V.KNEID) 
	INNER JOIN ((tabKreditnehmer AS KN 
	LEFT JOIN (tabKonto AS K 
	LEFT JOIN _tmpVB1Bis5 ON K.KontoID = [_tmpVB1Bis5].KontoID) ON KN.KNID = K.KNID) 
	LEFT JOIN _tmpSegmente1Bis7 ON KN.KNID = [_tmpSegmente1Bis7].KNID) ON 
	V.KNID = KN.KNID 
WHERE T.SPID = @SPID AND T.INR=@InstNr AND T.Bdate=@BDate AND T.Auswahl=1;
END
GO

ALTER PROCEDURE [dbo].[spSammelREExportVB] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     tabKontoVB.KontoID, tabKontoVB.SVZ_DB
FROM        _tmpAuswahlEWB as T INNER JOIN tabKreditnehmereinheit as KNE ON T.KNEID = KNE.KNEID Inner JOIN 
                      tabKN_RisikoSammel ON KNE.KNEID = tabKN_RisikoSammel.KNEID INNER JOIN
                      tabKonto INNER JOIN
                      tabKontoVB ON tabKonto.KontoID = tabKontoVB.KontoID ON tabKN_RisikoSammel.KNID = tabKonto.KNID
WHERE     T.INR = @InstNR AND T.Bdate = @BDate AND T.SPID = @SPID AND T.Auswahl = 1
GROUP BY tabKontoVB.KontoID, tabKontoVB.SVZ_DB
ORDER BY tabKontoVB.KontoID;
END
GO

/****** Object:  StoredProcedure [dbo].[spSammelREExportSegmente]    Script Date: 06.03.2017 19:59:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spSammelREExportSegmente] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     tabKN_Segmente.KNID, tabKN_Segmente.Segmentnr
FROM       _tmpAuswahlEWB as T INNER JOIN tabKreditnehmereinheit as KNE ON T.KNEID = KNE.KNEID Inner JOIN 
                                 tabKN_RisikoSammel ON KNE.KNEID = tabKN_RisikoSammel.KNEID INNER JOIN
                      tabKN_Segmente ON tabKN_RisikoSammel.KNID = tabKN_Segmente.KNID
WHERE     T.INR = @InstNR AND T.Bdate = @BDate AND T.SPID = @SPID AND T.Auswahl = 1
GROUP BY tabKN_Segmente.KNID, tabKN_Segmente.Segmentnr
ORDER BY tabKN_Segmente.KNID;
END
GO

/****** Object:  StoredProcedure [dbo].[spSammelExportREXLS]    Script Date: 06.03.2017 20:01:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spSammelExportREXLS] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, 
CASE WHEN V.RGrund = 'KNE' THEN V.GBR_Quote ELSE NULL END AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg, 
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031
FROM (_tmpAuswahlEWB as T inner join tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID  
	INNER JOIN tabKN_RisikoSammel AS V ON KNE.KNEID = V.KNEID) 
	INNER JOIN ((tabKreditnehmer AS KN 
	LEFT JOIN (tabKonto AS K 
	LEFT JOIN _tmpVB1Bis5 ON K.KontoID = [_tmpVB1Bis5].KontoID) ON KN.KNID = K.KNID) 
	LEFT JOIN _tmpSegmente1Bis7 ON KN.KNID = [_tmpSegmente1Bis7].KNID) ON 
	V.KNID = KN.KNID 
WHERE T.SPID = @SPID AND T.INR=@InstNr AND T.Bdate=@BDate AND T.Auswahl=1;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpKreditnehmereinheit]    Script Date: 06.03.2017 20:04:54 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

Create PROCEDURE [dbo].[spExpKreditnehmereinheitSammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmereinheit
SELECT    KNE.KNEID, @SPID as SPID, KNE.INR, KNE.Bdate, KNE, KNE.Herkunft, KNE.KNE_Name, kne_wv_verbnr, KNE.kne_berater, kne_gesamtkreditvolumen, kne_gesamtkreditvolumen_not, kne_meta_anteil_inanspruchnahme, 
          kne_bewilligungsvolumen_neu, kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_blankokreditvolumen_wi, kne_Personalkreditvolumen_in, 
          kne_Personalkreditvolumen_wi, kne_Realkreditvolumen_in, kne_Realkreditvolumen_wi, kne_Kompensationskreditvolumen_in, kne_Kompensationskreditvolumen_wi, 
          kne_Kommunalkreditvolumen_in, kne_Kommunalkreditvolumen_wi, kne_Kreditueberschreitung, kne_Darlehensrueckstand, kne_externe_kredite, kne_interne_Kredite, 
          kne_Ueberziehungsgenehmigungen, kne_ewb_Veraenderung, kne_ewb_e, kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, 
          kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg, kne_ewb_e_absg_dir_btrg, kne_ewb_v, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, 
          kne_ewb_v_afls_btrg, kne_ewb_v_absg_ind_btrg, kne_ewb_v_absg_dir_btrg, Kne_Guthaben, KNE.BLZ, kne_identnr, kne_wv, kne_beruf_branche, 
          kne_kreditvolumen_az01, kne_kreditvolumen_az5, kne_kreditvolumen_az6, kne_kreditvolumen_az7, kne_kreditvolumen_beteiligung, kne_kreditvolumen_derivate, 
          kne_kreditvolumen_fw_kredite, kne_kreditvolumen_geldhandel, kne_kreditvolumen_so_az9, kne_kreditvolumen_wertpapiere, kne_kreditvolumen_wp_leihe, 
          kne_kreditvolumen_kommunal, kne_kreditvolumen_kreditkarten, kne_meta_anteil_kreditvolumen,  
          kne_kreditvolumen_akkreditive, KNE_Kreditvolumen_az2, kne_wirt_anteil_wi, kne_wirt_anteil_in, kne_freier_anteil_wi, 
          kne_freier_anteil_in, kne_PKV_SPG_in, kne_PKV_SPG_wi, kne_PKV_SPG_IN_SVN, kne_Risikoklasse, kne_Bonitaet, kne_Gewichtete_Bonitaet 
FROM tabKreditnehmereinheit AS KNE INNER JOIN _tmpAuswahlEWB as T ON KNE.KNEID = T.KNEID
where t.spid = @SPID and T.INR = @INR and T.Bdate = @Bdate AND T.Auswahl = 1
END
GO


/****** Object:  StoredProcedure [dbo].[spExpKreditnehmer]    Script Date: 06.03.2017 20:06:26 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO



Create PROCEDURE [dbo].[spExpKreditnehmerSammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmer
                      (SPID, INR, KNID, KN, kn_name, kn_berater, kn_ort, kn_kz_organ, kn_kusydsgv, kn_wirtschaftszweig, kn_ortskenn, kn_rating_methode, kn_rating_note, kn_rating_status, 
                      kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
                      kn_personalkreditvolumen_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, kn_kommunalkreditvolumen_wi, 
                      kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, 
                      kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, 
                      kn_passiv_depot, kn_rueckgabenanzahl, kn_rueckgabenbetrag, kn_darlehensrueckstand, kn_Ueberziehung, kn_Inanspruchnahme, kn_ewb_e, kn_ewb_e_btrg_janf, 
                      kn_ewb_e_btrg_neu, kn_ewb_e_btrg_zugang, kn_ewb_e_afls_btrg, kn_ewb_e_absg_ind_btrg, kn_ewb_e_absg_dir_btrg, kn_ewb_v, kn_ewb_v_btrg_janf, 
                      kn_ewb_v_btrg_neu, kn_ewb_v_btrg_zugang, kn_ewb_v_afls_btrg, kn_ewb_v_absg_ind_btrg, kn_ewb_v_absg_dir_btrg, Bdate, Kn_Guthaben, kn_wv, kn_wv_verbnr, 
                      kn_beruf_branche, kn_beruf, kn_strasse, kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, 
                      kn_rechtl_s, kn_org_bankgrp_ausl, kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_saldo_umsatzlos, kn_kz_g_m_kred, 
                      kn_ueberziehung_90, kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, 
                      kn_kreditvolumen_fw_kredite, kn_kreditvolumen_beteiligung, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, kn_bew_rahmen_le, kn_labile_sicherheiten, 
                      kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften, kn_kreditvolumen_akkreditive, kn_rating_datum, KN_GKV_SPK, KN_GKV_SPK_Bemerkung, 
                      KN_Kreditvolumen_az2, KN_Ueberschreitung_SPK, KN_Ueberschreitung_SPK_Bemerkung, kn_PKV_SPG_in, kn_PKV_SPG_wi, KN_wirt_anteil_in, KN_wirt_anteil_wi, 
                      KN_Identnr, kn_verbund_art, kn_geko9513_gueltig_ab, KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031)
SELECT     @SPID, KN.INR, KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, 
                      KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, 
                      cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
FROM         _tmpAuswahlEWB AS T INNER JOIN
                      tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
 Where T.SPID = @SPID and T.INR = @INR and T.Bdate = @BDate and T.Auswahl = 1
GROUP BY KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
END
GO

Create PROCEDURE [dbo].[spExp_KNE_KNSammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _exp_KNE_KN ( SPID, KNEID, KNID, GBR_Quote )
SELECT @SPID, tab_KNE_KN.KNEID, tab_KNE_KN.KNID, tab_KNE_KN.GBR_Quote
FROM _tmpAuswahlEWB as T INNER JOIN tab_KNE_KN ON T.KNEID = tab_KNE_KN.KNEID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1 
GROUP BY tab_KNE_KN.KNEID, tab_KNE_KN.KNID, tab_KNE_KN.GBR_Quote;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpKonto]    Script Date: 06.03.2017 20:09:07 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

create PROCEDURE [dbo].[spExpKontoSammel]
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKonto
                      (SPID, KontoID, KontoNr, KNID, KN, INR, kto_skontronr, kto_kreditkartennummer, kto_gp_key, kto_gp_variante, kto_geschaeftsart_depot_a, kto_kontentyp, 
                      kto_gesamtkreditvolumen, kto_saldo, kto_inanspruchnahme, kto_ueberziehung, kto_externer_kredit, kto_interner_kredit, kto_interner_kredit_bis, 
                      kto_ueberziehung_genehmigt, kto_ueberziehung_genehmigt_bis, kto_ueberz_hoechste_quartal_1, kto_ueberziehungstage, kto_kz_notleidend, 
                      kto_rueckstand_gesamt, kto_verzug_entgelt, kto_verzug_verzinslich, kto_verzug_unverzinslich, kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_aval_art, 
                      kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, kto_monatliche_Habenumsaetze, 
                      kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_sperr_be, kto_ewb_e, kto_ewb_e_btrg_janf, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, 
                      kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg, kto_ewb_v, kto_ewb_v_btrg_janf, kto_ewb_v_btrg_neu, kto_ewb_v_btrg_zugang, 
                      kto_ewb_v_afls_btrg, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, kto_relation_kredit_umsatz, kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, 
                      kto_tilgung_61, Bdate, kto_kz_k_s, kto_kreditart, kto_datum_eroeffnung, kto_bewilligungs_datum, kto_befristung_datum, kto_ueberz_hoechste_quartal_2, 
                      kto_ueberz_hoechste_quartal_3, kto_ueberz_hoechste_quartal_4, kto_ueberziehungsdatum_ab, kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, kto_zinssatz, 
                      kto_ab_merkmal, kto_mindestr, kto_offene_zusage, kto_bewilligtes_darlehen, kto_vorauszahlung, kto_avalkred_betrag, kto_anzahl_sicherheiten, 
                      kto_summe_sicherheiten, kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, kto_ewb_e_datum, 
                      kto_ewb_e_jahr, kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, kto_ewb_e_btrg_man, kto_ewb_e_btrg_blanko, kto_ewb_v_datum, 
                      kto_ewb_v_jahr, kto_ewb_v_waehrung, kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_ewb_v_btrg_man, kto_ewb_v_btrg_blanko, 
                      kto_kontobezeichnung_depot_a, kto_mahnstand, kto_rk_Betrag, kto_rk_offene_Zusage, kto_rk_kz, kto_rk_ts)
SELECT     @SPID, tabKonto.KontoID, tabKonto.KontoNr, tabKonto.KNID, tabKonto.KN, tabKonto.INR, tabKonto.kto_skontronr, tabKonto.kto_kreditkartennummer, tabKonto.kto_gp_key, 
                      tabKonto.kto_gp_variante, tabKonto.kto_geschaeftsart_depot_a, tabKonto.kto_kontentyp, tabKonto.kto_gesamtkreditvolumen, tabKonto.kto_saldo, 
                      tabKonto.kto_inanspruchnahme, tabKonto.kto_ueberziehung, tabKonto.kto_externer_kredit, tabKonto.kto_interner_kredit, tabKonto.kto_interner_kredit_bis, 
                      tabKonto.kto_ueberziehung_genehmigt, tabKonto.kto_ueberziehung_genehmigt_bis, tabKonto.kto_ueberz_hoechste_quartal_1, tabKonto.kto_ueberziehungstage, 
                      tabKonto.kto_kz_notleidend, tabKonto.kto_rueckstand_gesamt, tabKonto.kto_verzug_entgelt, tabKonto.kto_verzug_verzinslich, tabKonto.kto_verzug_unverzinslich, 
                      tabKonto.kto_rueckgabenbetrag, tabKonto.kto_rueckgabenanzahl, tabKonto.kto_aval_art, tabKonto.kto_aval_einzelbe, tabKonto.kto_aval_rahmenkontonr, 
                      tabKonto.kto_meta_anteil_kreditvolumen, tabKonto.kto_meta_anteil_inanspruchnahme, tabKonto.kto_monatliche_Habenumsaetze, 
                      tabKonto.kto_habenumsatz_lfd_jahr, tabKonto.kto_habenumsatz_vorjahr, tabKonto.kto_sperr_be, tabKonto.kto_ewb_e, tabKonto.kto_ewb_e_btrg_janf, 
                      tabKonto.kto_ewb_e_btrg_neu, tabKonto.kto_ewb_e_btrg_zugang, tabKonto.kto_ewb_e_afls_btrg, tabKonto.kto_ewb_e_absg_ind_btrg, 
                      tabKonto.kto_ewb_e_absg_dir_btrg, tabKonto.kto_ewb_v, tabKonto.kto_ewb_v_btrg_janf, tabKonto.kto_ewb_v_btrg_neu, tabKonto.kto_ewb_v_btrg_zugang, 
                      tabKonto.kto_ewb_v_afls_btrg, tabKonto.kto_ewb_v_absg_ind_btrg, tabKonto.kto_ewb_v_absg_dir_btrg, tabKonto.kto_relation_kredit_umsatz, tabKonto.kto_tilgung_3, 
                      tabKonto.kto_tilgung_4_12, tabKonto.kto_tilgung_13_60, tabKonto.kto_tilgung_61, tabKonto.Bdate, tabKonto.kto_kz_k_s, tabKonto.kto_kreditart, 
                      tabKonto.kto_datum_eroeffnung, tabKonto.kto_bewilligungs_datum, tabKonto.kto_befristung_datum, tabKonto.kto_ueberz_hoechste_quartal_2, 
                      tabKonto.kto_ueberz_hoechste_quartal_3, tabKonto.kto_ueberz_hoechste_quartal_4, tabKonto.kto_ueberziehungsdatum_ab, tabKonto.kto_ueberziehung_m_ev, 
                      tabKonto.kto_ueberziehung_o_ev, tabKonto.kto_zinssatz, tabKonto.kto_ab_merkmal, tabKonto.kto_mindestr, tabKonto.kto_offene_zusage, 
                      tabKonto.kto_bewilligtes_darlehen, tabKonto.kto_vorauszahlung, tabKonto.kto_avalkred_betrag, tabKonto.kto_anzahl_sicherheiten, tabKonto.kto_summe_sicherheiten,
                       tabKonto.kto_haben_umsatz_vq_1, tabKonto.kto_haben_umsatz_vq_2, tabKonto.kto_haben_umsatz_vq_3, tabKonto.kto_haben_umsatz_vq_4, 
                      tabKonto.kto_ewb_e_datum, tabKonto.kto_ewb_e_jahr, tabKonto.kto_ewb_e_waehrung, tabKonto.kto_ewb_e_ermg_verf, tabKonto.kto_ewb_e_daten_ursprung, 
                      tabKonto.kto_ewb_e_btrg_man, tabKonto.kto_ewb_e_btrg_blanko, tabKonto.kto_ewb_v_datum, tabKonto.kto_ewb_v_jahr, tabKonto.kto_ewb_v_waehrung, 
                      tabKonto.kto_ewb_v_ermg_verf, tabKonto.kto_ewb_v_daten_ursprung, tabKonto.kto_ewb_v_btrg_man, tabKonto.kto_ewb_v_btrg_blanko, 
                      tabKonto.kto_kontobezeichnung_depot_a, tabKonto.kto_mahnstand, tabKonto.kto_rk_Betrag, tabKonto.kto_rk_offene_Zusage, tabKonto.kto_rk_kz, 
                      tabKonto.kto_rk_ts
FROM         _tmpAuswahlEWB AS T INNER JOIN
                      tab_KNE_KN ON t.KNEID = tab_KNE_KN.KNEID INNER JOIN
                      tabKonto ON tab_KNE_KN.KNID = tabKonto.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1 
GROUP BY tabKonto.KontoID, tabKonto.KontoNr, tabKonto.KNID, tabKonto.KN, tabKonto.INR, tabKonto.kto_skontronr, tabKonto.kto_kreditkartennummer, tabKonto.kto_gp_key, 
                      tabKonto.kto_gp_variante, tabKonto.kto_geschaeftsart_depot_a, tabKonto.kto_kontentyp, tabKonto.kto_gesamtkreditvolumen, tabKonto.kto_saldo, 
                      tabKonto.kto_inanspruchnahme, tabKonto.kto_ueberziehung, tabKonto.kto_externer_kredit, tabKonto.kto_interner_kredit, tabKonto.kto_interner_kredit_bis, 
                      tabKonto.kto_ueberziehung_genehmigt, tabKonto.kto_ueberziehung_genehmigt_bis, tabKonto.kto_ueberz_hoechste_quartal_1, tabKonto.kto_ueberziehungstage, 
                      tabKonto.kto_kz_notleidend, tabKonto.kto_rueckstand_gesamt, tabKonto.kto_verzug_entgelt, tabKonto.kto_verzug_verzinslich, tabKonto.kto_verzug_unverzinslich, 
                      tabKonto.kto_rueckgabenbetrag, tabKonto.kto_rueckgabenanzahl, tabKonto.kto_aval_art, tabKonto.kto_aval_einzelbe, tabKonto.kto_aval_rahmenkontonr, 
                      tabKonto.kto_meta_anteil_kreditvolumen, tabKonto.kto_meta_anteil_inanspruchnahme, tabKonto.kto_monatliche_Habenumsaetze, 
                      tabKonto.kto_habenumsatz_lfd_jahr, tabKonto.kto_habenumsatz_vorjahr, tabKonto.kto_sperr_be, tabKonto.kto_ewb_e, tabKonto.kto_ewb_e_btrg_janf, 
                      tabKonto.kto_ewb_e_btrg_neu, tabKonto.kto_ewb_e_btrg_zugang, tabKonto.kto_ewb_e_afls_btrg, tabKonto.kto_ewb_e_absg_ind_btrg, 
                      tabKonto.kto_ewb_e_absg_dir_btrg, tabKonto.kto_ewb_v, tabKonto.kto_ewb_v_btrg_janf, tabKonto.kto_ewb_v_btrg_neu, tabKonto.kto_ewb_v_btrg_zugang, 
                      tabKonto.kto_ewb_v_afls_btrg, tabKonto.kto_ewb_v_absg_ind_btrg, tabKonto.kto_ewb_v_absg_dir_btrg, tabKonto.kto_relation_kredit_umsatz, tabKonto.kto_tilgung_3, 
                      tabKonto.kto_tilgung_4_12, tabKonto.kto_tilgung_13_60, tabKonto.kto_tilgung_61, tabKonto.Bdate, tabKonto.kto_kz_k_s, tabKonto.kto_kreditart, 
                      tabKonto.kto_datum_eroeffnung, tabKonto.kto_bewilligungs_datum, tabKonto.kto_befristung_datum, tabKonto.kto_ueberz_hoechste_quartal_2, 
                      tabKonto.kto_ueberz_hoechste_quartal_3, tabKonto.kto_ueberz_hoechste_quartal_4, tabKonto.kto_ueberziehungsdatum_ab, tabKonto.kto_ueberziehung_m_ev, 
                      tabKonto.kto_ueberziehung_o_ev, tabKonto.kto_zinssatz, tabKonto.kto_ab_merkmal, tabKonto.kto_mindestr, tabKonto.kto_offene_zusage, 
                      tabKonto.kto_bewilligtes_darlehen, tabKonto.kto_vorauszahlung, tabKonto.kto_avalkred_betrag, tabKonto.kto_anzahl_sicherheiten, tabKonto.kto_summe_sicherheiten,
                       tabKonto.kto_haben_umsatz_vq_1, tabKonto.kto_haben_umsatz_vq_2, tabKonto.kto_haben_umsatz_vq_3, tabKonto.kto_haben_umsatz_vq_4, 
                      tabKonto.kto_ewb_e_datum, tabKonto.kto_ewb_e_jahr, tabKonto.kto_ewb_e_waehrung, tabKonto.kto_ewb_e_ermg_verf, tabKonto.kto_ewb_e_daten_ursprung, 
                      tabKonto.kto_ewb_e_btrg_man, tabKonto.kto_ewb_e_btrg_blanko, tabKonto.kto_ewb_v_datum, tabKonto.kto_ewb_v_jahr, tabKonto.kto_ewb_v_waehrung, 
                      tabKonto.kto_ewb_v_ermg_verf, tabKonto.kto_ewb_v_daten_ursprung, tabKonto.kto_ewb_v_btrg_man, tabKonto.kto_ewb_v_btrg_blanko, 
                      tabKonto.kto_kontobezeichnung_depot_a, tabKonto.kto_mahnstand, tabKonto.kto_rk_Betrag, tabKonto.kto_rk_offene_Zusage, tabKonto.kto_rk_kz, tabKonto.kto_rk_ts
                      END
GO

Create PROCEDURE [dbo].[spExpKontoVBSammel]
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKontoVB ( SPID, KVBID, KontoID, SVZ_DB )
SELECT @SPID, tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB
FROM (_tmpAuswahlEWB as T INNER JOIN tab_KNE_KN ON t.KNEID = tab_KNE_KN.KNEID) INNER JOIN 
     (tabKonto INNER JOIN tabKontoVB ON tabKonto.KontoID = tabKontoVB.KontoID) ON tab_KNE_KN.KNID = tabKonto.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1 
GROUP BY tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB;
END
GO

Create PROCEDURE [dbo].[spExpKN_SegmenteSammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Segmente (SPID, KNID, KN, Segmentnr )
SELECT        T.SPID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr
FROM            _tmpAuswahlEWB AS T INNER JOIN
                         tab_KNE_KN ON T.KNEID = tab_KNE_KN.KNEID INNER JOIN
                         tabKN_Segmente ON tab_KNE_KN.KNID = tabKN_Segmente.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte AND T.Auswahl = 1
GROUP BY T.SPID, tabKN_Segmente.KNSID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr;
END
GO

create PROCEDURE [dbo].[spExpKN_SPK_KorrekturenSammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_SPK_Korrekturen (SPID, KNSPKID, KNID, KN_InAn_SPK, KN_InAn_SPK_Bemerkung, KreditArt )
SELECT        T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)) AS Expr1, tabKN_SPK_Korrekturen.KreditArt
FROM            _tmpAuswahlEWB AS T INNER JOIN
                         tab_KNE_KN ON T.KNEID = tab_KNE_KN.KNEID INNER JOIN
                         tabKN_SPK_Korrekturen ON tab_KNE_KN.KNID = tabKN_SPK_Korrekturen.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1 
GROUP BY T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)), tabKN_SPK_Korrekturen.KreditArt;
END
GO

ALTER PROCEDURE [dbo].[spExpSammelFilter] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expFilter ( SPID, FID, Filtername, Aktiv, EWBFilter, INR, BDate )
SELECT        T.spid, tabFilter.FID, tabFilter.Filtername, tabFilter.Aktiv, tabFilter.EWBFilter, tabFilter.INR, tabFilter.BDate
FROM            _tmpAuswahlEWB AS T INNER JOIN
                         tabEWBKNEFilter INNER JOIN
                         tabFilter ON tabEWBKNEFilter.Filter = tabFilter.FID AND tabEWBKNEFilter.SPID = tabFilter.SPID ON T.KNEID = tabEWBKNEFilter.KNEID AND 
                         T.SPID = tabEWBKNEFilter.SPID
GROUP BY t.spid, t.inr, t.bdate, tabFilter.FID, tabFilter.Filtername, tabFilter.Aktiv, tabFilter.EWBFilter, tabFilter.INR, tabFilter.BDate
HAVING        (tabFilter.EWBFilter = 1) and T.SPID = @SPID AND T.INR = @INR and T.BDate = @BDate;

--- Und jetzt noch die Filterkriterien hinterher schieben...
UPDATE    _expFilter
SET       Filterkriterien = tabFilter.Filterkriterien, LastFilter = tabFilter.LastFilter
FROM      _expFilter INNER JOIN
          tabFilter ON _expFilter.FID = tabFilter.FID and _expfilter.SPID = @SPID
END
GO

ALTER PROCEDURE [dbo].[spExpSammelKNEFilter] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKNEFilter (SPID, KNEID, Filter )
SELECT @SPID, tabEWBKNEFilter.KNEID, tabEWBKNEFilter.Filter
FROM _tmpAuswahlEWB  as T INNER JOIN tabEWBKNEFilter ON t.KNEID = tabEWBKNEFilter.KNEID and T.spid = tabEWBKNEFilter.spid 
where T.SPID = @SPID and T.INR = @INR and T.Bdate = @BDate and T.Auswahl = 1
GROUP BY tabEWBKNEFilter.KNEID, tabEWBKNEFilter.Filter;
END
GO

create PROCEDURE [dbo].[spExpSicherheitenSammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheiten
                      (SPID, KNID, LFDNR, kto_max_real, kto_max_personal, kto_max_wsft, kto_sich_betrag, kto_sich_schluessel, kto_sicherungsobjekt, INR, BDate)
SELECT     @SPID, tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
                      tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, tabSicherheiten.BDate
FROM         _tmpAuswahlEWB AS T INNER JOIN
                      tab_KNE_KN ON T.KNEID = tab_KNE_KN.KNEID INNER JOIN
                      tabSicherheiten ON tab_KNE_KN.KNID = tabSicherheiten.KNID 
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1 
GROUP BY tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
         tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, 
         tabSicherheiten.BDate;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpSicherheitenproKonto]    Script Date: 06.03.2017 20:21:47 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
Create PROCEDURE [dbo].[spExpSicherheitenproKontoSammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKonto
                      (SPID, Kontonr, KNID, LFDNR, kto_sich_schluessel, kto_realkreditvolumen_in, kto_personalkreditvolumen_in, kto_realkreditvolumen_wi, kto_personalkreditvolumen_wi, 
                      kto_komp_anteil_in, kto_komp_anteil_wi, kto_wirt_anteil_in, kto_blankokreditvolumen_in, kto_wirt_anteil_wi, kto_blankokreditvolumen_wi, 
                      kto_kommunalkreditvolumen_in, kto_kommunalkreditvolumen_wi, kto_freier_anteil_in, kto_freier_anteil_wi, INR, BDate)
SELECT     @SPID, SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate
FROM         _tmpAuswahlEWB AS T INNER JOIN
                      tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                      tabSicherheitenproKonto AS SK ON V.KNID = SK.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte  AND T.Auswahl = 1 
GROUP BY SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate;
END
GO

ALTER PROCEDURE [dbo].[spExpSicherheitenProKNID] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKNID
                      (SPID, KNID, INR, BDate, Grundpfandrechte_wi, Grundpfandrechte_in, Grundpfandrechte_wohn_wi, Grundpfandrechte_wohn_in, Grundpfandrechte_gew_wi, 
                      Grundpfandrechte_gew_in, Grundpfandrechte_real_wi, Grundpfandrechte_real_in, Guthaben_wi, Guthaben_in, Wertpapiere_in, Wertpapiere_wi, 
                      Sicherungsuebereignungen_wi, Sicherungsuebereignungen_in, Lebensversicherungen_wi, Lebensversicherungen_in, Zessionen_wi, Zessionen_in, 
                      Buergschaften_oeffentl_in, Buergschaften_oeffentl_wi, Buergschaften_sonst_in, Buergschaften_sonst_wi, Sonstiges_wi, Sonstiges_in, SPKRecht_nicht_Blanko_in, 
                      SPKRecht_nicht_Blanko_wi, DarunterKoerperschaft_in, DarunterKoerperschaft_wi, Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      Wirtschaftlich_bewertbare_Sicherheiten_in, Freie_Sicherheiten_in, Freie_Sicherheiten_wi, SPKRechtlich_Bewertbar_wi, SPKRechtlich_Bewertbar_in, 
                      SPKRechtl_Blanko_in, SPKRechtl_Blanko_wi, Wirtschaftlich_blanko_in, Wirtschaftlich_blanko_wi)
SELECT     @SPID, S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi
FROM         _tmpAuswahl AS T INNER JOIN
                      tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                      tabSicherheitenproKNID AS S ON V.KNID = S.KNID 
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte  
GROUP BY S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi                     ;
END
GO

create PROCEDURE [dbo].[spExpSicherheitenProKNIDSammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKNID
                      (SPID, KNID, INR, BDate, Grundpfandrechte_wi, Grundpfandrechte_in, Grundpfandrechte_wohn_wi, Grundpfandrechte_wohn_in, Grundpfandrechte_gew_wi, 
                      Grundpfandrechte_gew_in, Grundpfandrechte_real_wi, Grundpfandrechte_real_in, Guthaben_wi, Guthaben_in, Wertpapiere_in, Wertpapiere_wi, 
                      Sicherungsuebereignungen_wi, Sicherungsuebereignungen_in, Lebensversicherungen_wi, Lebensversicherungen_in, Zessionen_wi, Zessionen_in, 
                      Buergschaften_oeffentl_in, Buergschaften_oeffentl_wi, Buergschaften_sonst_in, Buergschaften_sonst_wi, Sonstiges_wi, Sonstiges_in, SPKRecht_nicht_Blanko_in, 
                      SPKRecht_nicht_Blanko_wi, DarunterKoerperschaft_in, DarunterKoerperschaft_wi, Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      Wirtschaftlich_bewertbare_Sicherheiten_in, Freie_Sicherheiten_in, Freie_Sicherheiten_wi, SPKRechtlich_Bewertbar_wi, SPKRechtlich_Bewertbar_in, 
                      SPKRechtl_Blanko_in, SPKRechtl_Blanko_wi, Wirtschaftlich_blanko_in, Wirtschaftlich_blanko_wi)
SELECT     @SPID, S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi
FROM         _tmpAuswahlEWB AS T INNER JOIN
                      tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                      tabSicherheitenproKNID AS S ON V.KNID = S.KNID 
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1  
GROUP BY S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi                     ;
END
GO

/****** Object:  StoredProcedure [dbo].[spExpKreditnehmerRESammel]    Script Date: 06.03.2017 20:36:19 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

/****** Object:  StoredProcedure [dbo].[spExpKreditnehmerRESammel]    Script Date: 18.01.2017 17:33:15 ******/

ALTER PROCEDURE [dbo].[spExpKreditnehmerRESammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmer
          (SPID, KNID, KN, kn_name, kn_berater, kn_ort, kn_kz_organ, kn_kusydsgv, kn_wirtschaftszweig, kn_ortskenn, kn_rating_methode, kn_rating_note, kn_rating_status, 
          kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
          kn_personalkreditvolumen_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, kn_kommunalkreditvolumen_wi, 
          kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, 
          kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, 
          kn_passiv_depot, kn_rueckgabenanzahl, kn_rueckgabenbetrag, kn_darlehensrueckstand, kn_Ueberziehung, kn_Inanspruchnahme, kn_ewb_e, kn_ewb_e_btrg_janf, 
          kn_ewb_e_btrg_neu, kn_ewb_e_btrg_zugang, kn_ewb_e_afls_btrg, kn_ewb_e_absg_ind_btrg, kn_ewb_e_absg_dir_btrg, kn_ewb_v, kn_ewb_v_btrg_janf, 
          kn_ewb_v_btrg_neu, kn_ewb_v_btrg_zugang, kn_ewb_v_afls_btrg, kn_ewb_v_absg_ind_btrg, kn_ewb_v_absg_dir_btrg, Bdate, Kn_Guthaben, kn_wv, kn_wv_verbnr, 
          kn_beruf_branche, kn_beruf, kn_strasse, kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, 
          kn_rechtl_s, kn_org_bankgrp_ausl, kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_saldo_umsatzlos, kn_kz_g_m_kred, 
          kn_ueberziehung_90, kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, 
          kn_kreditvolumen_fw_kredite, kn_kreditvolumen_beteiligung, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, kn_bew_rahmen_le, kn_labile_sicherheiten, 
          kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften, kn_kreditvolumen_akkreditive, kn_rating_datum, KN_GKV_SPK, 
          KN_GKV_SPK_Bemerkung, 
          KN_Kreditvolumen_az2, KN_Ueberschreitung_SPK, 
          KN_Ueberschreitung_SPK_Bemerkung, kn_PKV_SPG_in, kn_PKV_SPG_wi, INR, KN_wirt_anteil_in, 
          KN_wirt_anteil_wi, KN_Identnr, kn_verbund_art, kn_geko9513_gueltig_ab,
          KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	      KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 )
SELECT    @SPID, KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
          KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
          KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
          KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
          KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
          KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
          KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
          KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
          KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
          KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
          KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
          KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
          KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
          KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
          KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
          KN.KN_GKV_SPK, 
          cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), 
          KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
          cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
          KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
          KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
FROM         _tmpAuswahlEWB AS T INNER JOIN
          tabKN_RisikoSammel AS V ON T.KNEID = V.KNEID and t.spid = v.spid INNER JOIN
                      tabKreditnehmer AS KN ON V.KNID = KN.KNID
					   Where T.SPID = @SPID and T.INR = @INR and T.Bdate = @BDate and T.Auswahl = 1 
GROUP BY KN.KNID, KN.KN, KN.kn_name, KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_wirtschaftszweig, KN.kn_ortskenn, KN.kn_rating_methode, 
                      KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, 
                      KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, 
                      KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, 
                      KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, 
                      KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, 
                      KN.kn_rueckgabenbetrag, KN.kn_darlehensrueckstand, KN.kn_Ueberziehung, KN.kn_Inanspruchnahme, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, 
                      KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, 
                      KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                      KN.Bdate, KN.Kn_Guthaben, KN.kn_wv, KN.kn_wv_verbnr, KN.kn_beruf_branche, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, KN.kn_postleit, 
                      KN.kn_land, KN.kn_g_verb_s, KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_org_bankgrp_ausl, 
                      KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, KN.kn_rating_kennung_stp, KN.kn_saldo_umsatzlos, KN.kn_kz_g_m_kred, KN.kn_ueberziehung_90, 
                      KN.kn_kreditvolumen_derivate, KN.kn_kreditvolumen_wertpapiere, KN.kn_kreditvolumen_wp_leihe, KN.kn_kreditvolumen_geldhandel, 
                      KN.kn_kreditvolumen_fw_kredite, KN.kn_kreditvolumen_beteiligung, KN.kn_kreditvolumen_so_az9, KN.kn_kreditvolumen_kreditkarten, KN.kn_bew_rahmen_le, 
                      KN.kn_labile_sicherheiten, KN.kn_sicherheiten_uebereignung, KN.kn_zessionen, KN.kn_buergschaften, KN.kn_kreditvolumen_akkreditive, KN.kn_rating_datum, 
                      KN.KN_GKV_SPK, cast(KN.KN_GKV_SPK_Bemerkung as nvarchar(max)), KN.KN_Kreditvolumen_az2, KN.KN_Ueberschreitung_SPK, 
                      cast(KN.KN_Ueberschreitung_SPK_Bemerkung as nvarchar(max)), 
                      KN.kn_PKV_SPG_in, KN.kn_PKV_SPG_wi, KN.INR, KN.KN_wirt_anteil_in, KN.KN_wirt_anteil_wi, KN.KN_Identnr, KN.kn_verbund_art, KN.kn_geko9513_gueltig_ab,
                      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	                  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031 
                      END
GO

/****** Object:  StoredProcedure [dbo].[spExpKontoRESammel]    Script Date: 06.03.2017 20:38:50 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spExpKontoRESammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKonto
                      (SPID, KontoID, KontoNr, KN, INR, kto_skontronr, kto_kreditkartennummer, kto_gp_key, kto_gp_variante, kto_geschaeftsart_depot_a, kto_kontentyp, 
                      kto_gesamtkreditvolumen, kto_saldo, kto_inanspruchnahme, kto_ueberziehung, kto_externer_kredit, kto_interner_kredit, kto_interner_kredit_bis, 
                      kto_ueberziehung_genehmigt, kto_ueberziehung_genehmigt_bis, kto_ueberz_hoechste_quartal_1, kto_ueberziehungstage, kto_kz_notleidend, 
                      kto_rueckstand_gesamt, kto_verzug_entgelt, kto_verzug_verzinslich, kto_verzug_unverzinslich, kto_rueckgabenbetrag, kto_rueckgabenanzahl, kto_aval_art, 
                      kto_aval_einzelbe, kto_aval_rahmenkontonr, kto_meta_anteil_kreditvolumen, kto_meta_anteil_inanspruchnahme, kto_monatliche_Habenumsaetze, 
                      kto_habenumsatz_lfd_jahr, kto_habenumsatz_vorjahr, kto_sperr_be, kto_ewb_e, kto_ewb_e_btrg_janf, kto_ewb_e_btrg_neu, kto_ewb_e_btrg_zugang, 
                      kto_ewb_e_afls_btrg, kto_ewb_e_absg_ind_btrg, kto_ewb_e_absg_dir_btrg, kto_ewb_v, kto_ewb_v_btrg_janf, kto_ewb_v_btrg_neu, kto_ewb_v_btrg_zugang, 
                      kto_ewb_v_afls_btrg, kto_ewb_v_absg_ind_btrg, kto_ewb_v_absg_dir_btrg, kto_relation_kredit_umsatz, kto_tilgung_3, kto_tilgung_4_12, kto_tilgung_13_60, 
                      kto_tilgung_61, Bdate, kto_kz_k_s, kto_kreditart, kto_datum_eroeffnung, kto_bewilligungs_datum, kto_befristung_datum, kto_ueberz_hoechste_quartal_2, 
                      kto_ueberz_hoechste_quartal_3, kto_ueberz_hoechste_quartal_4, kto_ueberziehungsdatum_ab, kto_ueberziehung_m_ev, kto_ueberziehung_o_ev, kto_zinssatz, 
                      kto_ab_merkmal, kto_mindestr, kto_offene_zusage, kto_bewilligtes_darlehen, kto_vorauszahlung, kto_avalkred_betrag, kto_anzahl_sicherheiten, 
                      kto_summe_sicherheiten, kto_haben_umsatz_vq_1, kto_haben_umsatz_vq_2, kto_haben_umsatz_vq_3, kto_haben_umsatz_vq_4, kto_ewb_e_datum, 
                      kto_ewb_e_jahr, kto_ewb_e_waehrung, kto_ewb_e_ermg_verf, kto_ewb_e_daten_ursprung, kto_ewb_e_btrg_man, kto_ewb_e_btrg_blanko, kto_ewb_v_datum, 
                      kto_ewb_v_jahr, kto_ewb_v_waehrung, kto_ewb_v_ermg_verf, kto_ewb_v_daten_ursprung, kto_ewb_v_btrg_man, kto_ewb_v_btrg_blanko, 
                      kto_kontobezeichnung_depot_a, kto_mahnstand, KNID, kto_rk_offene_Zusage, kto_rk_kz, kto_rk_ts, kto_rk_Betrag)
SELECT    @SPID, K.KontoID, K.KontoNr, K.KN, K.INR, K.kto_skontronr, K.kto_kreditkartennummer, K.kto_gp_key, K.kto_gp_variante, K.kto_geschaeftsart_depot_a, K.kto_kontentyp, 
                      K.kto_gesamtkreditvolumen, K.kto_saldo, K.kto_inanspruchnahme, K.kto_ueberziehung, K.kto_externer_kredit, K.kto_interner_kredit, K.kto_interner_kredit_bis, 
                      K.kto_ueberziehung_genehmigt, K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberziehungstage, K.kto_kz_notleidend, 
                      K.kto_rueckstand_gesamt, K.kto_verzug_entgelt, K.kto_verzug_verzinslich, K.kto_verzug_unverzinslich, K.kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
                      K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_meta_anteil_kreditvolumen, K.kto_meta_anteil_inanspruchnahme, 
                      K.kto_monatliche_Habenumsaetze, K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_sperr_be, K.kto_ewb_e, K.kto_ewb_e_btrg_janf, 
                      K.kto_ewb_e_btrg_neu, K.kto_ewb_e_btrg_zugang, K.kto_ewb_e_afls_btrg, K.kto_ewb_e_absg_ind_btrg, K.kto_ewb_e_absg_dir_btrg, K.kto_ewb_v, 
                      K.kto_ewb_v_btrg_janf, K.kto_ewb_v_btrg_neu, K.kto_ewb_v_btrg_zugang, K.kto_ewb_v_afls_btrg, K.kto_ewb_v_absg_ind_btrg, K.kto_ewb_v_absg_dir_btrg, 
                      K.kto_relation_kredit_umsatz, K.kto_tilgung_3, K.kto_tilgung_4_12, K.kto_tilgung_13_60, K.kto_tilgung_61, K.Bdate, K.kto_kz_k_s, K.kto_kreditart, 
                      K.kto_datum_eroeffnung, K.kto_bewilligungs_datum, K.kto_befristung_datum, K.kto_ueberz_hoechste_quartal_2, K.kto_ueberz_hoechste_quartal_3, 
                      K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungsdatum_ab, K.kto_ueberziehung_m_ev, K.kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
                      K.kto_mindestr, K.kto_offene_zusage, K.kto_bewilligtes_darlehen, K.kto_vorauszahlung, K.kto_avalkred_betrag, K.kto_anzahl_sicherheiten, 
                      K.kto_summe_sicherheiten, K.kto_haben_umsatz_vq_1, K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, K.kto_ewb_e_datum, 
                      K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, K.kto_ewb_e_btrg_man, K.kto_ewb_e_btrg_blanko, 
                      K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, K.kto_ewb_v_btrg_man, 
                      K.kto_ewb_v_btrg_blanko, K.kto_kontobezeichnung_depot_a, K.kto_mahnstand, K.KNID, K.kto_rk_offene_Zusage, K.kto_rk_kz, K.kto_rk_ts, K.kto_rk_Betrag
FROM         _tmpAuswahlEWB as T INNER JOIN
                      tabKN_RisikoSammel AS V ON t.KNEID = V.KNEID and T.SPID = v.SPID INNER JOIN
                      tabKreditnehmer AS KN INNER JOIN
                      tabKonto AS K ON KN.KNID = K.KNID ON V.KNID = KN.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1 
GROUP BY K.KontoID, K.KontoNr, K.KN, K.INR, K.kto_skontronr, K.kto_kreditkartennummer, K.kto_gp_key, K.kto_gp_variante, K.kto_geschaeftsart_depot_a, K.kto_kontentyp, 
                      K.kto_gesamtkreditvolumen, K.kto_saldo, K.kto_inanspruchnahme, K.kto_ueberziehung, K.kto_externer_kredit, K.kto_interner_kredit, K.kto_interner_kredit_bis, 
                      K.kto_ueberziehung_genehmigt, K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberziehungstage, K.kto_kz_notleidend, 
                      K.kto_rueckstand_gesamt, K.kto_verzug_entgelt, K.kto_verzug_verzinslich, K.kto_verzug_unverzinslich, K.kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
                      K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_meta_anteil_kreditvolumen, K.kto_meta_anteil_inanspruchnahme, 
                      K.kto_monatliche_Habenumsaetze, K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_sperr_be, K.kto_ewb_e, K.kto_ewb_e_btrg_janf, 
                      K.kto_ewb_e_btrg_neu, K.kto_ewb_e_btrg_zugang, K.kto_ewb_e_afls_btrg, K.kto_ewb_e_absg_ind_btrg, K.kto_ewb_e_absg_dir_btrg, K.kto_ewb_v, 
                      K.kto_ewb_v_btrg_janf, K.kto_ewb_v_btrg_neu, K.kto_ewb_v_btrg_zugang, K.kto_ewb_v_afls_btrg, K.kto_ewb_v_absg_ind_btrg, K.kto_ewb_v_absg_dir_btrg, 
                      K.kto_relation_kredit_umsatz, K.kto_tilgung_3, K.kto_tilgung_4_12, K.kto_tilgung_13_60, K.kto_tilgung_61, K.Bdate, K.kto_kz_k_s, K.kto_kreditart, 
                      K.kto_datum_eroeffnung, K.kto_bewilligungs_datum, K.kto_befristung_datum, K.kto_ueberz_hoechste_quartal_2, K.kto_ueberz_hoechste_quartal_3, 
                      K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungsdatum_ab, K.kto_ueberziehung_m_ev, K.kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
                      K.kto_mindestr, K.kto_offene_zusage, K.kto_bewilligtes_darlehen, K.kto_vorauszahlung, K.kto_avalkred_betrag, K.kto_anzahl_sicherheiten, 
                      K.kto_summe_sicherheiten, K.kto_haben_umsatz_vq_1, K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, K.kto_ewb_e_datum, 
                      K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, K.kto_ewb_e_btrg_man, K.kto_ewb_e_btrg_blanko, 
                      K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, K.kto_ewb_v_btrg_man, 
                      K.kto_ewb_v_btrg_blanko, K.kto_kontobezeichnung_depot_a, K.kto_mahnstand, K.KNID, K.kto_rk_offene_Zusage, K.kto_rk_kz, K.kto_rk_ts, K.kto_rk_Betrag 
                      END
GO

ALTER PROCEDURE [dbo].[spExpKontoVBRESammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKontoVB (SPID, KVBID, KontoID, SVZ_DB )
SELECT @SPID, tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB
FROM (_tmpAuswahlEWb as T INNER JOIN tabKN_RisikoSammel ON t.KNEID = tabKN_RisikoSammel.KNEID and T.spid = tabKN_RisikoSammel.spid ) INNER JOIN (tabKreditnehmer INNER JOIN (tabKonto INNER JOIN tabKontoVB ON tabKonto.KontoID = tabKontoVB.KontoID) ON tabKreditnehmer.KN = tabKonto.KN) ON tabKN_RisikoSammel.KNID = tabKreditnehmer.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1  
GROUP BY tabKontoVB.KVBID, tabKontoVB.KontoID, tabKontoVB.SVZ_DB;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_SegmenteRESammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Segmente (SPID, KNSID, KNID, KN, Segmentnr )
SELECT        T.SPID, tabKN_Segmente.KNSID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr
FROM            _tmpAuswahlEWB AS T INNER JOIN
                         tabKN_RisikoSammel ON T.KNEID = tabKN_RisikoSammel.KNEID AND T.SPID = tabKN_RisikoSammel.SPID INNER JOIN
                         tabKreditnehmer INNER JOIN
                         tabKN_Segmente ON tabKreditnehmer.KN = tabKN_Segmente.KN ON tabKN_RisikoSammel.KNID = tabKreditnehmer.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1 
GROUP BY tabKN_Segmente.KNSID, tabKN_Segmente.KNID, tabKN_Segmente.KN, tabKN_Segmente.Segmentnr, T.SPID;
END
GO

ALTER PROCEDURE [dbo].[spExpKN_RisikoSammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_Risiko ( SPID, KNEID, RNR, KNID, RGrund, GBR_Quote )
SELECT T.SPID, tabKN_RisikoSammel.KNEID, tabKN_RisikoSammel.RNR, tabKN_RisikoSammel.KNID, tabKN_RisikoSammel.RGrund, tabKN_RisikoSammel.GBR_Quote
FROM _tmpAuswahlEWB as T INNER JOIN tabKN_RisikoSammel ON T.KNEID = tabKN_RisikoSammel.KNEID AND T.SPID = tabKN_RisikoSammel.SPID 
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1;
END
GO


ALTER PROCEDURE [dbo].[spExpKN_SPK_KorrekturenRESammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKN_SPK_Korrekturen ( SPID, KNSPKID, KNID, KN_InAn_SPK, KN_InAn_SPK_Bemerkung, KreditArt )
SELECT        T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)) AS Expr1, tabKN_SPK_Korrekturen.KreditArt
FROM            _tmpAuswahlEWB AS T INNER JOIN
                         tabKN_RisikoSammel ON T.KNEID = tabKN_RisikoSammel.KNEID AND T.SPID = tabKN_RisikoSammel.SPID INNER JOIN
                         tabKreditnehmer ON tabKN_RisikoSammel.KNID = tabKreditnehmer.KNID INNER JOIN
                         tabKN_SPK_Korrekturen ON tabKreditnehmer.KNID = tabKN_SPK_Korrekturen.KNID
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1 
GROUP BY  T.SPID, tabKN_SPK_Korrekturen.KNSPKID, tabKN_SPK_Korrekturen.KNID, tabKN_SPK_Korrekturen.KN_InAn_SPK, 
                         CAST(tabKN_SPK_Korrekturen.KN_InAn_SPK_Bemerkung AS nvarchar(MAX)), tabKN_SPK_Korrekturen.KreditArt;
END
GO


ALTER PROCEDURE [dbo].[spExpSicherheitenRESammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheiten
                      (SPID, KNID, LFDNR, kto_max_real, kto_max_personal, kto_max_wsft, kto_sich_betrag, kto_sich_schluessel, kto_sicherungsobjekt, INR, BDate)
SELECT     @SPID, tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
                      tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, tabSicherheiten.BDate
FROM         _tmpAuswahlEWB AS T INNER JOIN
                      tabKN_RisikoSammel as V ON T.KNEID = v.KNEID and T.spid = v.spid INNER JOIN
                      tabSicherheiten ON v.KNID = tabSicherheiten.KNID 
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1 
GROUP BY tabSicherheiten.KNID, tabSicherheiten.LFDNR, tabSicherheiten.kto_max_real, tabSicherheiten.kto_max_personal, tabSicherheiten.kto_max_wsft, 
         tabSicherheiten.kto_sich_betrag, tabSicherheiten.kto_sich_schluessel, tabSicherheiten.kto_sicherungsobjekt, tabSicherheiten.INR, tabSicherheiten.BDate
END
GO


ALTER PROCEDURE [dbo].[spExpSicherheitenproKontoRESammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKonto
                      (SPID, Kontonr, KNID, LFDNR, kto_sich_schluessel, kto_realkreditvolumen_in, kto_personalkreditvolumen_in, kto_realkreditvolumen_wi, kto_personalkreditvolumen_wi, 
                      kto_komp_anteil_in, kto_komp_anteil_wi, kto_wirt_anteil_in, kto_blankokreditvolumen_in, kto_wirt_anteil_wi, kto_blankokreditvolumen_wi, 
                      kto_kommunalkreditvolumen_in, kto_kommunalkreditvolumen_wi, kto_freier_anteil_in, kto_freier_anteil_wi, INR, BDate)
SELECT     @SPID, SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate
FROM         _tmpAuswahlEWB AS T INNER JOIN
                      tabKN_RisikoSammel AS V ON T.KNEID = V.KNEID and T.spid = v.spid INNER JOIN
                      tabSicherheitenproKonto AS SK ON V.KNID = SK.KNID 
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1 
GROUP BY SK.Kontonr, SK.KNID, SK.LFDNR, SK.kto_sich_schluessel, SK.kto_realkreditvolumen_in, SK.kto_personalkreditvolumen_in, SK.kto_realkreditvolumen_wi, 
                      SK.kto_personalkreditvolumen_wi, SK.kto_komp_anteil_in, SK.kto_komp_anteil_wi, SK.kto_wirt_anteil_in, SK.kto_blankokreditvolumen_in, SK.kto_wirt_anteil_wi, 
                      SK.kto_blankokreditvolumen_wi, SK.kto_kommunalkreditvolumen_in, SK.kto_kommunalkreditvolumen_wi, SK.kto_freier_anteil_in, SK.kto_freier_anteil_wi, SK.INR, 
                      SK.BDate;
END
GO

ALTER PROCEDURE [dbo].[spExpSicherheitenProKNIDRESammel] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expSicherheitenproKNID
                      (SPID, KNID, INR, BDate, Grundpfandrechte_wi, Grundpfandrechte_in, Grundpfandrechte_wohn_wi, Grundpfandrechte_wohn_in, Grundpfandrechte_gew_wi, 
                      Grundpfandrechte_gew_in, Grundpfandrechte_real_wi, Grundpfandrechte_real_in, Guthaben_wi, Guthaben_in, Wertpapiere_in, Wertpapiere_wi, 
                      Sicherungsuebereignungen_wi, Sicherungsuebereignungen_in, Lebensversicherungen_wi, Lebensversicherungen_in, Zessionen_wi, Zessionen_in, 
                      Buergschaften_oeffentl_in, Buergschaften_oeffentl_wi, Buergschaften_sonst_in, Buergschaften_sonst_wi, Sonstiges_wi, Sonstiges_in, SPKRecht_nicht_Blanko_in, 
                      SPKRecht_nicht_Blanko_wi, DarunterKoerperschaft_in, DarunterKoerperschaft_wi, Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      Wirtschaftlich_bewertbare_Sicherheiten_in, Freie_Sicherheiten_in, Freie_Sicherheiten_wi, SPKRechtlich_Bewertbar_wi, SPKRechtlich_Bewertbar_in, 
                      SPKRechtl_Blanko_in, SPKRechtl_Blanko_wi, Wirtschaftlich_blanko_in, Wirtschaftlich_blanko_wi)
SELECT    @SPID, S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi
FROM         _tmpAuswahlewb AS T INNER JOIN
                      tabKN_RIsikoSammel AS V ON T.KNEID = V.KNEID AND T.spid = V.spid INNER JOIN
                      tabSicherheitenproKNID AS S ON V.KNID = S.KNID 
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1  
GROUP BY S.KNID, S.INR, S.BDate, S.Grundpfandrechte_wi, S.Grundpfandrechte_in, S.Grundpfandrechte_wohn_wi, S.Grundpfandrechte_wohn_in, S.Grundpfandrechte_gew_wi, 
                      S.Grundpfandrechte_gew_in, S.Grundpfandrechte_real_wi, S.Grundpfandrechte_real_in, S.Guthaben_wi, S.Guthaben_in, S.Wertpapiere_in, S.Wertpapiere_wi, 
                      S.Sicherungsuebereignungen_wi, S.Sicherungsuebereignungen_in, S.Lebensversicherungen_wi, S.Lebensversicherungen_in, S.Zessionen_wi, S.Zessionen_in, 
                      S.Buergschaften_oeffentl_in, S.Buergschaften_oeffentl_wi, S.Buergschaften_sonst_in, S.Buergschaften_sonst_wi, S.Sonstiges_wi, S.Sonstiges_in, 
                      S.SPKRecht_nicht_Blanko_in, S.SPKRecht_nicht_Blanko_wi, S.DarunterKoerperschaft_in, S.DarunterKoerperschaft_wi, S.Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                      S.Wirtschaftlich_bewertbare_Sicherheiten_in, S.Freie_Sicherheiten_in, S.Freie_Sicherheiten_wi, S.SPKRechtlich_Bewertbar_wi, S.SPKRechtlich_Bewertbar_in, 
                      S.SPKRechtl_Blanko_in, S.SPKRechtl_Blanko_wi, S.Wirtschaftlich_blanko_in, S.Wirtschaftlich_blanko_wi    
                     
END
GO

ALTER PROCEDURE [dbo].[spSammelExportKNESicherheiten] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT  cast(substring(KNEID,10,15) as bigint)  AS Schluessel 
FROM _tmpAuswahlEWB  as T
where T.spid = @SPID AND T.INR = @INR and T.Bdate = @BDAte and T.Auswahl = 1
END
GO

ALTER PROCEDURE [dbo].[spSammelExportRESicherheiten] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT CASE WHEN RGrund='KNE' THEN KNE.KNE ELSE cast(right(tabKN_Risiko.KNID,15) as bigint) END AS Schluessel 
FROM _tmpAuswahlEWB as T inner Join tabKreditnehmereinheit as KNE ON T.KNEID = KNE.KNEID 
INNER JOIN tabKN_Risiko ON KNE.KNEID = tabKN_Risiko.KNEID
WHERE        (T.INR = @InstNR) AND (T.Bdate = @BDate) AND (T.SPID = @SPID) and T.Auswahl = 1 
GROUP BY CASE WHEN RGrund='KNE' THEN KNE.KNE ELSE cast(right(tabKN_Risiko.KNID,15) as bigint) END
END
GO


CREATE FUNCTION [dbo].[EinzelExportXLS_Basis] 
(
    @INSTNR nvarchar(3),
    @BDate datetime,
	@SPID int 
)
RETURNS TABLE
AS
RETURN
(	
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_externe_kredite, KNE.kne_interne_kredite, kne_Bonitaet, kne_Ueberziehungsgenehmigungen, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, 
Kne_Guthaben, kne_Realkreditvolumen_in, kne_Personalkreditvolumen_in, kne_PKV_SPG_in,   
kne_Kreditueberschreitung, KNE.KNE_Name, KNE.kne_Darlehensrueckstand, KNE.kne_Risikoklasse, 
kne_blankokreditvolumen_in, kne_Kommunalkreditvolumen_in, kne_Kompensationskreditvolumen_in, kne_freier_anteil_in, 
kne_wirt_anteil_in, kne_Realkreditvolumen_wi, kne_Personalkreditvolumen_wi, kne_blankokreditvolumen_wi, 
kne_Kommunalkreditvolumen_wi, kne_Kompensationskreditvolumen_wi, kne_freier_anteil_wi, kne_wirt_anteil_wi, 
kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg,
kne_ewb_e, kne_ewb_e_absg_dir_btrg, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, kne_ewb_v_afls_btrg,
kne_ewb_v_absg_ind_btrg, kne_ewb_v, kne_ewb_v_absg_dir_btrg, kne_ewb_Veraenderung, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, V.GBR_Quote AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031
FROM  _tmpAuswahl as T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID INNER JOIN 
      tabKreditnehmer AS KN INNER JOIN
      tab_KNE_KN AS V ON KN.KNID = V.KNID ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
      _tmpSegmente1Bis7 ON KN.KNID = _tmpSegmente1Bis7.KNID LEFT OUTER JOIN
      tabKonto AS K ON KN.KNID = K.KNID LEFT OUTER JOIN
      _tmpVB1Bis5 ON K.KontoID = _tmpVB1Bis5.KontoID
where t.BDate = @BDate and t.INR = @InstNR AND T.SPID = @SPID
)
GO


Alter PROCEDURE [dbo].[spSichernAuswahlKNE] 
    @AuswahlID int,
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
    -- Zunchst Stze anlegen fr die Einzelstichprobe, spter dann fr die Sammelstichprobe Stze ergnzen oder updaten
INSERT INTO sichernAuswahlKNE
            (KNEID, Auswahl, AuswahlID)
SELECT      KNEID, 1, @AuswahlID AS AuswahlID 
FROM        _tmpauswahl 
WHERE       INR = @Instnr and BDate = @BDate and SPID = @SPID      


DECLARE @KNEID nvarchar(24)
DECLARE @AUswahl bit
DECLARE DB_cursor CURSOR FOR 
Select KNEID, Auswahl from _tmpAuswahlEWB WHERE  INR = @Instnr and BDate = @BDate and SPID = @SPID 
OPEN DB_cursor
Fetch next From db_cursor into @KNEID, @Auswahl

WHILE @@FETCH_STATUS = 0 
  BEGIN
	  Begin TRY
		INSERT INTO sichernAuswahlKNE (KNEID, EWBAuswahl, EWBStichprobe, AuswahlID) Values (@KNEID, 1, @Auswahl,  @AuswahlID)
	  END TRY
	  BEGIN CATCH
		Update sichernAuswahlKNE SET EWBAuswahl = 1, EWBStichprobe = @Auswahl Where KNEID = @KNEID and AuswahlID = @AuswahlID
	  END CATCH
	  Fetch next From db_cursor into @KNEID, @Auswahl
  END 
  Close DB_cursor
  DEallocate db_cursor           
END
GO

ALTER PROCEDURE [dbo].[spEWBStichprobe] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT T.Auswahl as Auswahl, KNE.KNEID, KNE.KNE, KNE.KNE_Name, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, KNE.kne_gesamtkreditvolumen_not, 
KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_Personalkreditvolumen_in, 
KNE.kne_Realkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, KNE.kne_Kreditueberschreitung, KNE.kne_Ueberziehungsgenehmigungen
FROM _tmpAuswahlEWB as T INNER JOIN tabkreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID 
WHERE T.Auswahl=1 AND T.SPID = @SPID AND KNE.Bdate=@bdate AND KNE.INR=@InstNr  
ORDER BY KNE.kne_gesamtkreditvolumen DESC;
END
GO

Alter Table sichernAuswahlKNE ADD CONSTRAINT [DF_sichernAuswahlKNE_Auswahl]  DEFAULT ((0)) For Auswahl;
Alter Table sichernAuswahlKNE ADD CONSTRAINT [DF_sichernAuswahlKNE_EWBAuswahl]  DEFAULT ((0)) for EWBAuswahl;
Alter Table sichernAuswahlKNE ADD CONSTRAINT [DF_sichernAuswahlKNE_EWBStichprobe]  DEFAULT ((0)) for EWBStichprobe;
GO

/****** Object:  StoredProcedure [dbo].[spLoescheAuswahl]    Script Date: 07.03.2017 16:16:21 ******/
DROP PROCEDURE [dbo].[spLoescheAuswahl]
GO

ALTER PROCEDURE [dbo].[spLadenAuswahlKNE] 
    @AuswahlID int,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
    -- Erstmal die Treffer der EInzelstichprobe einspielen
INSERT INTO _tmpAuswahl
                         (SPID, KNEID, INR, Bdate)
SELECT        @SPID AS SPID, sichernAuswahlKNE.KNEID, sichernAuswahl.INR, sichernAuswahl.BDate
FROM            sichernAuswahlKNE INNER JOIN
                         sichernAuswahl ON sichernAuswahlKNE.AuswahlID = sichernAuswahl.AuswahlID
WHERE        (sichernAuswahlKNE.AuswahlID = @AuswahlID) AND (sichernAuswahlKNE.Auswahl = 1)

INSERT INTO _tmpAuswahlEWB
                         (SPID, KNEID, INR, Bdate, Auswahl)
SELECT        @SPID AS SPID, sichernAuswahlKNE.KNEID, sichernAuswahl.INR, sichernAuswahl.BDate, sichernAuswahlKNE.EWBStichprobe
FROM            sichernAuswahlKNE INNER JOIN
                         sichernAuswahl ON sichernAuswahlKNE.AuswahlID = sichernAuswahl.AuswahlID
WHERE        (sichernAuswahlKNE.AuswahlID = @AuswahlID) AND (sichernAuswahlKNE.EWBAuswahl = 1)
END
GO

/****** Object:  View [dbo].[viewEngagementbogenSeite1]    Script Date: 07.03.2017 16:56:42 ******/
DROP VIEW [dbo].[viewEngagementbogenSeite1]
GO

/****** Object:  View [dbo].[viewEngagementbogenSeite1]    Script Date: 07.03.2017 16:56:42 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewEngagementbogenSeite1]
AS
SELECT        TOP (100) PERCENT T.KNEID, T.KNEID + T.RGrund + T.KNE_Name AS Sortierung, KN.KN_Identnr, T.KNE_Name, T.kne_berater, T.kne_identnr, KN.KNID, KN.KN, 
                         T.RNR, dbo.tabKN_Risiko.RGrund, KN.kn_name, KN.kn_ort, KN.kn_land, dbo.tabRechtsformen.Rechtsform, KN.kn_beruf_branche, O.OrganText, KN.kn_kz_g_m_kred, 
                         T.Bdate, T.INR, KN.kn_gesamtkreditvolumen, T.SPID
FROM            dbo.tabKN_Risiko INNER JOIN
                         dbo.tabKreditnehmer AS KN LEFT OUTER JOIN
                         dbo.tabOrganKZ AS O ON KN.kn_kz_organ = O.OrganKZ ON dbo.tabKN_Risiko.KNID = KN.KNID INNER JOIN
                         dbo._tmpRisikoeinheit AS T ON dbo.tabKN_Risiko.RNR = T.RNR AND dbo.tabKN_Risiko.SPID = T.SPID LEFT OUTER JOIN
                         dbo.tabRechtsformen ON KN.kn_o_rechts = dbo.tabRechtsformen.kn_o_Rechts
ORDER BY KN.kn_gesamtkreditvolumen DESC, KN.kn_name

GO

/****** Object:  View [dbo].[viewEngagementbogenSeite1Sammel]    Script Date: 07.03.2017 16:58:03 ******/
DROP VIEW [dbo].[viewEngagementbogenSeite1Sammel]
GO

/****** Object:  View [dbo].[viewEngagementbogenSeite1Sammel]    Script Date: 07.03.2017 16:58:03 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewEngagementbogenSeite1Sammel]
AS
SELECT        TOP (100) PERCENT T.KNEID, T.KNEID + T.RGrund + T.KNE_Name AS Sortierung, KN.KN_Identnr, T.KNE_Name, T.kne_berater, T.kne_identnr, KN.KNID, KN.KN, 
                         T.RNR, dbo.tabKN_RisikoSammel.RGrund, KN.kn_name, KN.kn_ort, KN.kn_land, dbo.tabRechtsformen.Rechtsform, KN.kn_beruf_branche, O.OrganText, 
                         KN.kn_kz_g_m_kred, T.Bdate, T.INR, KN.kn_gesamtkreditvolumen, T.SPID
FROM            dbo.tabKN_RisikoSammel INNER JOIN
                         dbo.tabKreditnehmer AS KN LEFT OUTER JOIN
                         dbo.tabOrganKZ AS O ON KN.kn_kz_organ = O.OrganKZ ON dbo.tabKN_RisikoSammel.KNID = KN.KNID INNER JOIN
                         dbo._tmpRisikoeinheit AS T ON dbo.tabKN_RisikoSammel.RNR = T.RNR AND dbo.tabKN_RisikoSammel.SPID = T.SPID LEFT OUTER JOIN
                         dbo.tabRechtsformen ON KN.kn_o_rechts = dbo.tabRechtsformen.kn_o_Rechts
ORDER BY KN.kn_gesamtkreditvolumen DESC, KN.kn_name

GO

/****** Object:  View [dbo].[viewEngagementbogenSeite2]    Script Date: 07.03.2017 17:00:17 ******/
DROP VIEW [dbo].[viewEngagementbogenSeite2]
GO

/****** Object:  View [dbo].[viewEngagementbogenSeite2]    Script Date: 07.03.2017 17:00:17 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewEngagementbogenSeite2]
AS
SELECT        TOP (100) PERCENT T.KNEID, KN.KNID, KN.KN, T.RNR, dbo.tabKN_Risiko.RGrund, KN.kn_name, KN.kn_berater, CASE WHEN GBR_Quote IS NOT NULL 
                         THEN CAST(gbr_quote AS nvarchar(10)) ELSE 'n. b.' END AS GBRQuote, KN.kn_rating_note, KN.kn_rating_methode, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, 
                         KN.kn_risikoklasse, KN.kn_rueckgabenanzahl, ISNULL(KN.kn_rueckgabenbetrag, 0) AS kn_rueckgabenbetrag, KN.kn_bew_rahmen_le, ISNULL(KN.Kn_Guthaben, 0) 
                         AS kn_Guthaben, KN.kn_rating_datum, T.KNE_Name, KN.kn_gesamtkreditvolumen, KN.kn_ort
FROM            dbo.tabKreditnehmer AS KN INNER JOIN
                         dbo.tabKN_Risiko ON KN.KNID = dbo.tabKN_Risiko.KNID RIGHT OUTER JOIN
                         dbo._tmpRisikoeinheit AS T ON dbo.tabKN_Risiko.SPID = T.SPID AND dbo.tabKN_Risiko.RNR = T.RNR
ORDER BY KN.kn_gesamtkreditvolumen DESC, KN.kn_name

GO

/****** Object:  View [dbo].[viewEngagementbogenSeite2Sammel]    Script Date: 07.03.2017 17:00:57 ******/
DROP VIEW [dbo].[viewEngagementbogenSeite2Sammel]
GO

/****** Object:  View [dbo].[viewEngagementbogenSeite2Sammel]    Script Date: 07.03.2017 17:00:57 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewEngagementbogenSeite2Sammel]
AS
SELECT        TOP (100) PERCENT T.KNEID, KN.KNID, KN.KN, T.RNR, dbo.tabKN_RisikoSammel.RGrund, KN.kn_name, KN.kn_berater, CASE WHEN GBR_Quote IS NOT NULL 
                         THEN CAST(gbr_quote AS nvarchar(10)) ELSE 'n. b.' END AS GBRQuote, KN.kn_rating_note, KN.kn_rating_methode, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, 
                         KN.kn_risikoklasse, KN.kn_rueckgabenanzahl, ISNULL(KN.kn_rueckgabenbetrag, 0) AS kn_rueckgabenbetrag, KN.kn_bew_rahmen_le, ISNULL(KN.Kn_Guthaben, 0) 
                         AS kn_Guthaben, KN.kn_rating_datum, T.KNE_Name, KN.kn_gesamtkreditvolumen, KN.kn_ort, T.SPID
FROM            dbo.tabKreditnehmer AS KN INNER JOIN
                         dbo.tabKN_RisikoSammel ON KN.KNID = dbo.tabKN_RisikoSammel.KNID RIGHT OUTER JOIN
                         dbo._tmpRisikoeinheit AS T ON dbo.tabKN_RisikoSammel.SPID = T.SPID AND dbo.tabKN_RisikoSammel.RNR = T.RNR
ORDER BY KN.kn_gesamtkreditvolumen DESC, KN.kn_name

GO

ALTER PROCEDURE [dbo].[spRisikoeinheitenAusgewaehltSammel] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT K.KNEID, K.KNE_Name
FROM tabKreditnehmereinheit AS K INNER JOIN _tmpAuswahlEWB as T on K.KNEID = T.KNEID 
WHERE K.BDate = @BDate and K.INR = @instnr and T.SPID = @SPID and Auswahl = 1  
ORDER BY K.KNE_Name
END
GO

/****** Object:  View [dbo].[viewSummenblattKNE]    Script Date: 08.03.2017 09:24:30 ******/
DROP VIEW [dbo].[viewSummenblattKNE]
GO

/****** Object:  View [dbo].[viewSummenblattKNE]    Script Date: 08.03.2017 09:24:30 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSummenblattKNE]
AS
SELECT        T.SPID, V.KNEID, V.KNID, KNE.KNE_Name, KNE.kne_berater, KNE.Bdate, KNE.KNE_Name + KNE.KNEID AS Sortierung, KN.kn_name, KN.KN, 
                         CAST(ISNULL(KN.kn_blankokreditvolumen_wi, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS BlankoZusage, CAST(ISNULL(KN.kn_blankokreditvolumen_in, 0) 
                         * V.GBR_Quote / 1000 AS numeric(18, 0)) AS BlankoInAn, CAST(ISNULL(KN.kn_Inanspruchnahme, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS InAn, 
                         CAST(ISNULL(KN.kn_gesamtkreditvolumen, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS GesamtKV, CAST(SUM(CASE WHEN k.kto_gp_key = '1' OR
                         k.kto_gp_key = '0' OR
                         k.kto_gp_key = '5' THEN isnull(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS KKWechsel, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '1' OR
                         k.kto_gp_key = '0' OR
                         k.kto_gp_key = '5' OR
                         k.kto_gp_key = '2' THEN isnull(K.kto_Ueberziehung, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) + CAST(ISNULL(KN.kn_darlehensrueckstand, 0) 
                         * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Ueberziehung, CAST(SUM(CASE WHEN (k.kto_gp_key = '6' AND k.kto_kontentyp <> 'TREUKR' AND 
                         k.kto_kontentyp <> 'VERWKR') OR
                         K.kto_gp_key = '2' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Darlehen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '9' OR
                         k.kto_gp_key = 'G' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS HKKonten, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '7' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS AvaleAkkr, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'W' OR
                         k.kto_gp_key = 'B' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS WertpapiereBeteiligungen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'D' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Andere
FROM            dbo._tmpKNE AS T INNER JOIN
                         dbo.tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID INNER JOIN
                         dbo.tab_KNE_KN AS V ON KNE.KNEID = V.KNEID INNER JOIN
                         dbo.tabKreditnehmer AS KN ON V.KNID = KN.KNID LEFT OUTER JOIN
                         dbo.tabKonto AS K ON KN.KNID = K.KNID
GROUP BY V.KNEID, KNE.KNE_Name, KNE.kne_berater, KNE.Bdate, KNE.KNE_Name + KNE.KNEID, V.KNID, V.GBR_Quote, KN.kn_Ueberziehung, 
                         KN.kn_blankokreditvolumen_wi, KN.kn_blankokreditvolumen_in, KN.kn_Inanspruchnahme, KN.kn_gesamtkreditvolumen, KN.kn_name, KN.KN, 
                         KN.kn_darlehensrueckstand, T.SPID

GO

/****** Object:  View [dbo].[viewSummenblattRisiko]    Script Date: 08.03.2017 09:25:36 ******/
DROP VIEW [dbo].[viewSummenblattRisiko]
GO

/****** Object:  View [dbo].[viewSummenblattRisiko]    Script Date: 08.03.2017 09:25:36 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSummenblattRisiko]
AS
SELECT        dbo._tmpRisikoeinheit.SPID, dbo._tmpRisikoeinheit.KNE_Name, dbo._tmpRisikoeinheit.kne_berater, dbo._tmpRisikoeinheit.Bdate, KN.kn_name, KN.KN, 
                         CAST(ISNULL(KN.kn_blankokreditvolumen_wi, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS BlankoZusage, CAST(ISNULL(KN.kn_blankokreditvolumen_in, 0) 
                         * V.GBR_Quote / 1000 AS numeric(18, 0)) AS BlankoInAn, CAST(ISNULL(KN.kn_Inanspruchnahme, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS InAn, 
                         CAST(ISNULL(KN.kn_gesamtkreditvolumen, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS GesamtKV, CAST(SUM(CASE WHEN k.kto_gp_key = '1' OR
                         k.kto_gp_key = '0' OR
                         k.kto_gp_key = '5' THEN isnull(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS KKWechsel, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '1' OR
                         k.kto_gp_key = '0' OR
                         k.kto_gp_key = '5' OR
                         k.kto_gp_key = '2' THEN isnull(K.kto_Ueberziehung, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) + CAST(ISNULL(KN.kn_darlehensrueckstand, 0) 
                         * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Ueberziehung, CAST(SUM(CASE WHEN (k.kto_gp_key = '6' AND k.kto_kontentyp <> 'TREUKR' AND 
                         k.kto_kontentyp <> 'VERWKR') OR
                         k.kto_gp_key = '2' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Darlehen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '9' OR
                         k.kto_gp_key = 'G' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS HKKonten, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '7' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS AvaleAkkr, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'W' OR
                         k.kto_gp_key = 'B' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS WertpapiereBeteiligungen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'D' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Andere, 
                         V.GBR_Quote, dbo._tmpRisikoeinheit.KNEID, dbo._tmpRisikoeinheit.KNID, dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.RGrund, 
                         dbo._tmpRisikoeinheit.KNE_Name + dbo._tmpRisikoeinheit.KNEID AS Sortierung, V.KNID AS Expr1
FROM            dbo.tabKN_Risiko AS V INNER JOIN
                         dbo.tabKreditnehmer AS KN ON V.KNID = KN.KNID INNER JOIN
                         dbo._tmpRisikoeinheit ON V.RNR = dbo._tmpRisikoeinheit.RNR AND V.SPID = dbo._tmpRisikoeinheit.SPID LEFT OUTER JOIN
                         dbo.tabKonto AS K ON KN.KNID = K.KNID
GROUP BY dbo._tmpRisikoeinheit.KNE_Name, dbo._tmpRisikoeinheit.kne_berater, dbo._tmpRisikoeinheit.Bdate, V.GBR_Quote, KN.kn_Ueberziehung, 
                         KN.kn_blankokreditvolumen_wi, KN.kn_blankokreditvolumen_in, KN.kn_Inanspruchnahme, KN.kn_gesamtkreditvolumen, KN.kn_name, KN.KN, 
                         dbo._tmpRisikoeinheit.KNEID, dbo._tmpRisikoeinheit.KNID, dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.RGrund, 
                         dbo._tmpRisikoeinheit.KNE_Name + dbo._tmpRisikoeinheit.KNEID, V.KNID, KN.kn_darlehensrueckstand, dbo._tmpRisikoeinheit.SPID

GO

/****** Object:  View [dbo].[viewSummenblattRisikoSammel]    Script Date: 08.03.2017 09:26:42 ******/
DROP VIEW [dbo].[viewSummenblattRisikoSammel]
GO

/****** Object:  View [dbo].[viewSummenblattRisikoSammel]    Script Date: 08.03.2017 09:26:42 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSummenblattRisikoSammel]
AS
SELECT        dbo._tmpRisikoeinheit.SPID, dbo._tmpRisikoeinheit.KNE_Name, dbo._tmpRisikoeinheit.kne_berater, dbo._tmpRisikoeinheit.Bdate, KN.kn_name, KN.KN, 
                         CAST(ISNULL(KN.kn_blankokreditvolumen_wi, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS BlankoZusage, CAST(ISNULL(KN.kn_blankokreditvolumen_in, 0) 
                         * V.GBR_Quote / 1000 AS numeric(18, 0)) AS BlankoInAn, CAST(ISNULL(KN.kn_Inanspruchnahme, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS InAn, 
                         CAST(ISNULL(KN.kn_gesamtkreditvolumen, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS GesamtKV, CAST(SUM(CASE WHEN k.kto_gp_key = '1' OR
                         k.kto_gp_key = '0' OR
                         k.kto_gp_key = '5' THEN isnull(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS KKWechsel, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '1' OR
                         k.kto_gp_key = '0' OR
                         k.kto_gp_key = '5' OR
                         k.kto_gp_key = '2' THEN isnull(K.kto_Ueberziehung, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) + CAST(ISNULL(KN.kn_darlehensrueckstand, 0) 
                         * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Ueberziehung, CAST(SUM(CASE WHEN (k.kto_gp_key = '6' AND k.kto_kontentyp <> 'TREUKR' AND 
                         k.kto_kontentyp <> 'VERWKR') OR
                         k.kto_gp_key = '2' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Darlehen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '9' OR
                         k.kto_gp_key = 'G' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS HKKonten, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '7' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS AvaleAkkr, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'W' OR
                         k.kto_gp_key = 'B' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS WertpapiereBeteiligungen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'D' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Andere, 
                         V.GBR_Quote, dbo._tmpRisikoeinheit.KNEID, dbo._tmpRisikoeinheit.KNID, dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.RGrund, 
                         dbo._tmpRisikoeinheit.KNE_Name + dbo._tmpRisikoeinheit.KNEID AS Sortierung
FROM            dbo.tabKN_RisikoSammel AS V INNER JOIN
                         dbo.tabKreditnehmer AS KN ON V.KNID = KN.KNID INNER JOIN
                         dbo._tmpRisikoeinheit ON V.RNR = dbo._tmpRisikoeinheit.RNR AND V.SPID = dbo._tmpRisikoeinheit.SPID LEFT OUTER JOIN
                         dbo.tabKonto AS K ON KN.KNID = K.KNID
GROUP BY dbo._tmpRisikoeinheit.KNE_Name, dbo._tmpRisikoeinheit.kne_berater, dbo._tmpRisikoeinheit.Bdate, V.GBR_Quote, KN.kn_Ueberziehung, 
                         KN.kn_blankokreditvolumen_wi, KN.kn_blankokreditvolumen_in, KN.kn_Inanspruchnahme, KN.kn_gesamtkreditvolumen, KN.kn_name, KN.KN, 
                         dbo._tmpRisikoeinheit.KNEID, dbo._tmpRisikoeinheit.KNID, dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.RGrund, 
                         dbo._tmpRisikoeinheit.KNE_Name + dbo._tmpRisikoeinheit.KNEID, KN.kn_darlehensrueckstand, dbo._tmpRisikoeinheit.SPID

GO

/****** Object:  View [dbo].[ViewKreditnehmerfuerEngagementbogen]    Script Date: 08.03.2017 09:45:26 ******/
DROP VIEW [dbo].[ViewKreditnehmerfuerEngagementbogen]
GO

/****** Object:  View [dbo].[ViewKreditnehmerfuerEngagementbogen]    Script Date: 08.03.2017 09:45:26 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[ViewKreditnehmerfuerEngagementbogen]
AS
SELECT         dbo._tmpKNE.SPID, dbo._tmpKNE.KNEID, KN.KNID, KN.KN, KN.kn_rating_datum, KN.kn_ortskenn, KN.kn_name, KN.kn_berater, KN.kn_ort, 
                         KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, 
                         KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, 
                         KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, 
                         KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, 
                         KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, 
                         KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, KN.kn_Ueberziehung, KN.kn_rueckgabenbetrag, KN.Bdate, K.KontoID, K.KontoNr, 
                         K.kto_skontronr, K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_gesamtkreditvolumen, K.kto_saldo, K.kto_inanspruchnahme, K.kto_ueberziehung, 
                         K.kto_externer_kredit, K.kto_interner_kredit, K.kto_interner_kredit_bis, K.kto_ueberziehung_genehmigt, K.kto_ueberziehung_genehmigt_bis, 
                         K.kto_ueberz_hoechste_quartal_1, K.kto_ueberziehungstage, K.kto_kz_notleidend, K.kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, K.kto_verzug_entgelt, 
                         K.kto_verzug_verzinslich, K.kto_verzug_unverzinslich, K.kto_aval_art, K.kto_aval_einzelbe, K.kto_meta_anteil_kreditvolumen, K.kto_meta_anteil_inanspruchnahme, 
                         K.kto_monatliche_Habenumsaetze, K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_rueckstand_gesamt, K.kto_relation_kredit_umsatz, 
                         KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, 
                         KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, 
                         KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, dbo.getWZ(KN.kn_wirtschaftszweig) AS WZ, dbo.getRatingstatus(KN.kn_rating_status) AS Ratingstatus, 
                         CASE WHEN kn.kn_rating_methode IS NOT NULL THEN KN_Rating_Methode + ' - ' + dbo.getRatingmethode(kn.kn_rating_methode) END AS Ratingmethode, 
                         CASE WHEN kn.kn_kz_organ IS NOT NULL THEN isnull(KN.kn_kz_organ + ' - ' + dbo.getOrganKZ(KN.kn_kz_organ), kn.kn_kz_organ + ' - Sparkassenintern') 
                         END AS Organkennzeichen
FROM            dbo._tmpKNE INNER JOIN
                         dbo.tab_KNE_KN INNER JOIN
                         dbo.tabKreditnehmer AS KN ON dbo.tab_KNE_KN.KNID = KN.KNID ON dbo._tmpKNE.KNEID = dbo.tab_KNE_KN.KNEID INNER JOIN
                         dbo.tabKonto AS K ON KN.KNID = K.KNID
GO

/****** Object:  View [dbo].[viewKreditnehmerfuerEngagementbogenRisiko]    Script Date: 08.03.2017 09:47:47 ******/
DROP VIEW [dbo].[viewKreditnehmerfuerEngagementbogenRisiko]
GO

/****** Object:  View [dbo].[viewKreditnehmerfuerEngagementbogenRisiko]    Script Date: 08.03.2017 09:47:47 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewKreditnehmerfuerEngagementbogenRisiko]
AS
SELECT        TOP (100) PERCENT dbo._tmpRisikoeinheit.SPID, dbo._tmpRisikoeinheit.KNEID, KN.KNID, KN.KN, KN.kn_rating_datum, KN.kn_ortskenn, KN.kn_name, 
                         KN.kn_berater, KN.kn_ort, KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
                         KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, 
                         KN.kn_personalkreditvolumen_wi, KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, KN.kn_kommunalkreditvolumen_in, 
                         KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, KN.kn_gesamtkreditvolumen, 
                         KN.kn_bewilligtes_darlehen_az6_neu, KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, KN.kn_meta_anteil_kreditvolumen, 
                         KN.kn_meta_anteil_ueberziehung, KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, KN.kn_Ueberziehung, KN.kn_rueckgabenbetrag, 
                         KN.Bdate, K.KontoID, K.KontoNr, K.kto_skontronr, K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_gesamtkreditvolumen, K.kto_saldo, 
                         K.kto_inanspruchnahme, K.kto_ueberziehung, K.kto_externer_kredit, K.kto_interner_kredit, K.kto_interner_kredit_bis, K.kto_ueberziehung_genehmigt, 
                         K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberziehungstage, K.kto_kz_notleidend, K.kto_rueckgabenbetrag, 
                         K.kto_rueckgabenanzahl, K.kto_verzug_entgelt, K.kto_verzug_verzinslich, K.kto_verzug_unverzinslich, K.kto_aval_art, K.kto_aval_einzelbe, 
                         K.kto_meta_anteil_kreditvolumen, K.kto_meta_anteil_inanspruchnahme, K.kto_monatliche_Habenumsaetze, K.kto_habenumsatz_lfd_jahr, 
                         K.kto_habenumsatz_vorjahr, K.kto_rueckstand_gesamt, K.kto_relation_kredit_umsatz, KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, KN.kn_ewb_e_btrg_neu, 
                         KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, KN.kn_ewb_v_btrg_janf, 
                         KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, 
                         dbo.getWZ(KN.kn_wirtschaftszweig) AS WZ, dbo.getRatingstatus(KN.kn_rating_status) AS Ratingstatus, CASE WHEN kn.kn_rating_methode IS NOT NULL 
                         THEN KN_Rating_Methode + ' - ' + dbo.getRatingmethode(kn.kn_rating_methode) END AS Ratingmethode, CASE WHEN kn.kn_kz_organ IS NOT NULL 
                         THEN isnull(KN.kn_kz_organ + ' - ' + dbo.getOrganKZ(KN.kn_kz_organ), kn.kn_kz_organ + ' - Sparkassenintern') END AS Organkennzeichen, 
                         dbo._tmpRisikoeinheit.RNR
FROM            dbo.tabKN_Risiko INNER JOIN
                         dbo.tabKonto AS K INNER JOIN
                         dbo.tabKreditnehmer AS KN ON K.KNID = KN.KNID ON dbo.tabKN_Risiko.KNID = KN.KNID INNER JOIN
                         dbo._tmpRisikoeinheit ON dbo.tabKN_Risiko.RNR = dbo._tmpRisikoeinheit.RNR AND dbo.tabKN_Risiko.SPID = dbo._tmpRisikoeinheit.SPID

GO

/****** Object:  View [dbo].[viewKreditnehmerfuerEngagementbogenRisikoSammel]    Script Date: 08.03.2017 09:51:32 ******/
DROP VIEW [dbo].[viewKreditnehmerfuerEngagementbogenRisikoSammel]
GO

/****** Object:  View [dbo].[viewKreditnehmerfuerEngagementbogenRisikoSammel]    Script Date: 08.03.2017 09:51:32 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewKreditnehmerfuerEngagementbogenRisikoSammel]
AS
SELECT        dbo._tmpRisikoeinheit.SPID, dbo._tmpRisikoeinheit.KNEID, KN.KNID, KN.KN, KN.kn_rating_datum, KN.kn_ortskenn, KN.kn_name, KN.kn_berater, KN.kn_ort, 
                         KN.kn_kz_organ, KN.kn_kusydsgv, KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, 
                         KN.kn_risikoklasse, KN.kn_blankokreditvolumen_in, KN.kn_blankokreditvolumen_wi, KN.kn_personalkreditvolumen_in, KN.kn_personalkreditvolumen_wi, 
                         KN.kn_realkreditvolumen_in, KN.kn_realkreditvolumen_wi, KN.kn_kommunalkreditvolumen_in, KN.kn_kommunalkreditvolumen_wi, KN.kn_freier_anteil_in, 
                         KN.kn_freier_anteil_wi, KN.kn_komp_anteil_in, KN.kn_komp_anteil_wi, KN.kn_gesamtkreditvolumen, KN.kn_bewilligtes_darlehen_az6_neu, 
                         KN.kn_gutschriftensumme_e_v, KN.kn_meta_anteil_inanspruchnahme, KN.kn_meta_anteil_kreditvolumen, KN.kn_meta_anteil_ueberziehung, 
                         KN.kn_passiv_az2_3_4_9, KN.kn_passiv_depot, KN.kn_rueckgabenanzahl, KN.kn_Ueberziehung, KN.kn_rueckgabenbetrag, KN.Bdate, K.KontoID, K.KontoNr, 
                         K.kto_skontronr, K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_gesamtkreditvolumen, K.kto_saldo, K.kto_inanspruchnahme, K.kto_ueberziehung, 
                         K.kto_externer_kredit, K.kto_interner_kredit, K.kto_interner_kredit_bis, K.kto_ueberziehung_genehmigt, K.kto_ueberziehung_genehmigt_bis, 
                         K.kto_ueberz_hoechste_quartal_1, K.kto_ueberziehungstage, K.kto_kz_notleidend, K.kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, K.kto_verzug_entgelt, 
                         K.kto_verzug_verzinslich, K.kto_verzug_unverzinslich, K.kto_aval_art, K.kto_aval_einzelbe, K.kto_meta_anteil_kreditvolumen, K.kto_meta_anteil_inanspruchnahme, 
                         K.kto_monatliche_Habenumsaetze, K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_rueckstand_gesamt, K.kto_relation_kredit_umsatz, 
                         KN.kn_ewb_e, KN.kn_ewb_e_btrg_janf, KN.kn_ewb_e_btrg_neu, KN.kn_ewb_e_btrg_zugang, KN.kn_ewb_e_afls_btrg, KN.kn_ewb_e_absg_ind_btrg, 
                         KN.kn_ewb_e_absg_dir_btrg, KN.kn_ewb_v, KN.kn_ewb_v_btrg_janf, KN.kn_ewb_v_btrg_neu, KN.kn_ewb_v_btrg_zugang, KN.kn_ewb_v_afls_btrg, 
                         KN.kn_ewb_v_absg_ind_btrg, KN.kn_ewb_v_absg_dir_btrg, dbo.getWZ(KN.kn_wirtschaftszweig) AS WZ, dbo.getRatingstatus(KN.kn_rating_status) AS Ratingstatus, 
                         CASE WHEN kn.kn_rating_methode IS NOT NULL THEN KN_Rating_Methode + ' - ' + dbo.getRatingmethode(kn.kn_rating_methode) END AS Ratingmethode, 
                         CASE WHEN kn.kn_kz_organ IS NOT NULL THEN isnull(KN.kn_kz_organ + ' - ' + dbo.getOrganKZ(KN.kn_kz_organ), kn.kn_kz_organ + ' - Sparkassenintern') 
                         END AS Organkennzeichen, dbo._tmpRisikoeinheit.RNR
FROM            dbo.tabKN_RisikoSammel INNER JOIN
                         dbo.tabKonto AS K INNER JOIN
                         dbo.tabKreditnehmer AS KN ON K.KNID = KN.KNID ON dbo.tabKN_RisikoSammel.KNID = KN.KNID INNER JOIN
                         dbo._tmpRisikoeinheit ON dbo.tabKN_RisikoSammel.RNR = dbo._tmpRisikoeinheit.RNR AND dbo.tabKN_RisikoSammel.SPID = dbo._tmpRisikoeinheit.SPID

GO

/****** Object:  View [dbo].[viewRestlaufzeiten_KNE_KNVorbereitung]    Script Date: 08.03.2017 09:53:36 ******/
DROP VIEW [dbo].[viewRestlaufzeiten_KNE_KNVorbereitung]
GO

/****** Object:  View [dbo].[viewRestlaufzeiten_KNE_KNVorbereitung]    Script Date: 08.03.2017 09:53:36 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewRestlaufzeiten_KNE_KNVorbereitung]
AS
SELECT         dbo._tmpRisikoeinheit.SPID, dbo._tmpRisikoeinheit.KNEID, V.KNID, dbo.tabKreditnehmer.KN, 
                         CASE WHEN k.kto_kontentyp = 'AZ6' THEN CAST(SUM((ISNULL(K.kto_tilgung_3, 0) + ISNULL(K.kto_tilgung_4_12, 0)) * V.GBR_Quote / 1000) AS numeric(18, 0)) 
                         ELSE CAST('0' AS numeric(18, 0)) END AS AZ6_EINJAHR, CASE WHEN k.kto_kontentyp = 'AZ6' THEN CAST(SUM(ISNULL(K.kto_tilgung_13_60, 0) 
                         * V.GBR_Quote / 1000) AS numeric(18, 0)) ELSE CAST('0' AS numeric(18, 0)) END AS AZ6_EinsFuenfJahre, 
                         CASE WHEN k.kto_kontentyp = 'AZ6' THEN CAST(SUM(ISNULL(K.kto_tilgung_61, 0) * V.GBR_Quote / 1000) AS numeric(18, 0)) ELSE CAST('0' AS numeric(18, 0)) 
                         END AS AZ6_UeberFuenfJahre, CASE WHEN k.kto_kontentyp = 'METDAR' THEN CAST(SUM((ISNULL(K.kto_tilgung_3, 0) + ISNULL(K.kto_tilgung_4_12, 0)) 
                         * V.GBR_Quote / 1000) AS numeric(18, 0)) ELSE CAST('0' AS numeric(18, 0)) END AS MET_EINJAHR, 
                         CASE WHEN k.kto_kontentyp = 'METDAR' THEN CAST(SUM(ISNULL(K.kto_tilgung_13_60, 0) * V.GBR_Quote / 1000) AS numeric(18, 0)) ELSE CAST('0' AS numeric(18, 
                         0)) END AS MET_EinsFuenfJahre, CASE WHEN k.kto_kontentyp = 'METDAR' THEN CAST(SUM(ISNULL(K.kto_tilgung_61, 0) * V.GBR_Quote / 1000) AS numeric(18, 0)) 
                         ELSE CAST('0' AS numeric(18, 0)) END AS MET_UeberFuenfJahre
FROM            dbo._tmpRisikoeinheit INNER JOIN
                         dbo.tabKreditnehmer INNER JOIN
                         dbo.tab_KNE_KN AS V ON dbo.tabKreditnehmer.KNID = V.KNID ON dbo._tmpRisikoeinheit.KNEID = V.KNEID LEFT OUTER JOIN
                         dbo.tabKonto AS K ON dbo.tabKreditnehmer.KNID = K.KNID
GROUP BY dbo._tmpRisikoeinheit.KNEID, V.KNID, dbo.tabKreditnehmer.KN, K.kto_kontentyp, dbo._tmpRisikoeinheit.SPID
HAVING        (K.kto_kontentyp = N'AZ6') OR
                         (K.kto_kontentyp = N'METDAR')

GO



/****** Object:  View [dbo].[viewRestlaufzeiten_KNE_KN]    Script Date: 08.03.2017 09:55:08 ******/
DROP VIEW [dbo].[viewRestlaufzeiten_KNE_KN]
GO

/****** Object:  View [dbo].[viewRestlaufzeiten_KNE_KN]    Script Date: 08.03.2017 09:55:08 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewRestlaufzeiten_KNE_KN]
AS
SELECT        dbo._tmpKNE.SPID, dbo._tmpKNE.KNEID, dbo._tmpKNE.KNE_Name, dbo.tabKreditnehmer.KNID, dbo.tabKreditnehmer.KN, dbo.tabKreditnehmer.kn_name, 
                         dbo.tabKreditnehmer.kn_gesamtkreditvolumen, dbo.viewRestlaufzeiten_KNE_KNVorbereitung.AZ6_EINJAHR, 
                         dbo.viewRestlaufzeiten_KNE_KNVorbereitung.AZ6_EinsFuenfJahre, dbo.viewRestlaufzeiten_KNE_KNVorbereitung.AZ6_UeberFuenfJahre, 
                         dbo.viewRestlaufzeiten_KNE_KNVorbereitung.MET_EINJAHR, dbo.viewRestlaufzeiten_KNE_KNVorbereitung.MET_EinsFuenfJahre, 
                         dbo.viewRestlaufzeiten_KNE_KNVorbereitung.MET_UeberFuenfJahre
FROM            dbo.tabKreditnehmer INNER JOIN
                         dbo.tab_KNE_KN ON dbo.tabKreditnehmer.KNID = dbo.tab_KNE_KN.KNID INNER JOIN
                         dbo._tmpKNE ON dbo.tab_KNE_KN.KNEID = dbo._tmpKNE.KNEID LEFT OUTER JOIN
                         dbo.viewRestlaufzeiten_KNE_KNVorbereitung ON dbo._tmpKNE.SPID = dbo.viewRestlaufzeiten_KNE_KNVorbereitung.SPID AND 
                         dbo.tab_KNE_KN.KNEID = dbo.viewRestlaufzeiten_KNE_KNVorbereitung.KNEID AND 
                         dbo.tab_KNE_KN.KNID = dbo.viewRestlaufzeiten_KNE_KNVorbereitung.KNID
WHERE        (dbo.tabKreditnehmer.kn_gesamtkreditvolumen > 0)

GO

/****** Object:  View [dbo].[viewRestlaufzeiten_RE_KNVorbereitung]    Script Date: 08.03.2017 09:56:27 ******/
DROP VIEW [dbo].[viewRestlaufzeiten_RE_KNVorbereitung]
GO

/****** Object:  View [dbo].[viewRestlaufzeiten_RE_KNVorbereitung]    Script Date: 08.03.2017 09:56:27 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewRestlaufzeiten_RE_KNVorbereitung]
AS
SELECT        dbo._tmpRisikoeinheit.SPID, dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.KNEID, V.KNID, dbo.tabKreditnehmer.KN, 
                         CASE WHEN k.kto_kontentyp = 'AZ6' THEN CAST(SUM((ISNULL(K.kto_tilgung_3, 0) + ISNULL(K.kto_tilgung_4_12, 0)) * V.GBR_Quote / 1000) AS numeric(18, 0)) 
                         ELSE CAST('0' AS numeric(18, 0)) END AS AZ6_EINJAHR, CASE WHEN k.kto_kontentyp = 'AZ6' THEN CAST(SUM(ISNULL(K.kto_tilgung_13_60, 0) 
                         * V.GBR_Quote / 1000) AS numeric(18, 0)) ELSE CAST('0' AS numeric(18, 0)) END AS AZ6_EinsFuenfJahre, 
                         CASE WHEN k.kto_kontentyp = 'AZ6' THEN CAST(SUM(ISNULL(K.kto_tilgung_61, 0) * V.GBR_Quote / 1000) AS numeric(18, 0)) ELSE CAST('0' AS numeric(18, 0)) 
                         END AS AZ6_UeberFuenfJahre, CASE WHEN k.kto_kontentyp = 'METDAR' THEN CAST(SUM((ISNULL(K.kto_tilgung_3, 0) + ISNULL(K.kto_tilgung_4_12, 0)) 
                         * V.GBR_Quote / 1000) AS numeric(18, 0)) ELSE CAST('0' AS numeric(18, 0)) END AS MET_EINJAHR, 
                         CASE WHEN k.kto_kontentyp = 'METDAR' THEN CAST(SUM(ISNULL(K.kto_tilgung_13_60, 0) * V.GBR_Quote / 1000) AS numeric(18, 0)) ELSE CAST('0' AS numeric(18, 
                         0)) END AS MET_EinsFuenfJahre, CASE WHEN k.kto_kontentyp = 'METDAR' THEN CAST(SUM(ISNULL(K.kto_tilgung_61, 0) * V.GBR_Quote / 1000) AS numeric(18, 0)) 
                         ELSE CAST('0' AS numeric(18, 0)) END AS MET_UeberFuenfJahre
FROM            dbo._tmpRisikoeinheit INNER JOIN
                         dbo.tabKreditnehmer INNER JOIN
                         dbo.tabKN_Risiko AS V ON dbo.tabKreditnehmer.KNID = V.KNID ON dbo._tmpRisikoeinheit.RNR = V.RNR AND dbo._tmpRisikoeinheit.SPID = V.SPID LEFT OUTER JOIN
                         dbo.tabKonto AS K ON dbo.tabKreditnehmer.KNID = K.KNID
GROUP BY dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.KNEID, V.KNID, dbo.tabKreditnehmer.KN, K.kto_kontentyp, dbo._tmpRisikoeinheit.SPID
HAVING        (K.kto_kontentyp = N'AZ6') OR
                         (K.kto_kontentyp = N'METDAR')

GO

/****** Object:  View [dbo].[viewRestlaufzeiten_RE_KN]    Script Date: 08.03.2017 09:57:16 ******/
DROP VIEW [dbo].[viewRestlaufzeiten_RE_KN]
GO

/****** Object:  View [dbo].[viewRestlaufzeiten_RE_KN]    Script Date: 08.03.2017 09:57:16 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewRestlaufzeiten_RE_KN]
AS
SELECT        dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.KNEID, dbo._tmpRisikoeinheit.KNE_Name, V.KNID, dbo.tabKreditnehmer.KN, dbo.tabKreditnehmer.kn_name, 
                         dbo.tabKreditnehmer.kn_gesamtkreditvolumen, dbo.viewRestlaufzeiten_RE_KNVorbereitung.AZ6_EINJAHR, 
                         dbo.viewRestlaufzeiten_RE_KNVorbereitung.AZ6_EinsFuenfJahre, dbo.viewRestlaufzeiten_RE_KNVorbereitung.AZ6_UeberFuenfJahre, 
                         dbo.viewRestlaufzeiten_RE_KNVorbereitung.MET_EINJAHR, dbo.viewRestlaufzeiten_RE_KNVorbereitung.MET_EinsFuenfJahre, 
                         dbo.viewRestlaufzeiten_RE_KNVorbereitung.MET_UeberFuenfJahre
FROM            dbo.tabKN_Risiko AS V INNER JOIN
                         dbo.tabKreditnehmer ON V.KNID = dbo.tabKreditnehmer.KNID INNER JOIN
                         dbo._tmpRisikoeinheit ON V.RNR = dbo._tmpRisikoeinheit.RNR AND V.SPID = dbo._tmpRisikoeinheit.SPID LEFT OUTER JOIN
                         dbo.viewRestlaufzeiten_RE_KNVorbereitung ON dbo._tmpRisikoeinheit.SPID = dbo.viewRestlaufzeiten_RE_KNVorbereitung.SPID AND 
                         V.RNR = dbo.viewRestlaufzeiten_RE_KNVorbereitung.RNR AND V.KNID = dbo.viewRestlaufzeiten_RE_KNVorbereitung.KNID
WHERE        (dbo.tabKreditnehmer.kn_gesamtkreditvolumen > 0)

GO

/****** Object:  View [dbo].[viewRestlaufzeiten_RE_KNSammelVorbereitung]    Script Date: 08.03.2017 09:58:55 ******/
DROP VIEW [dbo].[viewRestlaufzeiten_RE_KNSammelVorbereitung]
GO

/****** Object:  View [dbo].[viewRestlaufzeiten_RE_KNSammelVorbereitung]    Script Date: 08.03.2017 09:58:55 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewRestlaufzeiten_RE_KNSammelVorbereitung]
AS
SELECT        dbo._tmpRisikoeinheit.SPID, dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.KNEID, V.KNID, dbo.tabKreditnehmer.KN, 
                         CASE WHEN k.kto_kontentyp = 'AZ6' THEN CAST(SUM((ISNULL(K.kto_tilgung_3, 0) + ISNULL(K.kto_tilgung_4_12, 0)) * V.GBR_Quote / 1000) AS numeric(18, 0)) 
                         ELSE CAST('0' AS numeric(18, 0)) END AS AZ6_EINJAHR, CASE WHEN k.kto_kontentyp = 'AZ6' THEN CAST(SUM(ISNULL(K.kto_tilgung_13_60, 0) 
                         * V.GBR_Quote / 1000) AS numeric(18, 0)) ELSE CAST('0' AS numeric(18, 0)) END AS AZ6_EinsFuenfJahre, 
                         CASE WHEN k.kto_kontentyp = 'AZ6' THEN CAST(SUM(ISNULL(K.kto_tilgung_61, 0) * V.GBR_Quote / 1000) AS numeric(18, 0)) ELSE CAST('0' AS numeric(18, 0)) 
                         END AS AZ6_UeberFuenfJahre, CASE WHEN k.kto_kontentyp = 'METDAR' THEN CAST(SUM((ISNULL(K.kto_tilgung_3, 0) + ISNULL(K.kto_tilgung_4_12, 0)) 
                         * V.GBR_Quote / 1000) AS numeric(18, 0)) ELSE CAST('0' AS numeric(18, 0)) END AS MET_EINJAHR, 
                         CASE WHEN k.kto_kontentyp = 'METDAR' THEN CAST(SUM(ISNULL(K.kto_tilgung_13_60, 0) * V.GBR_Quote / 1000) AS numeric(18, 0)) ELSE CAST('0' AS numeric(18, 
                         0)) END AS MET_EinsFuenfJahre, CASE WHEN k.kto_kontentyp = 'METDAR' THEN CAST(SUM(ISNULL(K.kto_tilgung_61, 0) * V.GBR_Quote / 1000) AS numeric(18, 0)) 
                         ELSE CAST('0' AS numeric(18, 0)) END AS MET_UeberFuenfJahre
FROM            dbo._tmpRisikoeinheit INNER JOIN
                         dbo.tabKreditnehmer INNER JOIN
                         dbo.tabKN_RisikoSammel AS V ON dbo.tabKreditnehmer.KNID = V.KNID ON dbo._tmpRisikoeinheit.RNR = V.RNR AND 
                         dbo._tmpRisikoeinheit.SPID = V.SPID LEFT OUTER JOIN
                         dbo.tabKonto AS K ON dbo.tabKreditnehmer.KNID = K.KNID
GROUP BY dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.KNEID, V.KNID, dbo.tabKreditnehmer.KN, K.kto_kontentyp, dbo._tmpRisikoeinheit.SPID
HAVING        (K.kto_kontentyp = N'AZ6') OR
                         (K.kto_kontentyp = N'METDAR')

GO

/****** Object:  View [dbo].[viewRestlaufzeiten_RE_KNSammel]    Script Date: 08.03.2017 10:00:00 ******/
DROP VIEW [dbo].[viewRestlaufzeiten_RE_KNSammel]
GO

/****** Object:  View [dbo].[viewRestlaufzeiten_RE_KNSammel]    Script Date: 08.03.2017 10:00:00 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewRestlaufzeiten_RE_KNSammel]
AS
SELECT        dbo._tmpRisikoeinheit.SPID, dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.KNEID, dbo._tmpRisikoeinheit.KNE_Name, V.KNID, dbo.tabKreditnehmer.KN, 
                         dbo.tabKreditnehmer.kn_name, dbo.viewRestlaufzeiten_RE_KNSammelVorbereitung.AZ6_EINJAHR, 
                         dbo.viewRestlaufzeiten_RE_KNSammelVorbereitung.AZ6_EinsFuenfJahre, dbo.viewRestlaufzeiten_RE_KNSammelVorbereitung.AZ6_UeberFuenfJahre, 
                         dbo.viewRestlaufzeiten_RE_KNSammelVorbereitung.MET_EINJAHR, dbo.viewRestlaufzeiten_RE_KNSammelVorbereitung.MET_EinsFuenfJahre, 
                         dbo.viewRestlaufzeiten_RE_KNSammelVorbereitung.MET_UeberFuenfJahre, dbo.tabKreditnehmer.kn_gesamtkreditvolumen
FROM            dbo._tmpRisikoeinheit INNER JOIN
                         dbo.tabKreditnehmer INNER JOIN
                         dbo.tabKN_RisikoSammel AS V ON dbo.tabKreditnehmer.KNID = V.KNID ON dbo._tmpRisikoeinheit.RNR = V.RNR AND 
                         dbo._tmpRisikoeinheit.SPID = V.SPID LEFT OUTER JOIN
                         dbo.viewRestlaufzeiten_RE_KNSammelVorbereitung ON dbo._tmpRisikoeinheit.SPID = dbo.viewRestlaufzeiten_RE_KNSammelVorbereitung.SPID AND 
                         V.KNID = dbo.viewRestlaufzeiten_RE_KNSammelVorbereitung.KNID AND V.RNR = dbo.viewRestlaufzeiten_RE_KNSammelVorbereitung.RNR
WHERE        (dbo.tabKreditnehmer.kn_gesamtkreditvolumen > 0)

GO

/****** Object:  View [dbo].[viewSicherheitenDetailsKNE]    Script Date: 08.03.2017 10:02:01 ******/
DROP VIEW [dbo].[viewSicherheitenDetailsKNE]
GO

/****** Object:  View [dbo].[viewSicherheitenDetailsKNE]    Script Date: 08.03.2017 10:02:01 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSicherheitenDetailsKNE]
AS
SELECT        TOP (100) PERCENT T.SPID, V.KNEID, KN.KN, SK.LFDNR, SK.Kontonr, SU.Sortierung, CAST(SK.kto_realkreditvolumen_in * V.GBR_Quote / 1000 AS numeric(18, 0)) 
                         AS kto_realkreditvolumen_in, CAST(SK.kto_realkreditvolumen_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_realkreditvolumen_wi, 
                         CAST(SK.kto_personalkreditvolumen_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_personalkreditvolumen_in, 
                         CAST(SK.kto_personalkreditvolumen_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_personalkreditvolumen_wi, 
                         CAST(SK.kto_komp_anteil_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_komp_anteil_in, CAST(SK.kto_komp_anteil_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) 
                         AS kto_komp_anteil_wi, CAST(SK.kto_wirt_anteil_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_wirt_anteil_in, 
                         CAST(SK.kto_wirt_anteil_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_wirt_anteil_wi, 
                         CAST(SK.kto_blankokreditvolumen_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_blankokreditvolumen_in, 
                         CAST(SK.kto_blankokreditvolumen_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_blankokreditvolumen_wi, 
                         CAST(SK.kto_kommunalkreditvolumen_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_kommunalkreditvolumen_in, 
                         CAST(SK.kto_kommunalkreditvolumen_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_kommunalkreditvolumen_wi, 
                         CAST(SK.kto_freier_anteil_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_freier_anteil_in, CAST(SK.kto_freier_anteil_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) 
                         AS kto_freier_anteil_wi, KN.kn_name, LEFT(SU.SicherheitenArt, LEN(SU.SicherheitenArt) - 3) AS Sicherheitenart, S.kto_sicherungsobjekt, S.kto_sich_betrag, 
                         SUS.Schluessel, SU.SArtAnzeige
FROM            dbo._tmpKNE AS T INNER JOIN
                         dbo.tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                         dbo.tabKreditnehmer AS KN ON V.KNID = KN.KNID INNER JOIN
                         dbo.tabSicherheiten AS S ON V.KNID = S.KNID INNER JOIN
                         dbo.tabSicherheitenUebersetzungSchluessel AS SUS INNER JOIN
                         dbo.tabSicherheitenUebersetzung AS SU ON SUS.Sicherheitenart = SU.SicherheitenArt INNER JOIN
                         dbo.tabSicherheitenproKonto AS SK ON SUS.Schluessel = SK.kto_sich_schluessel ON S.KNID = SK.KNID AND S.LFDNR = SK.LFDNR
WHERE        (SU.DetailsAnzeigen = 1)
GROUP BY V.KNEID, KN.KN, SK.LFDNR, SK.Kontonr, SU.Sortierung, SK.kto_realkreditvolumen_in * V.GBR_Quote, SK.kto_realkreditvolumen_wi * V.GBR_Quote, 
                         SK.kto_personalkreditvolumen_in * V.GBR_Quote, SK.kto_personalkreditvolumen_wi * V.GBR_Quote, SK.kto_komp_anteil_in * V.GBR_Quote, 
                         SK.kto_komp_anteil_wi * V.GBR_Quote, SK.kto_wirt_anteil_in * V.GBR_Quote, SK.kto_wirt_anteil_wi * V.GBR_Quote, SK.kto_blankokreditvolumen_in * V.GBR_Quote, 
                         SK.kto_blankokreditvolumen_wi * V.GBR_Quote, SK.kto_kommunalkreditvolumen_in * V.GBR_Quote, SK.kto_kommunalkreditvolumen_wi * V.GBR_Quote, 
                         SK.kto_freier_anteil_in * V.GBR_Quote, SK.kto_freier_anteil_wi * V.GBR_Quote, KN.kn_name, LEFT(SU.SicherheitenArt, LEN(SU.SicherheitenArt) - 3), 
                         S.kto_sicherungsobjekt, S.kto_sich_betrag, SUS.Schluessel, SU.SArtAnzeige, T.SPID

GO

/****** Object:  View [dbo].[viewSicherheitenDetailsRE]    Script Date: 08.03.2017 10:09:06 ******/
DROP VIEW [dbo].[viewSicherheitenDetailsRE]
GO

/****** Object:  View [dbo].[viewSicherheitenDetailsRE]    Script Date: 08.03.2017 10:09:06 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSicherheitenDetailsRE]
AS
SELECT        T.SPID, T.RNR, KN.KN, SK.LFDNR, SK.Kontonr, SU.Sortierung, CAST(SK.kto_realkreditvolumen_in * V.GBR_Quote / 1000 AS numeric(18, 0)) 
                         AS kto_realkreditvolumen_in, CAST(SK.kto_realkreditvolumen_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_realkreditvolumen_wi, 
                         CAST(SK.kto_personalkreditvolumen_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_personalkreditvolumen_in, 
                         CAST(SK.kto_personalkreditvolumen_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_personalkreditvolumen_wi, 
                         CAST(SK.kto_komp_anteil_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_komp_anteil_in, CAST(SK.kto_komp_anteil_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) 
                         AS kto_komp_anteil_wi, CAST(SK.kto_wirt_anteil_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_wirt_anteil_in, 
                         CAST(SK.kto_wirt_anteil_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_wirt_anteil_wi, 
                         CAST(SK.kto_blankokreditvolumen_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_blankokreditvolumen_in, 
                         CAST(SK.kto_blankokreditvolumen_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_blankokreditvolumen_wi, 
                         CAST(SK.kto_kommunalkreditvolumen_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_kommunalkreditvolumen_in, 
                         CAST(SK.kto_kommunalkreditvolumen_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_kommunalkreditvolumen_wi, 
                         CAST(SK.kto_freier_anteil_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_freier_anteil_in, CAST(SK.kto_freier_anteil_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) 
                         AS kto_freier_anteil_wi, KN.kn_name, LEFT(SU.SicherheitenArt, LEN(SU.SicherheitenArt) - 3) AS Sicherheitenart, S.kto_sicherungsobjekt, S.kto_sich_betrag, 
                         SUS.Schluessel, SU.SArtAnzeige
FROM            dbo._tmpRisikoeinheit AS T INNER JOIN
                         dbo.tabKN_Risiko AS V ON T.RNR = V.RNR AND T.SPID = V.SPID INNER JOIN
                         dbo.tabKreditnehmer AS KN ON V.KNID = KN.KNID INNER JOIN
                         dbo.tabSicherheiten AS S ON V.KNID = S.KNID INNER JOIN
                         dbo.tabSicherheitenUebersetzungSchluessel AS SUS INNER JOIN
                         dbo.tabSicherheitenUebersetzung AS SU ON SUS.Sicherheitenart = SU.SicherheitenArt INNER JOIN
                         dbo.tabSicherheitenproKonto AS SK ON SUS.Schluessel = SK.kto_sich_schluessel ON S.KNID = SK.KNID AND S.LFDNR = SK.LFDNR
WHERE        (SU.DetailsAnzeigen = 1)
GROUP BY T.RNR, KN.KN, SK.LFDNR, SK.Kontonr, SU.Sortierung, SK.kto_realkreditvolumen_in * V.GBR_Quote, SK.kto_realkreditvolumen_wi * V.GBR_Quote, 
                         SK.kto_personalkreditvolumen_in * V.GBR_Quote, SK.kto_personalkreditvolumen_wi * V.GBR_Quote, SK.kto_komp_anteil_in * V.GBR_Quote, 
                         SK.kto_komp_anteil_wi * V.GBR_Quote, SK.kto_wirt_anteil_in * V.GBR_Quote, SK.kto_wirt_anteil_wi * V.GBR_Quote, SK.kto_blankokreditvolumen_in * V.GBR_Quote, 
                         SK.kto_blankokreditvolumen_wi * V.GBR_Quote, SK.kto_kommunalkreditvolumen_in * V.GBR_Quote, SK.kto_kommunalkreditvolumen_wi * V.GBR_Quote, 
                         SK.kto_freier_anteil_in * V.GBR_Quote, SK.kto_freier_anteil_wi * V.GBR_Quote, KN.kn_name, LEFT(SU.SicherheitenArt, LEN(SU.SicherheitenArt) - 3), 
                         S.kto_sicherungsobjekt, S.kto_sich_betrag, SUS.Schluessel, SU.SArtAnzeige, T.SPID

GO

/****** Object:  View [dbo].[viewSicherheitenDetailsRESammel]    Script Date: 08.03.2017 10:11:19 ******/
DROP VIEW [dbo].[viewSicherheitenDetailsRESammel]
GO

/****** Object:  View [dbo].[viewSicherheitenDetailsRESammel]    Script Date: 08.03.2017 10:11:19 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSicherheitenDetailsRESammel]
AS
SELECT        TOP (100) PERCENT T.SPID, V.RNR, KN.KN, SK.LFDNR, SK.Kontonr, SU.Sortierung, CAST(SK.kto_realkreditvolumen_in * V.GBR_Quote / 1000 AS numeric(18, 0)) 
                         AS kto_realkreditvolumen_in, CAST(SK.kto_realkreditvolumen_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_realkreditvolumen_wi, 
                         CAST(SK.kto_personalkreditvolumen_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_personalkreditvolumen_in, 
                         CAST(SK.kto_personalkreditvolumen_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_personalkreditvolumen_wi, 
                         CAST(SK.kto_komp_anteil_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_komp_anteil_in, CAST(SK.kto_komp_anteil_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) 
                         AS kto_komp_anteil_wi, CAST(SK.kto_wirt_anteil_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_wirt_anteil_in, 
                         CAST(SK.kto_wirt_anteil_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_wirt_anteil_wi, 
                         CAST(SK.kto_blankokreditvolumen_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_blankokreditvolumen_in, 
                         CAST(SK.kto_blankokreditvolumen_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_blankokreditvolumen_wi, 
                         CAST(SK.kto_kommunalkreditvolumen_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_kommunalkreditvolumen_in, 
                         CAST(SK.kto_kommunalkreditvolumen_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_kommunalkreditvolumen_wi, 
                         CAST(SK.kto_freier_anteil_in * V.GBR_Quote / 1000 AS numeric(18, 0)) AS kto_freier_anteil_in, CAST(SK.kto_freier_anteil_wi * V.GBR_Quote / 1000 AS numeric(18, 0)) 
                         AS kto_freier_anteil_wi, KN.kn_name, LEFT(SU.SicherheitenArt, LEN(SU.SicherheitenArt) - 3) AS Sicherheitenart, S.kto_sicherungsobjekt, S.kto_sich_betrag, 
                         SUS.Schluessel, SU.SArtAnzeige
FROM            dbo._tmpRisikoeinheit AS T INNER JOIN
                         dbo.tabKN_RisikoSammel AS V ON T.RNR = V.RNR AND T.SPID = V.SPID INNER JOIN
                         dbo.tabKreditnehmer AS KN ON V.KNID = KN.KNID INNER JOIN
                         dbo.tabSicherheiten AS S ON V.KNID = S.KNID INNER JOIN
                         dbo.tabSicherheitenUebersetzungSchluessel AS SUS INNER JOIN
                         dbo.tabSicherheitenUebersetzung AS SU ON SUS.Sicherheitenart = SU.SicherheitenArt INNER JOIN
                         dbo.tabSicherheitenproKonto AS SK ON SUS.Schluessel = SK.kto_sich_schluessel ON S.KNID = SK.KNID AND S.LFDNR = SK.LFDNR
WHERE        (SU.DetailsAnzeigen = 1)
GROUP BY V.RNR, KN.KN, SK.LFDNR, SK.Kontonr, SU.Sortierung, SK.kto_realkreditvolumen_in * V.GBR_Quote, SK.kto_realkreditvolumen_wi * V.GBR_Quote, 
                         SK.kto_personalkreditvolumen_in * V.GBR_Quote, SK.kto_personalkreditvolumen_wi * V.GBR_Quote, SK.kto_komp_anteil_in * V.GBR_Quote, 
                         SK.kto_komp_anteil_wi * V.GBR_Quote, SK.kto_wirt_anteil_in * V.GBR_Quote, SK.kto_wirt_anteil_wi * V.GBR_Quote, SK.kto_blankokreditvolumen_in * V.GBR_Quote, 
                         SK.kto_blankokreditvolumen_wi * V.GBR_Quote, SK.kto_kommunalkreditvolumen_in * V.GBR_Quote, SK.kto_kommunalkreditvolumen_wi * V.GBR_Quote, 
                         SK.kto_freier_anteil_in * V.GBR_Quote, SK.kto_freier_anteil_wi * V.GBR_Quote, KN.kn_name, LEFT(SU.SicherheitenArt, LEN(SU.SicherheitenArt) - 3), 
                         S.kto_sicherungsobjekt, S.kto_sich_betrag, SUS.Schluessel, SU.SArtAnzeige, T.SPID

GO

/****** Object:  View [dbo].[viewSicherheitenKNE]    Script Date: 08.03.2017 10:13:01 ******/
DROP VIEW [dbo].[viewSicherheitenKNE]
GO

/****** Object:  View [dbo].[viewSicherheitenKNE]    Script Date: 08.03.2017 10:13:01 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSicherheitenKNE]
AS
SELECT        T.SPID, T.KNEID, T.KNE_Name, T.Bdate, SUM(S.Grundpfandrechte_wi * V.GBR_Quote) / 1000 AS Grundpfandrechte_wi, SUM(S.Grundpfandrechte_in * V.GBR_Quote) 
                         / 1000 AS Grundpfandrechte_in, SUM(S.Grundpfandrechte_wohn_wi * V.GBR_Quote) / 1000 AS Grundpfandrechte_wohn_wi, 
                         SUM(S.Grundpfandrechte_wohn_in * V.GBR_Quote) / 1000 AS Grundpfandrechte_wohn_in, SUM(S.Grundpfandrechte_gew_wi * V.GBR_Quote) 
                         / 1000 AS Grundpfandrechte_gew_wi, SUM(S.Grundpfandrechte_gew_in * V.GBR_Quote) / 1000 AS Grundpfandrechte_gew_in, 
                         SUM(S.Grundpfandrechte_real_wi * V.GBR_Quote) / 1000 AS Grundpfandrechte_real_wi, SUM(S.Grundpfandrechte_real_in * V.GBR_Quote) 
                         / 1000 AS Grundpfandrechte_real_in, SUM(S.Guthaben_wi * V.GBR_Quote) / 1000 AS Guthaben_wi, SUM(S.Guthaben_in * V.GBR_Quote) / 1000 AS Guthaben_in, 
                         SUM(S.Wertpapiere_wi * V.GBR_Quote) / 1000 AS Wertpapiere_wi, SUM(S.Wertpapiere_in * V.GBR_Quote) / 1000 AS Wertpapiere_in, 
                         SUM(S.Sicherungsuebereignungen_wi * V.GBR_Quote) / 1000 AS Sicherungsuebereignungen_wi, SUM(S.Sicherungsuebereignungen_in * V.GBR_Quote) 
                         / 1000 AS Sicherungsuebereignungen_in, SUM(S.Lebensversicherungen_wi * V.GBR_Quote) / 1000 AS Lebensversicherungen_wi, 
                         SUM(S.Lebensversicherungen_in * V.GBR_Quote) / 1000 AS Lebensversicherungen_in, SUM(S.Zessionen_wi * V.GBR_Quote) / 1000 AS Zessionen_wi, 
                         SUM(S.Zessionen_in * V.GBR_Quote) / 1000 AS Zessionen_in, SUM(S.Buergschaften_oeffentl_wi * V.GBR_Quote) / 1000 AS Buergschaften_oeffentl_wi, 
                         SUM(S.Buergschaften_oeffentl_in * V.GBR_Quote) / 1000 AS Buergschaften_oeffentl_in, SUM(S.Buergschaften_sonst_in * V.GBR_Quote) 
                         / 1000 AS Buergschaften_sonst_in, SUM(S.Buergschaften_sonst_wi * V.GBR_Quote) / 1000 AS Buergschaften_sonst_wi, SUM(S.Sonstiges_wi * V.GBR_Quote) 
                         / 1000 AS Sonstiges_wi, SUM(S.Sonstiges_in * V.GBR_Quote) / 1000 AS Sonstiges_in, SUM(S.SPKRecht_nicht_Blanko_in * V.GBR_Quote) 
                         / 1000 AS SPKRecht_nicht_Blanko_in, SUM(S.SPKRecht_nicht_Blanko_wi * V.GBR_Quote) / 1000 AS SPKRecht_nicht_Blanko_wi, 
                         SUM(S.DarunterKoerperschaft_in * V.GBR_Quote) / 1000 AS DarunterKoerperschaft_in, SUM(S.DarunterKoerperschaft_wi * V.GBR_Quote) 
                         / 1000 AS DarunterKoerperschaft_wi, SUM(S.Wirtschaftlich_bewertbare_Sicherheiten_in * V.GBR_Quote) / 1000 AS Wirtschaftlich_bewertbare_Sicherheiten_in, 
                         SUM(S.Wirtschaftlich_bewertbare_Sicherheiten_wi * V.GBR_Quote) / 1000 AS Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                         SUM(S.Freie_Sicherheiten_in * V.GBR_Quote) / 1000 AS Freie_Sicherheiten_in, SUM(S.Freie_Sicherheiten_wi * V.GBR_Quote) / 1000 AS Freie_Sicherheiten_wi, 
                         SUM(S.SPKRechtlich_Bewertbar_in * V.GBR_Quote) / 1000 AS SPKRechtlich_Bewertbar_in, SUM(S.SPKRechtlich_Bewertbar_wi * V.GBR_Quote) 
                         / 1000 AS SPKRechtlich_Bewertbar_wi, SUM(ISNULL(S.SPKRechtl_Blanko_in, dbo.tabKreditnehmer.kn_blankokreditvolumen_in) * V.GBR_Quote) 
                         / 1000 AS SPKRechtl_Blanko_in, SUM(ISNULL(S.SPKRechtl_Blanko_wi, dbo.tabKreditnehmer.kn_blankokreditvolumen_wi) * V.GBR_Quote) 
                         / 1000 AS SPKRechtl_Blanko_wi, (SUM(ISNULL(S.SPKRechtl_Blanko_wi, dbo.tabKreditnehmer.kn_blankokreditvolumen_wi) * V.GBR_Quote) 
                         - SUM(S.Wirtschaftlich_bewertbare_Sicherheiten_wi * V.GBR_Quote)) / 1000 AS Wirtschaftlich_blanko_wi, (SUM(ISNULL(S.SPKRechtl_Blanko_in, 
                         dbo.tabKreditnehmer.kn_blankokreditvolumen_in) * V.GBR_Quote) - SUM(S.Wirtschaftlich_bewertbare_Sicherheiten_in * V.GBR_Quote)) 
                         / 1000 AS Wirtschaftlich_blanko_in
FROM            dbo.tab_KNE_KN AS V INNER JOIN
                         dbo._tmpKNE AS T ON V.KNEID = T.KNEID INNER JOIN
                         dbo.tabKreditnehmer ON V.KNID = dbo.tabKreditnehmer.KNID LEFT OUTER JOIN
                         dbo.tabSicherheitenproKNID AS S ON V.KNID = S.KNID
GROUP BY T.KNEID, T.KNE_Name, T.Bdate, T.SPID

GO

/****** Object:  View [dbo].[viewSicherheitenRE]    Script Date: 08.03.2017 10:39:47 ******/
DROP VIEW [dbo].[viewSicherheitenRE]
GO

/****** Object:  View [dbo].[viewSicherheitenRE]    Script Date: 08.03.2017 10:39:47 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSicherheitenRE]
AS
SELECT        T.SPID, T.RNR, SUM(S.Grundpfandrechte_wi * V.GBR_Quote) / 1000 AS Grundpfandrechte_wi, SUM(S.Grundpfandrechte_in * V.GBR_Quote) 
                         / 1000 AS Grundpfandrechte_in, SUM(S.Grundpfandrechte_wohn_wi * V.GBR_Quote) / 1000 AS Grundpfandrechte_wohn_wi, 
                         SUM(S.Grundpfandrechte_wohn_in * V.GBR_Quote) / 1000 AS Grundpfandrechte_wohn_in, SUM(S.Grundpfandrechte_gew_wi * V.GBR_Quote) 
                         / 1000 AS Grundpfandrechte_gew_wi, SUM(S.Grundpfandrechte_gew_in * V.GBR_Quote) / 1000 AS Grundpfandrechte_gew_in, 
                         SUM(S.Grundpfandrechte_real_wi * V.GBR_Quote) / 1000 AS Grundpfandrechte_real_wi, SUM(S.Grundpfandrechte_real_in * V.GBR_Quote) 
                         / 1000 AS Grundpfandrechte_real_in, SUM(S.Guthaben_wi * V.GBR_Quote) / 1000 AS Guthaben_wi, SUM(S.Guthaben_in * V.GBR_Quote) / 1000 AS Guthaben_in, 
                         SUM(S.Wertpapiere_wi * V.GBR_Quote) / 1000 AS Wertpapiere_wi, SUM(S.Wertpapiere_in * V.GBR_Quote) / 1000 AS Wertpapiere_in, 
                         SUM(S.Sicherungsuebereignungen_wi * V.GBR_Quote) / 1000 AS Sicherungsuebereignungen_wi, SUM(S.Sicherungsuebereignungen_in * V.GBR_Quote) 
                         / 1000 AS Sicherungsuebereignungen_in, SUM(S.Lebensversicherungen_wi * V.GBR_Quote) / 1000 AS Lebensversicherungen_wi, 
                         SUM(S.Lebensversicherungen_in * V.GBR_Quote) / 1000 AS Lebensversicherungen_in, SUM(S.Zessionen_wi * V.GBR_Quote) / 1000 AS Zessionen_wi, 
                         SUM(S.Zessionen_in * V.GBR_Quote) / 1000 AS Zessionen_in, SUM(S.Buergschaften_oeffentl_wi * V.GBR_Quote) / 1000 AS Buergschaften_oeffentl_wi, 
                         SUM(S.Buergschaften_oeffentl_in * V.GBR_Quote) / 1000 AS Buergschaften_oeffentl_in, SUM(S.Buergschaften_sonst_in * V.GBR_Quote) 
                         / 1000 AS Buergschaften_sonst_in, SUM(S.Buergschaften_sonst_wi * V.GBR_Quote) / 1000 AS Buergschaften_sonst_wi, SUM(S.Sonstiges_wi * V.GBR_Quote) 
                         / 1000 AS Sonstiges_wi, SUM(S.Sonstiges_in * V.GBR_Quote) / 1000 AS Sonstiges_in, SUM(S.SPKRecht_nicht_Blanko_in * V.GBR_Quote) 
                         / 1000 AS SPKRecht_nicht_Blanko_in, SUM(S.SPKRecht_nicht_Blanko_wi * V.GBR_Quote) / 1000 AS SPKRecht_nicht_Blanko_wi, 
                         SUM(S.DarunterKoerperschaft_in * V.GBR_Quote) / 1000 AS DarunterKoerperschaft_in, SUM(S.DarunterKoerperschaft_wi * V.GBR_Quote) 
                         / 1000 AS DarunterKoerperschaft_wi, SUM(S.Wirtschaftlich_bewertbare_Sicherheiten_in * V.GBR_Quote) / 1000 AS Wirtschaftlich_bewertbare_Sicherheiten_in, 
                         SUM(S.Wirtschaftlich_bewertbare_Sicherheiten_wi * V.GBR_Quote) / 1000 AS Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                         SUM(S.Freie_Sicherheiten_in * V.GBR_Quote) / 1000 AS Freie_Sicherheiten_in, SUM(S.Freie_Sicherheiten_wi * V.GBR_Quote) / 1000 AS Freie_Sicherheiten_wi, 
                         SUM(S.SPKRechtlich_Bewertbar_in * V.GBR_Quote) / 1000 AS SPKRechtlich_Bewertbar_in, SUM(S.SPKRechtlich_Bewertbar_wi * V.GBR_Quote) 
                         / 1000 AS SPKRechtlich_Bewertbar_wi, SUM(ISNULL(S.SPKRechtl_Blanko_in, dbo.tabKreditnehmer.kn_blankokreditvolumen_in) * V.GBR_Quote) 
                         / 1000 AS SPKRechtl_Blanko_in, SUM(ISNULL(S.SPKRechtl_Blanko_wi, dbo.tabKreditnehmer.kn_blankokreditvolumen_wi) * V.GBR_Quote) 
                         / 1000 AS SPKRechtl_Blanko_wi, (SUM(ISNULL(S.SPKRechtl_Blanko_wi, dbo.tabKreditnehmer.kn_blankokreditvolumen_wi) * V.GBR_Quote) 
                         - SUM(S.Wirtschaftlich_bewertbare_Sicherheiten_wi * V.GBR_Quote)) / 1000 AS Wirtschaftlich_blanko_wi, (SUM(ISNULL(S.SPKRechtl_Blanko_in, 
                         dbo.tabKreditnehmer.kn_blankokreditvolumen_in) * V.GBR_Quote) - SUM(S.Wirtschaftlich_bewertbare_Sicherheiten_in * V.GBR_Quote)) 
                         / 1000 AS Wirtschaftlich_blanko_in, T.Bdate
FROM            dbo.tabKN_Risiko AS V INNER JOIN
                         dbo._tmpRisikoeinheit AS T ON V.RNR = T.RNR AND V.SPID = T.SPID INNER JOIN
                         dbo.tabKreditnehmer ON V.KNID = dbo.tabKreditnehmer.KNID LEFT OUTER JOIN
                         dbo.tabSicherheitenproKNID AS S ON V.KNID = S.KNID
GROUP BY T.RNR, T.Bdate, T.SPID

GO

/****** Object:  View [dbo].[viewSicherheitenRESammel]    Script Date: 08.03.2017 10:41:02 ******/
DROP VIEW [dbo].[viewSicherheitenRESammel]
GO

/****** Object:  View [dbo].[viewSicherheitenRESammel]    Script Date: 08.03.2017 10:41:02 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSicherheitenRESammel]
AS
SELECT        T.SPID, T.RNR, SUM(S.Grundpfandrechte_wi * V.GBR_Quote) / 1000 AS Grundpfandrechte_wi, SUM(S.Grundpfandrechte_in * V.GBR_Quote) 
                         / 1000 AS Grundpfandrechte_in, SUM(S.Grundpfandrechte_wohn_wi * V.GBR_Quote) / 1000 AS Grundpfandrechte_wohn_wi, 
                         SUM(S.Grundpfandrechte_wohn_in * V.GBR_Quote) / 1000 AS Grundpfandrechte_wohn_in, SUM(S.Grundpfandrechte_gew_wi * V.GBR_Quote) 
                         / 1000 AS Grundpfandrechte_gew_wi, SUM(S.Grundpfandrechte_gew_in * V.GBR_Quote) / 1000 AS Grundpfandrechte_gew_in, 
                         SUM(S.Grundpfandrechte_real_wi * V.GBR_Quote) / 1000 AS Grundpfandrechte_real_wi, SUM(S.Grundpfandrechte_real_in * V.GBR_Quote) 
                         / 1000 AS Grundpfandrechte_real_in, SUM(S.Guthaben_wi * V.GBR_Quote) / 1000 AS Guthaben_wi, SUM(S.Guthaben_in * V.GBR_Quote) / 1000 AS Guthaben_in, 
                         SUM(S.Wertpapiere_wi * V.GBR_Quote) / 1000 AS Wertpapiere_wi, SUM(S.Wertpapiere_in * V.GBR_Quote) / 1000 AS Wertpapiere_in, 
                         SUM(S.Sicherungsuebereignungen_wi * V.GBR_Quote) / 1000 AS Sicherungsuebereignungen_wi, SUM(S.Sicherungsuebereignungen_in * V.GBR_Quote) 
                         / 1000 AS Sicherungsuebereignungen_in, SUM(S.Lebensversicherungen_wi * V.GBR_Quote) / 1000 AS Lebensversicherungen_wi, 
                         SUM(S.Lebensversicherungen_in * V.GBR_Quote) / 1000 AS Lebensversicherungen_in, SUM(S.Zessionen_wi * V.GBR_Quote) / 1000 AS Zessionen_wi, 
                         SUM(S.Zessionen_in * V.GBR_Quote) / 1000 AS Zessionen_in, SUM(S.Buergschaften_oeffentl_wi * V.GBR_Quote) / 1000 AS Buergschaften_oeffentl_wi, 
                         SUM(S.Buergschaften_oeffentl_in * V.GBR_Quote) / 1000 AS Buergschaften_oeffentl_in, SUM(S.Buergschaften_sonst_in * V.GBR_Quote) 
                         / 1000 AS Buergschaften_sonst_in, SUM(S.Buergschaften_sonst_wi * V.GBR_Quote) / 1000 AS Buergschaften_sonst_wi, SUM(S.Sonstiges_wi * V.GBR_Quote) 
                         / 1000 AS Sonstiges_wi, SUM(S.Sonstiges_in * V.GBR_Quote) / 1000 AS Sonstiges_in, SUM(S.SPKRecht_nicht_Blanko_in * V.GBR_Quote) 
                         / 1000 AS SPKRecht_nicht_Blanko_in, SUM(S.SPKRecht_nicht_Blanko_wi * V.GBR_Quote) / 1000 AS SPKRecht_nicht_Blanko_wi, 
                         SUM(S.DarunterKoerperschaft_in * V.GBR_Quote) / 1000 AS DarunterKoerperschaft_in, SUM(S.DarunterKoerperschaft_wi * V.GBR_Quote) 
                         / 1000 AS DarunterKoerperschaft_wi, SUM(S.Wirtschaftlich_bewertbare_Sicherheiten_in * V.GBR_Quote) / 1000 AS Wirtschaftlich_bewertbare_Sicherheiten_in, 
                         SUM(S.Wirtschaftlich_bewertbare_Sicherheiten_wi * V.GBR_Quote) / 1000 AS Wirtschaftlich_bewertbare_Sicherheiten_wi, 
                         SUM(S.Freie_Sicherheiten_in * V.GBR_Quote) / 1000 AS Freie_Sicherheiten_in, SUM(S.Freie_Sicherheiten_wi * V.GBR_Quote) / 1000 AS Freie_Sicherheiten_wi, 
                         SUM(S.SPKRechtlich_Bewertbar_in * V.GBR_Quote) / 1000 AS SPKRechtlich_Bewertbar_in, SUM(S.SPKRechtlich_Bewertbar_wi * V.GBR_Quote) 
                         / 1000 AS SPKRechtlich_Bewertbar_wi, SUM(ISNULL(S.SPKRechtl_Blanko_in, dbo.tabKreditnehmer.kn_blankokreditvolumen_in) * V.GBR_Quote) 
                         / 1000 AS SPKRechtl_Blanko_in, SUM(ISNULL(S.SPKRechtl_Blanko_wi, dbo.tabKreditnehmer.kn_blankokreditvolumen_wi) * V.GBR_Quote) 
                         / 1000 AS SPKRechtl_Blanko_wi, (SUM(ISNULL(S.SPKRechtl_Blanko_wi, dbo.tabKreditnehmer.kn_blankokreditvolumen_wi) * V.GBR_Quote) 
                         - SUM(S.Wirtschaftlich_bewertbare_Sicherheiten_wi * V.GBR_Quote)) / 1000 AS Wirtschaftlich_blanko_wi, (SUM(ISNULL(S.SPKRechtl_Blanko_in, 
                         dbo.tabKreditnehmer.kn_blankokreditvolumen_in) * V.GBR_Quote) - SUM(S.Wirtschaftlich_bewertbare_Sicherheiten_in * V.GBR_Quote)) 
                         / 1000 AS Wirtschaftlich_blanko_in, T.Bdate
FROM            dbo.tabKN_RisikoSammel AS V INNER JOIN
                         dbo._tmpRisikoeinheit AS T ON V.RNR = T.RNR AND V.SPID = T.SPID INNER JOIN
                         dbo.tabKreditnehmer ON V.KNID = dbo.tabKreditnehmer.KNID LEFT OUTER JOIN
                         dbo.tabSicherheitenproKNID AS S ON V.KNID = S.KNID
GROUP BY T.RNR, T.Bdate, T.SPID

GO

/****** Object:  View [dbo].[viewSummenproKN_in_tmpKNE]    Script Date: 08.03.2017 10:42:57 ******/
DROP VIEW [dbo].[viewSummenproKN_in_tmpKNE]
GO

/****** Object:  View [dbo].[viewSummenproKN_in_tmpKNE]    Script Date: 08.03.2017 10:42:57 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSummenproKN_in_tmpKNE]
AS
SELECT        T.SPID, T.KNEID, V.KNID, CAST(SUM(CASE WHEN k.kto_gp_key = '1' OR
                         k.kto_gp_key = '0' OR
                         k.kto_gp_key = '5' OR
                         k.kto_gp_key = 'K' THEN isnull(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS KKWechsel, 
                         CAST(SUM(CASE WHEN (k.kto_gp_key = '6' AND k.kto_kontentyp <> 'TREUKR' AND k.kto_kontentyp <> 'VERWKR') OR
                         k.kto_gp_key = '2' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Darlehen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '9' OR
                         k.kto_gp_key = 'G' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS HKKonten, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '7' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS AvaleAkkr, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'W' OR
                         k.kto_gp_key = 'B' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS WertpapiereBeteiligungen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'D' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Andere, 
                         CAST(SUM(ISNULL(K.kto_inanspruchnahme, 0)) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS InAn, CAST(SUM(ISNULL(K.kto_gesamtkreditvolumen, 0)) 
                         * V.GBR_Quote / 1000 AS numeric(18, 0)) AS GesamtKV, CAST(ISNULL(KN.kn_Ueberziehung, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Ueberziehung
FROM            dbo._tmpKNE AS T INNER JOIN
                         dbo.tab_KNE_KN AS V ON T.KNEID = V.KNEID INNER JOIN
                         dbo.tabKreditnehmer AS KN ON V.KNID = KN.KNID INNER JOIN
                         dbo.tabKonto AS K ON K.KNID = KN.KNID
GROUP BY T.KNEID, V.KNID, V.GBR_Quote, KN.kn_Ueberziehung, T.SPID

GO

/****** Object:  View [dbo].[viewSummenproKN_in_tmpRisikoeinheit]    Script Date: 08.03.2017 10:44:37 ******/
DROP VIEW [dbo].[viewSummenproKN_in_tmpRisikoeinheit]
GO

/****** Object:  View [dbo].[viewSummenproKN_in_tmpRisikoeinheit]    Script Date: 08.03.2017 10:44:37 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSummenproKN_in_tmpRisikoeinheit]
AS
SELECT        T.SPID, T.RNR, T.KNID, CAST(SUM(CASE WHEN k.kto_gp_key = '1' OR
                         k.kto_gp_key = '0' OR
                         k.kto_gp_key = '5' OR
                         k.kto_gp_key = 'K' THEN isnull(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS KKWechsel, 
                         CAST(SUM(CASE WHEN (k.kto_gp_key = '6' AND k.kto_kontentyp <> 'TREUKR' AND k.kto_kontentyp <> 'VERWKR') OR
                         k.kto_gp_key = '2' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Darlehen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '9' OR
                         k.kto_gp_key = 'G' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS HKKonten, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '7' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS AvaleAkkr, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'W' OR
                         k.kto_gp_key = 'B' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS WertpapiereBeteiligungen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'D' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Andere, 
                         CAST(SUM(ISNULL(K.kto_inanspruchnahme, 0)) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS InAn, CAST(SUM(ISNULL(K.kto_gesamtkreditvolumen, 0)) 
                         * V.GBR_Quote / 1000 AS numeric(18, 0)) AS GesamtKV, CAST(ISNULL(KN.kn_Ueberziehung, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Ueberziehung
FROM            dbo.tabKN_Risiko AS V INNER JOIN
                         dbo.tabKreditnehmer AS KN ON V.KNID = KN.KNID INNER JOIN
                         dbo.tabKonto AS K ON K.KNID = KN.KNID INNER JOIN
                         dbo._tmpRisikoeinheit AS T ON V.RNR = T.RNR AND V.SPID = T.SPID
GROUP BY T.KNID, V.GBR_Quote, KN.kn_Ueberziehung, T.RNR, T.SPID

GO

/****** Object:  View [dbo].[viewSummenproKN_in_tmpRisikoeinheitSammel]    Script Date: 08.03.2017 10:46:00 ******/
DROP VIEW [dbo].[viewSummenproKN_in_tmpRisikoeinheitSammel]
GO

/****** Object:  View [dbo].[viewSummenproKN_in_tmpRisikoeinheitSammel]    Script Date: 08.03.2017 10:46:00 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSummenproKN_in_tmpRisikoeinheitSammel]
AS
SELECT        T.SPID, T.RNR, T.KNID, CAST(SUM(CASE WHEN k.kto_gp_key = '1' OR
                         k.kto_gp_key = '0' OR
                         k.kto_gp_key = '5' OR
                         k.kto_gp_key = 'K' THEN isnull(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS KKWechsel, 
                         CAST(SUM(CASE WHEN (k.kto_gp_key = '6' AND k.kto_kontentyp <> 'TREUKR' AND k.kto_kontentyp <> 'VERWKR') OR
                         k.kto_gp_key = '2' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Darlehen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '9' OR
                         k.kto_gp_key = 'G' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS HKKonten, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '7' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS AvaleAkkr, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'W' OR
                         k.kto_gp_key = 'B' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS WertpapiereBeteiligungen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'D' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Andere, 
                         CAST(SUM(ISNULL(K.kto_inanspruchnahme, 0)) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS InAn, CAST(SUM(ISNULL(K.kto_gesamtkreditvolumen, 0)) 
                         * V.GBR_Quote / 1000 AS numeric(18, 0)) AS GesamtKV, CAST(ISNULL(KN.kn_Ueberziehung, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Ueberziehung
FROM            dbo.tabKN_RisikoSammel AS V INNER JOIN
                         dbo.tabKreditnehmer AS KN ON V.KNID = KN.KNID INNER JOIN
                         dbo.tabKonto AS K ON K.KNID = KN.KNID INNER JOIN
                         dbo._tmpRisikoeinheit AS T ON V.RNR = T.RNR AND V.SPID = T.SPID
GROUP BY T.KNID, V.GBR_Quote, KN.kn_Ueberziehung, T.RNR, T.SPID

GO

/****** Object:  View [dbo].[viewSummenproKNE_in_tmpKNE]    Script Date: 08.03.2017 10:46:53 ******/
DROP VIEW [dbo].[viewSummenproKNE_in_tmpKNE]
GO

/****** Object:  View [dbo].[viewSummenproKNE_in_tmpKNE]    Script Date: 08.03.2017 10:46:53 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSummenproKNE_in_tmpKNE]
AS
SELECT        SPID, KNEID, SUM(KKWechsel) AS SummevonKKWechsel, SUM(Darlehen) AS SummevonDarlehen, SUM(WertpapiereBeteiligungen) 
                         AS SummevonWertpapiereBeteiligungen, SUM(HKKonten) AS SummeHKKonten, SUM(AvaleAkkr) AS SummevonAvaleAkkr, SUM(Andere) AS SummevonAndere, 
                         SUM(Ueberziehung) AS SummevonUeberziehung
FROM            dbo.viewSummenproKN_in_tmpKNE
GROUP BY KNEID, SPID

GO

/****** Object:  View [dbo].[viewZusammenfassungZusagenInAn_KNE_KN]    Script Date: 08.03.2017 10:48:51 ******/
DROP VIEW [dbo].[viewZusammenfassungZusagenInAn_KNE_KN]
GO

/****** Object:  View [dbo].[viewZusammenfassungZusagenInAn_KNE_KN]    Script Date: 08.03.2017 10:48:51 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewZusammenfassungZusagenInAn_KNE_KN]
AS
SELECT        dbo._tmpRisikoeinheit.SPID, dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.KNEID, dbo._tmpRisikoeinheit.KNE_Name, dbo.tab_KNE_KN.KNID, 
                         dbo.tabKreditnehmer.KN, dbo.tabKreditnehmer.kn_name, dbo.stabKontentypen.KGKV, dbo.stabKontentypen.Kontengruppe, dbo.stabKontentypen.KSortierung, 
                         K.kto_kontentyp, dbo.stabKontentypen.KontentypText, CAST(SUM(ISNULL(K.kto_gesamtkreditvolumen, 0) * dbo.tab_KNE_KN.GBR_Quote / 1000) AS Numeric(18, 0)) 
                         AS GKV, CAST(SUM(ISNULL(K.kto_inanspruchnahme, 0) * dbo.tab_KNE_KN.GBR_Quote / 1000) AS numeric(18, 0)) AS InAn, CAST(SUM(ISNULL(K.kto_ueberziehung, 0) 
                         * dbo.tab_KNE_KN.GBR_Quote / 1000) AS numeric(18, 0)) AS Ueber
FROM            dbo.tab_KNE_KN INNER JOIN
                         dbo.tabKreditnehmer ON dbo.tab_KNE_KN.KNID = dbo.tabKreditnehmer.KNID INNER JOIN
                         dbo.tabKonto AS K ON dbo.tabKreditnehmer.KNID = K.KNID INNER JOIN
                         dbo._tmpRisikoeinheit ON dbo.tab_KNE_KN.KNEID = dbo._tmpRisikoeinheit.KNEID LEFT OUTER JOIN
                         dbo.stabKontentypen ON K.kto_kontentyp = dbo.stabKontentypen.Kontentyp
GROUP BY dbo._tmpRisikoeinheit.KNEID, K.kto_kontentyp, dbo.stabKontentypen.KontentypText, dbo.stabKontentypen.Kontengruppe, dbo.stabKontentypen.KSortierung, 
                         dbo.tab_KNE_KN.KNID, dbo.tabKreditnehmer.KN, dbo.tabKreditnehmer.kn_name, dbo._tmpRisikoeinheit.KNE_Name, dbo._tmpRisikoeinheit.RNR, 
                         dbo.stabKontentypen.KGKV, dbo._tmpRisikoeinheit.SPID

GO

/****** Object:  View [dbo].[viewZusammenfassungZusagenInAn_KNE]    Script Date: 08.03.2017 10:49:30 ******/
DROP VIEW [dbo].[viewZusammenfassungZusagenInAn_KNE]
GO

/****** Object:  View [dbo].[viewZusammenfassungZusagenInAn_KNE]    Script Date: 08.03.2017 10:49:30 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewZusammenfassungZusagenInAn_KNE]
AS
SELECT        SPID, KNEID, KGKV, Kontengruppe, KSortierung, kto_kontentyp, KontentypText, CAST(SUM(GKV) AS numeric(18, 0)) AS GKV, CAST(SUM(InAn) AS numeric(18, 0)) 
                         AS InAn, CAST(SUM(Ueber) AS numeric(18, 0)) AS Ueber
FROM            dbo.viewZusammenfassungZusagenInAn_KNE_KN
GROUP BY KNEID, Kontengruppe, KSortierung, kto_kontentyp, KontentypText, KGKV, SPID

GO

/****** Object:  View [dbo].[viewZusammenfassungZusagenInAn_RE_KN]    Script Date: 08.03.2017 10:50:43 ******/
DROP VIEW [dbo].[viewZusammenfassungZusagenInAn_RE_KN]
GO

/****** Object:  View [dbo].[viewZusammenfassungZusagenInAn_RE_KN]    Script Date: 08.03.2017 10:50:43 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewZusammenfassungZusagenInAn_RE_KN]
AS
SELECT        dbo._tmpRisikoeinheit.SPID, dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.KNEID, dbo._tmpRisikoeinheit.KNE_Name, dbo.tabKN_Risiko.KNID, 
                         dbo.tabKreditnehmer.KN, dbo.tabKreditnehmer.kn_name, dbo.stabKontentypen.KGKV, dbo.stabKontentypen.Kontengruppe, dbo.stabKontentypen.KSortierung, 
                         dbo.stabKontentypen.Kontentyp, dbo.stabKontentypen.KontentypText, CAST(SUM(ISNULL(dbo.tabKonto.kto_gesamtkreditvolumen, 0) 
                         * dbo.tabKN_Risiko.GBR_Quote / 1000) AS numeric(18, 0)) AS GKV, CAST(SUM(ISNULL(dbo.tabKonto.kto_inanspruchnahme, 0) * dbo.tabKN_Risiko.GBR_Quote / 1000) 
                         AS numeric(18, 0)) AS InAn, CAST(SUM(ISNULL(dbo.tabKonto.kto_ueberziehung, 0) * dbo.tabKN_Risiko.GBR_Quote / 1000) AS numeric(18, 0)) AS Ueber
FROM            dbo.tabKN_Risiko INNER JOIN
                         dbo.tabKreditnehmer ON dbo.tabKN_Risiko.KNID = dbo.tabKreditnehmer.KNID INNER JOIN
                         dbo.tabKonto ON dbo.tabKreditnehmer.KNID = dbo.tabKonto.KNID INNER JOIN
                         dbo._tmpRisikoeinheit ON dbo.tabKN_Risiko.RNR = dbo._tmpRisikoeinheit.RNR AND dbo.tabKN_Risiko.SPID = dbo._tmpRisikoeinheit.SPID LEFT OUTER JOIN
                         dbo.stabKontentypen ON dbo.tabKonto.kto_kontentyp = dbo.stabKontentypen.Kontentyp
GROUP BY dbo._tmpRisikoeinheit.KNEID, dbo.stabKontentypen.Kontengruppe, dbo.stabKontentypen.KSortierung, dbo.stabKontentypen.KontentypText, 
                         dbo.stabKontentypen.Kontentyp, dbo.tabKN_Risiko.KNID, dbo._tmpRisikoeinheit.KNE_Name, dbo.tabKreditnehmer.KN, dbo.tabKreditnehmer.kn_name, 
                         dbo._tmpRisikoeinheit.RNR, dbo.stabKontentypen.KGKV, dbo._tmpRisikoeinheit.SPID

GO


/****** Object:  View [dbo].[viewZusammenfassungZusagenInAn_RE]    Script Date: 08.03.2017 10:51:10 ******/
DROP VIEW [dbo].[viewZusammenfassungZusagenInAn_RE]
GO

/****** Object:  View [dbo].[viewZusammenfassungZusagenInAn_RE]    Script Date: 08.03.2017 10:51:10 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewZusammenfassungZusagenInAn_RE]
AS
SELECT        SPID, RNR, KGKV, Kontengruppe, KSortierung, Kontentyp, KontentypText, CAST(SUM(GKV) AS numeric(18, 0)) AS GKV, CAST(SUM(InAn) AS numeric(18, 0)) AS InAn, 
                         CAST(SUM(Ueber) AS numeric(18, 0)) AS Ueber
FROM            dbo.viewZusammenfassungZusagenInAn_RE_KN
GROUP BY RNR, Kontengruppe, KSortierung, Kontentyp, KontentypText, KGKV, SPID

GO


/****** Object:  View [dbo].[viewZusammenfassungZusagenInAn_RE_KNSammel]    Script Date: 08.03.2017 10:52:04 ******/
DROP VIEW [dbo].[viewZusammenfassungZusagenInAn_RE_KNSammel]
GO

/****** Object:  View [dbo].[viewZusammenfassungZusagenInAn_RE_KNSammel]    Script Date: 08.03.2017 10:52:04 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewZusammenfassungZusagenInAn_RE_KNSammel]
AS
SELECT        dbo._tmpRisikoeinheit.SPID, dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.KNEID, dbo._tmpRisikoeinheit.KNE_Name, dbo.tabKN_RisikoSammel.KNID, 
                         dbo.tabKreditnehmer.KN, dbo.tabKreditnehmer.kn_name, dbo.stabKontentypen.KGKV, dbo.stabKontentypen.Kontengruppe, dbo.stabKontentypen.KSortierung, 
                         dbo.stabKontentypen.Kontentyp, dbo.stabKontentypen.KontentypText, CAST(SUM(ISNULL(dbo.tabKonto.kto_gesamtkreditvolumen, 0) 
                         * dbo.tabKN_RisikoSammel.GBR_Quote / 1000) AS numeric(18, 0)) AS GKV, CAST(SUM(ISNULL(dbo.tabKonto.kto_inanspruchnahme, 0) 
                         * dbo.tabKN_RisikoSammel.GBR_Quote / 1000) AS numeric(18, 0)) AS InAn, CAST(SUM(ISNULL(dbo.tabKonto.kto_ueberziehung, 0) 
                         * dbo.tabKN_RisikoSammel.GBR_Quote / 1000) AS numeric(18, 0)) AS Ueber
FROM            dbo.tabKN_RisikoSammel INNER JOIN
                         dbo.tabKreditnehmer ON dbo.tabKN_RisikoSammel.KNID = dbo.tabKreditnehmer.KNID INNER JOIN
                         dbo.tabKonto ON dbo.tabKreditnehmer.KNID = dbo.tabKonto.KNID INNER JOIN
                         dbo._tmpRisikoeinheit ON dbo.tabKN_RisikoSammel.RNR = dbo._tmpRisikoeinheit.RNR AND 
                         dbo.tabKN_RisikoSammel.SPID = dbo._tmpRisikoeinheit.SPID LEFT OUTER JOIN
                         dbo.stabKontentypen ON dbo.tabKonto.kto_kontentyp = dbo.stabKontentypen.Kontentyp
GROUP BY dbo._tmpRisikoeinheit.KNEID, dbo.stabKontentypen.Kontengruppe, dbo.stabKontentypen.KSortierung, dbo.stabKontentypen.KontentypText, 
                         dbo.stabKontentypen.Kontentyp, dbo.tabKN_RisikoSammel.KNID, dbo._tmpRisikoeinheit.KNE_Name, dbo.tabKreditnehmer.KN, dbo.tabKreditnehmer.kn_name, 
                         dbo._tmpRisikoeinheit.RNR, dbo.stabKontentypen.KGKV, dbo._tmpRisikoeinheit.SPID

GO

/****** Object:  View [dbo].[viewZusammenfassungZusagenInAn_RESammel]    Script Date: 08.03.2017 10:52:34 ******/
DROP VIEW [dbo].[viewZusammenfassungZusagenInAn_RESammel]
GO

/****** Object:  View [dbo].[viewZusammenfassungZusagenInAn_RESammel]    Script Date: 08.03.2017 10:52:34 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewZusammenfassungZusagenInAn_RESammel]
AS
SELECT        SPID, RNR, KGKV, Kontengruppe, KSortierung, Kontentyp, KontentypText, CAST(SUM(GKV) AS Numeric(18, 0)) AS GKV, CAST(SUM(InAn) AS numeric(18, 0)) AS InAn, 
                         CAST(SUM(Ueber) AS Numeric(18, 0)) AS Ueber
FROM            dbo.viewZusammenfassungZusagenInAn_RE_KNSammel
GROUP BY RNR, Kontengruppe, KSortierung, Kontentyp, KontentypText, KGKV, SPID

GO

/****** Object:  View [dbo].[viewSummenblattRisiko]    Script Date: 08.03.2017 12:03:36 ******/
DROP VIEW [dbo].[viewSummenblattRisiko]
GO

/****** Object:  View [dbo].[viewSummenblattRisiko]    Script Date: 08.03.2017 12:03:36 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewSummenblattRisiko]
AS
SELECT        dbo._tmpRisikoeinheit.SPID, dbo._tmpRisikoeinheit.KNE_Name, dbo._tmpRisikoeinheit.kne_berater, dbo._tmpRisikoeinheit.Bdate, KN.kn_name, KN.KN, 
                         CAST(ISNULL(KN.kn_blankokreditvolumen_wi, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS BlankoZusage, CAST(ISNULL(KN.kn_blankokreditvolumen_in, 0) 
                         * V.GBR_Quote / 1000 AS numeric(18, 0)) AS BlankoInAn, CAST(ISNULL(KN.kn_Inanspruchnahme, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS InAn, 
                         CAST(ISNULL(KN.kn_gesamtkreditvolumen, 0) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS GesamtKV, CAST(SUM(CASE WHEN k.kto_gp_key = '1' OR
                         k.kto_gp_key = '0' OR
                         k.kto_gp_key = '5' THEN isnull(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS KKWechsel, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '1' OR
                         k.kto_gp_key = '0' OR
                         k.kto_gp_key = '5' OR
                         k.kto_gp_key = '2' THEN isnull(K.kto_Ueberziehung, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) + CAST(ISNULL(KN.kn_darlehensrueckstand, 0) 
                         * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Ueberziehung, CAST(SUM(CASE WHEN (k.kto_gp_key = '6' AND k.kto_kontentyp <> 'TREUKR' AND 
                         k.kto_kontentyp <> 'VERWKR') OR
                         k.kto_gp_key = '2' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Darlehen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '9' OR
                         k.kto_gp_key = 'G' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS HKKonten, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = '7' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS AvaleAkkr, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'W' OR
                         k.kto_gp_key = 'B' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS WertpapiereBeteiligungen, 
                         CAST(SUM(CASE WHEN k.kto_gp_key = 'D' THEN ISNULL(K.kto_Inanspruchnahme, 0) ELSE 0 END) * V.GBR_Quote / 1000 AS numeric(18, 0)) AS Andere, 
                         V.GBR_Quote, dbo._tmpRisikoeinheit.KNEID, dbo._tmpRisikoeinheit.KNID, dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.RGrund, 
                         dbo._tmpRisikoeinheit.KNE_Name + dbo._tmpRisikoeinheit.KNEID AS Sortierung
FROM            dbo.tabKN_Risiko AS V INNER JOIN
                         dbo.tabKreditnehmer AS KN ON V.KNID = KN.KNID INNER JOIN
                         dbo._tmpRisikoeinheit ON V.RNR = dbo._tmpRisikoeinheit.RNR AND V.SPID = dbo._tmpRisikoeinheit.SPID LEFT OUTER JOIN
                         dbo.tabKonto AS K ON KN.KNID = K.KNID
GROUP BY dbo._tmpRisikoeinheit.KNE_Name, dbo._tmpRisikoeinheit.kne_berater, dbo._tmpRisikoeinheit.Bdate, V.GBR_Quote, KN.kn_Ueberziehung, 
                         KN.kn_blankokreditvolumen_wi, KN.kn_blankokreditvolumen_in, KN.kn_Inanspruchnahme, KN.kn_gesamtkreditvolumen, KN.kn_name, KN.KN, 
                         dbo._tmpRisikoeinheit.KNEID, dbo._tmpRisikoeinheit.KNID, dbo._tmpRisikoeinheit.RNR, dbo._tmpRisikoeinheit.RGrund, 
                         dbo._tmpRisikoeinheit.KNE_Name + dbo._tmpRisikoeinheit.KNEID, KN.kn_darlehensrueckstand, dbo._tmpRisikoeinheit.SPID

GO


ALTER PROCEDURE [dbo].[spExpKreditnehmereinheit] 
@INR nvarchar(3),
@BDate datetime,
@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _expKreditnehmereinheit
SELECT    KNE.KNEID, @SPID as SPID, KNE.INR, KNE.Bdate, KNE, KNE.Herkunft, KNE.KNE_Name, kne_wv_verbnr, KNE.kne_berater, kne_gesamtkreditvolumen, kne_gesamtkreditvolumen_not, kne_meta_anteil_inanspruchnahme, 
          kne_bewilligungsvolumen_neu, kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_blankokreditvolumen_wi, kne_Personalkreditvolumen_in, 
          kne_Personalkreditvolumen_wi, kne_Realkreditvolumen_in, kne_Realkreditvolumen_wi, kne_Kompensationskreditvolumen_in, kne_Kompensationskreditvolumen_wi, 
          kne_Kommunalkreditvolumen_in, kne_Kommunalkreditvolumen_wi, kne_Kreditueberschreitung, kne_Darlehensrueckstand, kne_externe_kredite, kne_interne_Kredite, 
          kne_Ueberziehungsgenehmigungen, kne_ewb_Veraenderung, kne_ewb_e, kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, 
          kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg, kne_ewb_e_absg_dir_btrg, kne_ewb_v, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, 
          kne_ewb_v_afls_btrg, kne_ewb_v_absg_ind_btrg, kne_ewb_v_absg_dir_btrg, Kne_Guthaben, KNE.BLZ, kne_identnr, kne_wv, kne_beruf_branche, 
          kne_kreditvolumen_az01, kne_kreditvolumen_az5, kne_kreditvolumen_az6, kne_kreditvolumen_az7, kne_kreditvolumen_beteiligung, kne_kreditvolumen_derivate, 
          kne_kreditvolumen_fw_kredite, kne_kreditvolumen_geldhandel, kne_kreditvolumen_so_az9, kne_kreditvolumen_wertpapiere, kne_kreditvolumen_wp_leihe, 
          kne_kreditvolumen_kommunal, kne_kreditvolumen_kreditkarten, kne_meta_anteil_kreditvolumen,  
          kne_kreditvolumen_akkreditive, KNE_Kreditvolumen_az2, kne_wirt_anteil_wi, kne_wirt_anteil_in, kne_freier_anteil_wi, 
          kne_freier_anteil_in, kne_PKV_SPG_in, kne_PKV_SPG_wi, kne_PKV_SPG_IN_SVN, kne_Risikoklasse, kne_Bonitaet, kne_Gewichtete_Bonitaet 
FROM tabKreditnehmereinheit AS KNE INNER JOIN _tmpAuswahl as T ON KNE.KNEID = T.KNEID
where t.spid = @SPID and T.INR = @INR and T.Bdate = @Bdate
END





/****** Object:  Table [dbo].[_tmpStichprobe]    Script Date: 08.03.2017 18:44:57 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[_tmpStichprobe]') AND type in (N'U'))
DROP TABLE [dbo].[_tmpStichprobe]
GO

/****** Object:  StoredProcedure [dbo].[spStichprobenVorbereitungAuswahl]    Script Date: 08.03.2017 18:53:37 ******/
DROP PROCEDURE [dbo].[spStichprobenVorbereitungAuswahl]
GO

ALTER PROCEDURE [dbo].[spDokuFilterEintragen] 
    @FID nvarchar(14),
    @Filtername nvarchar(400),
    @Filterkriterium nvarchar(400),
    @AKtiv bit,
    @InstNR nvarchar(3), 
    @BDate datetime,
	@SPID int 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabFilter ( SPID, FID, Filtername, Filterkriterien, Aktiv, INR, BDate ) 
       VALUES (@SPID, @FID, @Filtername, @Filterkriterium, @Aktiv, @Instnr, @BDate)
         
END
GO

/****** Object:  StoredProcedure [dbo].[spFilterEintragenStichprobe]    Script Date: 08.03.2017 19:03:20 ******/
DROP PROCEDURE [dbo].[spFilterEintragenStichprobe]
GO

/****** Object:  StoredProcedure [dbo].[spFilterEintragenStichprobenRest]    Script Date: 08.03.2017 19:23:19 ******/
DROP PROCEDURE [dbo].[spFilterEintragenStichprobenRest]
GO

/****** Object:  StoredProcedure [dbo].[spRisikogruppeStichprobeAnlegen]    Script Date: 08.03.2017 19:29:23 ******/
DROP PROCEDURE [dbo].[spRisikogruppeStichprobeAnlegen]
GO


ALTER TABLE stabPersonen ADD SPEMail nvarchar(255)
GO


/****** Object:  StoredProcedure [dbo].[spKN_Anfuegen]    Script Date: 15.01.2018 11:03:51 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO

ALTER PROCEDURE [dbo].[spKN_Anfuegen] 
@INR as nvarchar(3),
@BDate as datetime
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKreditnehmer
      (KNID, INR, Bdate, KN, kn_name, kn_berater, kn_ort, kn_wirtschaftszweig, 
      kn_ortskenn, kn_kz_organ, kn_kusydsgv, kn_rating_methode, kn_rating_note, 
      kn_rating_status, kn_rating_ueberschreibung, kn_bonitaet, kn_risikoklasse, kn_verbund_art, kn_geko9513_gueltig_ab, 
      kn_blankokreditvolumen_in, kn_blankokreditvolumen_wi, kn_personalkreditvolumen_in, 
      kn_personalkreditvolumen_wi, kn_PKV_SPG_in, kn_PKV_SPG_wi, kn_realkreditvolumen_in, kn_realkreditvolumen_wi, kn_kommunalkreditvolumen_in, 
      kn_kommunalkreditvolumen_wi, kn_freier_anteil_in, kn_freier_anteil_wi, kn_komp_anteil_in, kn_komp_anteil_wi, KN_wirt_anteil_in, KN_wirt_anteil_wi, 
      kn_gesamtkreditvolumen, kn_bewilligtes_darlehen_az6_neu, kn_gutschriftensumme_e_v, kn_meta_anteil_inanspruchnahme, kn_meta_anteil_kreditvolumen, 
      kn_meta_anteil_ueberziehung, kn_passiv_az2_3_4_9, kn_passiv_depot, kn_rueckgabenanzahl, kn_wv, kn_wv_verbnr, kn_beruf_branche, kn_beruf, kn_strasse, 
      kn_haus_nr, kn_post_erg, kn_postleit, kn_land, kn_g_verb_s, kn_kundentyp, kn_o_rechts, kn_pers_art, kn_pers_unterart, kn_rechtl_s, kn_org_bankgrp_ausl, 
      kn_org_bankgrp_inl, kn_org_einlagen_ki_kz, kn_rating_kennung_stp, kn_rating_datum, kn_saldo_umsatzlos, kn_kz_g_m_kred, kn_ueberziehung_90, 
      kn_kreditvolumen_derivate, kn_kreditvolumen_wertpapiere, kn_kreditvolumen_wp_leihe, kn_kreditvolumen_geldhandel, kn_kreditvolumen_fw_kredite, 
      kn_kreditvolumen_beteiligung, kn_kreditvolumen_akkreditive, kn_kreditvolumen_so_az9, kn_kreditvolumen_kreditkarten, KN_Kreditvolumen_az2, 
      kn_bew_rahmen_le, kn_labile_sicherheiten, kn_sicherheiten_uebereignung, kn_zessionen, kn_buergschaften,
      KN_WARN_1210, KN_WARN_1310, KN_WARN_1425, KN_WARN_1435, KN_WARN_1455, KN_WARN_1510, KN_WARN_1530, KN_WARN_7000, KN_WARN_7001,  
	  KN_WARN_7002, KN_WARN_7003, KN_WARN_7004, KN_WARN_7008, KN_WARN_7017, KN_WARN_7021, KN_WARN_7029, KN_WARN_7031      
      ) 
SELECT RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15)
       AS KNID, I.inr, I.bestandsdatum AS BDate, CAST(I.kn AS bigint) AS KN, Max(I.kn_name) as a50, 
	   right('0000000' + cast(max(I.kn_berater) as nvarchar(7)),7) as a51,
	   max(I.kn_ort) as a52,
       max(I.kn_wirtschaftszweig) as a53,  max(I.kn_ortskenn) as a54, max(I.kn_kz_organ) as a55, max(I.kn_kusydsgv) as a56, 
       max(I.kn_rating_methode) as a57, max(I.kn_rating_note) as a58, 
       max(I.kn_rating_status) as a59, max(I.kn_rating_ueberschreibung) as a60, max(I.kn_bonitaet) as a61, 
       RIGHT('000' + CAST(max(I.kn_Risikoklasse) AS nvarchar(3)), 3) as a62, 
       max(I.kn_verbund_art) as a63, max(I.kn_geko9513_gueltig_ab) as a64, 
       min(I.kn_blankokreditvolumen_in)/min(I.KN_gbr_quote)*100 AS a1, 
       min(I.kn_blankokreditvolumen_wi)/min(I.KN_gbr_quote)*100 AS a2, 
       min(I.kn_personalkreditvolumen_in)/min(I.KN_gbr_quote)*100 as a3,
       min(I.kn_personalkreditvolumen_wi)/min(I.KN_gbr_quote)*100 as a4, 
       min(I.kn_blankokreditvolumen_in) + min(I.kn_personalkreditvolumen_in)/min(I.KN_gbr_quote)*100 AS a5, 
       min(I.kn_blankokreditvolumen_wi) + min(I.kn_personalkreditvolumen_wi)/min(I.KN_gbr_quote)*100 AS a6,
       min(I.kn_realkreditvolumen_in)/min(I.KN_gbr_quote)*100 as a7,
       min(I.kn_realkreditvolumen_wi)/min(I.KN_gbr_quote)*100 AS a8, 
       min(I.kn_kommunalkreditvolumen_in)/min(I.KN_gbr_quote)*100 AS a9,
       min(I.kn_kommunalkreditvolumen_wi)/min(I.KN_gbr_quote)*100 AS a10, 
       min(I.kn_freier_anteil_in)/min(I.KN_gbr_quote)*100 AS a11, 
       min(I.kn_freier_anteil_wi)/min(I.KN_gbr_quote)*100 AS a12, 
       min(I.kn_komp_anteil_in)/min(I.KN_gbr_quote)*100 AS a13, 
       min(I.kn_komp_anteil_wi)/min(I.KN_gbr_quote)*100 as a14, 
       min(I.kn_wirt_anteil_in)/min(I.KN_gbr_quote)*100 as a15, 
       min(I.kn_wirt_anteil_wi)/min(I.KN_gbr_quote)*100 as a16, 
       min(I.kn_gesamtkreditvolumen)/min(I.KN_gbr_quote)*100 as a17, 
       min(I.kn_bewilligtes_darlehen_az6_neu)/min(I.KN_gbr_quote)*100 as a18, 
       min(I.kn_gutschriftensumme_e_v)/min(I.KN_gbr_quote)*100 as a19, 
       min(I.kn_meta_anteil_inanspruchnahme)/min(I.KN_gbr_quote)*100 as a20,
       min(I.kn_meta_anteil_kreditvolumen)/min(I.KN_gbr_quote)*100 as a21,
       min(I.kn_meta_anteil_ueberziehung)/min(I.KN_gbr_quote)*100 as a22,
       min(I.kn_passiv_az2_3_4_9)/min(I.KN_gbr_quote)*100 as a23, 
       min(I.kn_passiv_depot)/min(I.KN_gbr_quote)*100 as a24,
       max(I.kn_rueckgabenanzahl) as a65, MAX(I.kn_wv) as a25a, MAX(I.kn_wv_verbnr) as a25, 
       max(I.kn_beruf_branche) as a66, max(I.kn_beruf) as a67, max(I.kn_strasse) as a68, max(I.kn_haus_nr) as a69, max(I.kn_post_erg) as a70,
       max(I.kn_postleit) as a71, max(I.kn_land) as a72, max(I.kn_g_verb_s) as a73, max(I.kn_kundentyp) as a74, max(I.kn_o_rechts) as a75, 
       max(I.kn_pers_art) as a76, max(I.kn_pers_unterart) as a77, max(I.kn_rechtl_s) as a78, max(I.kn_org_bankgrp_ausl) as a79, 
       max(I.kn_org_bankgrp_inl) as a80, max(I.kn_org_einlagen_ki_kz) as a81, max(I.kn_rating_kennung_stp) as a82, max(I.kn_rating_datum) as a83, 
       max(I.kn_saldo_umsatzlos) as a84, max(I.kn_kz_g_m_kred) as a85, 
       min(I.kn_ueberziehung_90)/min(I.KN_gbr_quote)*100 as a26, 
       min(I.kn_kreditvolumen_derivate)/min(I.KN_gbr_quote)*100 as a27, 
       min(I.kn_kreditvolumen_wertpapiere)/min(I.KN_gbr_quote)*100 as a28, 
       min(I.kn_kreditvolumen_wp_leihe)/min(I.KN_gbr_quote)*100 as a29, 
       min(I.kn_kreditvolumen_geldhandel)/min(I.KN_gbr_quote)*100 as a30, 
       min(I.kn_kreditvolumen_fw_kredite)/min(I.KN_gbr_quote)*100 as a31, 
       min(I.kn_kreditvolumen_beteiligung)/min(I.KN_gbr_quote)*100 as a32, 
       min(I.kn_kreditvolumen_akkreditive)/min(I.KN_gbr_quote)*100 as a33,
       min(I.kn_kreditvolumen_so_az9)/min(I.KN_gbr_quote)*100 as a34, 
       min(I.kn_kreditvolumen_kreditkarten)/min(I.KN_gbr_quote)*100 as a35,
       min(I.kn_kreditvolumen_az2)/min(I.KN_gbr_quote)*100 as a36, 
       min(I.kn_bew_rahmen_le)/min(I.KN_gbr_quote)*100 as a37, 
       min(I.kn_labile_sicherheiten)/min(I.KN_gbr_quote)*100 as a38, 
       min(I.kn_sicherheiten_uebereignung)/min(I.KN_gbr_quote)*100 as a39,
       min(I.kn_zessionen)/min(I.KN_gbr_quote)*100 as a40, 
       min(I.kn_buergschaften)/min(I.KN_gbr_quote)*100 as a41,
       max(I.KN_WARN_1210) as a65, 
       max(I.KN_WARN_1310) as a66, 
       max(I.KN_WARN_1425) as a67,
       max(i.KN_WARN_1435) as a68, 
       max(i.KN_WARN_1455) as a69, 
       max(i.KN_WARN_1510) as a70, 
       max(i.KN_WARN_1530) as a71, 
       max(i.KN_WARN_7000) as a72, 
       max(i.KN_WARN_7001) as a73,  
	   max(i.KN_WARN_7002) as a74, 
	   max(i.KN_WARN_7003) as a75, 
	   max(i.KN_WARN_7004) as a76, 
	   max(i.KN_WARN_7008) as a77, 
	   max(i.KN_WARN_7017) as a78, 
	   max(i.KN_WARN_7021) as a79, 
	   max(i.KN_WARN_7029) as a80, 
	   max(i.KN_WARN_7031) as a87 
FROM ##Import AS I 
LEFT JOIN    dbo.vorhandeneKNimBestand(@BDate, @INR) AS K on I.kn = K.KN
WHERE     (K.KN IS NULL)
GROUP BY I.inr, I.bestandsdatum, I.kn     
HAVING   (I.kn IS NOT NULL)
END
GO

Update tabKreditnehmer set kn_berater = right('0000000' + cast(kn_berater as nvarchar(7)),7)
GO

/****** Object:  StoredProcedure [dbo].[spAuswahlSummen]    Script Date: 15.01.2018 13:25:12 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER PROCEDURE [dbo].[spAuswahlSummen] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT     SUM(kne_gesamtkreditvolumen) AS SG, SUM(kne_Inanspruchnahme) AS SI, SUM(kne_blankokreditvolumen_in) 
                      AS SB, SUM(kne_Personalkreditvolumen_in) AS SP, SUM(kne_Realkreditvolumen_in) 
                      AS SR, SUM(kne_Kommunalkreditvolumen_in) AS SK, SUM(kne_Kreditueberschreitung) 
                      AS SU
FROM            tabKreditnehmereinheit AS K INNER JOIN
                         dbo._tmpKNEAusgewaehltProSPID(@BDate,@Instnr,@SPID) AS T ON K.KNEID = T.KNEID 
ORDER BY SUM(kne_gesamtkreditvolumen) DESC
END
GO


Drop PROCEDURE [dbo].[spEWBGrundgesamtheitFilter_an_KNE] 
GO

/****** Object:  StoredProcedure [dbo].[spEWBFiltertreffer]    Script Date: 15.01.2018 15:30:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spEWBFiltertreffer] 
    @FID nvarchar(14) ,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO _tmpFilterTreffer 
           (SPID, Auswahl, KNEID, KNE_Name, kne_wv_verbnr, kne_berater, kne_gesamtkreditvolumen, 
           kne_gesamtkreditvolumen_not, kne_meta_anteil_inanspruchnahme, kne_bewilligungsvolumen_neu, 
           kne_Inanspruchnahme, kne_blankokreditvolumen_in, kne_blankokreditvolumen_wi, 
           kne_Personalkreditvolumen_in, kne_Personalkreditvolumen_wi, kne_Realkreditvolumen_in, 
           kne_Realkreditvolumen_wi, kne_Kommunalkreditvolumen_in, kne_Kommunalkreditvolumen_wi, 
           kne_Kreditueberschreitung, kne_Darlehensrueckstand, kne_externe_kredite, kne_interne_Kredite, 
           kne_Ueberziehungsgenehmigungen, kne_ewb_Veraenderung, Bdate, Herkunft, INR, BLZ, Filter, Filterzahl )
SELECT     @SPID, dbo.getAuswahlstatusEWBStichprobe(kne.kneid, @SPID) as Auswahl, KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
           KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
           KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
           KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
           KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
           KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
           KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, 
           KNE.Bdate, KNE.Herkunft, KNE.INR, KNE.BLZ, tabEWBKNEFilter.Filter, dbo.getAnzahlAktiveEWBFilter(KNE.KNEID)    
FROM (tabkreditnehmereinheit AS KNE INNER JOIN tabEWBKNEFilter ON KNE.KNEID = tabEWBKNEFilter.KNEID) 
GROUP BY dbo.getAuswahlstatusEWBStichprobe(kne.kneid, @SPID), KNE.KNEID, KNE.KNE_Name, KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_gesamtkreditvolumen, 
         KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_inanspruchnahme, KNE.kne_bewilligungsvolumen_neu, 
         KNE.kne_Inanspruchnahme, KNE.kne_blankokreditvolumen_in, KNE.kne_blankokreditvolumen_wi, 
         KNE.kne_Personalkreditvolumen_in, KNE.kne_Personalkreditvolumen_wi, KNE.kne_Realkreditvolumen_in, 
         KNE.kne_Realkreditvolumen_wi, KNE.kne_Kommunalkreditvolumen_in, KNE.kne_Kommunalkreditvolumen_wi, 
         KNE.kne_Kreditueberschreitung, KNE.kne_Darlehensrueckstand, KNE.kne_externe_kredite, 
         KNE.kne_interne_Kredite, KNE.kne_Ueberziehungsgenehmigungen, KNE.kne_ewb_Veraenderung, KNE.Bdate, 
         KNE.Herkunft, KNE.INR, KNE.BLZ, tabEWBKNEFilter.Filter  
HAVING  tabEWBKNEFilter.Filter = @FID 
;
END
GO


CREATE FUNCTION [dbo].[SammelExportXLS_Basis] 
(
    @INSTNR nvarchar(3),
    @BDate datetime,
	@SPID int 
)
RETURNS TABLE
AS
RETURN
(	
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_externe_kredite, KNE.kne_interne_kredite, kne_Bonitaet, kne_Ueberziehungsgenehmigungen, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, 
Kne_Guthaben, kne_Realkreditvolumen_in, kne_Personalkreditvolumen_in, kne_PKV_SPG_in,   
kne_Kreditueberschreitung, KNE.KNE_Name, KNE.kne_Darlehensrueckstand, KNE.kne_Risikoklasse, 
kne_blankokreditvolumen_in, kne_Kommunalkreditvolumen_in, kne_Kompensationskreditvolumen_in, kne_freier_anteil_in, 
kne_wirt_anteil_in, kne_Realkreditvolumen_wi, kne_Personalkreditvolumen_wi, kne_blankokreditvolumen_wi, 
kne_Kommunalkreditvolumen_wi, kne_Kompensationskreditvolumen_wi, kne_freier_anteil_wi, kne_wirt_anteil_wi, 
kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg,
kne_ewb_e, kne_ewb_e_absg_dir_btrg, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, kne_ewb_v_afls_btrg,
kne_ewb_v_absg_ind_btrg, kne_ewb_v, kne_ewb_v_absg_dir_btrg, kne_ewb_Veraenderung, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, V.GBR_Quote AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031
FROM  _tmpAuswahlEWB AS T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID INNER JOIN 
      tabKreditnehmer AS KN INNER JOIN
      tab_KNE_KN AS V ON KN.KNID = V.KNID ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
      _tmpSegmente1Bis7 ON KN.KNID = _tmpSegmente1Bis7.KNID LEFT OUTER JOIN
      tabKonto AS K ON KN.KNID = K.KNID LEFT OUTER JOIN
      _tmpVB1Bis5 ON K.KontoID = _tmpVB1Bis5.KontoID
where T.Auswahl = 1 and t.BDate = @BDate and t.INR = @InstNR 
)

GO

CREATE FUNCTION [dbo].[SammelExportREXLS_Basis] 
(
    @INSTNR nvarchar(3),
    @BDate datetime,
    @SPID Int	 
)
RETURNS TABLE
AS
RETURN
(	
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_externe_kredite, KNE.kne_interne_kredite, kne_Bonitaet, kne_Ueberziehungsgenehmigungen, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, 
Kne_Guthaben, kne_Realkreditvolumen_in, kne_Personalkreditvolumen_in, kne_PKV_SPG_in,   
kne_Kreditueberschreitung, KNE.KNE_Name, KNE.kne_Darlehensrueckstand, KNE.kne_Risikoklasse, 
kne_blankokreditvolumen_in, kne_Kommunalkreditvolumen_in, kne_Kompensationskreditvolumen_in, kne_freier_anteil_in, 
kne_wirt_anteil_in, kne_Realkreditvolumen_wi, kne_Personalkreditvolumen_wi, kne_blankokreditvolumen_wi, 
kne_Kommunalkreditvolumen_wi, kne_Kompensationskreditvolumen_wi, kne_freier_anteil_wi, kne_wirt_anteil_wi, 
kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg,
kne_ewb_e, kne_ewb_e_absg_dir_btrg, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, kne_ewb_v_afls_btrg,
kne_ewb_v_absg_ind_btrg, kne_ewb_v, kne_ewb_v_absg_dir_btrg, kne_ewb_Veraenderung, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, 
CASE WHEN V.RGrund = 'KNE' THEN V.GBR_Quote ELSE NULL END AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031
FROM  _tmpAuswahlEWB AS T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID INNER JOIN 
      tabKreditnehmer AS KN INNER JOIN
      tabKN_RisikoSammel AS V ON KN.KNID = V.KNID ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
      _tmpSegmente1Bis7 ON KN.KNID = _tmpSegmente1Bis7.KNID LEFT OUTER JOIN
      tabKonto AS K ON KN.KNID = K.KNID LEFT OUTER JOIN
      _tmpVB1Bis5 ON K.KontoID = _tmpVB1Bis5.KontoID
where T.Auswahl = 1 and T.BDate = @BDate and T.INR = @InstNR 
)

GO




Update _tabVersion set DBVersion = '7.72', DBDate = '21.06.2018'
GO































